#
# spec file for package kernel-smp (Version 2.6.5)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  gpg gpp kernel-dummy kernel-module-packages libgpp popt popt-devel python

#BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gcc-c++ gdbm gettext gpg kernel-dummy km_drbd km_drm km_hostap km_iscsi km_lustre-lite km_megaide km_nvidia km_submount km_wlan libstdc++-devel libtool perl popt-devel python rpm

Name:         kernel-smp
Version:      2.6.5
Release:      7.151.0.1.1
Summary:      The standard kernel
License:      GPL
Group:        System/Kernel
%if "kernel-smp" != "kernel-um"
Provides:     kernel = 2.6.5-%release
%endif
%ifarch alpha
%else
%ifarch %ix86
Provides:     k_psmp k_smp k_smp_22 k_smp_24
Obsoletes:    k_psmp k_smp k_smp_22 k_smp_24
%else
%ifarch ppc
Provides:     k_smp
Obsoletes:    k_smp
%else
%ifarch ppc64
%else
%ifarch x86_64
Provides:     k_numa k_smp
Obsoletes:    k_numa k_smp
%endif
%endif
%endif
%endif
%endif
%ifarch x86_64
%if "kernel-smp" != "kernel-default"
Requires:     irqbalance
%endif
%endif
Autoreqprov:  on
%define kversion %(echo %version | sed s/_/-/g)
%define my_builddir %_builddir/%{name}-%{version}
Source0:      http://www.kernel.org/pub/linux/kernel/v2.6/linux-%kversion.tar.bz2
Source1:      functions.sh
Source8:      trigger-script.sh.in
Source10:     post.sh
Source11:     postun.sh
Source20:     series.conf
Source21:     config.conf
Source22:     supported.conf
Source25:     config.tar.bz2
Source30:     arch-symbols
Source31:     guards
Source32:     config-subst
Source33:     check-for-config-changes
Source34:     check-supported-list
Source35:     install-configs
Source40:     build-source-timestamp
Source100:    patches.arch.tar.bz2
Source101:    patches.fixes.tar.bz2
Source102:    patches.drivers.tar.bz2
Source103:    patches.rpmify.tar.bz2
Source104:    patches.uml.tar.bz2
Source105:    patches.suse.tar.bz2
Source106:    patches.addon.tar.bz2
PreReq:       /usr/bin/test /sbin/mkinitrd /bin/df /usr/bin/du /bin/cp /bin/sed /usr/bin/cut /usr/bin/expr /bin/touch /sbin/update-modules.dep
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
ExclusiveArch: alpha %ix86 ppc ppc64 x86_64
# These files are found in the kernel-source package:
NoSource:     0
NoSource:     100
NoSource:     101
NoSource:     102
NoSource:     103
NoSource:     104
NoSource:     105
NoSource:     106
# Will failures in external modules abort the kernel build (0/1)?
%define extmod_failures_are_fatal 0
# Will unknown sybols cause the kernel build to fail (0/1)?
%define unknown_symbol_check 0
# Will modules not listed in supported.conf abort the kernel build (0/1)?
%define supported_modules_check 0

%(chmod +x %_sourcedir/{arch-symbols,guards,config-subst,check-for-config-changes,check-supported-list})
%define ver_str %kversion-%release-smp
%define symbols %(export PATCH_ARCH=%_target_cpu ; cd %_sourcedir ; echo $(./arch-symbols) $([ -e extra-symbols ] && cat extra-symbols))
%define build_um %([ smp != um ] ; echo $?)

%description
The standard kernel.



Source Timestamp: 2005-03-18 11:31:21 +0000
CVS Branch: SLES9_SP1_BRANCH

%prep
if ! [ -e %_sourcedir/linux-%kversion.tar.bz2 ]; then
    echo "The kernel-smp-2.6.5.nosrc.rpm package does not contain the" \
	 "complete sources. Please install kernel-source-2.6.5.src.rpm."
    exit 1
fi
echo "Architecture symbol(s): %symbols"
# Unpack all sources and patches
%setup -q -c -T -a 0 -a 25 -a 100 -a 101 -a 102 -a 103 -a 104 -a 105 -a 106
# Generate the list of supported modules
(   %_sourcedir/guards %symbols < %_sourcedir/supported.conf
    for how in external; do
	(   %_sourcedir/guards %symbols < %_sourcedir/supported.conf
	    %_sourcedir/guards %symbols < %_sourcedir/supported.conf
	    %_sourcedir/guards %symbols $how < %_sourcedir/supported.conf \
	) | sort | uniq -u | sed -e 's:$: '"$how"':'
    done
) | sed -e 's,.*/,,' | sort > linux-%kversion/Module.supported
# Create the scipts for %pre, %post, %preun, %postun
for when in pre preun post postun ; do
    sed -e "s/@when@/$when/g" %_sourcedir/trigger-script.sh.in > $when.sh
done
echo -n "\
if [ -x /sbin/module_upgrade ]; then
    /sbin/module_upgrade --rename megaraid=megaraid_mbox
fi
" >> post.sh
cat %_sourcedir/{functions.sh,post.sh}  >> post.sh
cat %_sourcedir/{functions.sh,postun.sh} >> postun.sh
#
cd linux-%kversion
# Find out for which architecture to build. We do this here, and use the
# result in the %build and %install sections.
#
# On architectures with a bi-arch or cross compiler, we can compile for
# an architecture different from %arch. The location of the config file
# tells us for which architecture to compile.
set -- $(
    for config in $(%_sourcedir/guards %symbols < %_sourcedir/config.conf) ; do
	[ ${config#*/} = smp ] || continue
	echo $config
    done)
if [ $# -ne 1 ]; then
    echo "$# config files found for this spec file (but one needed)" >&2
    exit 1
fi
flavor=${1#*/}
subarch=${1%/*}
# Apply the patches needed for this architecture.
for patch in $(%_sourcedir/guards %symbols < %_sourcedir/series.conf); do
    if ! patch -s -E -p1 --no-backup-if-mismatch -i ../$patch; then
	echo "*** Patch $patch failed ***"
	exit 1
    fi
done
# We allow to apply an additional patch for custom builds
if [ -e %_sourcedir/$subarch-$flavor.diff ]; then
    echo "Applying additional patch $subarch-$flavor.diff"
    if ! patch -s -E -p1 --no-backup-if-mismatch \
	       -i %_sourcedir/$subarch-$flavor.diff; then
	echo "*** Patch $patch failed ***"
	exit 1
    fi
fi
# We allow to override the config file for custom builds
if [ -e %_sourcedir/$subarch-$flavor.conf ]; then
    echo "Using override config file $subarch-$flavor.conf"
    cat %_sourcedir/$subarch-$flavor.conf \
	| %_sourcedir/config-subst CONFIG_CFGNAME '"'$flavor'"' \
	| %_sourcedir/config-subst CONFIG_RELEASE '"'%release'"' \
	| %_sourcedir/config-subst CONFIG_SUSE_KERNEL y \
	> config.override
    config=config.override
else
    %_sourcedir/install-configs %_sourcedir %my_builddir %release
    config=arch/$subarch/defconfig.$flavor
fi
# We compile for this sub-architecture (i.e., machine architecture):
%if %build_um
cat > .rpm-defs <<EOF
ARCH=um
SUBARCH=$subarch
FLAVOR=$flavor
MAKE_ARGS="ARCH=um SUBARCH=$subarch"
CONFIG=$config
EOF
%else
cat > .rpm-defs <<EOF
ARCH=$subarch
SUBARCH=$subarch
FLAVOR=$flavor
MAKE_ARGS="ARCH=$subarch"
CONFIG=$config
EOF
%endif

%build
cd linux-%kversion
source .rpm-defs
if [ -n "$CONFIG" ]; then
    cp $CONFIG .config
fi
cp .config .config.orig
make silentoldconfig $MAKE_ARGS < /dev/null

%_sourcedir/check-for-config-changes .config.orig .config
rm .config.orig
# Override the timestamp `uname -v' reports with the build
# timestamp.
export BUILD_TIMESTAMP="$(head -n 1 %_sourcedir/build-source-timestamp)"
# The following branch/timestamp will end up in Oopses.
export OOPS_TIMESTAMP="$(
    echo -n $(sed -ne 's/^CVS Branch: \(.*\)/\1-/p' \
		  %_sourcedir/build-source-timestamp)
    head -n 1 %_sourcedir/build-source-timestamp \
	| tr -dc 0-9)"
# Warn when unsupported modules are loaded.
export UNSUPPORTED_MODULES=1
export KBUILD_VERBOSE=0
%if %build_um
    make sys_prepare $MAKE_ARGS  # workaround for broken dependencies
    make %{?jobs:-j%jobs} linux modules $MAKE_ARGS
%else
    make %{?jobs:-j%jobs} all -k $MAKE_ARGS
%endif
mkdir -p %my_builddir/modules-%kversion
shopt -s nullglob
for dir in /usr/src/kernel-modules/*; do
    if [ -e $dir/Makefile ]; then
	build_dir=%my_builddir/modules-%kversion/${dir##*/}
	cp -a $dir $build_dir
	rm -f $build_dir-failed
	if ! make -C $build_dir %{?jobs:-j%jobs} modules $MAKE_ARGS \
		  KERNEL_SOURCE=%my_builddir/linux-%kversion; then
%if %extmod_failures_are_fatal
	    exit 1
%endif
	    echo "External module error: $dir failed"
	    touch $build_dir-failed
	fi
    fi
done
shopt -u nullglob

%install
# get rid of /usr/lib/rpm/brp-strip-debug 
# strip removes too much from the vmlinux ELF binary
export NO_BRP_STRIP_DEBUG=true
cd linux-%kversion
source .rpm-defs
# /lib/modules/%ver_str/build will be a stale symlink until the
# kernel-source package is installed. Don't check for stale symlinks
# in the brp-symlink check:
export NO_BRP_STALE_LINK_ERROR=yes
rm -rf %buildroot
mkdir -p %buildroot/boot
cp -p System.map %buildroot/boot/System.map-%ver_str
%if %build_um
    mkdir -p %buildroot/usr/bin
    cp linux %buildroot/usr/bin/linux-%ver_str
    cp linux %buildroot/boot/linux-%ver_str
    image=linux
%else
%ifarch %ix86 x86_64
    gzip -c9 vmlinux > %buildroot/boot/vmlinux-%ver_str.gz
    cp -p arch/*/boot/bzImage %buildroot/boot/vmlinuz-%ver_str
    image=vmlinuz
%endif
%ifarch alpha
    gzip -c9 vmlinux > %buildroot/boot/vmlinux-%ver_str.gz
    cp -p arch/alpha/boot/vmlinux.gz %buildroot/boot/vmlinuz-%ver_str
    image=vmlinuz
%endif
%ifarch ppc ppc64
    cp -p vmlinux %buildroot/boot/vmlinux-%ver_str
    image=vmlinux
%endif
%ifarch ia64
    cp -p vmlinux.gz %buildroot/boot/vmlinuz-%ver_str
    image=vmlinuz
%endif
%ifarch s390 s390x
    gzip -c9 vmlinux > %buildroot/boot/vmlinux-%ver_str.gz
    cp -p arch/s390/boot/image %buildroot/boot/image-%ver_str
    image=image
%endif
    if [ -e init/kerntypes.o ]; then
	cp init/kerntypes.o %buildroot/boot/Kerntypes-%ver_str
    fi
%endif
ln -s $image %buildroot/boot/$image
ln -s initrd %buildroot/boot/initrd
ln -s $image %buildroot/boot/$image.previous
ln -s initrd %buildroot/boot/initrd.previous
cp .config %buildroot/boot/config-%ver_str
make modules_install $MAKE_ARGS INSTALL_MOD_PATH=%buildroot
shopt -s nullglob
for build_dir in %my_builddir/modules-%kversion/* ; do
    [ -d $build_dir ] || continue
    if [ -e $build_dir-failed ]; then
	echo "Build of $build_dir has failed"
    else
	make -C $build_dir install $MAKE_ARGS \
	    KERNEL_SOURCE=%my_builddir/linux-%kversion \
	    INSTALL_MOD_PATH=%buildroot
    fi
done
shopt -u nullglob
if ! %_sourcedir/check-supported-list \
	%_sourcedir %buildroot/lib/modules/%ver_str; then
%if %supported_modules_check
    exit 1
%endif
    echo "Consistency check error: please update supported.conf."
fi
#if [ -e Module.symvers ]; then
#    gzip -c9 Module.symvers \
#	> %buildroot/boot/symvers-%kversion-%release-$ARCH-smp.gz
#fi
# Recreate Module.symvers, and include all symbols from modules in
# km_* packages.
symver() {
    local file=$1 name=${1%.ko}
    nm $file \
    | sed -ne 's,^0*\([0-9a-f]\{8\}\) A __crc_\(.*\),0x\1\t\2\t'"$name"',p'
}
(   symver vmlinux
    moddir=%buildroot/lib/modules/%ver_str
    cd $moddir/kernel
    for module in $(find * -name '*.ko'); do
	symver $module
    done
    cd $moddir
    for module in $(find * -path 'kernel/*' -prune -o \
			   -name '*.ko' -print); do
	symver $module
    done
) | sort -u -k2 \
| gzip -c9 > %buildroot/boot/symvers-%kversion-%release-$ARCH-smp.gz
# Also put the resulting file in /usr/src/linux-obj/$SUBARCH/$FLAVOR
# so that kernel-source + kernel-$FLAVOR is sufficient for building
# modules that have modversions as well.
mkdir -p %buildroot/usr/src/linux-%kversion-%release-obj/$SUBARCH/$FLAVOR
zcat %buildroot/boot/symvers-%kversion-%release-$ARCH-smp.gz \
    > %buildroot/usr/src/linux-%kversion-%release-obj/$SUBARCH/$FLAVOR/Module.symvers
# We were building in %my_builddir/linux-%kversion, but the sources will
# later be installed in /usr/src/linux-%kversion-%release. Fix up the
# build symlink.
rm -f %buildroot/lib/modules/%ver_str/{source,build}
ln -s /usr/src/linux-%kversion-%release \
    %buildroot/lib/modules/%ver_str/source
ln -s /usr/src/linux-%kversion-%release-obj/$ARCH/$FLAVOR \
    %buildroot/lib/modules/%ver_str/build
# Set up the override directory: Modules in that path take precedence
# over modules in the directory specific to this package.
mkdir -p %buildroot/lib/modules/%version-override-smp
mkdir -p %buildroot/lib/modules/scripts
mkdir -p %buildroot/lib/modules/precompiled
/sbin/depmod -b %buildroot -ae -F %buildroot/boot/System.map-%ver_str \
    %ver_str 2>&1 \
| awk '
    /needs unknown symbol/  { fail=FAIL }
			    { print }
    END			    { exit fail }
' FAIL=%unknown_symbol_check
# Collect the file list.
(   cd %buildroot
    echo "%%defattr(-, root, root)"
    find boot \
	-type l -printf '%%%%ghost /%%p\n' -o \
	-type f -printf '/%%p\n'
    find lib/modules/%ver_str \
	-type d -printf '%%%%dir /%%p\n' -o \
	-path '*/modules.*' -printf '%%%%verify(not md5 size mtime) /%%p\n' -o \
	-printf '/%%p\n'
    find usr/src/linux-%kversion-%release-obj \
	-type d -printf '%%%%dir /%%p\n' -o \
	-printf '/%%p\n'
    echo /lib/modules/%version-override-smp
    echo /lib/modules/scripts
    echo /lib/modules/precompiled
    if [ -e .%_docdir/%name ]; then
	echo "%%doc %_docdir/%name"
    fi
) > %my_builddir/kernel.files

%pre -f pre.sh

%preun -f preun.sh

%post -f post.sh

%postun -f postun.sh

%files -f kernel.files
%if %build_um
%package -n um-host-kernel
Summary:      The user mode linux kernel.
Group:        System/Kernel

%description -n um-host-kernel
The user-mode-linux kernel.

This package contains the kernel binary and should be installed on the
host machine.



Source Timestamp: 2005-03-18 11:31:21 +0000
CVS Branch: SLES9_SP1_BRANCH


%files -n um-host-kernel
%defattr(-, root, root)
/usr/bin/linux-%ver_str
%endif

%changelog -n kernel-smp
* Fri Apr 15 2005 - oracle
- backport for: directio + asyncio deadlock (4278121)
* Fri Apr 15 2005 - oracle
- backport for: readv() nfs directio crash (4180004)
* Fri Apr 15 2005 - oracle
- patches for: tg3_git_hack (4231062)
* Fri Mar 18 2005 - mantel@suse.de
- patches.fixes/cpumask-x86: x86 kernel corruption when booted
  on system with > 32cpus (72060).
* Fri Mar 18 2005 - okir@suse.de
- patches.fixes/amd64-pdc-disable: add boot option to disable
  advanced PDC (72919).
* Fri Mar 18 2005 - mantel@suse.de
- patches.fixes/mpol_leak_fix.patch: numa_policy kernel mempolicy
  slab cache leak (71580).
* Thu Mar 17 2005 - mantel@suse.de
- patches.fixes/ia64-ptrace-crash: ia64: fix possible crash in
  ptrace() (65236).
* Thu Mar 17 2005 - mason@suse.de
- patches.fixes/reiserfs-signed.patch: [PATCH] reiserfs: use
  proper 64-bit clean types (65229).
* Wed Mar 16 2005 - ihno@suse.de
- add patches.fixes/shmget-ipc-2gig-fix: allocate shared mem
  segments bigger than 2 Gb
* Wed Mar 16 2005 - lmb@suse.de
- patches.drivers/md-superblock-failures: handle write failures during
  superblock updates (65306).
* Wed Mar 16 2005 - ihno@suse.de
- patches.arch/s390-13-??-april2004.diff
  Include IBM codedrop 24-02-2005.
- patches.arch/s390-14-01-april2004.diff
  Include IBM codedrop 03-03-2005.
* Wed Mar 16 2005 - mantel@suse.de
- patches.fixes/ia64-unwind-user: ia64: add sanity check
  unw_unwind_to_user (65112).
* Wed Mar 16 2005 - mantel@suse.de
- patches.fixes/ppp-async-check: add sanity check to ppp_async
  code (65857).
* Tue Mar 15 2005 - okir@suse.de
- patches.fixes/ip-defrag-tagged: [IPV4]: Keep fragment queues
  private to each user (65594).
- patches.fixes/ip-fragment-checksum: Fix remotely triggerable
  oops in IP defragmenter (65594).
- patches.fixes/ip-dst-leak: [IPv4] Do not leak dst entries in
  ip_copy_metadata() (65594).
* Tue Mar 15 2005 - okir@suse.de
- patches.fixes/proc-read-signedness: Fix signed compare in
  fs/proc/generic.c::proc_file_read() (65318).
- patches.fixes/n-tty-signedness: Fix sign checks in
  copy_from_read_buf() (65318).
* Tue Mar 15 2005 - okir@suse.de
- patches.fixes/ipv6-ppp-crash: Prevent IPv6 oops on PPP devices (72444).
* Fri Mar 11 2005 - mantel@suse.de
- patches.fixes/moxa-ioctl-check: add permission check to moxa
  serial driver (65375).
* Fri Mar 11 2005 - mantel@suse.de
- patches.fixes/n_mouse-ldisc-privileged: Only root should be
  able to set the N_MOUSE line discipline. (62195).
* Fri Mar 11 2005 - ihno@suse.de
- enable the raw-module on s390/s390x	 (#65496)
- fix the ioctl of raw-module (all Archs)(#65496)
* Thu Mar 10 2005 - olh@suse.de
- add patches.drivers/jsm-defect14077.patch
  fix kernel panic while using DLPAR to remove jasmine serial adapter
  (#66648 - LTC14077)
* Thu Mar 10 2005 - mantel@suse.de
- patches.fixes/epoll-check: epoll: return proper error on
  overflow condition (71782).
* Thu Mar 10 2005 - mantel@suse.de
- patches.fixes/sysfs-write-signedness: sysfs: fix signedness
  problem (66819).
* Tue Mar 08 2005 - lmb@suse.de
- Backport blk_sync_queue() to make sure the queue is clean. (#66185)
* Tue Mar 08 2005 - lmb@suse.de
- Fix md multipath assembly and various md RAID races. (#66185)
* Fri Feb 25 2005 - mantel@suse.de
- patches.fixes/ps-panic: ps can panic the system (SUSE49440).
* Fri Feb 25 2005 - andrea@suse.de
- patches.suse/toss_page_cache_nodes: remember to unlock the page.
  (65778).
* Fri Feb 25 2005 - mantel@suse.de
- patches.suse/amd-cmp: CMP numa node detection for AMD dual core
  (50126). Fix compilation for UP.
* Thu Feb 24 2005 - olh@suse.de
- add patches.fixes/fix-bogus-echild-return-from-wait-with-zombie-group-leader.patch
  fix bogus ECHILD return from wait* with zombie group leader
  glibc make check passes again (SUSE49387 - LTC13441)
* Thu Feb 24 2005 - mantel@suse.de
- patches.fixes/xfs-kern-21409a-fix-releasepage-on-delalloc-buffers-with-small-blocksizes:
  fix releasepage on delalloc buffers with small blocksizes
  (SUSE66233, SGI:PV929309).
* Fri Feb 18 2005 - okir@suse.de
- patches.fixes/arp-queue-kfree-race: Prevent race condition
  between skb_unlink and kfree_skb (SUSE48658 - LTC12694).
* Mon Feb 14 2005 - okir@suse.de
- patches.fixes/vlan-bonding-normal-frames: VLAN over bonding:
  allow non-VLAN traffic to pass (SUSE50709).
* Wed Feb 09 2005 - lmb@suse.de
- patches.drivers/md-needless-resync-fix: Fix endless loop when syncing
  an array that doesn't need any resync. (SUSE50243)
- patches.drivers/md-bio-on-stack: Fix (slow) memory leak on superblock
  updates. (SUSE50470)
* Tue Feb 08 2005 - ak@suse.de
- patches.suse/amd-cmp: Backport AMD dual core node detection support
  (SUSE50126)
* Mon Feb 07 2005 - agruen@suse.de
- patches.fixes/xfs-kern-21326a-modular-nfsd-builtin-xfs-kconfig-fix:
  update from Nathan Scott (SUSE50038, SGI:PV923968).
- Update config files.
* Sat Feb 05 2005 - agruen@suse.de
- patches.fixes/xattr-sharing-bug.diff: Fix long-standing xattr
  sharing bug (SUSE50424).
- patches.fixes/properly-export-find_exported_dentry: [PATCH]
  properly export find_exported_dentry (SUSE50038, SGI:PV923968).
- patches.fixes/xfs-kern-185126a-nfs-inode-data-corruption:
  nfs inode data corruption (SUSE50038, SGI:PV923968).
- patches.fixes/xfs-kern-185437a-nfs-exportfs-dependency-fix:
  nfs exportfs dependency fix (SUSE50038, SGI:PV923968).
- patches.fixes/xfs-kern-186566a-fix-modular-nfsd-exports:
  fix modular nfsd exports (SUSE50038, SGI:PV923968).
- patches.fixes/xfs-kern-21326a-modular-nfsd-builtin-xfs-kconfig-fix:
  modular nfsd builtin xfs kconfig fix (SUSE50038, SGI:PV923968).
* Thu Feb 03 2005 - mantel@suse.de
- patches.fixes/iPod-unusual-device: Apple iPod lies about its
  size, mounting via USB not possible (SUSE48783).
* Tue Feb 01 2005 - agruen@suse.de
- patches.fixes/xfs-kern-185642a-wait-on-iocb-non-aio-only:
  Wait on iocb non aio only (SUSE49922, SGI:PV927929).
* Tue Feb 01 2005 - andrea@suse.de
- patches.suse/silent-stack-overflow/toss_page_cache_nodes:
  enable heap-stack-gap sysctl. (SUSE44807)
* Tue Feb 01 2005 - olh@suse.de
- add patches.fixes/ixgb_fix_eeh.patch
  redundant Write-Back in Receive Descriptor Ring caused memory
  corruption. (SUSE50213 - LTC12695)
* Mon Jan 31 2005 - mantel@suse.de
- series.conf:
  enable patches.fixes/direct-io-xfs-write-deadlock as it is ok
  for lustre and for polyserve (SUSE50040)
* Sat Jan 29 2005 - agruen@suse.de
- patches.fixes/dmapi-20764a-drop-bkl-during-ioctl: Drop bkl
  during ioctl (SUSE50036, SGI:PV923092).
- patches.fixes/xfs-kern-20766a-iget-hash-performance-problem:
  Iget hash performance problem (SUSE50036, SGI:PV923092).
- patches.fixes/xfs-kern-21109a-cluster-hash-sizing-problem:
  Cluster hash sizing problem (SUSE50036, SGI:PV923092).
* Thu Jan 27 2005 - schwab@suse.de
- Fix PDH console [SUSE48862].
* Thu Jan 27 2005 - mantel@suse.de
- patches.fixes/vtresize: add missing check to vt resizing code
  (SUSE49171).
* Wed Jan 26 2005 - schwab@suse.de
- Fix reference to current in MCA handler [SUSE49244].
* Tue Jan 25 2005 - okir@suse.de
- patches.suse/ckrm-numtasks-lockfix: Fix a locking bug in
  numtasks which was introduced in an earlier patch (SUSE50048).
* Tue Jan 25 2005 - okir@suse.de
- Enabled patches.fixes/rq-starved: Fix rq starvation
  for readers on OOM (SUSE49873)
* Tue Jan 25 2005 - okir@suse.de
- Updated patches.fixes/sysfs-pciconfig-readwrite.patch;
  Avoid sign extension (SUSE49505).
* Tue Jan 25 2005 - okir@suse.de
- Enabled patches.fixes/bio-bdev-init: init bio->bi_bdev field to NULL (SUSE49439)
* Tue Jan 25 2005 - okir@suse.de
- patches.suse/flock-callout: Add flock() VFS callouts (SUSE49442).
* Tue Jan 25 2005 - okir@suse.de
- Enabled security fixes:
  patches.fixes/smbfs-security-fix2 (SUSE46204)
  patches.fixes/nfs-directio-maxsize (SUSE49685)
  patches.fixes/sg-ioctl-unsigned (SUSE49782)
* Mon Jan 24 2005 - andrea@suse.de
- patches.suse/protect-pids-from-oom2/mapped-base: proc fix (SUSE50121)
* Mon Jan 24 2005 - hare@suse.de
- Fix errors on loading xfs (SUSE50131).
* Mon Jan 24 2005 - ak@suse.de
- Move early cpu detection on x86-64 earlier (SUSE50093)
* Mon Jan 24 2005 - ak@suse.de
- patches.arch/x86_64-vsyscall32-global: Fix TLB corruption (SUSE50092)
- patches.arch/x86_64-increase-mpbusses: Increase mp busses (SUSE49725)
- patches.arch/x86_64-signal-restart: Fix signal restart bug (SUSE49434)
- patches.arch/x86_64-tlb-exit: Fix TLB context switch bug (partial SUSE49759)
* Mon Jan 24 2005 - hare@suse.de
- patches.arch/s390-12-??-april2004.diff
  Include IBM codedrop 20-01-2005.
* Mon Jan 24 2005 - lmb@suse.de
- Fix for md on top of DM devices. (SUSE49931)
- Fix for DM multipath read ahead handling. (SUSE50086)
* Sat Jan 22 2005 - olh@suse.de
- add patches.fixes/del_timer-mod_timer-smp-race.patch
  fix del_timer() vs. mod_timer() SMP race (SUSE49381 - LTC11943)
* Thu Jan 20 2005 - kkeil@suse.de
- patches.fixes/fix_inetaddr_notifier_chain_corruption
  fix inetaddr notifier chain corruption with IPV6 (SUSE49720)
* Tue Jan 18 2005 - vojtech@suse.de
- Fixed patches.fixes/sysfs-pciconfig-readwrite.patch, extra &'s
  removed.
* Fri Jan 14 2005 - mantel@suse.de
- tagged SLES9_SP1_RC5
* Fri Jan 14 2005 - mantel@suse.de
- patches.fixes/fix-smp-pagefault: fix race in SMP page fault
  handler (SUSE49652).
* Fri Jan 14 2005 - agruen@suse.de
- patches.fixes/smbfs-security-fix: Split off last update into
  incremental patch patches.fixes/smbfs-security-fix2.
- Mark the following patches as +post-sp1:
  patches.fixes/smbfs-security-fix2,
  patches.fixes/bio-bdev-init,
  patches.fixes/nfs-directio-maxsize,
  patches.fixes/sg-ioctl-unsigned.
* Fri Jan 14 2005 - mason@suse.de
- patches.suse/aio-sync_page_range-ret-3: make sure
  sync_page_range waits for the entire io during O_SYNC aio
  (SUSE47986 - LTC12266 ).
* Thu Jan 13 2005 - mantel@suse.de
- patches.fixes/smbfs-security-fix: merged 2.6.10-ac8 smbfs
  fixes and old stefan esser fixes (SUSE46204).
* Thu Jan 13 2005 - olh@suse.de
- update patches.suse/posix-message-queues
  handle __SI_MESGQ in ppc64 signal32 handler, or ->si_int gets
  a random value. (SUSE49387)
* Thu Jan 13 2005 - mantel@suse.de
- patches.fixes/fix-smp-pagefault: fix race in SMP page fault
  handler (SUSE49652).
* Wed Jan 12 2005 - axboe@suse.de
- patches.fixes/sg-ioctl-unsigned: sg_scsi_ioctl() sign issue (SUSE49782)
* Wed Jan 12 2005 - okir@suse.de
- patches.fixes/nfs-directio-maxsize: Correctly deal with
  oversized NFS DIRECTIO requests (SUSE49685).
* Wed Jan 12 2005 - mantel@suse.de
- patches.fixes/do_brk_fix: based on Marcelo's patch and Andrew's
  suggestion  add missing mmap_sem around do_brk calls (SUSE49492).
* Tue Jan 11 2005 - hare@suse.de
- patches.arch/s390-qdio-hsi-fix
  Update fix for hipersockets (SUSE49639 - LTC13256).
- patches.arch/s390_2005_01_06_hipersocket.diff
  Remove obsolete patch
* Sun Jan 09 2005 - axboe@suse.de
- patches.fixes/bio-bdev-init: init bio->bi_bdev field to NULL (SUSE49439)
* Fri Jan 07 2005 - vojtech@suse.de
- patches.fixes/sysfs-pciconfig-readwrite.patch: powerpc64 - Fix
  sysfs pci config interface to allow word sized atomic reads (SUSE49505)
* Fri Jan 07 2005 - okir@suse.de
- Tagged SLES9 SP1 RC4
* Fri Jan 07 2005 - okir@suse.de
- patches.arch/s390_2005_01_06_hipersocket.diff: Fix hipersocket
  interface on s390 and s390x (SUSE49639).
* Fri Jan 07 2005 - okir@suse.de
- patches.suse/increase-MAX_MP_BUSSES-2: Increase MAX_MP_BUSSES
  for ES7000 (SUSE42179).
* Thu Jan 06 2005 - okir@suse.de
- patches.fixes/ioapics-unlimited: x84_64 - Remove check that limited
  max number of IO-APIC to 8 (SUSE47798).
- patches.fixes/clustered-apic-amd-disable: x84_64 - Disable clustered
  APIC mode on AMD systems (SUSE47798).
* Thu Jan 06 2005 - axboe@suse.de
- patches.drivers/cmd64x-idedma-pin-recursion: fix hwgroup pin deadlock
* Wed Jan 05 2005 - mason@suse.de
- patches.fixes/ext23-percpu-counter-leak: [PATCH] fix ext2/ext3
  memory leak (SUSE49386 LTC13147).
* Wed Jan 05 2005 - mason@suse.de
- patches.suse/b_private-init: Zero b_private when allocating
  buffer heads (SUSE49142).
* Wed Jan 05 2005 - okir@suse.de
- patches.fixes/perfmon-no-oops: perfmon assertion failure in
  pfm_load_regs (SUSE49199).
* Wed Jan 05 2005 - okir@suse.de
- patches.fixes/kernel-statd-accept-any-port: kernel statd should
  accept NOTIFY calls from high ports (SUSE49322).
* Tue Jan 04 2005 - okir@suse.de
- patches.fixes/cmsg-compat-signedness-fix-fix: Fix cmsg_len
  checks in 32bit compat mode (SUSE49517 - LTC13227).
* Thu Dec 23 2004 - okir@suse.de
- patches.fixes/ext3-directio-extend-journal: Fix ext3 directio
  when extending the journal (SUSE47787).
* Wed Dec 15 2004 - garloff@suse.de
- patches.fixes/atkbd-f2-fix: Allow keyboard to survive if any
  key (e.g. F2) is pressed early (SUSE47649). quiet-input adapted.
* Wed Dec 15 2004 - garloff@suse.de
- Tag as SLES9_SP1_RC3.
* Wed Dec 15 2004 - vojtech@suse.de
- patches.fixes/usb-hid-elo.patch: Ignore Constant (padding) fields
  in HID reports altogether. Ignoring only Undefined.Undefined usages
  breaks some devices - namely Elo touchpads. (SUSE49030)
* Wed Dec 15 2004 - agruen@suse.de
- patches.fixes/mp_find_ioapic.patch: __init function called
  from non-__init context (SUSE48981, from Vojtech).
* Wed Dec 15 2004 - agruen@suse.de
- patches.fixes/xfs-kern-20780a-prevent-64KB-pages-with-512B-sectors:
  Prevent 64KB pages with 512B sectors (SUSE49196, SGI:PV926724).
* Mon Dec 13 2004 - agruen@suse.de
- patches.rpmify/mod_param-typeinfo.diff: Include type information
  as module info where possible (SUSE48396).
* Mon Dec 13 2004 - mantel@suse.de
- patches.fixes/igmp-fix: fix possible DoS in igmp code (SUSE48895).
* Mon Dec 13 2004 - mantel@suse.de
- patches.fixes/x86-64-up-lost-irq: Edge triggered IRQ lost
  forever when delivered while IRQ disabled.
* Mon Dec 13 2004 - axboe@suse.de
- patches.fixes/bio-clone-duplicate-vec: bio clone must copy
  io_vec (SUSE47777).
* Mon Dec 13 2004 - okir@suse.de
- patches.fixes/speedstep-centrino-transient-msr: handle transient
  msr values in IA32_PERF_STATUS (SUSE45293).
* Mon Dec 13 2004 - jplack@suse.de
- patches.fixes/64K-align-check-dma-suse.patch
  E1000 errata 24 - possible EEH or memory corruption when DMA
  crosses a 64k boundary (SUSE48368 - LTC12567)
* Sat Dec 11 2004 - andrea@suse.de
- patches.fixes/swapfile-2g: allow swapfiles > 2G on x86 SUSE48602
- patches.fixes/pageattr-guard-page: fix a very longstadning off
  by one accounting error in the iounmap->pageattr (nocache)
  paths, that would make the next physical page cacheable
  erroneously. This is a safe reduced version that doesn't fix
  the other (apparently harmless) longstanding memleaks in the
  pageattr code. The bug affects only x86 and x86-64. (SUSE46920)
* Fri Dec 10 2004 - agruen@suse.de
- rpm/kernel-binary.spec.in: Rename references to megaraid to
  megaraid_mbox in system config files *before* calling mkinitrd
  (SUSE47755).
* Fri Dec 10 2004 - mantel@suse.de
- patches.drivers/megaraid-old: allow megaraid and megaraid_mbox
  drivers to coexist. Clean up Documentation as well.
* Fri Dec 10 2004 - mantel@suse.de
- patches.drivers/megaraid-old: allow megaraid and megaraid_mbox
  drivers to coexist.
- patches.fixes/megaraid-get_user.diff: user/kernel pointer bugs.
* Fri Dec 10 2004 - okir@suse.de
- patches.fixes/sunrpc-multiple-programs-oops: sunrpc - don't
  crash on unknown program numbers (SUSE49062 - LTC12960).
* Fri Dec 10 2004 - mantel@suse.de
- patches.drivers/megaraid-update: update megaraid_mbox driver
  to version 2.20.4.2/2.20.2.4 (SUSE49122).
- patches.drivers/megaraid-update-fix: make new megaraid_mbox
  driver actually compile :/ (SUSE49122).
* Fri Dec 10 2004 - axboe@suse.de
- patches.fixes/bio-bounce-err: Fix error propagation (SUSE48662)
* Fri Dec 10 2004 - mason@suse.de
- patches.suse/getblk_slow-race: __getblk_slow can loop forever
  when pages are partially mapped  (SUSE43890).
* Fri Dec 10 2004 - hare@suse.de
- patches.fixes/fix-per-process-cpu-utilisation
  Fix CPU time reporting for single processes (SUSE47876 - LTC11995)
* Fri Dec 10 2004 - axboe@suse.de
- patches.fixes/sata-ahci-flag: fix bad AHCI enum (SUSE48662)
* Fri Dec 10 2004 - jplack@suse.de
-  patches.arch/ppc64-infiniband-build
  updated to make mellanox compiling again (SUSE48370 - LTC12556,
  SUSE48388 - LTC12557, SUSE48389 - LTC12558)
-  Enabled CONFIG_INFINIBAND_MELLANOX_HCA for pseries64 to
  resolve dependencies
* Fri Dec 10 2004 - garloff@suse.de
- patches.fixes/autofs4-4.1-fixes, autofs4-compat_ioctl,
  autofs4-namespace: autofs4 fixes (SUSE47812).
* Fri Dec 10 2004 - axboe@suse.de
- patches.drivers/aac-remove-handle-aif.patch: kill aif handling
* Thu Dec 09 2004 - axboe@suse.de
- patches.drivers/aacraid-1.1.2lk2-fixes-fixes: kill 'commit' parameter (SUSE48523)
* Thu Dec 09 2004 - axboe@suse.de
- patches.fixes/blkdev-ioctl-enotty: block layer forgets to check -ENOTTY as
  ioctl return value
* Thu Dec 09 2004 - mantel@suse.de
- patches.fixes/fix-memory-leak-ip_conntrack_ftp: Fix memory
  leak in ip_conntrack_ftp (SUSE49047).
* Thu Dec 09 2004 - mantel@suse.de
- patches.fixes/cmsg-compat-signedness-fix: CMSG compat code
  needs signedness fixes too. (SUSE49047).
- patches.fixes/cmsg-signedness: Fix CMSG validation checks
  wrt. signedness. (SUSE49047).
* Thu Dec 09 2004 - mantel@suse.de
- patches.fixes/fix-ip-options-leak: Do not leak IP options. (SUSE49057).
* Thu Dec 09 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-of-stdin-close.patch
  fix random kernel memory corruption if openfirmware stdin device
  is an usb controller (SUSE48712 - LTC11996)
* Thu Dec 09 2004 - rw@suse.de
- patches.drivers/tg3-new-SGI:
  Allow SGI to use 'tg3-new' without 'new_ids'. (SUSE48351)
* Thu Dec 09 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh-read_slot_reset_state-sles.patch
  newer firmware has only the 'ibm,read-slot-reset-state2' rtas call,
  (SUSE48304 - LTC11785)
* Wed Dec 08 2004 - jplack@suse.de
-  patches.arch/ppc64-infiniband-build
  cumulative patch from following bugs, enabling infiniband on
  POWER (SUSE48370 - LTC12556, SUSE48388 - LTC12557, SUSE48389 -
  LTC12558)
-  Enabled CONFIG_INFINIBAND_IPOIB for pseries64
* Wed Dec 08 2004 - agruen@suse.de
- rpm/km.conf: Add configuration file for specifying km packages
  that need to be added to neededforbuild in specific spec files
  only (no Bugzilla bug).
* Wed Dec 08 2004 - jplack@suse.de
- patches.arch/ppc64-11804a.patch: crash at .submit_logged_buffer
  in reiserfs write/vscsi driver failing (SUSE47268 - LTC11804).
* Wed Dec 08 2004 - agruen@suse.de
- rpm/kernel-binary.spec.in: Rename references to megaraid to
  megaraid_mbox in system config files /etc/modprobe.conf,
  /etc/modprobe.conf.local, /etc/modprobe.d/*,
  /etc/sysconfig/kernel, /etc/sysconfig/network/ifcfg-* (SUSE47755).
* Tue Dec 07 2004 - jplack@suse.de
- patches.arch/ppc64-ltc12433.patch
  veth dies on SLES9 SP1 (SUSE48664 - LTC12433)
* Tue Dec 07 2004 - axboe@suse.de
- patches.drivers/sk98lin-asus-vpd: ASUS sk98lin gigabit ethernet fix
* Tue Dec 07 2004 - jplack@suse.de
- patches.fixes/e1000-new-e23-64KboundaryDMA.patch
  patches.fixes/e1000_e23-e1000-new-off-by-1.patch
  updated patches above according to new information from
  Intel and test results from IBM (SUSE48368 - LTC12567)
* Tue Dec 07 2004 - schwab@suse.de
- Fix MCA during cross-partition MPI [SUSE48955].
* Mon Dec 06 2004 - axboe@suse.de
- Fix bad cciss unknown ioctl return (SUSE48870)
* Mon Dec 06 2004 - mantel@suse.de
- patches.fixes/igmp-fix: fix possible DoS in igmp code (SUSE48895).
* Mon Dec 06 2004 - mantel@suse.de
- patches.fixes/fix-elf-overlap: fix insection of invalid vma
  (SUSE48493).
* Fri Dec 03 2004 - mason@suse.de
- Update config files.
- patches.suse/ckrm_cpu_guard_class_calls_12743_48795.patch:
  Ensure ckrm cpu funcs are not called when ckrm scheduler is
  disabled (SUSE48795, LTC12743).
* Fri Dec 03 2004 - hare@suse.de
- patches.suse/khelper-limit-static.patch
  do not fill up process table when many events occur (SUSE48348).
* Fri Dec 03 2004 - axboe@suse.de
- Fix vfree() with interrupts disabled in sg (SUSE48868)
* Thu Dec 02 2004 - schwab@suse.de
- Fix misapplied sba_iommu patch [SUSE48037].
* Thu Dec 02 2004 - axboe@suse.de
- Add fix for missing variable in aacraid (SUSE48523)
* Thu Dec 02 2004 - axboe@suse.de
- Incorporate more correct (and bug free) fix for O_DIRECT EOF -EIO
  problems (SUSE47120)
* Thu Dec 02 2004 - mantel@suse.de
- patches.fixes/sys_ia32-overrun: Fix buffer overrun in
  arch/x86_64/sys_ia32.c (SUSE48813).
* Wed Dec 01 2004 - agruen@suse.de
- patches.fixes/serialize-dgram-read.diff: Serialize dgram read
  using semaphore just like stream (SUSE48427).
* Wed Dec 01 2004 - hare@suse.de
- patches.fixes/nfs-cred-fix
  Always add credentials to inodes for NFS (SUSE48212 - LTC12486).
* Wed Dec 01 2004 - mantel@suse.de
- moved tag SLES9_SP1_RC1
* Wed Dec 01 2004 - jplack@suse.de
- disable CONFIG_INFINIBAND* for pmac64 & iseries64
  does not build and not needed
* Wed Dec 01 2004 - mantel@suse.de
- fix PPC configs
* Wed Dec 01 2004 - hare@suse.de
- patches.suse/khelper-limit-static.patch
  Fix alignment for ia64 (SUSE48348).
* Wed Dec 01 2004 - jplack@suse.de
- patches.arch/ppc64-kernel-cache.patch
  Error when attempting to build drivers/infiniband/core/mad_ib.o
  missing defined(__PPC64__) (SUSE48543 - LTC12713)
- enable CONFIG_INFINIBAND_* for pseries64
- patches.fixes/e1000_e23-e1000-new-off-by-1.patch
  fixes off-by-1 error from intels patch (SUSE48368 - LTC12567)
* Wed Dec 01 2004 - andrea@suse.de
- patches.fixes/mlock-lockups: avoid deadlocks with non-ram under
  mlockall. (SUSE48719)
* Wed Dec 01 2004 - jplack@suse.de
- patches.arch/ppc64-lparcfg-vpurr.patch
  SLES9 Doesn't Enable PURR for shipping kernel for Power5
  (SUSE47652 - LTC12083)
* Tue Nov 30 2004 - axboe@suse.de
- Fix IMM highmem oops (SUSE43131)
* Tue Nov 30 2004 - hare@suse.de
- patches.suse/khelper-limit-static.patch
  Fix patch to be less intrusive (SUSE48348).
* Tue Nov 30 2004 - jplack@suse.de
- patches.fixes/e1k_new_sgtng-sp1.patch
  e1000 EEH error removes device / potential data integrity issue
  on all architectures (SUSE41111 - LTC8539)
* Tue Nov 30 2004 - jplack@suse.de
- patches.arch/ppc-infiniband-kconfig.patch
  Infiniband not configurable for Power (SUSE48475 - LTC12711)
* Tue Nov 30 2004 - hare@suse.de
- Add patches.fixes/enable-all-events-for-initramfs.patch
  Rearrange initialisation sequence for hotplug events (SUSE48348).
* Mon Nov 29 2004 - garloff@suse.de
- patches.arch/ppc64-export-virt-IRQ: Export (GPL) two symbols
  for allowing modules to use virtual IRQs (SUSE48369).
- patches.drivers/activepci-attention: Allow ACPI PCI hotplug
  callbacks to set/get_attention_status(), used by IBM (SUSE48452).
- Update config files (i386, ia64, x86-64).
- patches.suse/khelper-limit-static.patch: left disabled as it
  failed our testing (SUSE48348).
* Mon Nov 29 2004 - agruen@suse.de
- patches.fixes/jfs-extent-overflow-bugs: Enable in series.conf
  (SUSE48563).
* Mon Nov 29 2004 - hare@suse.de
- Add patches.suse/khelper-limit-static.patch
  Limit max number of concurrent khelper processes (SUSE48348).
* Mon Nov 29 2004 - axboe@suse.de
- Fix bio_copy_user() bio_map_data leak on error (SUSE48548)
* Mon Nov 29 2004 - hare@suse.de
- Enable patches.arch/s390-11-01-april2004.diff
  Enable new DASD CCW IDs (SUSE48597).
* Fri Nov 26 2004 - agruen@suse.de
- Enable patches.fixes/latency-inode-lock from mason (SUSE48135).
* Fri Nov 26 2004 - agruen@suse.de
- patches.suse/nfsacl-fixes.diff: Add missing MODULE_LICENSE
  declaration in fs/nfsacl.c (taints the kernel).
* Fri Nov 26 2004 - hare@suse.de
- Include IBM codedrop 25-11-2004
  add patches.arch/s390-10-0{4,5,6}-april2004.diff
  add patches.arch/s390-11-0{1,2,3}-april2004.diff
- Removed obsolete patches
- Disabled patches.arch/s390-11-01-april2004.diff
  (Feature for SP2)
* Fri Nov 26 2004 - jplack@suse.de
- patches.fixes/infiniband.tx_free.patch
  backward port of fix for spinlock problem in ipoib from
  svn:openib.org/gen1 (SUSE48390 - LTC12559)
* Fri Nov 26 2004 - agruen@suse.de
- patches.fixes/nfs-sillyrename-fix was missing from series.conf
  (SUSE48347 - LTC12621).
* Thu Nov 25 2004 - okir@suse.de
- patches.fixes/netdev-xmit-nit-bh: Even lock-less loopback TX needs to
  be protected against BHs (SUSE48259 - LTC12139).
* Thu Nov 25 2004 - agruen@suse.de
- patches.fixes/find_next_best_node-fix: Improve NUMA cross-node
  memory allocation heuristics (find_next_best_node) (SUSE48106).
* Thu Nov 25 2004 - mantel@suse.de
- patches.fixes/mpu401-include: Fix missing inclusion of linux/acpi.h.
* Thu Nov 25 2004 - mantel@suse.de
- patches.suse/rcfs-taskclass-unnamed-dir: unnamed directory
  created under /rcfs/taskclass (SUSE48526 - LTC12739).
  regression was caused by another rcfs bugfix
* Thu Nov 25 2004 - agruen@suse.de
- patches.fixes/aio_free_ring-oops.diff: Oops in aio_free_ring
  on 2.6.9 (SUSE48021).
* Thu Nov 25 2004 - agruen@suse.de
- Enable patches.suse/nfsacl-fixes.diff (SUSE48477).
* Thu Nov 25 2004 - mantel@suse.de
- patches.drivers/megaraid_mbox_symbols: fix unresolved symbols
  in megaraid_mbox driver (SUSE48522).
- patches.fixes/export-acpi_register_gsi: export symbol
  acpi_register_gsi (SUSE48522).
* Thu Nov 25 2004 - agruen@suse.de
- patches.suse/ckrm_fix_compile_warnings_del_dead_code:
  Fix compile warnings and delete dead code in include files
  (LTC12727 SUSE48454, SUSE48487).
- patches.suse/ckrm_cpu_sched_does_not_compile_for_nonsmp:
  CKRM CPU Scheduler does not compile in NON_SMP mode due to
  different definition for cpu_possible_map from 2.6.8 (LTC12728
  SUSE48454, SUSE48488).
- patches.fixes/xfs-direct-io-deadlock.patch: XFS direct IO
  deadlock fix (SUSE48514).
* Thu Nov 25 2004 - jplack@suse.de
- patches.arch/ppc64_iommu-align.patch
  patches.fixes/e1000-new-e23-64KboundaryDMA.patch
  patches.arch/ppc64_iommu-align.patch
  fix possible EEH or memory corruption when DMA crosses a
  64k boundary (SUSE48368 - LTC12567)
- patches.arch/iSeriesPURR_SLES9SP1.patch
  iSeries Linux on legacy systems not reporting
  PURR (SUSE48108 / LTC12413)
* Thu Nov 25 2004 - mantel@suse.de
- patches.fixes/acpi-irq0: allow IRQ0 to be used as a legal PCI
  device IRQ (SUSE44422)
* Thu Nov 25 2004 - axboe@suse.de
- Fix gdth bug with mapping empty request data (SUSE48520)
* Thu Nov 25 2004 - andrea@suse.de
- patches.fixes/prio-tree-expand-bits: fix prio-tree-expand bug.
* Wed Nov 24 2004 - mantel@suse.de
- patches.suse/ckrm-jiffies_to_msec:  (SUSE48409 - LTC12233).
  crbce should provide time stamp in msec rather than in jiffies
* Wed Nov 24 2004 - mantel@suse.de
- patches.fixes/pclose-exit: LTC12013-Sometimes pclose() hangs
  if child process status already collected (SUSE47979 - LTC12013).
  fix problem with pclose() sometimes hanging
* Wed Nov 24 2004 - hare@suse.de
- patches.suse/lkcd-switch-stacks: create a switch_stack for
  producing reliable backtraces (SUSE48318)
* Wed Nov 24 2004 - ak@suse.de
- patches.suse/kdb-x86_64-breakpoint: Fix breakpoints on x86-64 KDB
  (SUSE48379)
* Wed Nov 24 2004 - mason@suse.de
- ckrm-cpu-controller fixes does not compile on ppc, disable it
* Tue Nov 23 2004 - agruen@suse.de
- patches.suse/nfsacl-fixes.diff: Device special files and
  permission cache fix (SUSE48477).
- patches.suse/nfsacl-umask.diff: Fix ACL umask handling over nfs
  (SUSE48477).
* Tue Nov 23 2004 - mason@suse.de
- patches.suse/ckrm-cpu-controller-fixes: ckrm cpu controller
  update for rc1 (SUSE48454).
* Tue Nov 23 2004 - mason@suse.de
- patches.fixes/invalidate_inodes-speedup.patch: Add per super
  list of inodes (SUSE48135)
- patches.fixes/generic_shutdown_super-less-bkl.patch: Don't
  hold BKL during invalidate_inodes() (SUSE48135)
* Tue Nov 23 2004 - mason@suse.de
  CKRM update
- patches.suse/ckrm-cpu-monitor-bug: CPU monitor control deamon
  hits a BUG_ON (SUSE48420)
- patches.suse/ckrm-inc-taskdelay.patch: Include taskdelays.h
  in crbce.h (SUSE48411)
- patches.suse/ckrm-rbce_class_del_crash.patch: RBCE hangs when
  a class is deleted while targeted by a rule (SUSE47981)
- patches.suse/ckrm-remove_target.patch: CKRM remove target file
  and move functionality to members file (SUSE47834)
* Tue Nov 23 2004 - ak@suse.de
- patches.suse/kdb-export: Export kdb_on for xpc (SUSE48465)
* Tue Nov 23 2004 - trenn@suse.de
- enabled CONFIG_X86_SPEEDSTEP_CENTRINO_ACPI for i386 (SUSE45293)
* Tue Nov 23 2004 - ak@suse.de
- patches.arch/x86_64-more-cpus: enlarge max number of CPUs
  on x86-64 (SUSE47798)
* Tue Nov 23 2004 - kraxel@suse.de
- patches.uml/uml-checksum-fix: add missing memory barrier.
- big uml patch batch postphoned to SP2, retagged with "+sp2".
* Tue Nov 23 2004 - axboe@suse.de
- patches.fixes/gdth-bad-reverse-map
  Fix bug in mapping sg data to kernel (SUSE48424)
* Tue Nov 23 2004 - mantel@suse.de
- patches.arch/es7000-apic: enable ES7000 APIC (SUSE44426).
  disable patches.arch/es7000-exports
* Tue Nov 23 2004 - okir@suse.de
- patches.arch/x86_64-cpu-data: enabled in series.conf; required
  for x86_64 speedstep support (SUSE45293)
* Tue Nov 23 2004 - schwab@suse.de
- ia64 early printk for PROM detection message [SUSE48399].
* Tue Nov 23 2004 - hare@suse.de
- patches.arch/s390-allow-memory-holes
  Allow memory holes on S/390 (SUSE48438)
* Tue Nov 23 2004 - andrea@suse.de
- patches.fixes/account-reserved-pages: allow reading from
  zeropage with O_DIRECT/rawio. (SUSE48141)
* Mon Nov 22 2004 - andrea@suse.de
- patches.fixes/alloc_pages-2.6.8: fix buggy mainline 2.6.8 code
  merged with patches.suse/numa-lower-zone-protection. (SUSE48404)
* Mon Nov 22 2004 - mantel@suse.de
- patches.drivers/cciss-adapt:
  re-add missing PCI ID that was still unknown (SUSE47097)
* Mon Nov 22 2004 - rw@suse.de
- patches.suse/cpusets-mm-policy:
  Fix for possible cpuset race in alloc_pages_current().  (SUSE48358)
- patches.suse/cpusets-sem-deadlock:
  Add fix for possible deadlock on cpuset semaphore when allocating
  memory, but left disabled.  (SUSE48359)
* Mon Nov 22 2004 - rw@suse.de
- patches.suse/acct-eop-hook:
  Add "end-of-process accounting" hook needed for full VM statistics.
  (SUSE48296)
* Mon Nov 22 2004 - rw@suse.de
- patches.fixes/direct-io.backport:
  Add Direct IO page accounting fixes backported from post-2.6.5
  kernels. (SUSE48123)
- patches.suse/bighash-interleaving:
  Update patch to always initialize 'table'. (SUSE46663)
- Update config files:
  add '# CONFIG_KEYBOARD_POSFILTER is not set' almost everywhere.
* Mon Nov 22 2004 - ak@suse.de
- Fix double echo on x86-64 KDB (SUSE48290)
* Mon Nov 22 2004 - ak@suse.de
- Disable mmconfig on AMD systems (SUSE48400)
* Mon Nov 22 2004 - hare@suse.de
- patches.fixes/fix-per-process-cpu-utilisation
  Fix per-process CPU utilisation (SUSE47876 - LTC11995)
* Mon Nov 22 2004 - ak@suse.de
- Fix and reenable centrino speedstep on x86-64 (SUSE45293)
* Mon Nov 22 2004 - schwab@suse.de
- Fix sleep with disabled interrupt in perfmon [SUSE48282].
* Fri Nov 19 2004 - mason@suse.de
- patches.suse/reiserfs-bitmap-nr-overflow: reiserfs: small
  filesystem fix.  Fixes oops in scan_bitmap_nr when fs is less
  then 128MB in size
* Fri Nov 19 2004 - ak@suse.de
- Really fix and reenable x86-64 vsyscalls (SUSE43813)
* Fri Nov 19 2004 - axboe@suse.de
- Update SG_IO read/write command table (SUSE47985)
* Fri Nov 19 2004 - kraxel@suse.de
- add uml patches for bug SUSE47727, tagged with "+uml" and thus left
  disabled by default for now.
* Fri Nov 19 2004 - duwe@suse.de
- Add kbd hook for SLRS, only used and active in its own special
  kernel.
* Fri Nov 19 2004 - hare@suse.de
- patches.arch/s390-fix-compat-stime.patch
  Fix sys_stime() in 31-bit compability mode (SUSE48295).
- patches.suse/backing-store-fix-remove-dir.patch
  Fix remove directories in sysfs under high load.
* Fri Nov 19 2004 - okir@suse.de
- patches.fixes/nfs-sillyrename-fix: NFS: Prevent unnecessary
  sillyrenames (SUSE48347 - LTC12621).
* Fri Nov 19 2004 - agruen@suse.de
- patches.fixes/compat-fcntl-flock-fix.diff: compat_sys_fcntl[64]
  contain superfluous, buggy test (SUSE47963, SUSE46863).
* Fri Nov 19 2004 - mantel@suse.de
- tagged SLES9_SP1_BETA3
* Fri Nov 19 2004 - mantel@suse.de
- patches.drivers/cciss-update:
- patches.drivers/cciss-adapt:
  update driver to version 2.6.4 (SUSE47097)
* Fri Nov 19 2004 - mantel@suse.de
- patches.fixes/compat_ioctl_tcsbrkp:
  move TCSBRKP support to compat layer instead of only fixing for
  x86-64 (SUSE48317)
* Fri Nov 19 2004 - andrea@suse.de
- patches.fixes/anon-rss: change "shared" information in
  /proc/self/statm to reflect "rss - anon_rss" instead of
  the virtual space.
* Thu Nov 18 2004 - ak@suse.de
- Fix crash on x86-64 systems with memory only on one node (SUSE47416)
* Thu Nov 18 2004 - ak@suse.de
- Fix kdb=on (SUSE48129)
- Fix kdb bta on x86-64 (SUSE48289)
* Thu Nov 18 2004 - okir@suse.de
- patches.fixes/nfs-fix-disconnected-dentries2: Fix for the
  d_find_alias patch (SUSE48332).
* Thu Nov 18 2004 - axboe@suse.de
- Update bighash-interleaving patch and enable it (SUSE46663)
* Wed Nov 17 2004 - agruen@suse.de
- rpm/kernel-binary.spec.in: Include /usr/share/doc/packages/%%name
  in the file list if it exists; km packages may want to place
  additional documentation in there.
* Wed Nov 17 2004 - axboe@suse.de
- Fix crash with bighash patch (SUSE46663)
* Wed Nov 17 2004 - mantel@suse.de
- config/ppc64/pseries64:
  enable CONFIG_SCSI_QLA4XXX (SUSE48164 - LTC12462)
* Wed Nov 17 2004 - mantel@suse.de
- patches.fixes/elf-loader-setuid:
  additional checks for elf loader vulnerability
* Wed Nov 17 2004 - schwab@suse.de
- Toss local buffer cache pages before going offnode [SUSE46667].
* Tue Nov 16 2004 - rw@suse.de
- patches.arch/ia64-pal-tr_read:
  Fix phys. address conversion in ia64_pal_tr_read.  (SUSE48261)
* Tue Nov 16 2004 - agruen@suse.de
- SUSE48207: kernel-binary %%postun: Notify boot loader after another
  kernel has become active.
* Tue Nov 16 2004 - mantel@suse.de
- patches.fixes/acct-update-unneeded:
  do not update statistics in acct_update_integrals() if nothing
  changed (SUSE48213)
* Tue Nov 16 2004 - ak@suse.de
- patches.fixes/ddp-unlock: Fix missing unlock in Appletalk DDP.
* Tue Nov 16 2004 - hare@suse.de
- Re-enable patches.suse/dm-barrier-update (SUSE42489)
  (has been overwritten by patches.suse/dm-backport-2.6.9rc3-udm1)
* Mon Nov 15 2004 - agruen@suse.de
- XFS fixes:
  + patches.fixes/xfs-kern-181416a-skip-quotacheck: Allow the
  option of skipping quotacheck processing. (PV922332).
  + patches.fixes/xfs-kern-181620a-remove-isreg-checks: remove
  useless S_ISREG check in ->mmap and ->mprotect (PV923607).
  + patches.fixes/xfs-kern-181653a-split-pagebuf_get-up: splitup
  pagebuf_get (PV923980).
  + patches.fixes/xfs-kern-181657a-fix-inode-create-race: handle
  inode creating race (PV921072).
  + patches.fixes/xfs-kern-181792a-fix-dmapi-inode-create-race:
  handle inode creating race (PV921072).
  + patches.fixes/xfs-kern-181871a-readahead-using-xfs_buf_get_flags:
  call the right function in pagebuf_readahead (PV923980).
  + patches.fixes/xfs-kern-182694a-fix-iodone-after-unmount:
  Wait for all async buffers to complete before tearing down
  the filesystem at umount time (PV901236).
* Mon Nov 15 2004 - mason@suse.de
- patches.suse/ckrm-inittask: Make sure init_task is initialized
  before set_taskclass is called
* Mon Nov 15 2004 - mason@suse.de
- Add the CKRM CPU controller again, this time without the monster
  kmalloc
* Mon Nov 15 2004 - rw@suse.de
- Enabled patches.suse/bighash-interleaving.  (SUSE46663)
* Mon Nov 15 2004 - mantel@suse.de
- patches.fixes/fix-aout-leak:
  fix also for x86_64
* Mon Nov 15 2004 - hare@suse.de
- Include IBM codedrop 12-11-2004
  add patches.arch/s390-10-0{1,2,3}-april2004.diff
* Mon Nov 15 2004 - mantel@suse.de
- patches.fixes/zap_pte_range-dirty-pages: [PATCH] zap_pte_range
  should not mark non-uptodate pages dirty.
* Mon Nov 15 2004 - mantel@suse.de
- patches.fixes/fix-aout-leak:
  fix a.out leaking fds and memory (SUSE48199)
* Mon Nov 15 2004 - ak@suse.de
- kdb-serial-fix: Fix serial console for kdb (SUSE48215)
* Mon Nov 15 2004 - mantel@suse.de
- patches.fixes/smbfs-security-fix: Security fix for 2.6 smbfs (SUSE46204).
* Fri Nov 12 2004 - schwab@suse.de
- Avoid taking lock in profile_hook when there are no listeners [SUSE47825].
* Fri Nov 12 2004 - schwab@suse.de
- Fix handling of symlinks on tmpfs [SUSE48068].
* Fri Nov 12 2004 - mantel@suse.de
- patches.fixes/elf-loader-setuid:
  fix ELF loader when handling setuid binaries (SUSE45632)
* Fri Nov 12 2004 - rw@suse.de
- patches.arch/ia64-sn-kernel-irq:
  Sync up arch/ia64/sn/kernel/irq.c after "io-reorg patchset". (SUSE48171)
* Fri Nov 12 2004 - axboe@suse.de
- Enable patches.suse/st-non-blocking-open and default to same behaviour
  as before for now (SUSE45446)
* Fri Nov 12 2004 - axboe@suse.de
- Allow qla2xxx queue depth to be changed through sysfs (SUSE48188)
* Fri Nov 12 2004 - axboe@suse.de
- Makes sense available at io completion (SUSE47498)
* Fri Nov 12 2004 - axboe@suse.de
- Fix IDE ioreg_t truncation on ia64 due to being the wrong type (SUSE48168)
* Thu Nov 11 2004 - schwab@suse.de
- More robust handling of EFI GPT detection [SUSE48105].
* Thu Nov 11 2004 - axboe@suse.de
- aic7xxx/aic79xx pci tables (SUSE47789)
* Thu Nov 11 2004 - mantel@suse.de
- patches.fixes/dobson-speedfix:
  add shpchp speed fix workaround for dobson chipset (SUSE48140)
* Thu Nov 11 2004 - mantel@suse.de
- patches.arch/es7000-exports:
  fix misplaced EXPORT_SYMBOLs for es7000 (SUSE44426)
* Thu Nov 11 2004 - axboe@suse.de
- Fix aic79xx/aic7xxx modprobe/rmmod oops (SUSE47390)
* Thu Nov 11 2004 - schwab@suse.de
- Make serial console default if it is the only console [SUSE47987].
* Thu Nov 11 2004 - axboe@suse.de
- Change patches.fixes/dont-clear-referenced-pages to not rely on page count
  magic, but rather just retry a page on io error.
* Wed Nov 10 2004 - schwab@suse.de
- Fix oops when reconfiguring mmio serial ports [SUSE46589].
* Wed Nov 10 2004 - lmb@suse.de
- More multipath work has been merged upstream. (Still disabled.)
* Wed Nov 10 2004 - lmb@suse.de
- Abort reading the partition table on first error. (SUSE47505)
* Wed Nov 10 2004 - lmb@suse.de
- Re-enable building of km_luste-lite.
* Wed Nov 10 2004 - okir@suse.de
- patches.fixes/decnet-check-pointers: Removed bogus hunks that
  caused oopses when using decnet (SUSE46733)
* Wed Nov 10 2004 - okir@suse.de
- patches.drivers/dpt_i2o-backport: dpt_i2o backport from 2.6.8 (SUSE44914).
- Updated config files
* Tue Nov 09 2004 - axboe@suse.de
- Fix excessive systime (and worse performance) in block layer with
  several writers
* Tue Nov 09 2004 - schwab@suse.de
- Fix wrong allocation of DMA mapping resources for SBA I/O-MMU [SUSE48037].
* Tue Nov 09 2004 - hare@suse.de
- Include IBM codedrop 09-11-2004
  add patches.arch/s390-09-??-april2004.diff
  Remove merged patches.
* Tue Nov 09 2004 - mantel@suse.de
- patches.fixes/parport-mutex:
  fix oops in parport_wait_peripheral (SUSE47947)
* Tue Nov 09 2004 - rw@suse.de
- patches.suse/kdb-modular-compile:
  Updated to fix ia64 serial console problem.
* Tue Nov 09 2004 - olh@suse.de
- add patches.fixes/jfs-ag_lock.patch
  Protect active_ag with a spinlock (SUSE48000 - LTC12296)
* Sat Nov 06 2004 - olh@suse.de
- update patches.suse/kdb-xmon-coexistance-ppc64
  dont disable xmon if xmon is already configured as debugger
* Fri Nov 05 2004 - rw@suse.de
- patches.arch/ia64-sn-sn_sal:
  Do not disable interrupts in
  ia64_sn_plat_specific_err_print(). (SUSE47957)
* Fri Nov 05 2004 - ihno@suse.de
- Patch for including epoll-fixes from 2.6.9 (SUSE47632)
  patches.fixes/from-2.6.9-epoll_fixes_from_kernel_2.6.9
* Fri Nov 05 2004 - rw@suse.de
- patches.suse/PAGG-fork.fix:
  PAGG: fix for fork failure teardown. (SUSE47959)
* Fri Nov 05 2004 - rw@suse.de
- patches.suse/add-const-to-some-scheduling-functions.patch2:
  KDB v4.4: Avoid compiler warnings (part 2). (SUSE46956)
* Fri Nov 05 2004 - hare@suse.de
- Remove SET_MC_THREAD for qeth devices (SUSE42160).
* Fri Nov 05 2004 - lmb@suse.de
- Compile multipath round-robin path-selector.
* Fri Nov 05 2004 - mantel@suse.de
- tagged SLES9_SP1_BETA2a
* Fri Nov 05 2004 - rw@suse.de
- patches.suse/acpi-_PRT-allocation,
  patches.suse/pci_enable_device:
  (2nd try) ACPI _PRT allocation patch for SLES9 SP1, plus
  pci_enable_device() fixes for some lagging drivers. (SUSE47214)
* Fri Nov 05 2004 - mantel@suse.de
- disabled ckrm-cpu-sp1-beta2.v1
* Fri Nov 05 2004 - mantel@suse.de
- patches.fixes/fix-hugetlb-lock: fix lockup in hugetlb (SUSE47964)
* Fri Nov 05 2004 - olh@suse.de
- disable ibm-ppc64-viodasd-ro also for SP1 (SUSE42233 - LTC9469)
* Fri Nov 05 2004 - mason@suse.de
- make ckrm cpu controller compile on ia64
* Fri Nov 05 2004 - mason@suse.de
- add ckrm cpu controller
* Thu Nov 04 2004 - olh@suse.de
- add patches.drivers/ibm-ppc64-vscsi-ltc12278.diff
  fix uninitialized variable (SUSE47955 - LTC12278)
* Thu Nov 04 2004 - olh@suse.de
- add patches.drivers/ibm-ppc64-vscsi-ltc12082.diff
  add patches.drivers/ibm-ppc64-vscsi-ltc12082b.diff
  fix scsi errors on client reboot (SUSE47920 - LTC12082)
* Thu Nov 04 2004 - axboe@suse.de
- Add aacraid update and fixes to the update (SUSE46869)
* Thu Nov 04 2004 - rw@suse.de
- patches.suse/acpi-_PRT-allocation,
  patches.suse/pci_enable_device:
  ACPI _PRT allocation patch for SLES9 SP1, plus
  pci_enable_device() fixes for some lagging drivers. (SUSE47214)
- patches.suse/bighash-interleaving:
  Fixed round-robin allocation of hashes, but left disabled! (SUSE46663)
* Thu Nov 04 2004 - schwab@suse.de
- Add mmiowb for memory-mapped I/O write barrier and use it in tg3-new
  driver [SUSE47878].
* Thu Nov 04 2004 - okir@suse.de
- patches.fixes/shpchp-fixes: Misc fixes to shpchp driver (SUSE47887).
* Thu Nov 04 2004 - hare@suse.de
- Update IBM codedrop 31-08-2004
  update patches.arch/s390-07-??-april2004.diff
  Remove merged patch.
- Re-enable LCS patch
* Wed Nov 03 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-mmap_sem-deadlock.patch
  fix deadlocks when oopsing while mmap_sem is held (SUSE47753 - LTC11864)
* Wed Nov 03 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-vio-iommu.patch
  fix dma window parsing in vio setup (SUSE47912 - LTC12257)
* Wed Nov 03 2004 - schwab@suse.de
- Disable X86_SPEEDSTEP_CENTRINO on x86-64.
* Wed Nov 03 2004 - hare@suse.de
- patches.arch/s390-08-0?-april2004.diff
  Update to latest IBM codedrop 21-10-2004.
* Wed Nov 03 2004 - rw@suse.de
- config/ia64/debug,
  patches.fixes/acpi-scan-bad-free,
  patches.fixes/acpi-nsxfname:
  Debug kernel fails on HP IPF machines. (SUSE44617)
* Wed Nov 03 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-tce.patch
  handle more than one TCE setup or invalidation at a time,
  if firmware supports it (SUSE47790 - LTC12186)
* Wed Nov 03 2004 - hare@suse.de
- patches.arch/s390-timer4.patch
  Fix POSIX.1b timers for S/390
- patches.arch/s390-lcs-fix-channel-state
  Make LCS working again on S/390 (SUSE47783)
- patches.arch/s390-qeth-setip-msg.diff
  Re-enable SETIP messages on qeth (SUSE47035)
* Wed Nov 03 2004 - olh@suse.de
- add patches.drivers/jsm-procfs.patch
  Convert /proc interface to use seq_file API (SUSE47861 - LTC12216)
* Wed Nov 03 2004 - rw@suse.de
- patches.suse/sched-livelock:
  Improve load_balance() tolerance for pinned tasks.  (SUSE47514)
* Wed Nov 03 2004 - okir@suse.de
- patches.fixes/net-gethwaddr-null: Clear address buffer in
  SIOCGIFHWADDR ioctl (SUSE47796).
* Wed Nov 03 2004 - axboe@suse.de
- IDE in_interrupt hwgroup pinning fix (SUSE47425)
* Wed Nov 03 2004 - mantel@suse.de
- moved tag SLES9_SP1_BETA2
* Wed Nov 03 2004 - mantel@suse.de
- patches.drivers/ips-update:
  update IBM ServeRAID driver to 7.10.18
* Wed Nov 03 2004 - mantel@suse.de
- patches.drivers/aic79xx-dell-update:
  do the rename for the sysfs entry as well
* Wed Nov 03 2004 - mantel@suse.de
- patches.drivers/aic79xx-dell-update:
  make driver actually compile; rename to "aic79xx-new"
* Wed Nov 03 2004 - axboe@suse.de
- Fix O_DIRECT EOF handling
* Wed Nov 03 2004 - mantel@suse.de
- disable patches.suse/bighash-interleaving as it prevents machines
  from booting
* Wed Nov 03 2004 - mantel@suse.de
- config/*/*:
- patches.drivers/cciss-update:
  update cciss driver to 2.6.2; don't clone driver
  activate missing CONFIG_POSIX_MQUEUE
* Wed Nov 03 2004 - andrea@suse.de
- patches.suse/posix-message-queues: backport of posix message
  queues from mainline 2.6.9.
* Wed Nov 03 2004 - ak@suse.de
- Fix x86-64 compilation after previous patch
* Tue Nov 02 2004 - schwab@suse.de
- Improve speed of freeing bootmem [SUSE44239].
* Tue Nov 02 2004 - schwab@suse.de
- Disable CONFIG_SCSI_AIC79XX_NEW on ia64, does not build.
* Tue Nov 02 2004 - olh@suse.de
- add patches.drivers/hvsi-sysrq-SLES9SP1.diff
  allow sysrq via hvsi console (SUSE47875 - LTC12165)
* Tue Nov 02 2004 - schwab@suse.de
- Update all configs.
* Tue Nov 02 2004 - hare@suse.de
- config/*/*:
- patches-drivers/aic79xx-dell-update:
  add aic79xx clone for dell.
* Tue Nov 02 2004 - mantel@suse.de
- patches.suse/increase-MAX_MP_BUSSES: increase MAX_MP_BUSSES to
  make kernel parameters "acpi=off" and "pci=noacpi" work on ES7000
  (SUSE42179)
* Tue Nov 02 2004 - mantel@suse.de
- patches.drivers/infiniband-duplicate-arp: avoid duplicate entries
  in IB arp in ipoib (SUSE47213)
* Tue Nov 02 2004 - mantel@suse.de
- tagged SLES9_SP1_BETA2
* Tue Nov 02 2004 - mantel@suse.de
- config/*/*:
- patches.drivers/qla4xxx:
  add qlogic qla4xxx driver version v5.00.01b10
* Tue Nov 02 2004 - rw@suse.de
- patches.suse/max-log-buf-shift:
  Increase max CONFIG_LOG_BUF_SHIFT value to 21 bits
  and use it for ia64-sn2.  (SUSE47751)
* Tue Nov 02 2004 - rw@suse.de
- patches.arch/ia64-sn-mca:
  Correct bit test for salinfo oem decode.  (SUSE47823)
* Tue Nov 02 2004 - lmb@suse.de
- One more patch for Lustre, plus reactivated one bugfix.
* Tue Nov 02 2004 - rw@suse.de
- patches.arch/ia64-sn2-hwperf:
  Correctly handle bricks with multiple slabs.  (SUSE47821)
- patches.arch/ia64-sn-io_init:
  Only allocate irq if the device can interrupt.  (SUSE47822)
* Tue Nov 02 2004 - rw@suse.de
- patches.suse/lkcd-dump-before-sync:
  Start crash dump before sync() when panic occurs.  (SUSE47250)
* Tue Nov 02 2004 - rw@suse.de
- patches.suse/bighash-interleaving:
  Allow distribution of hashes at boot-time.  (SUSE46663)
* Mon Nov 01 2004 - jeffm@suse.com
- add patches.suse/ext3-reservation
  adds support for ext3 preallocation reservations
- add patches.suse/ext3-reservation-default-off
  defaults support to disabled
* Sat Oct 30 2004 - ak@suse.de
- patches.arch/x86_64-genapic: Add clustered APIC mode support
  on x86-64 (SUSE47798)
* Fri Oct 29 2004 - mason@suse.de
- Some ckrm bugfixes from bugzilla
  ckrm-ce_modules.patch:SUSE46666 LTC11543
  ckrm_12088:SUSE47707 LTC12088
  ckrm-patch.11903:SUSE47454 LTC11903
  ckrm-jiffies-msec:SUSE47519 LTC11983
  ckrm-numtasks_config:SUSE47330 LTC11551
  ckrm-numtasks_forkrate:SUSE47331 LTC11607
* Fri Oct 29 2004 - schwab@suse.de
- Fix time interpolator for cyclone timer [SUSE47569].
* Fri Oct 29 2004 - olh@suse.de
- update patches.suse/kdb-modular-compile
  fix compile on i386
* Fri Oct 29 2004 - olh@suse.de
- add patches.arch/x86_64-make-O-boot.patch
  add patches.arch/i386-make-O-boot.patch
  allow make O=$dir
* Fri Oct 29 2004 - agruen@suse.de
- Pack out the broken fix for SUSE47120 (which leads to SUSE47664), and
  the broken fix for SUSE47664, which leads to reiserfs hangs
  (probably because of memory corruption).
* Fri Oct 29 2004 - mantel@suse.de
- patches.arch/es7000-GSI-override: fix improper GSI override on
  ES7000 platform (SUSE44425)
* Fri Oct 29 2004 - olh@suse.de
- add patches.suse/kdb-modular-compile
  let the new kdb at least compile without errors
* Fri Oct 29 2004 - mantel@suse.de
- config/{i386|x86_64}/*:
- patches.drivers/enhanced-speedstep:
  add enhanced speedstep ("'ondemand' cpufreq policy governor")
  (SUSE45293)
* Fri Oct 29 2004 - mantel@suse.de
- patches.suse/rbce_modcount_incorrect: fix reference count for
  crbce module (SUSE47527 - LTC11418)
* Fri Oct 29 2004 - mantel@suse.de
- patches.fixes/invalidate_inode_pages2-EIO: make invalidate_inode_pages2
  return -EIO on problems in order to fix BUG at fs/mpage.c:462
  during File system stress (SUSE47602 - LTC11826)
* Fri Oct 29 2004 - mantel@suse.de
- patches.drivers/infiniband-tsIPoibDeviceArpFind-panic: fix panic
  in tsIPoibDeviceArpFind running rmmod (SUSE47173)
* Fri Oct 29 2004 - mantel@suse.de
- patches.drivers/infiniband-tsIpoibDeviceIbStop-panic: fix panic
  in tsIpoibDeviceIbStop while running netperf (SUSE47172)
* Fri Oct 29 2004 - mantel@suse.de
- patches.drivers/infiniband-ipoib_completion-panic: fix panic in
  ipoib_completion (SUSE47171)
* Fri Oct 29 2004 - okir@suse.de
- patches.fixes/lkcd-chardev-fail: lkcd: Don't crash in
  dump_block_open if device is not a blkdev (SUSE47406 - LTC11825).
* Fri Oct 29 2004 - olh@suse.de
- add patches.suse/kdb-common-startKDB
  use 'startKDB' as serial snoop string again on ppc64
* Fri Oct 29 2004 - ak@suse.de
- patches.arch/x86_64-wdog-timeout: Increase NMI watchdog timeout on x86-64
  (SUSE47570)
* Fri Oct 29 2004 - ak@suse.de
- Add sysctl to disable tmpfs NUMA policy round-robin (SUSE47076)
* Fri Oct 29 2004 - ak@suse.de
- patches.suse/panic-blink: Blink keyboard LEDs on panic (SUSE47363)
* Fri Oct 29 2004 - ak@suse.de
- patches.arch/x86-sigaltstack: Fix sigaltstack handling on i386 and
  x86-64 (SUSE47660)
* Fri Oct 29 2004 - ak@suse.de
- patches.arch/x86_64-copyuser Fix copy*user exception handling on x86-64
  (SUSE47582)
* Fri Oct 29 2004 - olh@suse.de
- add patches.drivers/hvsi-reset.diff
  survive FSP reset (SUSE43954 - LTC10460)
* Fri Oct 29 2004 - okir@suse.de
- patches.suse/force-kernel-statd: change Kconfig to force
  CONFIG_STATD when using CONFIG_LOCKD (SUSE43128 - LTC9976).
* Fri Oct 29 2004 - agruen@suse.de
- patches.fixes/direct-io-alignment: read(fd, buf, size) returns
  negative size (SUSE47664).
* Thu Oct 28 2004 - olh@suse.de
- reenable CONFIG_PPC_VPURR (SUSE47652 - LTC12083)
* Thu Oct 28 2004 - rw@suse.de
- patches.suse/numa-tmpfs-round-robin:
  Establish round-robin tmpfs allocation on NUMA machines. (SUSE47076)
* Thu Oct 28 2004 - olh@suse.de
- add patches.arch/ipr_block_config_io_during_bist.patch
  add patches.arch/ppc64_block_cfg_io_during_bist.patch
  Change ipr to use new ppc64 pci APIs to block PCI config space
  accesses when running BIST to prevent PCI master aborts.
  (SUSE42942 - LTC9825)
* Thu Oct 28 2004 - rw@suse.de
- patches.fixes/wake_up_forked_process-race-fix-3-of-2:
  Set cpu from cpus_allowed. (SUSE45556)
* Thu Oct 28 2004 - olh@suse.de
- really disable xmon or kdb if disabled via cmdline or sysctl
* Wed Oct 27 2004 - rw@suse.de
- patches.suse/enhanced-accounting-io,
  patches.suse/enhanced-accounting-mm:
  FEATURE: add accounting kernel hooks. (SUSE45416)
* Wed Oct 27 2004 - rw@suse.de
- patches.suse/cpusets-node0-no-SRAT:
  Mark node0 online on SMP systems without SRAT.  (SUSE47657)
* Wed Oct 27 2004 - olh@suse.de
- update patches.suse/dprobes-kprobes-full-linux-2.6.5-7.17.patch
  update patches.suse/kprobes-dprobes-2.6.2-full-20040210.patch
  remove double newline from sysrq action_msg string
* Wed Oct 27 2004 - axboe@suse.de
- Fix SCSI bounce limits (SUSE42331)
* Wed Oct 27 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-fp-signal-register-restore.patch
  preserve FP (and altivec) context of other processes
  (SUSE47630 - LTC12050)
* Wed Oct 27 2004 - andrea@suse.de
- patches.fixes/kswapd_balance: fix longstanding bug in kswapd
  that didn't balance correctly the zones with the protection
  (now lowmem_reserve) algorithm enabled.
* Wed Oct 27 2004 - andrea@suse.de
- patches.fixes/lowmem_reserve: avoid oom early kill or deadlocks
  due memory imbalances. This is useful both on x86-64 vs ZONE_DMA
  and especially on x86 on the 32G boxes vs ZONE_NORMAL. This has
  been a critical bugfix for google when implemented originally
  in 2.4. This makes the SUSE CVS the first 2.6 kernel out there
  without this bug. This especially matters on machines without
  swap. The algorithm used to fix this critical bug has been
  invented by SUSE. This algorithm is more efficient than
  throwing cpu and memcopies at the problem.
* Tue Oct 26 2004 - rw@suse.de
- patches.suse/PAGG:
  FEATURE: Add PAGG patches (IPF only!). (SUSE39322)
* Tue Oct 26 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-vmx-signal-register-restore.patch
  remove ppc part of the patch, not needed
* Tue Oct 26 2004 - rw@suse.de
- patches.suse/cpusets-nodemask:
  Fix format of Mems_allowed field in /proc/<pid>/status.  (SUSE47607)
* Tue Oct 26 2004 - olh@suse.de
- add patches.fixes/jfs-errout30-cleanup.patch
  On error path in lmLogInit(), zero l_wqnext to avoid trap
  in lbmfree() (SUSE47419 - LTC10975)
* Tue Oct 26 2004 - mantel@suse.de
- patches.fixes/account-reserved-pages: properly account reserved
  pages (SUSE47343)
* Tue Oct 26 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-imalloc_exist.patch
  [PATCH] __ioremap_explicit() criterion change
  (SUSE47515 - LTC11728)
* Tue Oct 26 2004 - olh@suse.de
- add patches.fixes/jfs-txCommit-race.patch
  Fix race by only allowing one transaction against imap inode
  (SUSE47556 - LTC11982)
* Tue Oct 26 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-vmx-signal-register-restore.patch
  ppc32/64: FPU/vector register restore after signal
  (SUSE47630 - LTC12050)
* Tue Oct 26 2004 - olh@suse.de
- fix udbg_getc/putc calls in kdb
* Mon Oct 25 2004 - ak@suse.de
- patches.suse/kdb-{modular,x86_64,exit,redirect): Add modular kdb for
  x86-64 (SUSE36260)
* Mon Oct 25 2004 - olh@suse.de
- enable kdb4.4 for ppc64 (SUSE46956 - LTC11881)
* Mon Oct 25 2004 - axboe@suse.de
- Bug in O_DIRECT io path if there's nothing left to do.
* Sat Oct 23 2004 - lmb@suse.de
- Fix SECTOR_FORMAT define for CONFIG_LBD again. This fixes a number of
  dm targets.
* Fri Oct 22 2004 - garloff@suse.de
- st-ioctl-idlun-support: general ioctls may succeed where st fails
  [SUSE45446]. st-non-blocking open may be needed as well. (Currently
  disabled.)
* Fri Oct 22 2004 - mantel@suse.de
- moved SLES9_SP1_BETA1
* Fri Oct 22 2004 - mantel@suse.de
- add missing msleep() function to new megaraid driver
* Fri Oct 22 2004 - rw@suse.de
- patches.suse/lkcd-cpu-scale,
  patches.suse/lkcd-set-arch,
  patches.suse/lkcd-ia64-stack-offset,
  patches.suse/lkcd-kernel-address,
  patches.suse/lkcd-no-regs:
  Update LKCD to support SGI Altix and 512p. (SUSE47067)
* Fri Oct 22 2004 - mantel@suse.de
- patches.drivers/tg3-new-adapt:
- patches.drivers/bcm5700-new-adapt:
- patches.drivers/cciss-new-adapt:
  have new drivers register themselves in sysfs under new name (*-new)
* Fri Oct 22 2004 - rw@suse.de
- patches.suse/lkcd-hooks:
  Add LKCD hooks before crash dump start and after crash dump end. (SUSE47248)
* Fri Oct 22 2004 - olh@suse.de
- add patches.drivers/e1000-new
  add patches.drivers/e1000-new-adapt
  add new version 5.3.19 of e1000 driver as "e1000-new"
* Fri Oct 22 2004 - mantel@suse.de
- config/*/*:
- patches.drivers/cciss-new:
- patches.drivers/cciss-new-adapt:
  add new version 2.6.2 of cciss driver as "cciss-new"
* Fri Oct 22 2004 - rw@suse.de
- patches.arch/ia64-sn2-pcibr_dma:
  Allow functions other than zero to use virtual DMA channel 1
  on Altix. (SUSE47452)
* Fri Oct 22 2004 - rw@suse.de
- patches.suse/cpusets-pagecache,
  patches.suse/cpusets-slabcache:
  Round-robin allocation of buffer cache pages within cpuset. (SUSE46665)
* Fri Oct 22 2004 - mantel@suse.de
- config/*/*:
- patches.drivers/bcm5700:
- patches.drivers/bcm5700-new:
- patches.drivers/bcm5700-new-adapt:
  downgrade bcm5700 driver to GA version 7.2.24
  add new version 7.3.5 of bcm5700 driver as "bcm5700-new"
* Fri Oct 22 2004 - mantel@suse.de
- patches.drivers/megaraid-update:
- patches.suse/megaraid-smp-lock-warning:
  update megaraid driver to v2.20.4
* Fri Oct 22 2004 - hare@suse.de
- Update aacraid driver to version 1.1.5
* Fri Oct 22 2004 - mantel@suse.de
- patches.drivers/gdth-update:
- patches.drivers/gdth-update-adapt:
  update gdth driver to 3.04
* Fri Oct 22 2004 - mantel@suse.de
- config/*/*:
- patches.drivers/tg3-new:
- patches.drivers/tg3-new-adapt:
  add new version 3.10 of tg3 driver as "tg3-new"
* Fri Oct 22 2004 - mantel@suse.de
- patches.suse/pci.ids-update: Update PCI IDs to latest version
* Thu Oct 21 2004 - axboe@suse.de
- patches.fixes/cfq-pid-grouping: change CFQ default to do per-pid grouping
  instead of per-tgid. The current CFQ v1 design doesn't do inter-group
  fairness very well (it doesn't attempt to, it's by design), so it can cause
  starvation for threaded workloads. (SUSE42443)
* Thu Oct 21 2004 - mantel@suse.de
- tagged SLES9_SP1_BETA1
* Thu Oct 21 2004 - mantel@suse.de
- patches.drivers/ixgb-update:
  update ixgb driver to 1.0.82 (SUSE45570)
* Thu Oct 21 2004 - mantel@suse.de
- patches.drivers/ixgb-update:
- patches.fixes/from-2.6.6-rcx-IXGB-ixgb.h-needs-dma-mapping.h:
  update ixgb driver to 1.0.80 (SUSE45570)
* Thu Oct 21 2004 - olh@suse.de
- apply cpusets for all, show config option only on ia64
* Thu Oct 21 2004 - rw@suse.de
- patches.arch/ia64-pgalloc:
  Immediately free page table entries. (SUSE46671)
- patches.arch/ia64-sn2-pci_dma:
  Export missing sn_dma_mapping_error symbol. (SUSE47418)
* Thu Oct 21 2004 - mantel@suse.de
- patches.drivers/qla2xxx-update:
- patches.drivers/qla2xxx-fo-disable:
- patches.suse/qla-failover-deprecated:
  update driver to v8.00.00; disable failover feature and print
  warning that it's deprecated (SUSE43392)
* Thu Oct 21 2004 - olh@suse.de
- add patches.drivers/jsm.patch
  new DIGI 2 port serial driver (SUSE47421 - LTC11818)
* Thu Oct 21 2004 - olh@suse.de
- add patches.drivers/emulex-lpfc-2.10g.patch
  support 256 LUNs (SUSE45685 - LTC11319)
  fix EEH MMIO failure (SUSE45683 - LTC10643)
* Thu Oct 21 2004 - axboe@suse.de
- Fix qla2xxx block layer segment abuse (SUSE46763)
* Wed Oct 20 2004 - andrea@suse.de
- patches.fixes/futex-cmp-requeue: add FUTEX_CMP_REQUEUE to allow
  fixing glibc userspace deadlocks in SUSE45361 more efficienty
* Wed Oct 20 2004 - agruen@suse.de
- rpm/kernel-binary.spec.in: Add version to provided symbol
  "kernel". This will help with extra packages that contain kernel
  modules.
* Wed Oct 20 2004 - rw@suse.de
- patches.suse/cpusets:
  FEATURE: Add cpuset patches (IPF only!). (SUSE44168)
* Wed Oct 20 2004 - rw@suse.de
- patches.arch/ia64-perfmon-20041020:
  Fix various perfmon bugs which could cause panics. (SUSE46246)
* Wed Oct 20 2004 - agruen@suse.de
- patches.drivers/infiniband-kbuild: I did overlook another path
  that needed fixing.
* Wed Oct 20 2004 - rw@suse.de
- patches.arch/ia64-sn2-bte-error-handler
  Fix BTE error handler. (SUSE47422)
- patches.fixes/numa-lower-zone-protection
  Fix page allocator lower zone protection for NUMA. (SUSE45175)
* Wed Oct 20 2004 - agruen@suse.de
- SUSE46987 - LTC11693: CKRM update.
* Wed Oct 20 2004 - axboe@suse.de
- Fix O_DIRECT/raw issue with reading the last bit of a device
  (SUSE47120)
* Tue Oct 19 2004 - olh@suse.de
- update patches.fixes/scsi-device-block-unlock.patch
  add another block check to scsi_prep_fn()
* Tue Oct 19 2004 - olh@suse.de
- add patches.arch/ppc-make-O-boot.patch
  fix make O=$dir on ppc32
* Tue Oct 19 2004 - olh@suse.de
- update patches.suse/suse.ppc32.console.autodetection
  check of_stdout_device to fix BootX booting on older Macs
* Tue Oct 19 2004 - olh@suse.de
- add patches.fixes/blk_queue_export_resize_tags.patch
  Exports blk_queue_resize_tags since it is an exported interface.
  (SUSE47036 - LTC11714)
  add patches.fixes/blk_queue_tags_resize_failure.patch
  Fixes blk_queue_resize_tags to properly handle allocation failures
  (SUSE47034 - LTC11713)
  add patches.fixes/blk_resize_tags_fix.patch (SUSE47031 - LTC11707)
  init_tag_map should not initialize busy_list, refcnt, or busy fields
  add patches.fixes/scsi_tcq_resize.patch (SUSE47037 - LTC11715)
* Tue Oct 19 2004 - rw@suse.de
- patches.suse/add-const-to-some-scheduling-functions.patch:
  KDB v4.4: Avoid compiler warnings.  (SUSE46956 C11)
- patches.suse/kdb-v4.4-2.6.5-common-3:
  Refreshed by Keith Owens.  (SUSE46956 C13)
- patches.suse/numa-api-kdb-v4.4-i386:
  Let kdb build on i386 with HUGETLB=Y.  (SUSE46956 C14)
* Tue Oct 19 2004 - lmb@suse.de
- Backport latest changes and updates for device-mapper, in particular
  dm-multipath.
* Tue Oct 19 2004 - okir@suse.de
- patches.drivers/cifs-1.22: added fs/Kconfig changes for
  CIFS XATTR and POSIX support
- config/*/*: enabled CONFIG_CIFS_{STATS,XATTR,POSIX}
* Tue Oct 19 2004 - olh@suse.de
- add patches.fixes/scsi-device-block-unlock.patch
  allow scsi drivers to block further scsi commands to a host
  useful for cable pulling on fibrechannel (SUSE46831 - LTC11599)
* Tue Oct 19 2004 - mantel@suse.de
- patches.fixes/twincastle-hotplug: fix hotplug driver for
  twincastle chipset (SUSE47166)
* Tue Oct 19 2004 - mantel@suse.de
- patches.suse/ckrm-taskaglock: obtain required locking for
  set_tasktag (SUSE46927)
* Tue Oct 19 2004 - mantel@suse.de
- patches.fixes/aio-dio-oops: fix oops in aio (SUSE47379)
* Tue Oct 19 2004 - mantel@suse.de
- patches.fixes/domain-scheduler-performance: fix performance
  problem bug in domain scheduler (SUSE47123)
* Tue Oct 19 2004 - olh@suse.de
- add LTC11495 patches.arch/ibm-ppc64-rtas-flash_unload.patch
  clean up after rtas-flash module unload (SUSE46776 - LTC11495)
* Mon Oct 18 2004 - agruen@suse.de
- supported.conf: Add missing modules.
* Mon Oct 18 2004 - agruen@suse.de
- patches.rpmify/extmod-extra: extra/ path was lost in last fix.
* Mon Oct 18 2004 - axboe@suse.de
- REQ_BLOCK_PC requests don't always return correct info for SCSI devices
  (SUSE47338)
* Mon Oct 18 2004 - rw@suse.de
- patches.arch/ia64-sn2-bte-locking,
  patches.arch/ia64-sn2-bte-copy-hang:
  Fixes for oops/hangs in bte driver on IPF.  (SUSE47348)
* Mon Oct 18 2004 - okir@suse.de
- patches.fixes/netfilter6-icmp6-skip-exthdrs,
  patches.fixes/netfilter6-ipv6-skip-exthdrs:
  Properly skip extension headers when matching IPv6 packets (SUSE46338).
* Mon Oct 18 2004 - rw@suse.de
- patches.arch/ia64-mca-cpe-polling,
  patches.arch/ia64-mca-cpe-polling-setup,
  patches.arch/ia64-mca-quiet-corrected-errors:
  Avoid system slowdown due to CPE flood on IPF (SUSE46988).
* Mon Oct 18 2004 - axboe@suse.de
- Fix tcq freeing (SUSE47030)
* Mon Oct 18 2004 - ak@suse.de
- Disable x86_64-vsyscall to fix init segfault (SUSE47205)
* Mon Oct 18 2004 - agruen@suse.de
- patches.fixes/unmap-mapping-range: Backport unmap_mapping_range
  from 2.6.6 (SUSE44488).
* Mon Oct 18 2004 - okir@suse.de
- patches.drivers/cifs-1.22: update from Steve French
* Mon Oct 18 2004 - axboe@suse.de
- Honor initial write cache setting (SUSE47015)
* Sun Oct 17 2004 - agruen@suse.de
- patches.suse/xfs-rename: Rename files to match the xfs cvs.
- patches.suse/xfs-cvs-20041017: xfs cvs snapshot.
- patches.suse/xfs-backport: Back out things in xfs that don't
  match this tree.
- patches.suse/xfs-backout-viro-symlink: Back out Al Viro's symlink
  resolution improvements in xfs; we don't have them.
- patches.suse/xfs-no-qsort: Remove qsort() from xfs; we have it in
  the common code.
- patches.suse/dmapi-generic: Generic DMAPI layer (HSM).
- patches.suse/xfs-dmapi-enable: Bits an dpieces for DMAPI in the
  generic code.
- patches.suse/vfs-backport: Backport generic_file_direct_write and
  generic_file_buffered_write from 2.6.9-rc4.  Export
  sync_page_range.  Backport mapping_mapped().
- Delete tons of individual xfs fixes.
- Update config files.
* Sun Oct 17 2004 - olh@suse.de
- add patches.drivers/hvsi-hangup.diff
  fix race in hvsi_hangup (SUSE47110 - LTC11689)
* Sun Oct 17 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh-recover-2.patch
  Provide code to enable recovery from PCI EEH errors.
  The kernel currently panics on EEH error; with this patch,
  the PCI card will be re-initialized. (SUSE47033 - LTC11710)
* Sun Oct 17 2004 - agruen@suse.de
- patches.suse/xfs-cvs: Fix merge error (xfs_map accidentally
  dropped from fs/xfs/Makefile).
* Sat Oct 16 2004 - agruen@suse.de
- patches.rpmify/extmod-extra: Support official variable name
  INSTALL_MOD_DIR in addition to our MOD_DIR.
* Sat Oct 16 2004 - olh@suse.de
- add patches.arch/suse-ppc64-make-install.patch
  fix make install (SUSE39427 - LTC7872)
* Fri Oct 15 2004 - agruen@suse.de
- patches.rpmify/sumversion.diff: Fix .tmp_versions for external
  modules.
* Fri Oct 15 2004 - olh@suse.de
- add patches.fixes/do_anonymous_page-race (SUSE46948 - LTC11574)
  Fix threaded user page write memory ordering
  Make sure we order the writes to a newly created page with the
  page table update that potentially exposes the page to another CPU.
* Fri Oct 15 2004 - schwab@suse.de
- Upgrade kdb to v4.4, disabling it on pseries64 for now [SUSE46956].
* Fri Oct 15 2004 - schwab@suse.de
- Add SGI Altix TIO support [SUSE46669].
* Fri Oct 15 2004 - okir@suse.de
- Enabled NFSv4 client on all platforms
* Fri Oct 15 2004 - garloff@suse.de
- patches.suse/readahead-tune: Default RA to 512kB (instead of 128)
  and increase limit to two requests (instead of one).
* Fri Oct 15 2004 - okir@suse.de
- patches.drivers/cifs-1.22: Update CIFS to version 1.22
  (SP1 feature request; no bugzilla ID available yet)
* Fri Oct 15 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-hvsi-udbg.patch
  implements udbg for HVSI systems, which enables xmon/kdb and
  early boot messages. (SUSE47175 - LTC11790)
* Thu Oct 14 2004 - agruen@suse.de
- patches.fixes/wake_up_forked_process-race-fix-[12]-of-2: Fix
  potential race condition in wake_up_forked_process() (SUSE45556).
  Reviewed by Kurt and Andrea.
* Thu Oct 14 2004 - agruen@suse.de
- Big xfs file rename to simplify merging patches.
* Thu Oct 14 2004 - garloff@suse.de
- patches.suse/qla-failover-deprecated: document ql2xfailover
  to be deprecated and troublesome (SUSE46820, SUSE43392)
* Thu Oct 14 2004 - olh@suse.de
- add patches.fixes/bighash.patch
  alloc d/i cache early (SUSE42941 - LTC9913)
* Thu Oct 14 2004 - hare@suse.de
- add patches.arch/s390-ctcmpc.diff
  Implement CTC MPC network driver
- add patches.arch/s390-cpu-hotplug.diff
  CPU hotplugging for S/390
- add patches.arch/s390-dasd-fixedbuffer.diff
  Enhance buffer handling on DASD devices.
* Thu Oct 14 2004 - okir@suse.de
- patches.fixes/smbfs-wait-connect: Prevent NULL pointer
  dereference in smb_readdir (SUSE47157)
* Thu Oct 14 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-oprof-970.patch (SUSE47167 - LTC11754)
  ppc64: fix oprofile on 970
- Use 970/970FX instead of GPUL
- Add POWER5 and 970FX to systemcfg.h
- Create new cpu feature CPU_FTR_MMCRA_SIHV and use it
* Thu Oct 14 2004 - agruen@suse.de
- patches.fixes/acct-AHZ.diff: Export times in struct acct in
  units of AHZ (SUSE43811)
* Thu Oct 14 2004 - okir@suse.de
- patches.fixes/nfs-fix-disconnected-dentries: Fix disconnected
  dentries on NFS exports (SUSE46587)
* Thu Oct 14 2004 - hare@suse.de
- Always include bitmap_scnprintf in builds (SUSE46255 - LTC11441)
  add patches.fixes/always-include-bitmap-functions
- Add missing compatible ioctls for softdog
  and enable it for S/390 (SUSE47163)
  add patches.fixes/add-watchdog-compat-ioctl
  add patches.arch/s390-enable-softdog
* Wed Oct 13 2004 - kkeil@suse.de
- missed first CAPI bugfix needed for (SUSE47191)
* Wed Oct 13 2004 - schwab@suse.de
- Fix handling of large modules [SUSE47159].
* Wed Oct 13 2004 - agruen@suse.de
- patches.fixes/xfs-direct-IO-fix: Fix generic direct IO code
  for XFS (SUSE47178), from Nathan Scott.
* Wed Oct 13 2004 - kkeil@suse.de
- patches.fixes/c4_locking_fix (SUSE47191)
  * Fix a SMP deadlock for the AVM c4 driver
* Wed Oct 13 2004 - mantel@suse.de
- patches.fixes/edid-info-corruption: avoid E820 map corruption
  on systems that have more than 18 E820 entries (SUSE46876)
* Wed Oct 13 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-make-install-O.patch
  fix make O=.. install (SUSE47164 - LTC11778)
* Wed Oct 13 2004 - mantel@suse.de
- patches.fixes/compat_sys_fcntl64: fix overflow with fcntl with
  gcc32 (SUSE46863)
* Wed Oct 13 2004 - mantel@suse.de
- patches.fixes/idefloppy-medium-not-present: suppress media not
  present errors in idefloppy (SUSE46862)
* Wed Oct 13 2004 - agruen@suse.de
- patches.fixes/bsd-accounting-oops: BSD accounting oops fix
  (SUSE43811)
- patches.fixes/bsd-accounting-cross-platform: BSD accounting
  cross-platform compatibility (SUSE43811, incative)
- patches.fixes/bsd-accounting-format-rework: BSD accounting
  format rework (SUSE43811, inactive)
* Wed Oct 13 2004 - agruen@suse.de
- patches.drivers/infiniband-kbuild: Fix the fix.
* Tue Oct 12 2004 - agruen@suse.de
- patches.drivers/infiniband-kbuild: Fix kbuild (O=).
* Tue Oct 12 2004 - schwab@suse.de
- Fix dprobes compilation on ia64 and enable in debug config [SUSE42188].
* Tue Oct 12 2004 - schwab@suse.de
- Fix overalignment in SAL error record [SUSE46989].
* Tue Oct 12 2004 - mantel@suse.de
- patches.suse/bootsplash-locking: fix locking problems in bootsplash
  fix various little bugs (SUSE39012, SUSE43279, SUSE45676)
* Tue Oct 12 2004 - okir@suse.de
- patches.fixes/nfs-min-blocksize:
  On machines with 16K PAGE_SIZE, the NFS client would select an
  rsize/wsize that would potentially exceed the maximum sizes
  supported by the server (SUSE47132)
- patches.fixes/nfs-blocksize: rediffed because of above change
- patches.fixes/nfs-short-read: If the NFS server returned less
  data than requested by a client, the rest of the page would be
  zeroed silently. (SUSE47132, too)
* Mon Oct 11 2004 - schwab@suse.de
- Update fetchop driver to 2.0 [SUSE47051].
* Mon Oct 11 2004 - ak@suse.de
- Fix mem= option on some NUMA x86-64 configurations (SUSE43450)
* Mon Oct 11 2004 - ak@suse.de
- Fix poll=idle on i386/x86-64 (SUSE43818)
* Mon Oct 11 2004 - ak@suse.de
- Update S2IO driver (SUSE43383)
* Mon Oct 11 2004 - olh@suse.de
- update vscsi server to version 1.3 (SUSE46877 - LTC11618)
  patches.drivers/ibm-ppc64-vscsi-ltc11618-patch1.diff
  patches.drivers/ibm-ppc64-vscsi-ltc11618-patch2.diff
  patches.drivers/ibm-ppc64-vscsi-ltc11618-patch3.diff
  patches.drivers/ibm-ppc64-vscsi-ltc11618-patch4.diff
  patches.drivers/ibm-ppc64-vscsi-ltc11618-patch5.diff
* Mon Oct 11 2004 - hare@suse.de
- patches.arch/s390-sacf.patch: Fix SACF local root exploit.
* Mon Oct 11 2004 - ak@suse.de
- Update forcedeth driver (SUSE43057)
* Mon Oct 11 2004 - ak@suse.de
- Fix uninitialized variables in x86-64 32bit io_setup (SUSE47089)
- Fix warning in 32bit ptrace on x86-64
* Mon Oct 11 2004 - olh@suse.de
- add patches.drivers/ipr-2-0-10-1.patch
- Add a couple new devices supported by the ipr device driver.
- first parameter for sector_div must be sector_t rather than int.
- Correctly enable tagged command queuing for the ipr driver.
- Fixes a hang in i/o that could occur if an adapter was ever
  declared "dead" by the ipr driver due to repeated failed
  attempts to revive the card.
- Prevent adapter shutdown error response from being logged.
- Only allow eh initiated start_unit commands following erp to
  disk devices.
- Properly translate aborted error response.
* Thu Oct 07 2004 - axboe@suse.de
- Add ich6 combined mode quirk (SUSE44539)
* Thu Oct 07 2004 - mludvig@suse.de
- Fix connection listing in ip_conntrack module [SUSE44982]
  patches.fixes/nf-conntrack-{count,expect,list}
* Thu Oct 07 2004 - schwab@suse.de
- Export full PROM version information in /proc/sgi_prominfo [SUSE44862].
* Wed Oct 06 2004 - schwab@suse.de
- Fix scalability problem in dnotify_parent [SUSE46089].
* Wed Oct 06 2004 - axboe@suse.de
- dm-mpath barrier fixes (SUSE42489)
* Tue Oct 05 2004 - axboe@suse.de
- Add SCSI transport attributes (SUSE46249)
* Mon Oct 04 2004 - okir@suse.de
- patches.suse/lockless-loopback: Implement lockless loopback (SUSE43847)
* Mon Oct 04 2004 - ak@suse.de
- Fix input checking in NUMA syscall (SUSE46760)
* Sat Oct 02 2004 - jeffm@suse.com
- Release path after iput in sys_unlink (SUSE45004)
* Fri Oct 01 2004 - andrea@suse.de
- patches.fixes/pte-establish-race avoid userspace corruption
  during COWs with threads on x86 PAE with >4G of ram.
* Thu Sep 30 2004 - axboe@suse.de
- Fix ide write cache setup and snooping on change (SUSE44899)
* Thu Sep 30 2004 - olh@suse.de
- add patches.fixes/usb-uhci-add-UHCI_PTR_QH.patch
  Set QH bit in UHCI framelist entries (SUSE46364)
* Thu Sep 30 2004 - olh@suse.de
- add patches.fixes/usb-storage-nec-floppy-lun.patch
  floppy fails to report scsi LUNs correctly (SUSE42892)
* Wed Sep 29 2004 - agruen@suse.de
- patches.arch/lindenhurst-irqbalance: compilation fix.
* Tue Sep 28 2004 - axboe@suse.de
- Fix problem with use of bio->bi_io_vec elements after io completion, since
  partial io completions may have overwritten ->bv_len and ->bv_offset.
  (bug SUSE45868)
* Tue Sep 28 2004 - okir@suse.de
- patches.fixes/nfsd-readdirplus-encode-fix: Prevent memory
  corruption when using readdirplus (SUSE44871)
* Tue Sep 28 2004 - mantel@suse.de
- patches.drivers/fusion-update: Update MPT fusion driver to
  3.01.14.23 (SUSE46243, SUSE45964)
* Tue Sep 28 2004 - mantel@suse.de
- patches.fixes/scsi-devinfo-update: update entry for COMPAQ
  HSV110 (needs BLIST_LARGELUN) (SUSE46261)
* Tue Sep 28 2004 - schwab@suse.de
- Timer improvements and scalability fixes [SUSE44540].
* Tue Sep 28 2004 - schwab@suse.de
- Attribute ia64_spinlock_contention ticks to the caller [SUSE45835].
* Tue Sep 28 2004 - andrea@suse.de
- patches.suse/silent-stack-overflow: enforce gap between
  heap and stack. SUSE44807
* Mon Sep 27 2004 - schwab@suse.de
- Increase the minimum load balancing interval on large systems [SUSE44180].
* Mon Sep 27 2004 - axboe@suse.de
- ahci/ich6 etc piix sata support (SUSE44539 && SUSE45849)
* Mon Sep 27 2004 - mantel@suse.de
- patches.fixes/export-symbols-gpl: export some symbols for SGI
  GPL kernel modules (SUSE46082)
* Mon Sep 27 2004 - mantel@suse.de
- patches.fixes/reiserfs-write-err: Fix return values (SUSE45758)
- patches.fixes/tmpfs-write-err: Fix return values (SUSE45758)
* Mon Sep 27 2004 - mantel@suse.de
- patches.fixes/sbinfo-shmem: fix /dev/zero page fault scaling
  problem (SUSE45415)
* Mon Sep 27 2004 - mantel@suse.de
- patches.fixes/fix-race-__dget_locked: avoid race when updating
  nr_unused count of unused dentries (SUSE44796)
* Mon Sep 27 2004 - mantel@suse.de
- patches.drivers/ecc-E7501: fix two issues (SUSE41220):
  a) fix e7501 checker to handle device 0, function 1
  b) fix wrong memory range value
* Mon Sep 27 2004 - mantel@suse.de
- patches.arch/lindenhurst-irqbalance: Add workaround for Intel
  E76xx erratum 24 (SUSE43200)
* Sun Sep 26 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-sles9-tst-timer4.patch
  handle __SI_TIMER for 32bit apps (SUSE43799 - LTC10642)
* Sat Sep 25 2004 - olh@suse.de
- update Release: tag for all specfiles, not just the current one
  (SUSE45207)
* Fri Sep 24 2004 - okir@suse.de
- Updated netfilter-ipt-log-crash: IP options handling was
  broken as well (SUSE46016)
* Fri Sep 24 2004 - okir@suse.de
- patches.fixes/netfilter-ipt-log-crash: Prevent ICMP crash in
  netfilter logging (SUSE46016)
* Fri Sep 24 2004 - mantel@suse.de
- allow to reliably detect location of IDE sector errors (SUSE45475)
* Fri Sep 24 2004 - okir@suse.de
- Fixed a typo in sunrpc-optional-auth
* Fri Sep 24 2004 - mason@suse.de
- make sure O_SYNC writes properly return -EIO (SUSE43622)
* Thu Sep 23 2004 - garloff@suse.de
- ca-enable: Fix hooks. (SUSE45139)
* Wed Sep 22 2004 - okir@suse.de
- Allow NFS lockd callbacks to work (SUSE45168)
* Wed Sep 22 2004 - agruen@suse.de
- patches.rpmify/cvs-timestamp-in-oopses.diff,
  rpm/kernel-binary.spec.in: Add CVS timestamp to Oopses
* Wed Sep 22 2004 - mantel@suse.de
- export symbol get_sb_pseudo (SUSE45571)
* Tue Sep 21 2004 - mantel@suse.de
- add support for the O_NOATIME open flag (SUSE41365)
* Tue Sep 21 2004 - mantel@suse.de
- ckrm: fix problem with rbce_reclassify, rbce_tag, rbce_info,
  rbce_state and a directory rules not getting created (SUSE41906)
* Tue Sep 21 2004 - mantel@suse.de
- ckrm: fix problem with delay data, waitcpu_total field showing
  incorrect values on SMP machines due to clock drifts (SUSE43096)
* Tue Sep 21 2004 - mantel@suse.de
- don't clear/remove referenced pages (SUSE44485)
* Tue Sep 21 2004 - okir@suse.de
- nfsd: fix fsid export option (SUSE43919 - LTC10282)
* Tue Sep 21 2004 - schwab@suse.de
- Add SGI Altix hardware performance monitoring API [SUSE45546].
* Mon Sep 20 2004 - okir@suse.de
- sunrpc/svcsock: don't propagate TCP recvfrom errors up to nfsd;
  this causes nfsd to exit (SUSE45132)
* Sat Sep 18 2004 - olh@suse.de
- add patches.arch/ppc64-make-O-boot.patch
  allow make O=/dir for arch/ppc64/boot (SUSE45507 - LTC11247)
* Fri Sep 17 2004 - axboe@suse.de
- Yet another update to the raid1 patches (SUSE45220)
* Fri Sep 17 2004 - mantel@suse.de
- update bcm5700 driver to 7.3.5
* Fri Sep 17 2004 - schwab@suse.de
- Add Altix system controller communication driver [SUSE45400].
* Fri Sep 17 2004 - schwab@suse.de
- Convert sn_proc_fs to use seq_file API [SUSE45399].
* Fri Sep 17 2004 - schwab@suse.de
- Add /proc/ide entries for sgiioc4 driver [SUSE45288].
* Fri Sep 17 2004 - mantel@suse.de
- enable CONFIG_SGI_PARTITION also for i386 and x86_64 (SUSE44581)
* Thu Sep 16 2004 - lmb@suse.de
- Updated patch, upstream now merged the revalidate_special fix.
* Thu Sep 16 2004 - lmb@suse.de
- Merge new Lustre hooks.
* Thu Sep 16 2004 - garloff@suse.de
- bootsplash-anum-NLD: Fix bootsplash.
- reiserfs-acl-dirty.diff: Don't make inherited ACLs dirty.
* Wed Sep 15 2004 - axboe@suse.de
- Don't attach upper level SCSI drivers to raid control ports, such as the
  LSI/Engenio (bug SUSE42111)
* Wed Sep 15 2004 - axboe@suse.de
- Update bio uptodate patch for bug SUSE45220
* Tue Sep 14 2004 - schwab@suse.de
- Enable SGI_PARTITION on ia64 [SUSE44581].
* Tue Sep 14 2004 - schwab@suse.de
- Reduce BKL usage in do_coredump [SUSE44241].
* Tue Sep 14 2004 - olh@suse.de
- add patches.arch/ppc32-uninitalized-variables.patch
  add patches.arch/ppc64-uninitalized-variables.patch
  remove -Wno-uninitialized from CFLAGS, fix a few real bugs
  uncovered by this change
* Tue Sep 14 2004 - schwab@suse.de
- Adjust various compat execve implementations for binfmt_misc change
  [SUSE44272].
* Tue Sep 14 2004 - lmb@suse.de
- ES7000 sub-arch on x86 was not correctly disabled.
- Lustre doesn't build in SP1 branch.
* Tue Sep 14 2004 - axboe@suse.de
- Various raid1 bug fixes (bug SUSE45220)
* Tue Sep 14 2004 - axboe@suse.de
- Add highmem page leak problem on bounced multi-page bios (SUSE45233).
* Mon Sep 13 2004 - agruen@suse.de
- rpm/kernel-source.spec.in: Must not use bash extensions here.
* Mon Sep 13 2004 - agruen@suse.de
- Set VERSION and SUBLEVEL correctly in /usr/src/linux-obj/
  $ARCH/$FLAVOR/Makefile.
* Mon Sep 13 2004 - schwab@suse.de
- Implement more flags for binfmt_misc [SUSE44272].
* Mon Sep 13 2004 - axboe@suse.de
- Fix bio_unmap_user() making assumptions about a bounced bio, this is not
  true since the original bio is being passed in.
* Mon Sep 13 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-load_up_altivec-restore-vscr.patch
  Fix missing register in altivec context switch
* Mon Sep 13 2004 - agruen@suse.de
- Add an empty patches.addon.tar.bz2 for the convenience of
  people who want to rebuild their own kernels with add-on
  patches.
* Mon Sep 13 2004 - agruen@suse.de
- rpm/kernel-binary.spec.in: Put Module.symvers file into
  /usr/src/linux-obj/$ARCH/$FLAVOR/ so that modules can be built
  for the running kernel even without the kernel-syms package.
* Fri Sep 10 2004 - schwab@suse.de
- Remove obsolete hp-sx1000 patches [SUSE34631].
* Fri Sep 10 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-lparcfg-1.4
  correct some incorrect data in /proc/ppc64/lparcfg
  (SUSE44957 - LTC10889)
* Fri Sep 10 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtas-error_log_max.patch
  ask firmware for rtas-error-log-max buf size (SUSE44277 - LTC10824)
* Fri Sep 10 2004 - schwab@suse.de
- Fix oops when pressing INIT button [SUSE43250].
* Thu Sep 09 2004 - agruen@suse.de
- patches.suse/unmap_mapping_range.diff: Backport of
  unmap_mapping_range (SUSE44488). Not yet active in series.conf.
* Thu Sep 09 2004 - garloff@suse.de
- proc-info-leak-2: Add another patch for (minor) proc info leaks.
* Tue Sep 07 2004 - ak@suse.de
- Add powernow K8 cpufreq support for CG stepping K8 (SUSE44107)
* Tue Sep 07 2004 - mantel@suse.de
- check if machine is ES7000 even when acpi=off (SUSE44428)
* Tue Sep 07 2004 - mantel@suse.de
- export some symbols needed by ES7000 Service Processor (SUSE44426)
* Sat Sep 04 2004 - lmb@suse.de
- Dropping (old) Lustre patches in preparation of merging the new Lustre
  patch generation.
* Fri Sep 03 2004 - olh@suse.de
- add patches.drivers/hvsi-close-panic.diff
  null-pointer check to avoid panic on POWER5 (SUSE43040 - LTC10003)
* Fri Sep 03 2004 - olh@suse.de
- add patches.fixes/usb-ehci-watchdog-queuelocking.patch
  fix list corruption when ehci_irq and ehci_watchdog operate
  one the same list elements (SUSE43633)
* Thu Sep 02 2004 - schwab@suse.de
- Fix fallout from partial pages patch [SUSE44608].
* Wed Sep 01 2004 - mantel@suse.de
- kallsyms: differentiate between text and data variables (SUSE43865)
* Wed Sep 01 2004 - mantel@suse.de
- add tg3 ethtool stats (SUSE43687)
* Wed Sep 01 2004 - mantel@suse.de
- fix incorrect data for RAID size and RAID level reported in /proc
  by cciss driver (SUSE43738)
* Wed Sep 01 2004 - schwab@suse.de
- Fix crash in perfmonctl syscall [SUSE44495].
* Wed Sep 01 2004 - mantel@suse.de
- fix memory corruption in libata (SUSE44432)
* Wed Sep 01 2004 - olh@suse.de
- enable hugetlbfs on pmac64
* Wed Sep 01 2004 - schwab@suse.de
- Add /proc/sgi_sn/coherence_id [SUSE44533].
* Tue Aug 31 2004 - hare@suse.de
- S/390: Fix the fix for LCS deadlock (SUSE42909).
* Tue Aug 31 2004 - hare@suse.de
- S/390: Fix deadlock in LCS driver (SUSE42909)
* Tue Aug 31 2004 - garloff@suse.de
- swsusp-linker-section-flags: Fix section flags for swsusp.
* Mon Aug 30 2004 - hare@suse.de
- S/390: IBM codedrop 30-08-2004
  Add patches.arch/s390-07-[01-15]-april2004.diff
- Fix LCS device stall (SUSE42909)
- Fix Multicast handling (SUSE42837)
- Consolidated zfcp patches
  patches.arch/s390-zfcp-shutdown.patch and
  patches.arch/s390-zfcp_set_device_offline.patch
- Various other fixes.
* Fri Aug 27 2004 - schwab@suse.de
- Quiet down bootup [SUSE43866].
* Fri Aug 27 2004 - olh@suse.de
- add patches.fixes/legacy-pty-sysfs.patch
  provide legacy bsd devnodes via sysfs for udev (SUSE42940 - LTC9911)
* Thu Aug 26 2004 - schwab@suse.de
- Fix statfs64/fstatfs64 in ia32 emulation [SUSE44282].
* Thu Aug 26 2004 - schwab@suse.de
- Fix compat_clock_getres [SUSE44281].
* Thu Aug 26 2004 - okir@suse.de
- prevent oops in ip6t_LOG (SUSE44213)
* Wed Aug 25 2004 - mantel@suse.de
- fix rx_discards stat in /proc/net/dev for tg3 driver (SUSE43686)
* Wed Aug 25 2004 - okir@suse.de
- Fixed thinko in devpts-dentry-refcount patch
* Wed Aug 25 2004 - olh@suse.de
- add patches.fixes/scsicam_getgeo_odd_sector_size.patch
  do not panic if a disk has an unsupported sector size,
  just ignore the partition table and move on (SUSE43911 - LTC10600)
* Wed Aug 25 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-ras_num_irqs.patch
  correct number of requested irqs (SUSE42552 - LTC9508)
* Wed Aug 25 2004 - okir@suse.de
- devpts-dentry-refcount: plug memory leak in devpts (SUSE43210)
* Tue Aug 24 2004 - olh@suse.de
- add patches.fixes/ppc64-rpaphp_get_power_level.patch
  report correct value for power-level (SUSE44105 - LTC10530)
* Mon Aug 23 2004 - ak@suse.de
- Improve RCU scalability (SUSE43812)
* Mon Aug 23 2004 - okir@suse.de
- tcp-rtt-seq-out-of-sync: TCP RTO estimator could get confused,
  causing wrong RTT predictions (SUSE44086)
* Mon Aug 23 2004 - ak@suse.de
- Fix vsyscall on x86-64 (SUSE43813)
* Fri Aug 20 2004 - olh@suse.de
- add patches.fixes/ppc-altivec-emulation.patch
  fix emulation of vmaddfp and vmnsubfp instruction on ppc/ppc64
  (SUSE44848 - LTC10555)
* Fri Aug 20 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-fix-v_regs-pointer-setup.patch
  handle SIGTRAP properly for altivec (SUSE43939 - LTC10356)
* Fri Aug 20 2004 - olh@suse.de
- add patches.fixes/ppc64-rpaphp-disable_slot-nullpointer.patch
  fix oops on pci device removal (SUSE43917 - LTC10567)
* Fri Aug 20 2004 - agruen@suse.de
- rpm/kernel-binary.spec.in: Use only the first line of
  build-source-timestamp as the ``uname -v'' timestamp: the second
  line may contain the CVS branch name.
* Fri Aug 20 2004 - okir@suse.de
- The nfs-min-blocksize chose a bad default wsize/rsize on NFS mounts
* Fri Aug 20 2004 - mantel@suse.de
- use final version of ide-noraid patch (SUSE43936)
* Fri Aug 20 2004 - okir@suse.de
- More nfsd xdr decoding fixes (SUSE43603)
* Fri Aug 20 2004 - garloff@suse.de
- bio-sgio-write-copy-from-user: Another fix needed for audio CD
  writing (SUSE43821). Unaligned multisegment BIOs wrote the first
  segment repeatedly instead of all data.
* Fri Aug 20 2004 - mason@suse.de
- Fix ext3 b_private race (SUSE43416)
- Fix reiserfs acl corner cases, inode was not getting dirtied
- Fix reiserfs hash collision problem in root directory, caused
  by the special handling of .reiserfs_priv for acls/xattrs
* Thu Aug 19 2004 - mantel@suse.de
- add IDE kernel parameter "ide=noraid" (SUSE39570)
* Wed Aug 18 2004 - mantel@suse.de
- re-enable CONFIG_MWAVE
* Wed Aug 18 2004 - okir@suse.de
- rediffed dprobes patch
* Wed Aug 18 2004 - okir@suse.de
- Disabled vgettimeofday patches in SP1 branch as well
* Wed Aug 18 2004 - okir@suse.de
- netfilter-unload-crash: drop bogus skb's that can be seen during
  ip_conntrack module unload (SUSE42902 - LTC9841)
* Wed Aug 18 2004 - okir@suse.de
- fix machine freeze under heavy NFS load (SUSE43484)
* Tue Aug 17 2004 - garloff@suse.de
- bio-uncopy-free-on-write: fix mem leak triggered by writing
  audio CDs. (SUSE43821)
* Tue Aug 17 2004 - olh@suse.de
- add patches.drivers/ibm-ppc64-vscsi-errorpath
  fix oops in error path (SUSE43559 - LTC10341)
* Tue Aug 17 2004 - mantel@suse.de
- fix files > 2 GB in isofs
* Tue Aug 17 2004 - olh@suse.de
- add patches.fixes/jfs-check_leafidx-2.patch
  Check leafidx before using it as an array index (SUSE42451 - LTC9580)
* Tue Aug 17 2004 - olh@suse.de
- remove patches.arch/suse-ppc64-miscdev-late_initcall
  call nvram init earlier, or rtasd does not use nvram
  the bug that this patch tried to address was already fixed
  otherwise in 2.6.5 (SUSE43872 - LTC10593)
* Tue Aug 17 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-machine-check-logging.patch
  forward port feature from 2.4 kernels to log mce errors
  (SUSE43873 - LTC10594)
* Tue Aug 17 2004 - agruen@suse.de
- doc/README.SUSE: Update documentation.
* Tue Aug 17 2004 - okir@suse.de
- don't truncate contents of /proc/pid/cmdline when size of argv
  exceeds page size (SUSE43769)
* Mon Aug 16 2004 - schwab@suse.de
- Fix kdb pod support [SUSE43735].
* Mon Aug 16 2004 - mantel@suse.de
- add fixes from Steeleye for nbd and md
* Sat Aug 14 2004 - agruen@suse.de
- scripts/tar-up.sh: Include CVS branch name in rpm info.
- scripts/sequence-patch.sh: Clean up some mess.
* Fri Aug 13 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh-empty-slot-sles9.patch
  enable EEH on empty pci slots (SUSE42797 - LTC9715)
* Fri Aug 13 2004 - axboe@suse.de
- Only allow writing scsi commands through SG_IO, if the user has write
  access to the device or CAP_SYS_RAWIO capabilities.
* Fri Aug 13 2004 - schwab@suse.de
- Add compat wrapper for getdents64 [SUSE43749].
* Thu Aug 12 2004 - schwab@suse.de
- Add unified compat wrapper for readv/writev [SUSE43746].
* Thu Aug 12 2004 - schwab@suse.de
- Use 16MB granules on SN2 [SUSE43684].
* Thu Aug 12 2004 - axboe@suse.de
- Fix bug on falling back to single frame dma cdda ripping
* Thu Aug 12 2004 - axboe@suse.de
- Make sure queue members are properly setup before calling into
  elevator init functions. This hurts cfq that needs to check nr_requests.
* Thu Aug 12 2004 - ak@suse.de
- Disable hugetlb mlock group patch for compatibility with GA
  (SUSE43348)
* Wed Aug 11 2004 - mantel@suse.de
- use improved fix for SUSE43603
* Wed Aug 11 2004 - mantel@suse.de
- fix kNFSd signed issues (SUSE43603)
* Wed Aug 11 2004 - axboe@suse.de
- Barrier ide hang with write cache off (SUSE41246, SUSE43443, others)
* Wed Aug 11 2004 - ak@suse.de
- Fix s2io driver (SUSE43383)
* Sat Aug 07 2004 - garloff@suse.de
- Add patches.suse/buddy-alloc-order-opt: Merge patch from mainline
  that optimizes page alloc order for merging.
* Thu Aug 05 2004 - olh@suse.de
- add patches.fixes/ibm-ppc64-pcihotplug-promise_ide.patch
  mark init sections as __devinit to avoid crash after DLPAR
  hotplug event (SUSE43442 - LTC10313)
* Wed Aug 04 2004 - ak@suse.de
- Avoid GART TLB machine checks on Opteron (SUSE43214)
- Fix ADM Comet NIC on 64bit systems (SUSE35897)
* Wed Aug 04 2004 - ak@suse.de
- Fix swiotlb on x86-64 (SUSE43171)
* Wed Aug 04 2004 - ak@suse.de
- Fix bus array overflow on x86-64 (SUSE43381)
* Wed Aug 04 2004 - ak@suse.de
- Add 32bit PTRACE_GETEVENTMSG for x86-64 (SUSE41261)
* Wed Aug 04 2004 - ak@suse.de
- reenable hugetlb group sysctl (SUSE43348)
* Wed Aug 04 2004 - axboe@suse.de
- Fix md-multipath problem with read-ahead and path selection (SUSE42214)
* Wed Aug 04 2004 - schwab@suse.de
- Implement 32bit compat PTRACE_GETEVENTMSG for ia64 [SUSE41261].
* Tue Aug 03 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-ptrace-geteventmsg.patch
  implement the 32bit compat PTRACE_GETEVENTMSG for ppc64
  (SUSE41261 - LTC8916)
* Tue Aug 03 2004 - schwab@suse.de
- Add tlb_migrate_finish hook [SUSE43341].
* Mon Aug 02 2004 - hare@suse.de
- Fix zfcp I/O error messages on shutdown (SUSE42388).
- Do not set zfcp devices offline too early (SUSE43305)
* Wed Jul 28 2004 - garloff@suse.de
- writepages-bh-race: Avoid writepages vs readpages race [SUSE42748],
  finally fixing ext2 corruption..
- uml-fix-mconsole-proc: Reading /proc from uml_mconsole would
  have crashed UML on the fourth time [SUSE42952].
* Wed Jul 28 2004 - okir@suse.de
- Fixed buffer overflow in cryptoapi [SUSE43364]
* Tue Jul 27 2004 - schwab@suse.de
- Add support for partial pages [SUSE41755].
* Tue Jul 27 2004 - mantel@suse.de
- make fix for firewire overflow problem actually compile
* Tue Jul 27 2004 - mantel@suse.de
- update timebase fields in systemcfg (SUSE42824 - LTC9288)
* Tue Jul 27 2004 - mantel@suse.de
- fix integer overflow in firewire code (SUSE42402)
* Tue Jul 27 2004 - olh@suse.de
- add patches.fixes/e1000-TSMPT-and-tx-locking.patch
  * include the entire cleaning of the transmit descriptor queue,
  instead of only the netif_wake_queue in e1000_clean_tx_irq.
  * The TSMPT register (TCP Segmetation Pad offset) has been
  modified from the default of 0x0100 to 0x0C00.
  fixes a few more EEH device shutdowns (SUSE41111 - LTC8539)
* Tue Jul 27 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-pseries-hvsi-autodetect.diff
  autodetect the pseries hvsi console (SUSE42805 - LTC9839)
* Tue Jul 27 2004 - hare@suse.de
- Fix z90crypt module warnings (SUSE43302).
* Tue Jul 27 2004 - hare@suse.de
- Fix zFCP kernel oops (SUSE43187).
* Tue Jul 27 2004 - garloff@suse.de
- Increase log buffer to 128k minimum (i386 def+um, ia64 configs)
* Tue Jul 27 2004 - schwab@suse.de
- Fix initialisation bug of sched_domain_init to allow booting 512p [SUSE43326].
* Mon Jul 26 2004 - mantel@suse.de
- make old megaraid driver advertize itself as "megaraid-old" (SUSE42046)
* Sat Jul 24 2004 - schwab@suse.de
- Fix more issues with perfmon [SUSE42515].
* Fri Jul 23 2004 - olh@suse.de
- add patches.drivers/ibm-ppc64-vscsi-sysfs-config-cat
  reading sysfs config file caused panic (SUSE43097 - LTC10031)
* Fri Jul 23 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh-more-unbalanced-get-put.patch
  fix another slab corruption in EEH (SUSE43041 - LTC10011)
* Fri Jul 23 2004 - mantel@suse.de
- activate fixes for /proc info leak (SUSE41074)
* Fri Jul 23 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-handle-altivec-assist-exception.patch
  patches.arch/ibm-ppc64-single-stepping-emulated-instructions.patch
  handle invalid altivec/vmx instructions (SUSE42803 - LTC9837)
* Fri Jul 23 2004 - olh@suse.de
- add patches.fixes/scsi_remove_device_locking.patch
  serializes scsi_add_device with scsi_remove_device for each
  scsi host adapter (SUSE42691 - LTC9732)
* Fri Jul 23 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-pseries-hvsi-SLES9-obsolete.diff
  do not assicated hvc0 and hvsi0 to the same lowlevel driver
  (SUSE42838 - LTC9860)
* Tue Jul 20 2004 - olh@suse.de
- add patches.fixes/ppc64-rpaphp-removal-listhandling.patch
  do not access freed memory while walking list (SUSE43025 - LTC9966)
* Sat Jul 17 2004 - garloff@suse.de
- Fix fchmod error return value (SUSE41346)
* Fri Jul 16 2004 - mantel@suse.de
- fix kobil USB PnP card readers
* Fri Jul 16 2004 - mantel@suse.de
- fix lost timer ticks problem on x86_64 (SUSE42836)
* Fri Jul 16 2004 - mantel@suse.de
- fix oops in JFS code (SUSE42823)
* Fri Jul 16 2004 - mantel@suse.de
- ckrm: propagate existing class from CORE to CRBCE on attach (SUSE42030)
* Fri Jul 16 2004 - mantel@suse.de
- properly initialize attrs at chown() (SUSE42542)
* Fri Jul 16 2004 - hare@suse.de
- add patches.suse/vm-nocheck-reserved.patch
  Relax checking rules for anonymous non-pageable memory (SUSE42772)
* Thu Jul 15 2004 - schwab@suse.de
- Fix race in fsys_gettimeofday [SUSE42906].
* Thu Jul 15 2004 - olh@suse.de
- add patches.fixes/ehci-handoff-broken-bios.patch
  ignore failed bios handoff (SUSE42897)
* Thu Jul 15 2004 - axboe@suse.de
- Fix a bounce problem with bio_copy/map_user (bug SUSE43020)
* Thu Jul 15 2004 - hare@suse.de
- Latest Update from IBM (patches.arch/s390-06-[16-21]-april2004.diff)
- Removed offending patch for arch/s390/entry.S from
  patches.suse/ltt-hooks-full-linux-2.6.5-7.17.patch and
  ltt-hooks-remove-non-i386-7.39.patch
- Updated patches.arch/s390-06-{01,05,07,11}-april2004.diff
  patches have been rearranged; update to conform to IBMs patches.
* Wed Jul 14 2004 - agruen@suse.de
- SUSE42972 / LTC9906: Fix include/linux/version.h build dependencies.
* Wed Jul 14 2004 - garloff@suse.de
- Fixes for bug SUSE42748:
  * writepage-fs-corruption: Make sure we don't mark pages clean
  prematurely without them being written in the confused case.
  *  writepages-zero: Make sure we zero out the last page.
  * i-size-read-race: i_size could change below us, let's use one
  value consistently in the function.
* Wed Jul 14 2004 - axboe@suse.de
- cfq unlock badness and missing clear causing rb_next() to return bogus
  pointer if slab poisoning is enabled.
* Tue Jul 13 2004 - axboe@suse.de
- adjust idecd length/align dma alignment restrictions
* Mon Jul 12 2004 - axboe@suse.de
- aic7xxx modprobe oops fixes (bug SUSE42711)
* Fri Jul 09 2004 - ak@suse.de
- Fix ACPI support in powernow-k8 driver
* Fri Jul 09 2004 - olh@suse.de
- add patches.fixes/usb-keyspan_pda-lockup.patch
  fix instant lockup in keyspan_pda driver (SUSE42883)
* Fri Jul 09 2004 - axboe@suse.de
- Fix instant SMP deadlock on atp870u scsi driver
* Fri Jul 09 2004 - ak@suse.de
- Fix memory corruption during SMP bootup on x86-64
* Fri Jul 09 2004 - ak@suse.de
- Fix reference of freed memory in exit in NUMA API
* Fri Jul 09 2004 - axboe@suse.de
- Fix sleep-under-queue-lock problem in CFQ.
* Fri Jul 09 2004 - hare@suse.de
- S/390: Enable modular build of local 3270 tubes.
* Fri Jul 09 2004 - hare@suse.de
- S/390: Enable modular build of all crypto modules (SUSE41666).
* Thu Jul 08 2004 - hare@suse.de
- Add IBM codedrop 06 for SLES9 GA.
* Thu Jul 08 2004 - axboe@suse.de
- always setup sg bio for SG_IO (SUSE42314, SUSE42822 (and hopefully SUSE42704)), remove
  crufty kmalloc hack
* Tue Jul 06 2004 - axboe@suse.de
- make sure request segment counts are valid for non-bio requests (SUSE42314)
* Fri Jul 02 2004 - mantel@suse.de
- bump version number of ibmveth driver
* Thu Jul 01 2004 - agruen@suse.de
- SUSE42449: patches.fixes/clone-thread-deadlock: release self-reaping
  zombies that are under ptrace when the tracing process
  terminates.
* Thu Jul 01 2004 - mantel@suse.de
- fix oops in ibmveth driver (PPC only) (SUSE42579)
* Thu Jul 01 2004 - agruen@suse.de
- SUSE42081: patches.fixes/cifs-hash-inode: Add new inodes to the
  inode hash.
* Thu Jul 01 2004 - mantel@suse.de
- fix vulnerability in tcp_find_option (SUSE42661)
* Thu Jul 01 2004 - agruen@suse.de
- Move flush_barriers_disabled from drivers/ide/ide-disk.c to
  drivers/block/ll_rw_blk.c so that it's also defined in non-IDE
  configurations. Move SLES9_RC3 tag.
* Wed Jun 30 2004 - agruen@suse.de
- SUSE42619: patches.fixes/flush-barrier-disable: make reiserfs and
  ext3 honor barrier=off (mason@suse.de).
* Wed Jun 30 2004 - agruen@suse.de
- kbuild: Fix the search path for the Module.supported file so
  that external modules can declare themselves supported or
  externally supported when needed.
* Tue Jun 29 2004 - mantel@suse.de
- update qla2xxx driver to v8.00.00b14
* Tue Jun 29 2004 - mantel@suse.de
- disable file-write-prefault
* Tue Jun 29 2004 - mantel@suse.de
- remove reiserfs debug trigger code
* Tue Jun 29 2004 - mantel@suse.de
- enable CONFIG_VIDEO_ZORAN; driver builds and works now (SUSE42094)
* Tue Jun 29 2004 - mantel@suse.de
- remove remove-via82xx-generic-ide as it would cause problems on
  update (SUSE42335)
* Tue Jun 29 2004 - schwab@suse.de
- Fix perfmon-2 local exploit [SUSE42515].
* Mon Jun 28 2004 - mantel@suse.de
- dprobes: Fix console hang (SUSE42023)
* Mon Jun 28 2004 - mantel@suse.de
- work around TLB fetch timeout defect on sx1000 chipset (SUSE42455)
* Mon Jun 28 2004 - agruen@suse.de
- SUSE42360: patches.fixes/cciss_getluninfo_fix_for_sls9.patch:
  Fix kernel oops while scanning cciss devices.
* Mon Jun 28 2004 - mason@suse.de
- SUSE42191 make reiserfs_file_write honor 2GB limit in 3.5.x FS
- SUSE42038 fix deadlock between ext3/reiserfs and copy_from_user
* Mon Jun 28 2004 - mason@suse.de
- change ide-disk-barrier_mode-2 to match what I put into cvs GA
* Mon Jun 28 2004 - agruen@suse.de
- SUSE42495: Disable CONFIG_E100_NAPI for ia64.
* Sun Jun 27 2004 - agruen@suse.de
- SUSE41246: patches.fixes/ide-disk-barrier_mode-2: Only use IDE
  barriers if advertised by the drive.
* Sun Jun 27 2004 - agruen@suse.de
- SUSE42409: patches.fixes/hugetlb-pmd-free: fix hugetlb pmd reuse.
- SUSE42353: patches.fixes/hugetlb-page-fault-ia32-amd64-ia64: fix
  races and make all architectures use the same hugetlb code.
  IA64 is now using hugetlb-quotas as well.
* Sun Jun 27 2004 - agruen@suse.de
- SUSE42453: patches.fixes/huge-sysctl-nodes: fix changing hugepages
  over sysctl (ak@suse.de).
* Sun Jun 27 2004 - agruen@suse.de
- From Andrew Morton: Several file systems drop the return value
  of inode_setattr instead of propagating it. This causes truncate
  errors to get lost.
* Sat Jun 26 2004 - ak@suse.de
- Fix swiotlb increase patch to use better parameter (SUSE42448)
* Sat Jun 26 2004 - agruen@suse.de
- Fix yield() with spin lock held in hvsi_drain_input().
* Sat Jun 26 2004 - agruen@suse.de
- SUSE42509: patches.fixes/ipsec-nat-t-old: Patch did appends two
  random bytes to packages encapsulated with the method described
  in draft-ietf-ipsec-udp-encaps-01.txt.
* Fri Jun 25 2004 - schwab@suse.de
- Fix discontigmem discovery in non-NUMA case [SUSE42060].
* Fri Jun 25 2004 - hare@suse.de
- add patches.arch/s390-04-28-april2004.diff
  Add missing symbols for qeth and lcs (SUSE42483).
* Fri Jun 25 2004 - mantel@suse.de
- avoid underflow of "Cached:" field in /proc/meminfo (SUSE42182)
* Fri Jun 25 2004 - mantel@suse.de
- remove via82xx S-ATA chip from generic ide driver list (SUSE42335)
* Fri Jun 25 2004 - agruen@suse.de
- SUSE41412: ppc64: Init ppc_md udbg pointers to dummy values if not
  found.
- SUSE42233: ppc64: allow for shared update disks.
- SUSE42404: Check for NULL pointer when dereferencing PCI slot.
* Fri Jun 25 2004 - agruen@suse.de
- SUSE42033: An int vs. a long constant is used in lib/radix-tree.c.
* Fri Jun 25 2004 - okir@suse.de
- Minor fix to previous patch
* Fri Jun 25 2004 - okir@suse.de
- pcnet32 patch from Don Fry: correctly program MII Control
  and Status Register (SUSE40341 - LTC9045)
* Thu Jun 24 2004 - ak@suse.de
- Fix iommu=memaper= option on x86-64.
- Add new iommu=noaperture option to disable aperture setup
  on x86-64 (SUSE42450)
* Thu Jun 24 2004 - ak@suse.de
- Increase software iotlb default size on em64t and ia64 to 64MB
  (SUSE42448)
* Thu Jun 24 2004 - okir@suse.de
- Added ipv6-tcp-dst-refcounting to fix a refcounting problem
  in tcp6_connect, which could cause kernel oopses when connecting
  to an IPv6 address (SUSE42342)
* Thu Jun 24 2004 - mantel@suse.de
- ckrm: fix changing shares values for a class (SUSE42319)
* Thu Jun 24 2004 - garloff@suse.de
- procstat-comm-race: Make a copy of task->comm when we output
  /proc/stat to avoid race making top segfault. (SUSE42364)
* Thu Jun 24 2004 - agruen@suse.de
- A minor improvement to the Makefiles in /usr/src/linux-obj/*/*:
  Also include VERSION and PATCHLEVEL so that external modules can
  adapt to the kernel version (mainly 2.4 vs. 2.6).
* Thu Jun 24 2004 - duwe@suse.de
- add temporary hack for floppy controller on x445+DL740 SUSE40940
* Thu Jun 24 2004 - okir@suse.de
- pcnet32 fix from Don Fry: acknowledge all interrupts (SUSE42408 - LTC9592)
* Thu Jun 24 2004 - mason@suse.de
- add and disable reiserfs-file-write-prefault to match the state
  of the GA branch
* Wed Jun 23 2004 - axboe@suse.de
- export kblockd_schedule_work() for vscsi
* Wed Jun 23 2004 - garloff@suse.de
- Add hvsi console for PPC.
* Wed Jun 23 2004 - mason@suse.de
- bug SUSE42091, fix a bogus warning when barrier writes fail
* Wed Jun 23 2004 - axboe@suse.de
- vscsi must not block in a tasklet, convert to work queue (SUSE42210)
* Wed Jun 23 2004 - okir@suse.de
- Added CIFS patch from Steve French which fixes request
  queueing to handle more than 100 overlapped requests (SUSE39916 - LTC8025)
* Wed Jun 23 2004 - agruen@suse.de
- Three obvious bug fixes from mainline:
  + patches.fixes/ieee1394-null-dereference.diff
  + patches.fixes/ip-conntrack-missing-check.diff
  + patches.fixes/megaraid-get_user.diff
* Tue Jun 22 2004 - agruen@suse.de
- SUSE42324: patches.fixes/jfs-link-timestamps: the link system call
  did not update i_ctime and i_mtime as required by POSIX.
* Tue Jun 22 2004 - agruen@suse.de
- SUSE42134 / LTC9401: patches.fixes/rphahp_add_slot.patch: call
  rpaphp_config_pci_adapter() when adding a non-empty slot.
- SUSE42259 / LTC9477: patches.fixes/eeh-event-race.patch: prevent
  kernel panic on duplicate EEH event (ppc64).
* Tue Jun 22 2004 - axboe@suse.de
- in case of ide errors, dump the offending opcode
* Tue Jun 22 2004 - hare@suse.de
- Update to IBM codedrop 04-april2004.
  Added patches.arch/s390-04-[15|18-27].diff
* Tue Jun 22 2004 - mantel@suse.de
- add megaraid-old to list of supported modules
* Tue Jun 22 2004 - agruen@suse.de
- SUSE42062: patches.fixes/xfs-O_DIRECT-i_sem-hotfix: Fix xfs inode
  locking for direct I/O by taking i_sem. A better fix that does
  not symchronize direct I/O writers will replace this fix later.
* Tue Jun 22 2004 - hare@suse.de
- Renamed patches to match IBM codedrop 04-april2004.
- Renamed patches.arch/s390-dirty-2.6.5.diff to
  patches.arch/s390-04-16-april2004.diff
- Renamed patches.arch/s390-dasd_modules_unload2.patch to
  patches.arch/s390-04-17-april2004.diff
- Removed old patches.arch/s390-dasd_modules_unload.patch
* Tue Jun 22 2004 - hare@suse.de
- Re-diffed patches to match IBM codedrop 04-april2004.
  Modified patches.arch/s390-04-{02|13|14}.patch
* Tue Jun 22 2004 - garloff@suse.de
- Disable [I][N]FTL flash drivers.
* Tue Jun 22 2004 - mantel@suse.de
- avoid pagecache underflow (SUSE42182)
* Tue Jun 22 2004 - agruen@suse.de
- Merge recent kbuild improvements, update the documentation and
  demo module. Add upstream documentation. Looking good now.
* Mon Jun 21 2004 - ak@suse.de
- Handle maxnode == 0 in NUMA API too (suggested by agruen)
* Mon Jun 21 2004 - agruen@suse.de
- SUSE41420: replace patches.suse/xfs-blockdev with patches.fixes/
  bdev-address_space.patch, export-blk_get_backing_dev_info.patch
  from Nathan Scott <nathans@sgi.com>: Prevents corruption
  on XFS when the underlying block device is accessed while XFS
  is mounted.
* Mon Jun 21 2004 - ak@suse.de
- Fix early CPU detect on i386 for non Intel CPUs
* Mon Jun 21 2004 - ak@suse.de
- Handle maxnode == 1 in NUMA API syscalls without crashing
* Mon Jun 21 2004 - agruen@suse.de
- SUSE42084: patches.fixes/apic-initdata: Remove __initdata tag from
  enable_local_apic variable which is also accessed during
  shutdown. (Fix from Andi Kleen <ak@suse.de>.)
* Mon Jun 21 2004 - mantel@suse.de
- ckrm: use varargs in rbce_tc_classify/rbce_sc_classify (SUSE42241)
* Mon Jun 21 2004 - agruen@suse.de
- SUSE42124 / LTC9408: patches.fixes/compat_sched_setaffinity_fix:
  Fix bitmap composition order in compat_sys_sched_setaffinity.
* Fri Jun 18 2004 - agruen@suse.de
- SUSE42230: Check for self-configured /usr/src/linux tree in
  running-kernel init script, and don't touch the sources in
  that case.
* Fri Jun 18 2004 - mantel@suse.de
- check existance of device in eql (SUSE42217)
* Fri Jun 18 2004 - mantel@suse.de
- fix reentry spinlock deadlock (SUSE42173)
* Fri Jun 18 2004 - mason@suse.de
- fix bug SUSE40752, ext3 needs to wait for io to complete
  before locking buffers for journal commits.
* Fri Jun 18 2004 - mantel@suse.de
- fix cpumask bug on es7000 machines (SUSE42178)
* Fri Jun 18 2004 - ak@suse.de
- Fix MCE panic printing on x86-64
* Fri Jun 18 2004 - axboe@suse.de
- Fix direct io alias problem in cfq (Netapp)
* Fri Jun 18 2004 - andrea@suse.de
- Fix anon-vma mprotect extension-merging that generated kernel
  crashes with wine. SUSE42132
* Fri Jun 18 2004 - ak@suse.de
- Generate kerntypes on x86-64
* Thu Jun 17 2004 - ak@suse.de
- Fix more O_DIRECT  hugetlbfs problems (SUSE41943)
* Thu Jun 17 2004 - mantel@suse.de
- ckrm: remove task from resource controllers on exit (SUSE42130)
* Thu Jun 17 2004 - ak@suse.de
- Fix bad use of __initdata in x86-64 mce code
* Thu Jun 17 2004 - ak@suse.de
- Disable x86_64-ioremap patch for now (SUSE42154)
* Thu Jun 17 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-phb-id-rev3-init_pci_config_tokens.patch
  call init_pci_config_tokens even if the box has no EEH,
  or if EEH was turned off via kernel cmdline (SUSE41946 - LTC9283)
* Thu Jun 17 2004 - agruen@suse.de
- SUSE39181 pending signal queues: denial of service.
* Thu Jun 17 2004 - garloff@suse.de
- pss-user-pointer: Properily check userspace pointer (SUSE42050).
* Wed Jun 16 2004 - agruen@suse.de
- kernel-source package: Prevent the /etc/init.d/running-kernel
  boot script from needlessly touching files in /usr/src/linux:
  this triggers superfluous rebuilds. (From SLES9 branch.)
* Wed Jun 16 2004 - garloff@suse.de
- vgettimeofday-optimize: Don't do int 0x80 instead of sysenter.
* Wed Jun 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-phb-id-rev3.patch
  Obtain PHB Unit ID's from the "regs" property. (SUSE41946 - LTC9283)
* Wed Jun 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-iseries-mf-completion
  use completion instead of semaphores in OS400 interface
  (SUSE39541 - LTC8142)
* Wed Jun 16 2004 - garloff@suse.de
- hugetlb-implicit-only: remove MAP_HUGETLB completely. (SUSE41918)
* Wed Jun 16 2004 - garloff@suse.de
- ehci-bios-handoff: Fix typo in USB ehci handoff code.
* Wed Jun 16 2004 - garloff@suse.de
- bootsplash-anim-NLD: Allow bootsplash animations.
* Wed Jun 16 2004 - mantel@suse.de
- fix memory overwrite bug in airo driver (SUSE42096)
* Wed Jun 16 2004 - mantel@suse.de
- fix copy_from_user/copy_to_user thinko in ALSA (SUSE42095)
* Wed Jun 16 2004 - mantel@suse.de
- asus_acpi: parse arguments in a safe way (SUSE42052)
* Wed Jun 16 2004 - mantel@suse.de
- properly use _user in OSS ioctls (SUSE42050)
* Wed Jun 16 2004 - ihno@suse.de
- fixing module unload of DASD-mod (SUSE41717)
* Wed Jun 16 2004 - mantel@suse.de
- allow old and new megaraid driver to co-exist. The old one is
  named "megaraid-old". It's still needed for some hardware
* Wed Jun 16 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  fix event handling (SUSE41934 - LTC9273)
* Wed Jun 16 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  clear bi_next in end_io (SUSE41555 - LTC9033)
  merge patches.fixes/ibm-vscsi-ltc9255 into vscsi patch
* Wed Jun 16 2004 - okir@suse.de
- CKRM: honor euid/egid when classifying task (SUSE42083 - LTC9399)
* Wed Jun 16 2004 - mantel@suse.de
- don't write user pointers without checking in decnet (SUSE42049)
* Wed Jun 16 2004 - garloff@suse.de
- partition-table-msdos: Be more critical about accepting a part
  table as an msdos one.
* Wed Jun 16 2004 - hare@suse.de
- Update patches.arch/s390-dirty-2.6.5.diff
  Update to version suggested by akpm (SUSE42066).
* Wed Jun 16 2004 - mantel@suse.de
- ckrm: fix system hang when trying to classify exited proc. (SUSE41872)
* Wed Jun 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh-unbalanced-dev-put.patch
  fix double free of pci_dev pointers (SUSE42077 - LTC9396)
* Wed Jun 16 2004 - schwab@suse.de
- Workaround problem in Altix console driver [SUSE42002].
* Wed Jun 16 2004 - schwab@suse.de
- Workaround high network load panics on Altix [SUSE41995].
* Wed Jun 16 2004 - okir@suse.de
- Another CIFS fix to prevent data corruption (SUSE41826 - LTC9164)
* Wed Jun 16 2004 - garloff@suse.de
- raid5-resync-bug: Wrong optimization in raid5 resync code.
* Wed Jun 16 2004 - olh@suse.de
- add patches.suse/kdb-ppc64-recurse
  set RECURSE=2 on ppc64 (SUSE41871 - LTC9240)
* Tue Jun 15 2004 - ihno@suse.de
- fixing data corruption under memory pressure for s390 (SUSE42066)
* Tue Jun 15 2004 - mantel@suse.de
- enable CONFIG_SCSI_INIA100
* Tue Jun 15 2004 - garloff@suse.de
- scsi-device-state-remove: Cleanup of SCSI state machine from
  2.6.7-pre.
- scsi-forget-host: Flush cache before removing host. (SUSE41825)
* Tue Jun 15 2004 - ak@suse.de
- Fix use of uninitialized memory in ioremap() on x86-64
* Tue Jun 15 2004 - okir@suse.de
- IPv6: added usagi patch to prevent double free when an error
  occurs during UDPv6 multicast delivery (SUSE42019)
* Tue Jun 15 2004 - hare@suse.de
- add patches.arch/s390-dasd_modules_unload.patch
  Fix unloading of DASD modules (SUSE41717).
* Tue Jun 15 2004 - okir@suse.de
- Fix insertion of dprobes in shared libraries (SUSE41966 - LTC9269)
* Tue Jun 15 2004 - okir@suse.de
- vgettimeofday patch from John Stultz to fix LTP gettimeofday01
  failure (SUSE40504 - LTC8395)
- Updated CIFS to 1.18 (SUSE41963 - LTC9328)
* Tue Jun 15 2004 - agruen@suse.de
- SUSE40829 / LTC8406: patches.fixes/power3-numabug: Fix memory zone
  setup that caused the emergency pool to underrun.
* Mon Jun 14 2004 - olh@suse.de
- add patches.arch/ppc64-fix-out_be64.patch
  fixes out_be64 implementation on ppc64 along with a glich in
  out_be32 (inconsistent) use of barrier.
* Mon Jun 14 2004 - ak@suse.de
- Fix acpi=off on x86-64 (SUSE41990)
* Mon Jun 14 2004 - olh@suse.de
- add patches.arch/suse-ppc64-cut-iseries-cmdline
  avoid multiline /proc/cmdline on iseries
* Mon Jun 14 2004 - ak@suse.de
- Enable CONFIG_DEBUGREG and CONFIG_KDB_MODULES in i386 debug kernel
* Mon Jun 14 2004 - agruen@suse.de
- Enable CONFIG_CRASH_DUMP in kernel-64k-pagesize.
* Mon Jun 14 2004 - ak@suse.de
- Turn "too many keys pressed" printk into KERN_DEBUG
* Mon Jun 14 2004 - garloff@suse.de
- ext3-barrier-default: Enable barriers on ext3 by default, use
-o barrier=0 to disable.
* Mon Jun 14 2004 - okir@suse.de
- updated e1000-validate: the fix to ETHTOOL_GREGS prevented the
  ioctl from copying all registers
* Mon Jun 14 2004 - ak@suse.de
- Check for suspend state in e1000 get_stats (SUSE41278)
* Mon Jun 14 2004 - agruen@suse.de
- SUSE41884 / LTC8990: patches.fixes/lkcd_64K_pagesize: disk dump
  failure on ia64 w/64K pages.
* Mon Jun 14 2004 - garloff@suse.de
- reiserfs-bitmap-overflow-2: Avoid stack overflow in new reiser
  block allocator (SUSE41441, mason).
* Mon Jun 14 2004 - ak@suse.de
- Reduce stack footprint of page state structure
- Fix XFS NFS delayed write corruption
- Don't get statistics from suspended drivers in link watch (SUSE41278)
- Fix kernel hang with uncleared FPU exceptions on i386/x86-64
  (SUSE41951)
* Sat Jun 12 2004 - axboe@suse.de
- harden blk_execute_rq() a little so it doesn't inspect ->waiting
  at all. Similar to how mainline works.
* Sat Jun 12 2004 - schwab@suse.de
- Rename modules to work around lkcd bug [SUSE41891].
* Fri Jun 11 2004 - garloff@suse.de
- hugetlb-disable-nonstd-maphugetlb-sysctl: Don't honour
  MAP_HUGETLB; instead print a warning. It can be enabled by sysctl
  though. It's deprecated and will be removed. SUSE41918.
- patches.suse/apic-timer-irq-delivery-dl760: Also add Proliant
  hack to setup_ExtINT_IRQ0_pin(), causing it to fail; it works
  in Virtual Wire mode ... This is needed for acpi=off boots.
  SUSE40944.
* Fri Jun 11 2004 - ak@suse.de
- Prevent access to block devices XFS has mounted (SUSE41420)
* Fri Jun 11 2004 - agruen@suse.de
- SUSE41490 / LTC9047: additional jfs fix from Dave Kleikamp.
- SUSE41868 / LTC9255: Fix vscsi double-deactivation.
* Fri Jun 11 2004 - ak@suse.de
- Quieten printk in the input layer
* Fri Jun 11 2004 - ak@suse.de
- Fix race in XFS delayed write handling (SUSE41420)
- Fix deadlock in XFS ENOSPC handling (partial SUSE41544)
* Fri Jun 11 2004 - schwab@suse.de
- Fix race in fsys fallback path [SUSE40832].
* Fri Jun 11 2004 - okir@suse.de
- Updated pcnet32-overrun-restart patch to fix some remaining
  problems with restart after FIFO overrun (SUSE40951 - LTC8726)
* Fri Jun 11 2004 - okir@suse.de
- Added e1000 patches to address (SUSE41875 - LTC8972)
* Fri Jun 11 2004 - ak@suse.de
- Check correct for strace too for SIGSEGVs on x86-64
- Detect correct bank on fatal MCEs on x86-64
* Thu Jun 10 2004 - ak@suse.de
- Avoid printks for handled SIGSEGVs on x86-64
* Thu Jun 10 2004 - agruen@suse.de
- Fix thinko in third-party module support (+external).
* Thu Jun 10 2004 - agruen@suse.de
- Add README.SUSE to kernel-source file list.
* Thu Jun 10 2004 - ak@suse.de
- Take inode lock around hugepages overcommit check (SUSE41528)
* Thu Jun 10 2004 - ak@suse.de
- Don't call smp_send_stop in lkcd (SUSE41843)
* Thu Jun 10 2004 - ak@suse.de
- Add another bugfix for the sigprof exit race.
* Thu Jun 10 2004 - ak@suse.de
- Handle O_DIRECT in hugetlb holes (SUSE41733)
* Thu Jun 10 2004 - ak@suse.de
- Handle PMD holes in hugetlbpages on i386/x86-64 (SUSE41604)
* Thu Jun 10 2004 - axboe@suse.de
- Don't move completion event to request sense structure, it causes nasties
  with completing on dead request (bug SUSE38944)
* Wed Jun 09 2004 - mason@suse.de
- barrier-eopnotsupp, deal with asynchronous ide barrier failures
* Wed Jun 09 2004 - ak@suse.de
- Make sure x86-64 machine check handler logs correct MCE
- Don't threat MCE overflows as fatal
* Wed Jun 09 2004 - agruen@suse.de
- Allow modules to be tagged as "externally supported" ("+external"
  in supported.conf). Doument the supported/unsupported flags
  in README.SUSE.
* Wed Jun 09 2004 - garloff@suse.de
- evlog-header-inval-pgrp: Avoid dereferencing inval
  current->signal ptr in evlog (SUSE41804).
* Wed Jun 09 2004 - hare@suse.de
- Added patches.arch/s390-04-{13|14}-april2004.diff
  Last update by IBM to SLES9 RC2 (hopefully).
- Re-diffed ltt patches to apply again.
* Wed Jun 09 2004 - okir@suse.de
- Added smbfs-request-counting: failure to allocate an smb request
  did not decrement the overall request counter, leading to deadlock
* Wed Jun 09 2004 - okir@suse.de
- Added smbfs-sendqueue-backoff to make smbiod react more gracefully
  to a full tcp send queue (SUSE41343 - LTC8669)
* Wed Jun 09 2004 - agruen@suse.de
- Additional consistency check for tar-up.sh: Make sure that all
  patches referenced in series.conf have been added to the CVS.
* Wed Jun 09 2004 - okir@suse.de
- Merged patch from mainline: /proc/net/tcp would not show all
  listening sockets if the first socket in a hash chain had a
  different address family.
* Wed Jun 09 2004 - okir@suse.de
- IPv6 Fix from Shirley Ma to use proper ip6_output handler in
  IPv6 dst cache entries created by ndisc (SUSE41669 - LTC9123)
- 2 CIFS fixes from Steve French:
- prevent races when accessing tcpStatus (SUSE41757 - LTC1953)
- fix for data corruption on partial writes to page cache (SUSE41826 - LTC9164)
* Wed Jun 09 2004 - hare@suse.de
- add patches.arch/s390-04-[08-12].diff
  Update to IBM codedrop for SLES9.
* Wed Jun 09 2004 - hare@suse.de
- update sysfs-backing store to v0.6 from 2.6.6-mm4 (SUSE40072)
* Wed Jun 09 2004 - agruen@suse.de
- SUSE41748: LAuS msgsnd reporting invalid syscall parameter size.
* Wed Jun 09 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-eeh-check-n-panic-earlier.patch
  pass correct device node info to rtas_call (SUSE41818 - LTC9219)
* Wed Jun 09 2004 - garloff@suse.de
- scsi-error-test-unit-ready-timeout: Use 30s timeout for
  TEST_UNIT_READY (SUSE41689).
* Tue Jun 08 2004 - ak@suse.de
- Really remove ibm-noacpi patch now
* Tue Jun 08 2004 - agruen@suse.de
- patches.fixes/downgrade_write: Fix from mainline.
- patches.fixes/ext3-htree-rename: htree rename fix from mainline.
* Tue Jun 08 2004 - garloff@suse.de
- firewire-suspend: Update patch to fix ieee1394 suspend (SUSE40177).
* Tue Jun 08 2004 - garloff@suse.de
- suspend-pci-cfg-space, suspend-agpgart-intel-resume:
  For devices without specific suspend / resume support, save PCI
  config space at least and restore on resume. Use one intel-agp.
* Tue Jun 08 2004 - garloff@suse.de
- fremap-race: Fix locking in fremap. (SUSE40699, andrea).
* Tue Jun 08 2004 - garloff@suse.de
- const-udelay-fix-3: Fuix rounding bug in const_udelay on i386
  (SUSE41553, jstulz, garloff, browdowski).
* Tue Jun 08 2004 - ak@suse.de
- Fix printks in serverworks and intel AGP drivers
- Remove IBM HS40 blacklist entry again (SUSE38178)
* Tue Jun 08 2004 - mason@suse.de
- fix a race between fs writeback and unmounting that can lead to
  general memory corruption
- add more reserved pages for PF_MEMALLOC and atomic allocations
- make ext3 redirty when allocations fail in writepage
- make shrink_cache process clean pages first
* Tue Jun 08 2004 - kkeil@suse.de
- add patches.fixes/hisax_tj320_fix; fix IRQ storm for TJ320
  based ISDN cards (newer TELES PCI, netjet)
* Tue Jun 08 2004 - ak@suse.de
- Readd pci=noacpi blacklist for IBM HS40
* Tue Jun 08 2004 - olh@suse.de
- add patches.suse/suse-ppc64-disable-spinlock-debug
  disable DEBUG_SPINLOCK_SLEEP on ppc64 for the time being
* Tue Jun 08 2004 - olh@suse.de
- remove bogus DEBUG_SPINLOCK_SLEEP changes (SUSE41447 - LTC9040)
* Tue Jun 08 2004 - ak@suse.de
- Fix hugetlb accounting bugs (SUSE41528)
* Tue Jun 08 2004 - okir@suse.de
- Fix restart of pcnet driver after FIFO overrun (SUSE40951 - LTC8726)
* Tue Jun 08 2004 - okir@suse.de
- nfsd: ignore attempts to change the mode of a symlink (SUSE41602 - LTC9096)
* Tue Jun 08 2004 - olh@suse.de
- add patches.fixes/ppc64-rpaphp-embedded_drc_name.patch
  Allow rpadlpar to properly identify dlpar-capable slots
  (SUSE41760 - LTC9180)
* Tue Jun 08 2004 - olh@suse.de
- add patches.suse/kdb-clean-percpu.patch
  new command to print per_cpu variables (SUSE41753 - LTC9107)
* Tue Jun 08 2004 - olh@suse.de
- add patches.drivers/ipr_abort_hang.patch
  fixes a hang that occurs when an abort is issued by the midlayer
  add patches.drivers/ipr_only_tcq_cancel_all.patch
  only send a cancel all when the device is running TCQ
  add patches.drivers/ipr_driver_version_2_0_10.patch
  bump version number (SUSE41689 - LTC9144)
* Tue Jun 08 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  change inquiry data length from 0xfb to 0xfa
* Tue Jun 08 2004 - olh@suse.de
- add patches.suse/kdb-ppc64-unrecoverable-exception
  Don't return from KDB upon unrecoverable exception (SUSE40982 - LTC8623)
* Tue Jun 08 2004 - ak@suse.de
- Handle bad PIT readings in the cyclone timer driver (SUSE40644)
* Tue Jun 08 2004 - agruen@suse.de
- SUSE41718 / LTC9150: revalidate_special may invalidate dentry->d_op
  (as it sometimes does with cifs), so re-check when revalidating
  again.
* Mon Jun 07 2004 - agruen@suse.de
- Quota fixes from Jan Kara <jack@suse.cz> (patches.fixes/
  quota-1-v2rootfix, quota-2-v1initfix, quota-3-slabfix).
* Mon Jun 07 2004 - schwab@suse.de
- Fix boot hanging during KDB initialization [SUSE40187].
* Mon Jun 07 2004 - agruen@suse.de
- patches.fixes/jfs-btstack: Fix btstack debugging code.
* Mon Jun 07 2004 - garloff@suse.de
- tmscsim-267rc2: Update patches to tmscsim driver.
* Mon Jun 07 2004 - ak@suse.de
- Add /proc/sys/kernel/check_deadlocks to control file lock
  deadlock checking.
* Mon Jun 07 2004 - agruen@suse.de
- SUSE40752: patches.fixes/jbd-dirty-uptodate: jbd bugs cause dirty
  buffers not marked uptodate to become visible to the buffer
  layer (commit for Chris Mason <mason@suse.com>).
- SUSE41701: Change smbfs default encodings to more sane defaults
  by request of Lars Mueller <lmuelle@suse.de>.
* Mon Jun 07 2004 - olh@suse.de
- add patches.drivers/ppc64-iseries-viocd-driveid
  more dvd drive ids for legacy dvd-ram (SUSE41245 - LTC8828)
* Mon Jun 07 2004 - ak@suse.de
- Update powernow-k8 driver to 1.00.09d from AMD.
  * Fix hangs at bootup with BIOS that set up bogus PST tables.
* Mon Jun 07 2004 - ak@suse.de
- Fix compilation of kdb kdbm_pg module
- Fix warnings on kdb/i386
- Fix warning in Lustre
* Mon Jun 07 2004 - ak@suse.de
- Quiet down noisy JEDEC probing
* Mon Jun 07 2004 - ak@suse.de
- Fix compilation without CONFIG_MODULES
* Mon Jun 07 2004 - olh@suse.de
- update patches.fixes/e1000-mb.patch
  another one needed in e1000_clean_tx_irq()  (SUSE41111 - LTC8539)
* Mon Jun 07 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  fix list corruption (SUSE41555 - LTC9033)
  fixes the serial number returned on SCSI Inquiry to virtual
  devices
  Clean up text returned on error messages
  Return correct information when the client passes a buffer too
  small to the server.
  minor ibmvscsi client fixes
  Better error message from VSCSI client when adapter can't be
  opened.
* Sun Jun 06 2004 - agruen@suse.de
- xfs-fix-lowbit64: Fix use of ffs(0) which apparently is
  undefined on some architectures.
* Sun Jun 06 2004 - garloff@suse.de
- directio-inval-fix: The wrong no of DIO blocks was invalidated.
* Sun Jun 06 2004 - agruen@suse.de
- patches.fixes/nfsd-symlink-setattr: Update; silently ignore
  nfsd requests to set the file mode permission bits of a symlink.
* Sun Jun 06 2004 - ak@suse.de
- disable debugging printks in udf
* Sun Jun 06 2004 - olh@suse.de
- add patches.fixes/recvmsg-compat-MSG_CMSG_COMPAT
  Fix bogus msg_flags checks, need to mask out MSG_CMSG_COMPAT
* Sat Jun 05 2004 - garloff@suse.de
- apic-timer-irq-delivery-dl760: Enable tweak for DL740. (SUSE40944)
* Sat Jun 05 2004 - olh@suse.de
- add patches.suse/suse.ppc32.binutils-version.patch
  newer binutils require -many
* Fri Jun 04 2004 - ak@suse.de
- add workaround for wrong _BBN on serverworks boards
  (SUSE38178)
- disable IBM ACPI H20,H40 blacklist entries (SUSE41656)
* Fri Jun 04 2004 - mason@suse.de
- enable patches.fixes/shrink_zone.patch
* Fri Jun 04 2004 - ak@suse.de
- add additional check to nforce2 c1 disconnect workaround
* Fri Jun 04 2004 - ak@suse.de
- fix race handling in lazy hugetlbfs on i386,x86-64,ppc64,ia64
  (SUSE41604)
* Fri Jun 04 2004 - hare@suse.de
- add patches.arch/s390-04-05-april2004.diff
  add patches.arch/s390-04-06-april2004.diff
  add patches.arch/s390-04-07-april2004.diff
  Update to latest IBM codedrop.
* Fri Jun 04 2004 - okir@suse.de
- Added patch from netdev to prevent e1000 NAPI crash during ifdown
* Fri Jun 04 2004 - mason@suse.de
- enable 01-redirty-for-writepage and gfp-nofs-extra-scan
* Fri Jun 04 2004 - ak@suse.de
- Let acpi=force overwrite pci=noacpi blacklists (SUSE41206)
* Thu Jun 03 2004 - ak@suse.de
- fix name of IBM HS40 in dmi blacklist
* Thu Jun 03 2004 - axboe@suse.de
- Bad length check in cdrom_get_random_writable() (SUSE41245)
* Thu Jun 03 2004 - olh@suse.de
- add patches.fixes/no_cpuhp_on_nonlpar.patch
  add patches.fixes/ppc64-cpuhotplug-online-0.patch
  hide sysfs cpu hotplug files in non LPAR mode (SUSE41603 - LTC9039)
* Thu Jun 03 2004 - garloff@suse.de
- Make elevator=anticipatory default again; YaST will put
  elevator=cfq for servers into boot loader config.
* Thu Jun 03 2004 - olh@suse.de
- disable patches.fixes/usb-dell-patch-4-ul
  causes deadlocks during unplug/replug (SUSE40827)
* Thu Jun 03 2004 - hare@suse.de
- Update patches.arch/s390-crypto-api.patch
  to official version from bitkeeper (SUSE41386).
* Thu Jun 03 2004 - okir@suse.de
- ppc64: do_IRQ now warns if free space on the kernel stack
  drops below 2K; previously this was 4K. (SUSE41431 - LTC9026)
* Thu Jun 03 2004 - agruen@suse.de
- SUSE41202: patches.suse/nfsd-acl-v2-solaris: If the nfs_acl program
  is exported, Solaris clients expect both version 2 and version 3
  to be available; a RPC_PROG_MISMATCH reply which would indicate
  that the requested version is not available leads to a mount
  failure. Make up a fake RPC_PROG_UNAVAIL reply when asked for
  nfs_acl version 2 instead.
* Thu Jun 03 2004 - ak@suse.de
- Fix LDT/TSS limit on x86-64 (SUSE41574)
* Thu Jun 03 2004 - garloff@suse.de
- Mark as SLES9_RC1.
* Thu Jun 03 2004 - agruen@suse.de
- SUSE41202 / nfs_acl: Fix mounting NFSv2 volumes from Solaris
  clients: the supported program version numbers were wrong. Also
  fix the transport buffer size calculation (we were still safe).
* Thu Jun 03 2004 - garloff@suse.de
- SUSE40944: apic-timer-irq-delivery-dl760: Add workaround for timer
  IRQ delivery for DL760.
* Thu Jun 03 2004 - ak@suse.de
- add IDE support for nvidia nforce3,nforce3-mcp04,nforce3-ck804
* Wed Jun 02 2004 - olh@suse.de
- add patches.drivers/ibm-ppc64-hvcs_write_room.2.0.patch
  improve buffering in hvcs_write_room
* Wed Jun 02 2004 - agruen@suse.de
- SUSE41490: patches.fixes/jfs-dtstack: jfs dtstack overflow.
- SUSE41503: patches.fixes/jfs-mp-leak: jfs deadlock in fsstress.
* Wed Jun 02 2004 - garloff@suse.de
- serial8250_console_write-ier: Fix a race where we could get out
  of sync with the IER, leaving IRQs disabled. (SUSE34840)
* Wed Jun 02 2004 - ak@suse.de
- really fix acpi=ht on x86-64
* Wed Jun 02 2004 - mason@suse.de
- drop overly verbose reiserfs allocator message on mount
- make lkcd use NR_CPUS instead of it's own constant (SUSE41509)
* Wed Jun 02 2004 - ak@suse.de
- Fix acpi=ht on x86-64
- Remove xfs debug patch
* Wed Jun 02 2004 - agruen@suse.de
- SUSE41504: patches.fixes/LAuS-login-msg: audit record sometimes
  is missing the executable name.
* Wed Jun 02 2004 - mason@suse.de
- turn off CONFIG_KLOG_CHANNEL everywhere (bug SUSE40653)
* Wed Jun 02 2004 - garloff@suse.de
- compaq-noloop: Some Compaq ProLiant machines lockup on issueing
  the AUX LoopBack command. Blacklist. (SUSE36474, vojtech)
* Wed Jun 02 2004 - agruen@suse.de
- patches.fixes/ramfs-O_SYNC: Fix NULL pointer dereference of
  a_ops->writepage in page_writepages with O_SYNC ramfs.
* Wed Jun 02 2004 - olh@suse.de
- add patches.suse/kdb-recurse
  handle RECURSE=x setting in KDB (SUSE40982 - LTC8623)
* Wed Jun 02 2004 - axboe@suse.de
- megaraid must not use spin_is_locked() in UP
* Wed Jun 02 2004 - hare@suse.de
- Really modularize SHA1 and DES
- Add cpint and arch/s390/crypto to the list of supported modules.
* Wed Jun 02 2004 - ak@suse.de
- fix SIGPROF <-> exit race (SUSE41527)
- fix msync on hugetlbfs pages
- fix reuse of large pages
* Wed Jun 02 2004 - hare@suse.de
- compile SHA1 and DES as module on S/390 to enable
  support for z990-specific modules.
* Wed Jun 02 2004 - ak@suse.de
- dump bad block when internal xfs consistency checks fail
- add more KERN_ALERTs to oopses on x86-64 and i386
* Wed Jun 02 2004 - garloff@suse.de
- swsusp-free-more-mem: Several tries to free memory, allows low-
  mem machines to successfully suspend to disk.
* Tue Jun 01 2004 - ak@suse.de
- fix deadlock in active_load_balance
* Tue Jun 01 2004 - ak@suse.de
- Fix metapage leak in JFS (SUSE41503 - LTC9062)
* Tue Jun 01 2004 - garloff@suse.de
- usb-dell-patch-4-ul: Update serialisation of USB cmnds. (SUSE40827)
* Tue Jun 01 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  dont crash if the vscsi server disappears (SUSE41266 - LTC8924)
* Tue Jun 01 2004 - olh@suse.de
- add patches.fixes/jfs-nfs-inode
  Limit metapage reads to i_size (SUSE41434)
* Tue Jun 01 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-hvcs
  many bugfixes, changed from using wait tasks to kernel_threads
* Tue Jun 01 2004 - ak@suse.de
- quieten some annoying/unnecessary printks
- fix bootsplash to not print overlong lines on error.
* Tue Jun 01 2004 - olh@suse.de
- add patches.arch/suse-ppc64-iseries-available_veth2
  print the entire map as hex in AVAILABLE_VETH
* Tue Jun 01 2004 - ak@suse.de
- apply spinlock debug change from ppc64 to all architectures (SUSE41447)
* Tue Jun 01 2004 - hare@suse.de
- S/390: Add in-kernel crypto support for z990 (SUSE41386).
  Add patches.arch/s390-crypto-api.patch
* Tue Jun 01 2004 - agruen@suse.de
- SUSE41427: Better handle out of space errors in jfs.
* Tue Jun 01 2004 - mason@suse.de
- fix rbce insmod bug (SUSE41422)
* Tue Jun 01 2004 - agruen@suse.de
- /etc/init.d/running-kernel: Fix fallback logic.
* Tue Jun 01 2004 - okir@suse.de
- Merged two CIFS patches from Steve French, via air mail:
- Fix block count reported to du (SUSE41487 - LTC9036)
- Fix prepare_write bug (SUSE41131)
* Tue Jun 01 2004 - hare@suse.de
- Update to unofficial IBM codedrop; renamed
  patches from s390-03-{29|30}-april2004.diff to
  official IBM name s390-04-*.
* Tue Jun 01 2004 - axboe@suse.de
- flag BH_Eopnotsupp on buffer_heads for failed barriers
* Tue Jun 01 2004 - agruen@suse.de
- SUSE41443: rpm/running-kernel.init.in: Keep include/asm-*/offsets.h
  when doing a `make clean' and also link it into /usr/src/linux
  on those platforms that have it.
* Tue Jun 01 2004 - olh@suse.de
- add patches.fixes/ibm-ppc64-veth-buffer_pool
  handle buffer pools correctly (SUSE41392 - LTC8999)
* Tue Jun 01 2004 - okir@suse.de
- Merge nfsd fix from Neil Brown to correct handling of nfsd
  readahead
* Tue Jun 01 2004 - agruen@suse.de
- Fix kernel-binary post-install script for upgrading from SLES8
  to SLES9.
* Tue Jun 01 2004 - garloff@suse.de
- Serialise usb-storage commands with usbfs operations (SUSE40827).
* Tue Jun 01 2004 - okir@suse.de
- Fix refcounting problem in ipsec xfrm_state (SUSE41219)
* Tue Jun 01 2004 - okir@suse.de
- Tentative fix for nfsd/solaris9 readdirplus interoperability
  issue (SUSE41010 - LTC8781)
* Tue Jun 01 2004 - okir@suse.de
- Added workaround for pcnet skb_over_panic when the card reports
  weird frame sizes (SUSE42438 - LTC9029)
* Tue Jun 01 2004 - okir@suse.de
- CIFS readdir should deal gracefully with inode & dentry
  allocation failures (SUSE41131)
* Tue Jun 01 2004 - hare@suse.de
- add patches.suse/lkcd-netdump-discontig.patch
  Fix netdump for CONFIG_DISCONTIGMEM enabled (SUSE41399 - LTC9007)
* Tue Jun 01 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-prom-reloc
  missing RELOCs, add linux,phandle properties to device-tree
* Tue Jun 01 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  remove sysfs entry for vscsis
* Tue Jun 01 2004 - kkeil@suse.de
- ppp-filter-fix: new version with correct filter headers for
  DLT_LINUX_SLL filter (see # SUSE34724)
* Mon May 31 2004 - okir@suse.de
- Updated lustre-intent-fix-3 with latest from IBM (SUSE41025 - LTC8786)
* Mon May 31 2004 - olh@suse.de
- add patches.fixes/ppc64-rpaphp-dealloc_slot_struct.patch
  dealloc_slot_struct was called twice on error (SUSE41451 - LTC9011)
* Mon May 31 2004 - mason@suse.de
- make -o barrier=none also disable blkdev_flush on fsync for
  reiserfs
* Mon May 31 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-veth
  Flush pending packets when remote partition goes down
  fix virtual ethernet hangs (SUSE39499 - LTC7908)
* Mon May 31 2004 - mason@suse.de
- remove debugging printk from aio-debug add comments now that
  the bug is understood
* Mon May 31 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-hash_table-fixes
  add patches.arch/ibm-ppc64-iseries-hash_table-fixes
  more hashtable locking fixes (SUSE39039 - LTC7625)
* Mon May 31 2004 - olh@suse.de
- add patches.fixes/ppc64-rpa_vio.patch
  fix removal of virtual ethernet slots  (SUSE41442 - LTC9031)
* Mon May 31 2004 - olh@suse.de
- add patches.suse/kdb-gfp (SUSE40759)
  Use the correct GFP flags when kdb is running in interrupt context
* Sun May 30 2004 - schwab@suse.de
- Fix fpu register leak [SUSE41411].
* Sat May 29 2004 - okir@suse.de
- Fixed lustre revalidate_special to not return dentries with
  d_inode == NULL (SUSE41025 - LTC8786)
* Sat May 29 2004 - olh@suse.de
- add patches.fixes/radeonfb_new-ibook
  support for the latest iBook models
  fix initialisation problem on some IGP chipsets
* Sat May 29 2004 - olh@suse.de
- add patches.fixes/ppc32.serial.zilog.channel_b
  fix rx on channel b
* Sat May 29 2004 - ak@suse.de
- add more adaptec support to i2o driver
- ignore unwriteable sysenter registers on x86-64
* Fri May 28 2004 - agruen@suse.de
- SUSE41259: Fix handling of mmap vs. dmapi regions on jfs.
- Rename `supported' command line option to `unsupported'. Allow
  the values 0 = no, 1 = with warnings, and 2 = without warnings,
  identical to /proc/sys/kernel/unsupported. A value of 2 still
  taints the kernel if unsupported modules are loaded. Make
  self-compiled kernels default to 2.
- Instead of the build time, put cvs timestamp in `uname -v'.
- Don't cause unresolved symbols to abort the build.
* Fri May 28 2004 - ak@suse.de
- fix i386 kdb for regparms (SUSE40952)
* Fri May 28 2004 - ak@suse.de
- fix ugly warning in cciss change
* Fri May 28 2004 - ak@suse.de
- prefer panic to deadlock on MCE on x86-64 (SUSE41070)
* Fri May 28 2004 - mantel@suse.de
- enable CONFIG_BLK_DEV_TRM290 and CONFIG_BLK_DEV_OPTI621 (SUSE38814)
* Fri May 28 2004 - ak@suse.de
- ignore holes in mlock to work around ld.so issue (SUSE41356)
* Fri May 28 2004 - ak@suse.de
- fix and reenable tcp-proc-listen patch (SUSE40888)
* Fri May 28 2004 - mason@suse.de
- fix DIRECT_IO hole filling bug (SUSE41325)
* Fri May 28 2004 - mantel@suse.de
- fix 32/64 bit problem in cciss driver for configuration utility
  (SUSE41377)
* Fri May 28 2004 - ak@suse.de
- fix 32bit select on x86-64 (partial SUSE41260)
* Fri May 28 2004 - mantel@suse.de
- family field of struct sockaddr should contain AF_XXX values,
  not IPPROTO_XXX (SUSE41348)
* Fri May 28 2004 - olh@suse.de
- add patches.fixes/ibm-ppc64-veth-modinfo
  provide driver version via modinfo (SUSE41326 - LTC8966)
* Fri May 28 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  improve locking
* Fri May 28 2004 - agruen@suse.de
- patches.fixes/anon-d_hash: Set d_bucket correctly for anonymous
  dentries.
* Fri May 28 2004 - ihno@suse.de
- adding fix from IBM for s390-iucv-Interface (SUSE41252)
* Fri May 28 2004 - mason@suse.de
- aio debugging patch
* Thu May 27 2004 - ak@suse.de
- add missing GSI code for es7000 (SUSE41319)
* Thu May 27 2004 - agruen@suse.de
- patches.fixes/xfs-overflow: Fix 64-bit overflow.
- Make failures in external modules non-fatal.
- Make unlisted modules non-fatal.
* Thu May 27 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-numa-off.patch
  handle numa=off (SUSE41334 - LTC8921)
* Thu May 27 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-hvcs
  add MODULE_VERSION (SUSE41332 - LTC8969)
* Thu May 27 2004 - ak@suse.de
- Fix another bug in x86_64 find_first_bit()
- Reenable x86_64-early-console that got disabled by mistake
* Thu May 27 2004 - ak@suse.de
- Disable /proc/net/*listen for now
* Thu May 27 2004 - ak@suse.de
- readd broken hack to lustre-intent to make the module
  compile again.
* Thu May 27 2004 - ak@suse.de
- Make x86-64 compile for uniprocessor again
* Thu May 27 2004 - garloff@suse.de
- Mark bcm4400 as unsupported (bad code, b44 being much better).
* Thu May 27 2004 - ak@suse.de
- add missing memory clobber in x86-64 find_first_bit
* Thu May 27 2004 - ak@suse.de
- Update ACPI to 2.6.7-bk state
  es7000 temporarily broken
* Thu May 27 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  make sure properties are not changed while target is active
* Thu May 27 2004 - mantel@suse.de
- fix incorrect error handling in sysfs_rename_dir (SUSE40072)
* Thu May 27 2004 - ak@suse.de
- disable tcp-proc-walk temporarily
* Thu May 27 2004 - ak@suse.de
- disable pageattr-nx fix, replace with subtly wrong hack (SUSE41184)
- fix early console on x86-64
- remove bogus code in lustre patch
* Thu May 27 2004 - mantel@suse.de
- lkcd: fix compilation on IPF with 64k page size (SUSE41265)
* Thu May 27 2004 - agruen@suse.de
- Add /usr/src/linux/Makefile.suse for external module testing.
* Thu May 27 2004 - axboe@suse.de
- Fix deadlock in flush_workqueue() for singlethreaded work queues (SUSE41244)
* Thu May 27 2004 - okir@suse.de
- Fix kernel statd server to actually accept SM_NOTIFY calls
- Fix minor oops in net/sched_tbf (from mainline)
* Thu May 27 2004 - olh@suse.de
- reenable patches.fixes/dm-Fix-6432-bit-ioctl-problems.
  add patches.fixes/dm-remove-all
  use dm ioctl wrappers from mainline (SUSE40454 - LTC8344)
* Thu May 27 2004 - mantel@suse.de
- update qla2xxx driver to 8.00.00b13
* Thu May 27 2004 - okir@suse.de
- Updated nfsd-encode-dirent3 to fix nfsd memory corruption when
  handling readdirplus calls from non-Linux clients (LTC8781 - SUSE41010)
* Thu May 27 2004 - olh@suse.de
- add patches.fixes/ppc32-boot-chrp-ldscript.patch
  do not include ld.script in boot header
* Thu May 27 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  add sysfs support for vscsi server
* Thu May 27 2004 - olh@suse.de
- add patches.arch/suse-ppc64-as-option
  pass -a64 instead of -64 to as
* Thu May 27 2004 - olh@suse.de
- add patches.fixes/ppc64-rpaphp-multifunction-devices
  handle multi-fuction devices correctly (SUSE40901 - LTC8702)
* Thu May 27 2004 - agruen@suse.de
- LTC8470 / SUSE40615: Fix the fix.
* Thu May 27 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-IOMAP_MAX_ORDER
  bump IOMMU_MAX_ORDER (SUSE41133 - LTC8862)
* Thu May 27 2004 - mantel@suse.de
- allow probe to be inserted into already loaded module (SUSE41281)
* Thu May 27 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  fix implementation of the SRP protocol (SUSE40997 - LTC8745)
* Thu May 27 2004 - mantel@suse.de
- don't make rcfs unusable when class directory under taskclass
  gets removed (SUSE41242)
* Thu May 27 2004 - okir@suse.de
- merged pcnet-promisc-switchover patch (Don Fry)
* Thu May 27 2004 - olh@suse.de
- add patches.drivers/ipr_ioa_reset_timeout_oops2.patch
  add patches.drivers/ipr_driver_version_2_0_9.patch
  fix oops when ipr adapter times out coming operational
  (SUSE41282 - LTC8950)
* Thu May 27 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh-check-n-panic-earlier.patch
  add patches.arch/ibm-ppc64-panic_on_oops.patch
  trigger a panic after an EEH error (SUSE41277 - LTC8773)
* Thu May 27 2004 - okir@suse.de
- Updated to cifs 1.16 to fix the prepare write bug (SUSE41131)
* Thu May 27 2004 - mantel@suse.de
- fix write failure on virtual DVDRAM (PPC) (SUSE41245)
* Thu May 27 2004 - agruen@suse.de
- LTC8470 / SUSE40615: Fix teardown of partially initialised xfs
  buffers.
* Thu May 27 2004 - okir@suse.de
- fix typo in previous pcnet fix
* Thu May 27 2004 - okir@suse.de
- Merged patch for JFS hang on get_metapage (LTC8905 - SUSE41253)
- Fixed pcnet32 diagnostics patch (LTC8726 - SUSE40951)
* Thu May 27 2004 - ak@suse.de
- force pci=noacpi for IBM HS20 and asus pr-dls (SUSE38178)
- fix b44 resume when interface is down
* Thu May 27 2004 - agruen@suse.de
- patches.suse/jfs-dmapi-fix: Back out broken 32-bit compatibility
  code.
* Thu May 27 2004 - garloff@suse.de
- tulip-napi-remove-hang: Better fix. (okir, SUSE39668)
* Wed May 26 2004 - mason@suse.de
- ckrm permission fix (bug SUSE41270)
* Wed May 26 2004 - mason@suse.de
- lkcd doesn't compile with 64k page size on ia64
* Wed May 26 2004 - ak@suse.de
- Fix noapic, lapic, nolapic options (SUSE41236)
* Wed May 26 2004 - olh@suse.de
- update emulex fc driver to lpfcdriver-2.10f
  fix snprintf bug in lpfc_proc_info
* Wed May 26 2004 - ak@suse.de
- fix siblings issue on vmware
* Wed May 26 2004 - mason@suse.de
- ckrm fix (bug SUSE41243) fix rcfs checking of values from userland
* Wed May 26 2004 - mason@suse.de
- fix some compiler warnings in the rbce module
* Wed May 26 2004 - mason@suse.de
- add ckrm rbce module (bug SUSE40398)
* Wed May 26 2004 - agruen@suse.de
- SUSE41048: jfs dmapi fix for 64-bit kernel with 32-bit userspace.
* Wed May 26 2004 - okir@suse.de
- merged two patches from mainline:
  1.1717.17.1 04/05/20 18:20:15 yoshfuji@linux-ipv6.org +1 -0
  [IPV6] handle return value from ip6_push_pending_frames().
  1.1726.1.17 04/05/21 13:20:48 akpm@osdl.org[torvalds] +1 -0
  Fix NFSD oops in readdir
* Wed May 26 2004 - mason@suse.de
- export smp_send_stop on ia64 for lkcd
* Wed May 26 2004 - mason@suse.de
- remove bogus vs-8115 warning from reiserfs
* Wed May 26 2004 - mason@suse.de
- fix bug SUSE40642, reiserfs_commit_for_inode return values was
  causing problems for O_DIRECT and directory fsyncs
* Wed May 26 2004 - mason@suse.de
- add lkcd-ia64-kerntypes-compile to use
-fno-eliminate-unused-debug-types on for ia64 kerntypes file
* Wed May 26 2004 - hare@suse.de
- add patches.arch/s390-03-{29|30}-april2004.diff
  Fix kernel oops on unloading DASD modules.
* Wed May 26 2004 - mantel@suse.de
- add support for E7501 and CNB20LE/CNB30LE to ecc driver (SUSE41220)
* Wed May 26 2004 - ak@suse.de
- add /proc/net/tcp_listen, tcp6_listen to make slpd scale better
  (SUSE40888)
* Wed May 26 2004 - garloff@suse.de
- lustre-intent-fix-2: Fix intent initialization and interaction
  with fshooks.
* Wed May 26 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-uninline-spinlocks
  In _raw_spin_lock_flags we were branching to the wrong spot and
  would restore random stuff to the MSR.
  (function is unused in our tree, fix it anyway)
* Wed May 26 2004 - ak@suse.de
- print backtrace on bad vfrees
* Wed May 26 2004 - axboe@suse.de
- don't allow non-fs requests to ide-disk, currently only the taskfile
  io path was checked (SUSE40704)
* Wed May 26 2004 - ak@suse.de
- dump all registers on x86-64 in lkcd (part of SUSE39442)
* Wed May 26 2004 - ak@suse.de
- enable IO-APIC in default kernel on IBM x445 (SUSE34649)
* Wed May 26 2004 - ak@suse.de
- optimize proc tcp socket list walking slightly (SUSE40888)
* Wed May 26 2004 - olh@suse.de
- add patches.fixes/blockdev-readahead-fix
  We need to set file->f_ra _after_ calling blkdev_open(), when
  inode->i_mapping points at the right thing.
  And we need to get it from inode->i_mapping->host->i_mapping too,
  which represents the underlying device.
* Wed May 26 2004 - mantel@suse.de
- update b44 driver to version 0.94 (SUSE41149)
* Wed May 26 2004 - okir@suse.de
- Added pcnet diagnostics patch (LTC8726 - SUSE40915)
* Wed May 26 2004 - garloff@suse.de
- Enable tng_forkfnc/exitfnc.
* Wed May 26 2004 - okir@suse.de
- added patch from John Stultz to fix vgettiomeofday on i386 (LTC8395-SUSE40504)
- s/tg3-autonet/tg3-autoneg/ in series.conf to fix previous commit
* Wed May 26 2004 - ak@suse.de
- enable hardware flow control in tg3 driver
* Tue May 25 2004 - mason@suse.de
- update ia64 .config for lkcd
* Tue May 25 2004 - mason@suse.de
- add lkcd for ipf again
* Tue May 25 2004 - olh@suse.de
- update patches.fixes/e1000-mb.patch
  remove mb again from e1000_clean_tx_irq() bug (SUSE41111 - LTC8539)
* Tue May 25 2004 - mason@suse.de
- fix lkcd compile problem on x86_64
* Tue May 25 2004 - mason@suse.de
- potential fix for SUSE40701 (BUG in aio) and some O_SYNC related
  reiserfs fixes
* Tue May 25 2004 - andrea@suse.de
- fix the other smp race condition in do_stop() SUSE40082
* Tue May 25 2004 - agruen@suse.de
- SUSE41146: jfs acls broken.
* Tue May 25 2004 - kraxel@suse.de
- fix ieee1394 nodemgr locking (SUSE40177).
* Tue May 25 2004 - ak@suse.de
- fix typo in previous lkcd patch
* Tue May 25 2004 - mantel@suse.de
- work around parser problem for kernel-docs
* Tue May 25 2004 - ak@suse.de
- clean up x86-64 lkcd changes and make them compile without CONFIG_DUMP
- minor lkcd fixes
* Tue May 25 2004 - olh@suse.de
- add patches.suse/lkcd_cpu_hotplug_fix.patch
  use num_possible_cpus() when looking for cpus (SUSE41135 - LTC8863)
* Tue May 25 2004 - olh@suse.de
- update patches.fixes/ibm-ppc64-iseries-viodasd-probe-disks
  write 1 to /sys/bus/vio/drivers/viodasd/probe instead of reading
  from it (SUSE40528 - LTC8159)
* Tue May 25 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-fix-real_virtual-irq-mapping.patch
  fix virtual to real irq mapping
* Tue May 25 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-siginfo-copy
  ppc64: siginfo conversion fix for 32 -> 64bit
* Tue May 25 2004 - hare@suse.de
- S/390: Update to IBM codedrop 25-05-2004
* Tue May 25 2004 - olh@suse.de
- add patches.drivers/ipr_duplicate_ioa_reset_fix.patch
  fix timeout after duplicate reset commands (SUSE41050 - LTC8814)
  add patches.drivers/ipr_scsi_busy_io_hang.patch
  fix hang in io on unexpected scsi status (SUSE41049 - LTC8678)
  add patches.drivers/ipr_driver_version_2_0_8.patch
  bump version number
* Tue May 25 2004 - agruen@suse.de
- patches.fixes/udf-cvsfix: Fix reading udf filesystems created
  with recent Win* tools.
* Tue May 25 2004 - olh@suse.de
- remove patches.fixes/proc_bus_usb_bielefeld
  binary only apps like vmware cant be fixed to not read
  from /proc/bus/usb/devices (SUSE41036)
* Tue May 25 2004 - olh@suse.de
- reenable patches.arch/ibm-ppc64-memcpy_tofromio.diff
  increment the loop counter (SUSE40978 - LTC8701)
* Tue May 25 2004 - olh@suse.de
- add patches.fixes/ibm-ppc64-veth-longbusy
  check for busy state (SUSE41039 - LTC8798)
* Tue May 25 2004 - olh@suse.de
- enable CONFIG_IXGB and CONFIG_S2IO on pseries64,
  enable NAPI for both drivers (SUSE41112 - LTC8851)
* Tue May 25 2004 - okir@suse.de
- Fix lustre patch to work with updated cifs patch
* Tue May 25 2004 - hare@suse.de
- Fix cifs merge to patch again.
* Tue May 25 2004 - axboe@suse.de
- ide_pin_hwgroup() should check ->doing_barrier as well
* Tue May 25 2004 - hare@suse.de
- really fix arch-atomic_inc_and_test for S/390 (SUSE41096).
* Tue May 25 2004 - okir@suse.de
- Merge CIFS 1.15e to address problems in build_path_from_dentry (SUSE40973)
* Tue May 25 2004 - olh@suse.de
- add patches.fixes/e1000_discriptor.patch
  allow setting Tx or Rx Descriptors above 3272 (SUSE41116 - LTC8857)
* Tue May 25 2004 - olh@suse.de
- enable CONFIG_IBMOL on pseries (SUSE41099 - LTC8836)
* Tue May 25 2004 - okir@suse.de
- pcnet32 driver on 79c973 reported all outgoing packets as
  TX errors; patch from Don Fry (LTC8689 - SUSE40886)
* Tue May 25 2004 - hare@suse.de
- add patches.suse/ltt-hooks-remove-non-i386-7.39.patch
  Remove LTT on non-i386 architectures.
- fix xfs-mem-retry to build again.
* Tue May 25 2004 - mantel@suse.de
- clean up megaraid driver (use own subdir for new driver)
* Tue May 25 2004 - garloff@suse.de
- tulip-napi-remove-hang: Fix issue with removed tulip pcmcia card
  when NAPI is enabled (SUSE39668, cadaha).
* Tue May 25 2004 - ak@suse.de
- retry failed allocations in XFS (SUSE39962)
- fix bug in NUMA API with huge nodemasks
* Tue May 25 2004 - agruen@suse.de
- Add EXPORT_SYMBOL(laptop_mode).
- jfs updates/fixes: jfs-__get_metapage-size, jfs-d_instantiate-fix,
  jfs-error-recovery, jfs-invalidate-metadata-race, jfs-memleak,
  jfs-reduce-stack-usage, jfs-rmmod-fix.
* Tue May 25 2004 - olh@suse.de
- update patches.fixes/e1000-mb.patch
  need also mb in e1000_clean_tx_irq() bug (SUSE41111 - LTC8539)
* Mon May 24 2004 - agruen@suse.de
- xfs updates/fixes:
  + xfs-laptop-mode-patch: final laptop mode patch; rest already
  in kernel.
  + xfs-remove-some-dead-code: xfs_swappable code not used.
  + xfs-fix-some-warnings
  + xfs-jiffies-to-centisecs: Export/import tunable time
  intervals as centisecs not jiffies.
  + xfs-forced-shutdown-fix: Fix a use-after-free during
  transaction commit when the log is in error state.
  + xfs-use-set_current_state: Use set_current_state instead of
  direct current->state assignment, it has added memory barrier
  goodness.
* Mon May 24 2004 - agruen@suse.de
- SUSE41054: Require irqbalance package for kernel-smp on x86_64.
* Mon May 24 2004 - axboe@suse.de
- cfq rq allocation race fix
* Mon May 24 2004 - hare@suse.de
- fix patches.arch/s390-mapped-base.patch
  to properly handle 31-bit emulation prgs (SUSE40895).
* Mon May 24 2004 - axboe@suse.de
- cfq should check cfqd->xxx instead of the global defaults
* Mon May 24 2004 - okir@suse.de
- Merged several pcnet32 fixes from Don Fry (LTC8703 - SUSE41034)
* Mon May 24 2004 - mantel@suse.de
- DM fixes:
  o fix mpathd log writing loop (SUSE40787)
  o fix potential memory leak in an I/O mapping error-path
  o make kcopyd daemon single-threaded
* Mon May 24 2004 - ak@suse.de
- add acpi=oldboot alias for acpi=ht for compatibility
* Mon May 24 2004 - mantel@suse.de
- re-add cleaned up version of ES7000 support
* Mon May 24 2004 - okir@suse.de
- fix setsockopt/getsockopt 32bit emulation for IPV6_ONLY and
  a few other ioctls (LTC7563/SUSE38941)
* Mon May 24 2004 - kraxel@suse.de
- framebuffer palette handling fix (SUSE38364).
* Mon May 24 2004 - okir@suse.de
- Fixed typo in previous patch
* Mon May 24 2004 - okir@suse.de
- Fix for IPv6 tunnel PMTU problem (SUSE41017)
* Mon May 24 2004 - schwab@suse.de
- Set platform specific PROM flag on sn2 [SUSE40927].
* Mon May 24 2004 - hare@suse.de
- S/390: Update to official IBM codedrop 18-05-2004
- S/390: Split IBM codedrop 27-04-2004 in individual patches
  for better maintenance.
* Mon May 24 2004 - hare@suse.de
- add patches.suse/lkcd-x86_64-netdump.patch
  Fix netdump on x86_64 (SUSE40608)
* Mon May 24 2004 - andrea@suse.de
- fix for ia64 arch-atomic_inc_and_test needed by the
  page-freeing-race-fix.
* Sun May 23 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-oprofile-fix2.patch
  update for power4 (SUSE40468 - LTC8498)
* Sun May 23 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  init iseries_vscsi_dev.iommu_table (SUSE40818 - LTC8642)
* Sun May 23 2004 - olh@suse.de
- add patches.drivers/ipr-gcc-attribute-fixes-1.patch
  split packed ipr structs
  add patches.drivers/ipr_delete_anon_unions-4.patch
  make gcc 2.95 happy
  add patches.drivers/ipr_eh_elog_fixes-2.patch
  more logging in abort, device reset, and bus reset paths
  add patches.drivers/ipr_ioa_reset_timeout_oops-3.patch
  fix oops on bad hardware (SUSE40207 - LTC8316)
  add patches.drivers/ipr_driver_version_2-0-7-5.patch
  bump driver version
* Sun May 23 2004 - olh@suse.de
- add patches.fixes/initramfs-uncompress.patch
  handle 512 byte aligned gzip headers
* Sun May 23 2004 - axboe@suse.de
- fix ide barrier plugging race (SUSE41028)
* Sun May 23 2004 - agruen@suse.de
- SUSE41015: Deadlock on path reiserfs_setxattr => xah->set =>
  user_set => reiserfs_permission_locked => _reiserfs_permission:
  reiserfs_setxattr does down_write(xattr_sem);
  _reiserfs_permission then does down_read(xattr_sem).
* Sun May 23 2004 - garloff@suse.de
- Disable page-freeing-race-fix.patch on ia64.
* Sun May 23 2004 - axboe@suse.de
- Fix barrier clearing in ext3, and fix several bugs in barrier-ide
  in error handling.
* Sun May 23 2004 - agruen@suse.de
- Preserve timestamps of km_* files when copying them from
  /usr/src/kernel-modules to %%_builddir.
* Sat May 22 2004 - schwab@suse.de
- Fix cosmetical bug in quiet_cmd_modules_install_extra.
* Sat May 22 2004 - garloff@suse.de
- small-filp: Reduce size of struct file from 264 to 256 on 64bit.
* Sat May 22 2004 - garloff@suse.de
- lustre-intent-fix: streamline locking and export symbol.
* Sat May 22 2004 - garloff@suse.de
- steal-locks: Only migrate locks to current if we have the resp.
  file descriptors (agruen, SUSE40400).
* Fri May 21 2004 - ak@suse.de
- Fix x86-64 export for smp_stop_*
- Backport fixed 32bit select from 2.6.7 for x86-64
- Make it compile without CONFIG_CKRM
- Add some missing numa API documentation
* Fri May 21 2004 - agruen@suse.de
- Fix a reference to page->count on s390.
* Fri May 21 2004 - mantel@suse.de
- SLES9 Beta6 (CVS tag SLES9_BETA6)
* Fri May 21 2004 - axboe@suse.de
- Make CFQ the default IO scheduler
* Fri May 21 2004 - olh@suse.de
- disable broken patches.arch/ibm-ppc64-memcpy_tofromio.diff
  reimplement eeh_memcpy_fromio (SUSE40978 - LTC8701)
* Fri May 21 2004 - mantel@suse.de
- remove bogus WARNING from futex (SUSE40837)
* Fri May 21 2004 - mason@suse.de
- export __log_start_commit for ext3
* Fri May 21 2004 - mantel@suse.de
- update acenic driver to make it work; verified by IBM (SUSE40983)
* Fri May 21 2004 - mason@suse.de
- fix a reiserfs bug when filesystem block size is less then the
  page size
* Fri May 21 2004 - garloff@suse.de
- security-disabled-optimize-cap-default: Put a correctly predicted
  branch in the inlined LSM hooks rather than doing the indirect
  calls. The default is capability now, the module does not need
  to be compiled-in nor loaded (SUSE39439).
* Fri May 21 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-memcpy_tofromio.diff
  reimplement eeh_memcpy_fromio (SUSE40978 - LTC8701)
* Fri May 21 2004 - mason@suse.de
- bug SUSE40197, make ext3 retry failed allocations
* Fri May 21 2004 - okir@suse.de
- patch from IPSec Oops when deleting an ip address to prevent
  IPSec Oops when deleting an ip address (via netdev)
* Fri May 21 2004 - ak@suse.de
- Remove ES7000 patches for now since they break too many
  other machines (SUSE40944)
* Fri May 21 2004 - mantel@suse.de
- CKRM: add missing root checks (SUSE40106)
* Fri May 21 2004 - schwab@suse.de
- Enable oprofile [SUSE40939].
* Fri May 21 2004 - schwab@suse.de
- Unwinding fixes [SUSE40928].
* Fri May 21 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-cpu-hotplug-add-smt
  add patches.fixes/show_stat-for_each_online_cpu.patch
  report sibling cpus properly in /proc/stat (SUSE38886 - LTC7522)
* Fri May 21 2004 - okir@suse.de
- Prevent buffer overflows if buggy/hostile NFS server returns
  giant symlinks
* Fri May 21 2004 - ak@suse.de
- disable another annoying printk in ipv6
* Fri May 21 2004 - olh@suse.de
- add patches.fixes/ibm-ppc64-iseries-viodasd-probe-disks
  probe new disks by reading /sys/bus/vio/drivers/viodasd/probe
  (SUSE40528 - LTC8159)
* Fri May 21 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  ibmvscsi_remove doesnt take null pointers (SUSE40818 - LTC8642)
* Fri May 21 2004 - ak@suse.de
- add fix for via rhine negotation problems with forced link
* Fri May 21 2004 - okir@suse.de
- prevent race condition in procfs access to task->group_info (SUSE38009 - LTC7259)
* Fri May 21 2004 - olh@suse.de
- add patches.suse/lkcd_remove_ioctl32reg_ppc64.patch
  LKCD ppc64 tries ioctl32 registration twice (SUSE40543 - LTC8552)
* Fri May 21 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh-pci_dev_get.patch
  fix unbalanced pci_dev_get()/put() calls (SUSE40899 - LTC8698)
* Fri May 21 2004 - garloff@suse.de
- qla-nvram-settings: Patch from A Vasquez to fixup an invalid
  NVRAM setting in qla2xxx. (SUSE40092)
* Fri May 21 2004 - okir@suse.de
- Prevent deadlock in IPIP tunnel (error path)
* Fri May 21 2004 - axboe@suse.de
- don't leave ->waiting pointer left pointing to old stack
* Fri May 21 2004 - okir@suse.de
- Fix handling of IPv6 mapped IPv4 addresses (SUSE40894)
* Fri May 21 2004 - andrea@suse.de
- SUSE38478: fix ramfs 2G limit
* Fri May 21 2004 - agruen@suse.de
- SUSE40950: Add files to kernel-source.spec so that binary kernels
  can be built directly from kernel-source.spec.
* Fri May 21 2004 - andrea@suse.de
- fix VM double freeing longstanding race condition, patches
  from -mm, bug SUSE38424
* Fri May 21 2004 - mason@suse.de
- bug SUSE40450 and SUSE40581, data miscompares on reiser
- catch some missed reiserfs io error handling cases (jeffm)
- enable reiserfs write barriers by default
* Fri May 21 2004 - mason@suse.de
- fix problem between reiserfsck --rebuild-tree and the
  new reiserfs block allocator
* Thu May 20 2004 - mason@suse.de
- bug SUSE40937, SUSE40929, SUSE40396 ckrm fixes
* Thu May 20 2004 - mason@suse.de
- bugzilla dump
- bug SUSE40391, SUSE40660, SUSE40659, SUSE40653 - ckrm fixes
- bug SUSE40755 lkcd fix for ppc64
- bug SUSE40893 apply limits to jfs mount options
* Thu May 20 2004 - ak@suse.de
- Fix CPU online check in msr and cpuid drivers
* Thu May 20 2004 - ak@suse.de
- Remove 99 char limit on cpumask (SUSE40820)
* Thu May 20 2004 - garloff@suse.de
- scsi-early-set-max-dev-blocked: Avoid possible recursion by
  initializing max_device_blocked early enough.
- st-ioctl-idlun-support: st would not answer SCSI_IOCTL_GET_IDLUN
  correctly without this.
* Thu May 20 2004 - olh@suse.de
- enable patches.arch/ibm-ppc64-hotcpu_sched_domains.patch
  and patches.arch/ibm-ppc64-hotcpu_numa.patch
  add patches.arch/ibm-ppc64-numa-find_min_common_depth.patch
  DLPAR and NUMA married. (SUSE40430 - LTC8104)
* Thu May 20 2004 - schwab@suse.de
- A better fix for the rt_sigprocmask fast syscall [SUSE30297].
* Thu May 20 2004 - olh@suse.de
- add patches.fixes/ext2-init-goal
  [PATCH] use-before-uninitialized value in ext3(2)_find_ goal
* Thu May 20 2004 - ak@suse.de
- Update clone-balance patch to newer version from mainline for
  better performance.
- Disable clone balancing on ia64 since it doesn't scale well to
  huge machines.
- Rediff LaUS-kernel patch.
* Thu May 20 2004 - olh@suse.de
- add patches.fixes/sunrpc-svc_recv-init-len
  svc_recv may call svc_sock_release before rqstp->rq_res is
  initialized.
* Thu May 20 2004 - olh@suse.de
- add patches.fixes/ppc32-save-all-regs
  Get full register set on bad kernel accesses
* Thu May 20 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-set_pte-race
  close a race windows when set_pte is called on a present PTE
  (SUSE39039 - LTC7625)
* Thu May 20 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-systemcfg
  add POWER5 value to systemcfg.h (SUSE40870 - LTC8666)
* Thu May 20 2004 - olh@suse.de
- add patches.arch/suse-ppc64-autoconsole.patch
  try to autodetect serial console on Xserve
* Thu May 20 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-uninline-spinlocks
  Fix inline version of _raw_spin_trylock
* Thu May 20 2004 - garloff@suse.de
- selinux-opt-selinux0: Don't do the indirect security_opt calls
  if selinux is not enabled to avoid perf penalty. (SUSE39439)
* Wed May 19 2004 - olh@suse.de
- enable zilog console for pmac64
* Wed May 19 2004 - olh@suse.de
- add patches.drivers/qla-check-pci_map_sg-2.patch
  check for pci_map_sg failure (SUSE40677 - LTC8321)
* Wed May 19 2004 - olh@suse.de
- add patches.fixes/jfs-GFP_NOFS-2.patch
  Set bdev's gfp_mask to GFP_NOFS when mounting rw (SUSE40654 - LTC8590)
* Wed May 19 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh-slot_errbuf_lock.patch
  slot-error-detail buffer needs a lock (SUSE40823 - LTC8661)
* Wed May 19 2004 - okir@suse.de
- Made vgettimeofday controllable by boot param; default to off
* Wed May 19 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtas_slot_error_detail.patch
  log slot-error-detail properly (SUSE40824 - LTC8656)
* Wed May 19 2004 - schwab@suse.de
- Convert /proc/perfmon to seqfile API [SUSE40819].
* Wed May 19 2004 - garloff@suse.de
- lustre-intent: Integrate the intent stuff LUSTRE needs for
  integration into the kernel.
* Wed May 19 2004 - ak@suse.de
- Fix 64bit sendfile on s390x too
* Wed May 19 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-veth
  missing spin_unlock in error path
* Wed May 19 2004 - ak@suse.de
- Fix sendfile for files >2GB on 64bit architectures
- Fix >2GB sendfile on XFS
* Wed May 19 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-veth
  fix TX errors in iseries_veth, another logic bug
* Wed May 19 2004 - olh@suse.de
- add patches.suse/kdb-ppc64-udbg_write
  write to OF stdout instead of console
* Wed May 19 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-readq_writeq
  fix readq/writeq
* Wed May 19 2004 - olh@suse.de
- add patches.fixes/ppc64-PT_FPSCR
  Fix incorrect PT_FPSCR definition
* Wed May 19 2004 - olh@suse.de
- add patches.fixes/ppc.970-cpuinit
  Cleanup PPC970 CPU initialization
  add patches.fixes/ppc32-altivec-exception-handling
  Handle altivec assist exception properly
  add patches.fixes/ppc32-altivec-trap
  Fix thinko in the altivec exception code
* Wed May 19 2004 - olh@suse.de
- add patches.fixes/video-radeon-lvds-typo
  Fix typo nonsense test in radeon PMAC backlight code.
* Wed May 19 2004 - olh@suse.de
- add patches.suse/ibm-ppc64-970fx-smp-init
  Add proper  SMP init on dual 970FX based machines
* Wed May 19 2004 - olh@suse.de
- add patches.fixes/usb-keep-bound-interfaces
  dont oops in usb_ifnum_to_if
  add patches.fixes/usb-serial-keyspan-upr112
  add patches.fixes/usb-storage-ibm-memkey
  add patches.fixes/usb-storage-kyocery-finecam
  add patches.fixes/usb-storage-sony-clie
  add patches.fixes/usb-storage-sony-handycam
  new firmware for keyspan device, new unusual dev entries
* Wed May 19 2004 - axboe@suse.de
- Patchlet to expose backing device read-ahead setting through sysfs
* Wed May 19 2004 - okir@suse.de
- mmapped pages on NFS would never be discarded (SUSE39480)
* Wed May 19 2004 - okir@suse.de
- Updated CIFS to cifs-1.15-suse provided by Steve French (SUSE40736)
- Make CIFS sockets use sk_allocation = NOFS to prevent deadlock (SUSE40736 too)
* Wed May 19 2004 - andrea@suse.de
- Fix smp race in set_page_dirty (SUSE39268)
* Wed May 19 2004 - garloff@suse.de
- scsi-bflags-266: Add BLIST_MS_192_BYTES_FOR_3F from 2.6.6 to
  avoid conflicting blacklist constants.
* Tue May 18 2004 - olh@suse.de
- update patches.fixes/jfs-commit_threads
  more updates for the fix (SUSE40540 - LTC8497)
* Tue May 18 2004 - agruen@suse.de
- Fix use of floating-point in lirc-parallel.ko.
* Tue May 18 2004 - ak@suse.de
- Fix empty node 0 on x86-64 (SUSE39708)
* Tue May 18 2004 - agruen@suse.de
- Export swapper_space and delete_from_swap_cache symbols; the
  former is used by ocfs2.
* Tue May 18 2004 - agruen@suse.de
- patches.fixes/jfs-config-fix: Fix for CONFIG_JFS_POSIX_ACL=n.
* Tue May 18 2004 - ak@suse.de
- Another try at fixing the x86-64 timer bug (SUSE40751)
* Tue May 18 2004 - garloff@suse.de
- sched-double-lock-contention: less locking in balancing (sched).
* Tue May 18 2004 - olh@suse.de
- add patches.drivers/scsi_debug.patch
  update driver to 1.73
* Tue May 18 2004 - garloff@suse.de
- Merge PCIe and Standard PCI hotplug updates from 2.6.6 (SUSE34641).
* Tue May 18 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-hash-page-ri.patch
  dont clear MSR.RI in exit path of do_hash_page_DSI. (SUSE40637 - LTC8576)
* Tue May 18 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-hvcs
  Changes to hvcs to fix several concerns including documentation,
  interrupt handling, and code formatting.
* Tue May 18 2004 - olh@suse.de
- add patches.fixes/sg_cmd_done_oops_again.patch
  fix races in sg ioctl handling (SUSE40394 - LTC8371)
* Tue May 18 2004 - olh@suse.de
- add patches.suse/kdb-ppc64-bt-tail-recursion
  handle tail-recursive routines in kdb bt (SUSE39989 - LTC8037)
* Tue May 18 2004 - okir@suse.de
- allow 8 instead of 5 levels of indirection via symlinks (SUSE40720)
- changed smbfs follow_link function to use kmalloc instead of
  putting a 256 byte buf on the stack
* Tue May 18 2004 - okir@suse.de
- Updated sunrpc-bogus-export-entry to official fix from
  Neil Brown; disabled sunrpc-null-noauth which is obsoleted by this.
* Tue May 18 2004 - ak@suse.de
- Disable es7000+x86-64 fixes because they still seem to have
  problems
* Tue May 18 2004 - okir@suse.de
- Merged several CIFS fixes from Steve French:
- out of memory deadlock (SUSE40736, SUSE40735)
- deadlock in readdir
- truncated readdir() results in some cases
* Tue May 18 2004 - mantel@suse.de
- fix oops in hiddev.c
* Tue May 18 2004 - okir@suse.de
- Cleaned up cifs-update patch, removed garbage file cifs/file.c.temp.short.c
* Tue May 18 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-iSeries-SRC.patch
  update SRC on boot (SUSE40756 - LTC8360)
* Tue May 18 2004 - mantel@suse.de
- inrease blk_queue_max_sectors for cciss driver (SUSE40757)
* Tue May 18 2004 - ak@suse.de
- Backport SIS 746,648 AGP fixes from mainline
* Tue May 18 2004 - ak@suse.de
- Fix VIA, SIS, Nvidia, AMD K7 AGP drivers to only announce their
  supported PCI IDs (SUSE40622)
- Add missing SIS755 ID to amd64 AGP driver
* Tue May 18 2004 - ak@suse.de
- Fix timer interrupt on x86-64 (SUSE40751)
* Tue May 18 2004 - agruen@suse.de
- SUSE40682: Make arch/$ARCH/defconfig the default configuration for
  `make menuconfig' instead of /boot/config-`uname -r`.
* Mon May 17 2004 - olh@suse.de
- add patches.suse/kdb-common-console_detection
  disable kdb if no console detected, rather than stop booting.
  (SUSE40737)
* Mon May 17 2004 - okir@suse.de
- Fixed BUG() in nfs_clear_inode (SUSE40536)
* Mon May 17 2004 - agruen@suse.de
- Add symbol versions of modules from km_* packages to
  /boot/symvers-%%ver_str.gz.
- Fix minor linkage bug in mobile ipv6.
* Mon May 17 2004 - kraxel@suse.de
- add patches.uml/uml-general-protection-fault: fix uml general
  protection fault handling (SUSE35761).
* Mon May 17 2004 - garloff@suse.de
- exec-sig-tty-timer-init: When we alloc a new signal struct by
  calling exec from a a thread, posix_timers and tty were not
  properly initialized. (SUSE40407, LTC8378, ssant@in.ibm.com)
* Mon May 17 2004 - hare@suse.de
- Disable LTT for S/390. Totally broken.
* Mon May 17 2004 - olh@suse.de
- add patches.arch/intel-soft-float, finally!
* Mon May 17 2004 - ak@suse.de
- Fix AGP/NX allocation bug on x86-64 (SUSE40703)
* Mon May 17 2004 - olh@suse.de
- add patches.fixes/e1000_memory_leak_fix.patch
  fix e1000 DMA mapping leak (SUSE40371 - LTC8427)
* Mon May 17 2004 - agruen@suse.de
- kernel-binary.spec: Fix check for unresolved symbols.
* Sun May 16 2004 - agruen@suse.de
- kernel-syms.spec: Don't fail when symver dump files are
  missing.
* Sun May 16 2004 - agruen@suse.de
- SUSE40545: patches.fixes/xfs-endianness-fix: Fix XFS recovery on
  64-bit big-endian architectures.
- SUSE38009: patches.fixes/groups-alloc-0 did not fix the actual bug.
- SUSE40545: patches.fixes/jfs-commit_threads-fix: Get rid of
  floating point in jfs.
* Sat May 15 2004 - schwab@suse.de
- Fix botched riva fbdev lvalue conversion.
* Sat May 15 2004 - olh@suse.de
- disable patches.fixes/jfs-commit_threads, uses floats (SUSE40540)
* Sat May 15 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-fix-smt-oprofile
  set the run latch in the control register to make PMC6 count
  (SUSE40643 - LTC8582)
* Sat May 15 2004 - olh@suse.de
- update patches.fixes/e1000-netdev_register.patch
  move debug printk (SUSE40181 - LTC8195)
* Sat May 15 2004 - olh@suse.de
- add patches.suse/kdb-xmon-ppc64-shuffle-sysrq-keys
  Alt-SysRq-d for KDB overrides LKCD (SUSE40373 - LTC8431)
* Sat May 15 2004 - olh@suse.de
- add patches.suse/kdb-ppc64-print-unknown-sym
  put some spaces between addr and opcode (SUSE40427 - LTC8364)
* Sat May 15 2004 - olh@suse.de
- update patches.fixes/e100-mb.patch
  mb needed in e100_exec_cmd() (SUSE40387 - LTC8455)
* Sat May 15 2004 - olh@suse.de
- add patches.fixes/compat-ioctl-HDIO_DRIVE_TASK.patch
  handle also HDIO_DRIVE_TASKFILE (SUSE40276 - LTC8380)
* Sat May 15 2004 - olh@suse.de
- add patches.fixes/ibm-ppc64-iseries-viodasd-readonly-disks
  handle read-only viodasd disks (SUSE40380 - LTC8442)
* Sat May 15 2004 - olh@suse.de
- update patches.fixes/e100-mb.patch
  rmb needed in e100_rx_indicate() (SUSE40376 - LTC8434)
* Fri May 14 2004 - olh@suse.de
- update patches.arch/suse-ppc64-iseries-available_veth
  do not write outside the allocated buffer
* Fri May 14 2004 - garloff@suse.de
- Fix minor merging error of sysctl_hugetlb_shm_group and
  disable-cap-mlock (from andrea).
* Fri May 14 2004 - olh@suse.de
- disable patches.fixes/dm-Fix-6432-bit-ioctl-problems.
  as broken as patches.suse/dm-03-32bit-ioctl
* Fri May 14 2004 - agruen@suse.de
- Add supported command line option to disallow loading of
  unsupported modules.
* Fri May 14 2004 - olh@suse.de
- disable kdb per default on pseries64. use 'kdb=on' to activate it
* Fri May 14 2004 - agruen@suse.de
- Fix file list in kernel-syms.spec.
* Fri May 14 2004 - okir@suse.de
- fixed strip level in previous patch
* Fri May 14 2004 - okir@suse.de
- groups_alloc(0) would not allocate enough memory (SUSE38009)
* Fri May 14 2004 - schwab@suse.de
- Fix missing VM_RESERVED in ia32 emulation [SUSE40532].
* Fri May 14 2004 - schwab@suse.de
- Fix error handling in fast version of rt_sigprocmask [SUSE30297].
* Fri May 14 2004 - agruen@suse.de
- running-kernel init script: Allow the running kernel and kernel
  sources to have a different version/release.
* Fri May 14 2004 - mantel@suse.de
- fix boot on ES7000 machines (SUSE40274)
* Fri May 14 2004 - mantel@suse.de
- JFS: fix hang with multiple mkdir commands (SUSE40540)
* Fri May 14 2004 - mantel@suse.de
- CKRM: Don't allow non-root users to move any process to any
  class (SUSE40106)
* Fri May 14 2004 - agruen@suse.de
- Create missing directories in kernel-syms.spec.
* Fri May 14 2004 - hare@suse.de
- Fix lkcd dump for DUMP_LEVEL=1 (SUSE39840).
* Fri May 14 2004 - okir@suse.de
- CIFS: prevent oops in smb_init if kmalloc fails (SUSE40385)
* Fri May 14 2004 - agruen@suse.de
- No loger abort the build when modules are not listed in
  supported.conf.
* Fri May 14 2004 - ak@suse.de
- Add simple CMP support to x86-64
* Fri May 14 2004 - hare@suse.de
- Update sysfs-backing-store to official version from
  2.6.6-mm2 (SUSE36248).
* Fri May 14 2004 - mantel@suse.de
- update pci.ids file to latest version
* Fri May 14 2004 - mantel@suse.de
- fix AMD64 iommu compatibility in aacraid driver
* Fri May 14 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-numa-topology
  make some variables unsigned int (SUSE40201 - LTC8309)
* Fri May 14 2004 - agruen@suse.de
- Fold patches.suse/tainted-warning into
  patches.rpmify/supported-flag where the bug was introduced.
* Thu May 13 2004 - mason@suse.de
- enable ltt and dprobes in the i386 debug kernel
- fix minor merging error between kdb and ltt/dprobes
- fix lkcd so that it cant reboot after a crash (SUSE40218)
- fix ltt so that it works with regparm (SUSE40392)
- fix relayfs to use a workqueue for file removal (SUSE40393)
- fix the kernel taint message to send the proper number of args
  to printk (patches.suse/tainted-warning)
* Thu May 13 2004 - mantel@suse.de
- back put aic7xxx driver update: driver panics
* Thu May 13 2004 - kkeil@suse.de
- fix typo in the PCMCIA driver name in avm_cs.c
* Thu May 13 2004 - olh@suse.de
- add patches.arch/suse-ppc64-iseries-available_veth
  show the configured veth interfaces in /proc/iSeries/config
  (SUSE40527)
* Thu May 13 2004 - schwab@suse.de
- Don't strip at all when compiling with debug info.
* Thu May 13 2004 - agruen@suse.de
- Update unsupported modules patch; add /proc/sys/kernel/unsupported
  switch to allow/disallow loading unsupported modules.
* Thu May 13 2004 - olh@suse.de
- add patches.fixes/scsi_device-type-signed.patch
  char is signed, aic7xxx puts a -1 in it.
* Thu May 13 2004 - schwab@suse.de
- Add debug configuration for ia64.
* Thu May 13 2004 - olh@suse.de
- add patches.drivers/qla2xxx-wmb_additions-sles9.diff
  io barriers for qla driver (SUSE40173 - LTC8017)
* Thu May 13 2004 - kraxel@suse.de
- fix uml network problem (SUSE39978).
* Thu May 13 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-uninline-spinlocks-kconfig
  CONFIG_SPINLINE for slpar locks
* Thu May 13 2004 - mantel@suse.de
- fix scalability problem with del_timer_sync() (SUSE40475)
* Thu May 13 2004 - mason@suse.de
- patch ltt and dprobes in again after some review from s390
  maintainers.  These patches are still disabled in .config
* Thu May 13 2004 - mantel@suse.de
- update aic7xxx to 6.3.6 and aic79xxx to 2.0.8 (SUSE40144)
* Thu May 13 2004 - mason@suse.de
- fix a race during writeback_inodes where the filesystem may
  be unmounted while it is being processed (bug SUSE40457 I hope)
* Thu May 13 2004 - garloff@suse.de
- Correct binary kernel license: Proprietary modules are contained
  thus the license is non-GPL.
* Thu May 13 2004 - schwab@suse.de
- Kill node_first_cpu [SUSE40449].
* Thu May 13 2004 - ak@suse.de
- Implement simple overcommit memory checking for hugepages
  Can be controlled with /proc/sys/vm/overcommit_hugepages
- Do lazy hugepage allocation on IA64
- Support NUMA policy for huge tlb pages on IA64
- Fix a race in i386 hugepage allocation
- Fix mbind to not crash when it reaches end of memory
- Fix get_user_pages for lazy hugetlb
* Thu May 13 2004 - ak@suse.de
- Mark subfs as supported again
* Thu May 13 2004 - schwab@suse.de
- Update configs.
* Thu May 13 2004 - olh@suse.de
- disable patches from SUSE40430 - LTC8104, go with this one instead:
  patches.arch/ibm-ppc64-numa-topology (SUSE40113 - LTC8259)
* Thu May 13 2004 - mason@suse.de
- disable ltt and dprobes
* Thu May 13 2004 - hare@suse.de
- Add patches.suse/lkcd-arch-kerntypes.patch
  to enable kerntypes support for all architectures.
* Thu May 13 2004 - hare@suse.de
- Fix patches.arch/s390-mapped-base.patch to compile on s390x.
* Thu May 13 2004 - olh@suse.de
- add patches.fixes/linux-2.6.5-6.usb.dvb.diff
  fix unresolved symbol in dvb-ttusb-budget driver
* Thu May 13 2004 - schwab@suse.de
- Fix breakage from mason.
* Thu May 13 2004 - hare@suse.de
- Fix /proc/mapped_base for S/390 (SUSE40080).
  Add patches.arch/s390-core-changes.patch
  Add patches.arch/s390-mapped-base.patch
  Remove patches.arch/s390-proc-mapped-base.patch
  Reworked patches.suse/noexec_stack4 to apply again.
* Thu May 13 2004 - ak@suse.de
- check for disabled nodes before registering them in sysfs
  partial fix for SUSE39708
* Thu May 13 2004 - ak@suse.de
- mark econet and wanpipe as unsupported too
* Thu May 13 2004 - ak@suse.de
- fix locking in bond_close()
* Thu May 13 2004 - olh@suse.de
- revert rename hid -> usbhid from usb update
  remove random_ether_addr change from usbnet
* Thu May 13 2004 - ak@suse.de
- really kill all reparent_to_init()s in amdshpc
* Thu May 13 2004 - okir@suse.de
- nfsd: allow NULL calls to succeed, even if we don't know the
  client (SUSE40463)
* Thu May 13 2004 - ak@suse.de
- set /dev/mem memory holes to uncached on x86-64 to make MTRRs
  work (SUSE29200)
* Thu May 13 2004 - axboe@suse.de
- barrier-core update. clear_buffer_write_io_error() on
  WRITE_BARRIER, not just write (should just check direction).
  Correctly check BIO_EOPNOTSUPP at end_io time as well (for async
  notication of lacking barrier support)
* Thu May 13 2004 - axboe@suse.de
- Correctly check cfs_enable_2 bits for FLUSH_CACHE/_EXT support
  (SUSE39747)
* Thu May 13 2004 - mason@suse.de
- add ltt and dprobes, disabled in .configs
- fix ckrm bugs SUSE40024 SUSE40084 SUSE40386
- fix ckrm memory corruption in networking code
- fix relayfs compiler warning
* Thu May 13 2004 - andrea@suse.de
- rewrite swap-unplug fixing at least one unplugging bug
  and with much cleaner design that doesn't expose swapcache
  details into the highlevel pagecache code, this should fix
  SUSE39744 correctly.
* Thu May 13 2004 - olh@suse.de
- update usb stack to 2.6.6 level
* Thu May 13 2004 - olh@suse.de
- build ibmveth as a module on pseries64
* Thu May 13 2004 - olh@suse.de
- build tokenring as a module on iseries64
* Thu May 13 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-uninline-spinlocks
  [PATCH] Un-inline spinlocks on ppc64
* Thu May 13 2004 - agruen@suse.de
- patches.suse/intel-vtune-fix: Make compile on i386, enable it
  in the config files.
* Wed May 12 2004 - okir@suse.de
- Fix TCPv6 dst underruns introduced by MIPv6 patch (SUSE39713)
* Wed May 12 2004 - schwab@suse.de
- Only strip debug symbols from vmlinux.
* Wed May 12 2004 - ak@suse.de
- add amd 8131 hotplug pci driver
* Wed May 12 2004 - kraxel@suse.de
- make uml kernels uname syscall return machine == "i586" [bug SUSE40273]
* Wed May 12 2004 - ak@suse.de
- small powernow-k8 update from AMD to handle newer CPUs
* Wed May 12 2004 - axboe@suse.de
- dm-zero.c is buggy, it passes a bad argument to bvec_kunmap_irq()
* Wed May 12 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-hotcpu_sched_domains.patch
  patches.arch/ibm-ppc64-hotcpu_numa.patch
  patches.fixes/hotcpu_notifier_c99_initializers.patch
  obsoletes patches.arch/ibm-ppc64-numa-topology
  (SUSE40430 - LTC8104) CPU DLPAR and NUMA wont play well together
* Wed May 12 2004 - agruen@suse.de
- Add missing wlan modules to supported.conf.
* Wed May 12 2004 - garloff@suse.de
- sbp2-reset-3: Return SUCCESS in _abort handler if command can
  just be dequeued. Don't abort running commands then by resetting
  the bus. (SUSE38892)
- Enable i386/debug kernel in config.conf.
* Wed May 12 2004 - schwab@suse.de
- Force little-endian during signal delivery [SUSE40382].
* Wed May 12 2004 - mantel@suse.de
- fix shutting down network with quad tulip card (SUSE39204)
* Wed May 12 2004 - okir@suse.de
- Fixed bug in tcp_ipv6_check_established
* Wed May 12 2004 - olh@suse.de
- enable patches.arch/ibm-ppc64-numa-topology (SUSE40113 - LTC8259)
* Wed May 12 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-rtasmsgs.patch
  rtasmsg patch with on/off instead of 0/1 (SUSE40195 - LTC8320)
* Wed May 12 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh-isa-check.patch
  handle EEH on ISA devices (SUSE40221 - LTC8347)
* Wed May 12 2004 - agruen@suse.de
- Fix external module support for SUBDIRS="more/ than/ one/".
* Wed May 12 2004 - mantel@suse.de
- set up read-ahead for cciss driver on a per queue basis (SUSE40389)
* Wed May 12 2004 - garloff@suse.de
- Enable CONFIG_DEBUG_STACK_OVERFLOW in i386 kernels, disbale
  CONFIG_DEBUG_STACK_USAGE instead.
- Add debug kernel config (currently disabled).
* Wed May 12 2004 - mantel@suse.de
- don't start stopped processes on suspend to disk (SUSE38637)
* Wed May 12 2004 - schwab@suse.de
- Fix pci probing on ia64 [SUSE38930].
* Wed May 12 2004 - schwab@suse.de
- Don't use EXEC_PAGESIZE when PAGE_SIZE is meant.
* Wed May 12 2004 - agruen@suse.de
- SUSE39199: Add Intel VTune(TM) Performance Analyzer Driver, with
  fixes from Intel.
- Add patches.fixes/priotree-hugetlbfs-truncate-lockup to
  series.conf.
* Wed May 12 2004 - olh@suse.de
- remove patches.drivers/pcnet32-drop-ltint.patch
  add patches.fixes/pcnet32-disable-ltint
  just disable ltint for the time being
* Wed May 12 2004 - olh@suse.de
- add patches.fixes/ext3-bogus-enospc
  [PATCH] Fix ext3 bogus ENOSPC
* Wed May 12 2004 - olh@suse.de
- add patches.fixes/radeonfb_overlapping_copyarea
  [PATCH] radeon: fix overlapping copyarea
* Wed May 12 2004 - olh@suse.de
- add patches.arch/ppc-XTABS-termio.patch
  PPC termio fix for TABDLY bits TAB3/XTABS
* Wed May 12 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  Fix panic in ibmvscsi_eh_abort_handler (LTC bugzilla 7983)
  fix the ibmvscsi server
- getting rid of some debug that shouldn't be there
- fixes the way adapter information is sent to the client
- fixes a hang when the client sends device_reset or abort
* Tue May 11 2004 - garloff@suse.de
- priotree-hugetlbfs-truncate-lockup: Patch from andrea, fixing
  a corner case with hugetlbfs truncate lockup in priotree.
* Tue May 11 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-cpu-hotplug-add-smt
  show correct number of cpus (SUSE40194 - LTC8340)
* Tue May 11 2004 - olh@suse.de
- add patches.fixes/dentry_inode_cache_hash.patch (SUSE40102 - LTC8261)
  [PATCH] dentry and inode cache hash algorithm performance changes.
* Tue May 11 2004 - agruen@suse.de
- Add supported flag for modules. The file supported.conf lists
  all modules, and marks unsupported modules as in series.conf.
  Loading an unsupported module taints the kernel.
- Mark all drivers that depend on CONFIG_ISA as unsupported.
- Add a warning when symbol versions are not found while compiling
  external modules. Update documentation and example module.
* Tue May 11 2004 - olh@suse.de
- update patches.fixes/schedaffinity-compat
  reverse check for access_ok result
* Tue May 11 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-vpurr (SUSE39732 - LTC8074)
  replaces patches.arch/ibm-ppc64-vpurr-preserve-cpumask
* Tue May 11 2004 - okir@suse.de
- removed a few obsolete nfs and ipv6 patches
* Tue May 11 2004 - mantel@suse.de
- device mapper fixes:
  o fix some potential buffer-overflow issues
  o exchange slow bit-by-bit count to use hweight32 to count bits
  per uint32_t
* Tue May 11 2004 - mantel@suse.de
- fix non-working filtering based on file device number (SUSE40089)
* Tue May 11 2004 - mantel@suse.de
- disable CONFIG_INTERMEZZO_FS
* Tue May 11 2004 - olh@suse.de
- add patches.arch/ppc64-io-barrier2, make barriers stronger
* Tue May 11 2004 - garloff@suse.de
- dentry-bloat: We don't need cache line alignment for dentries,
  more space for inline filenames (from Linus, in 2.6.6)
- qlogicisp-eh: Minimal for for qlogicisp exception handling
- scsi-format-unit-timeout: Some SCSI disks need much more than
  two hours to format.
- acpi-pci-link: Patch from Len Brown to fix IRQ assignment for
  2.6.6, disabled for 2.6.5 for now.
* Tue May 11 2004 - mantel@suse.de
- fix oops in aic7xxx driver when hardware is not present (might
  fix SUSE35757)
* Tue May 11 2004 - olh@suse.de
- add patches.fixes/report-printk-buffer-size_selinux
  [PATCH] SElinux interface for reporting size of printk buffer
* Tue May 11 2004 - olh@suse.de
- add patches.fixes/bfs_read_past_end_of_dir
  [PATCH] bfs filesystem read past the end of dir
* Tue May 11 2004 - okir@suse.de
- Merged several SCTP fixes from Sridhar Samudra
* Tue May 11 2004 - mantel@suse.de
- make use of SHM_HUGETLB shm memory configurable via sysctl (SUSE40301)
* Tue May 11 2004 - olh@suse.de
- add patches.suse/gendisk_removeable_media.patch
  flag removeable media via /block/*/removable with content 0/1
* Tue May 11 2004 - hare@suse.de
- Update to IBM codedrop 16-05-2004 (preliminary)
* Tue May 11 2004 - ak@suse.de
- Fix PCI ID tables for Intel AGP drivers (SUSE40150)
* Tue May 11 2004 - agruen@suse.de
- SUSE40115: Fix installation path of Kerntypes for `make install'
  (now done in /sbin/installkernel).
* Tue May 11 2004 - okir@suse.de
- updated ipv6-expire-redirect patch to fix bug SUSE38543
* Tue May 11 2004 - okir@suse.de
- IPv6: IPv6 redirects to routers with no neighbor cache entry
  were ignored (TAHI test nd/74, bug SUSE38554)
* Tue May 11 2004 - kraxel@suse.de
- fix uml build failure.
* Tue May 11 2004 - okir@suse.de
- Added patch to prevent IPv6 ndisc changes from breaking
  gratuitous ARPs (needed for HA failover, bug SUSE30104)
* Mon May 10 2004 - garloff@suse.de
- bluetooth-patch-265-mh3: Complete patchset patch-2.6.5-mh3
  (merged in 2.6.6) as advised by Marcel, fixing SUSE39349,
  obsoleting bluetooth-init-fix, bluetooth-usb-unlink-race,
  from-2.6.6-rcx-Bluetooth-Fix-broken-HCI-security-filter,
  from-2.6.6-rcx-Bluetooth-Fix-race-in-RX-complete-routine-of-
  the-USB-drivers.
- bluetooth-isoc-disconnect-crash: Fixing a crash when discon-
  necting from the ISOC interface. (SUSE39349)
* Mon May 10 2004 - olh@suse.de
- add patches.arch/suse-ppc64-export-HvLpEvent_registerHandler
  allow iseriesveth to be a module, needed for version upgrade
* Mon May 10 2004 - mantel@suse.de
- fix deadlock in create_workqueue (SUSE40073)
* Mon May 10 2004 - mantel@suse.de
- fix kthread_stop for migration_thread (SUSE40075)
* Mon May 10 2004 - mantel@suse.de
- fix I/O permission leak (SUSE40256)
* Mon May 10 2004 - agruen@suse.de
- Fix typo in install path for Kerntypes-%%ver_str on x86_64.
* Mon May 10 2004 - mantel@suse.de
- fix incorrect kobject_set_name usage (SUSE40078)
* Mon May 10 2004 - agruen@suse.de
- patches.fixes/shrink_slab-handle-GFP_NOFS.patch: Improve fairness
  when shrinking pagecache vs. shrinking slab (from -mm).
* Mon May 10 2004 - mantel@suse.de
- fix race in sys_sched_getaffinity (SUSE40079)
* Mon May 10 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-iseries-bolted-fix.patch
  fix power4 iseries (SUSE40104 - LTC8269)
* Mon May 10 2004 - garloff@suse.de
- selinux-default-disable: Disable selinux by default (SUSE39439).
* Mon May 10 2004 - okir@suse.de
- fix bug in nfsd export list handling (SUSE37879)
* Mon May 10 2004 - mantel@suse.de
- fix programs that include cciss_ioctl.h (SUSE40090, SUSE26843)
* Mon May 10 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-oprofile-fix.patch
  avoid oops on shutdown. added support for 970FX and GS
* Mon May 10 2004 - hare@suse.de
- add patches.arch/s390-dasd-erp-debug.patch
  Remove ERP debugging messages (SUSE36834)
* Mon May 10 2004 - olh@suse.de
- update patches.arch/ppc64-eeh-race.patch
  fix list handling (SUSE40066 - LTC8219)
* Mon May 10 2004 - mantel@suse.de
- fix yet another name clash for JFS dmapi (SUSE40166)
* Mon May 10 2004 - olh@suse.de
- add patches.fixes/modversions_dedotify.patch
  do not taint the kernel if a dot function is not found
* Mon May 10 2004 - olh@suse.de
- update patches.fixes/schedaffinity-compat (SUSE40186)
* Mon May 10 2004 - ak@suse.de
- Remove broken ppc64 only hugepage cow patch
* Mon May 10 2004 - axboe@suse.de
- re-add requeueing as-iosched patch, integrate barrier request leak, fix
  sync reporting of missing driver barrier support, fix use-after-free of
  rq in failure case
* Mon May 10 2004 - axboe@suse.de
- cpqarray fixlet
* Sun May 09 2004 - schwab@suse.de
- Don't override default target.
* Sun May 09 2004 - agruen@suse.de
- Add external kernel module documentation.
- Some fixes in xfs.
- Stop jfs dmapi from using the same slab names as xfs dmapi.
* Sun May 09 2004 - olh@suse.de
- add patches.arch/ppc64-io-barrier
  extra barrier in I/O operations for cacheable stores
* Sun May 09 2004 - olh@suse.de
- add patches.fixes/schedaffinity-compat to fix glibc make check
* Sun May 09 2004 - agruen@suse.de
- Add improved external module support from 2.6.6-rc*.
* Sun May 09 2004 - olh@suse.de
- add patches.fixes/sctp_memset_parameter
  [SCTP] Fix memset() parameter ordering.
* Sun May 09 2004 - schwab@suse.de
- Audit LAuS patches for bad uses of audit_result [SUSE39936].
* Sat May 08 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-iommu_alloc_consistent-return
  return null on allocation failure
* Sat May 08 2004 - olh@suse.de
- add patches.fixes/Call-populate_rootfs-later-in-boot2
  call populate_rootfs before do_initcalls
* Sat May 08 2004 - olh@suse.de
- add patches.fixes/rwsem-sleepers patches.fixes/rwsem-sleepers2
  Be more careful about semaphore contention memory ordering.
* Sat May 08 2004 - olh@suse.de
- add patches.drivers/pcnet32-drop-ltint.patch
  disalbe TxDone-intr inhibitor support (SUSE40202 - LTC7799)
* Sat May 08 2004 - olh@suse.de
- add patches.arch/ppc64-slbie-hugepage
  [PATCH] ppc64: Use slbie, not slbia in hugepage code
* Sat May 08 2004 - olh@suse.de
- add patches.fixes/ppc32.support.update
  new ibook g4, windtunnel fixes
* Sat May 08 2004 - olh@suse.de
- update patches.drivers/firewire_ieee1394_nodemgr
  fix rmmod ieee1394 (SUSE39731)
* Sat May 08 2004 - olh@suse.de
- add patches.fixes/ppc32.serial.zilog.CRTSCTS.mode
  fixes a bug in the pmac-zilog driver when in CRTSCTS mode
* Sat May 08 2004 - olh@suse.de
- add patches.fixes/ncpfs-data-corruption
  [PATCH] ncpfs data corruption when using large TCP transfers
* Sat May 08 2004 - olh@suse.de
- add patches.fixes/selinux.tags.patch  make tags for selinux
* Sat May 08 2004 - olh@suse.de
- CONFIG_SECURITY_SELINUX_BOOTPARAM=y on pseries (SUSE40204 - LTC8359)
* Sat May 08 2004 - olh@suse.de
- add patches.fixes/new-slab-order-0-for-vfs-caches.patch from -mm
  fix deadlocks with order-1 allocations ext3_inode_cache.
  (SUSE39707 - LTC8045)
* Sat May 08 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtasmsgs.patch
  disable rtas logs via rtasmsgs=off (SUSE40195 - LTC8320)
* Sat May 08 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-irqstack-local-paca
  Check local cpus paca in slb miss code (SUSE40193 - LTC8355)
* Sat May 08 2004 - olh@suse.de
- add patches.fixes/e100-napi-pseries
  EEH and NAPI do not play well together (SUSE38183 - LTC7201)
* Fri May 07 2004 - olh@suse.de
- add patches.fixes/e1000-netdev_register.patch
  move the reading of the user tunable parameters to before the
  registering of the netdevice. (SUSE40181 - LTC8195)
* Fri May 07 2004 - ak@suse.de
- fix unload races in 32bit ioctl emulation
- change pty allocation to prefer low numbers again
* Fri May 07 2004 - olh@suse.de
- add patches.fixes/e100-io_barrier.patch
  another io_barrier to keep things going (SUSE38183 - LTC7201)
* Fri May 07 2004 - olh@suse.de
- disable patches.arch/ibm-ppc64-bolt-first-vmalloc-area
  fix booting on power4 iseries (SUSE40104 - LTC8269)
* Fri May 07 2004 - olh@suse.de
- enable lkcd block device dump on ppc64 (SUSE39910 - LTC8147)
* Fri May 07 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-numa-topology
  leave it disabled (SUSE40113 - LTC8259)
* Fri May 07 2004 - olh@suse.de
- disable patches.arch/ibm-ppc64-force_max_zoneorder
  (SUSE40031 - LTC8213)
* Fri May 07 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-cpu-hotplug-add-smt
  handle cpus with than one SMT thread (SUSE40010 - LTC8174)
* Fri May 07 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh-global-enable.patch
  POWER5 Requires EEH to be enabled for all devices (SUSE40105 - LTC8267)
* Fri May 07 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-irq-stacks-check
  more sanity checks
* Fri May 07 2004 - olh@suse.de
- add patches.suse/kdb-xmon-coexistance-ppc64
  xmon may be more reliable, so allow coexistance of 2 debuggers.
* Fri May 07 2004 - ak@suse.de
- move kmod patch to the end to make it actually patch
* Fri May 07 2004 - ak@suse.de
- Fix compilation without KMOD
- Fix white space in series.conf
* Fri May 07 2004 - okir@suse.de
- disable another ipv6 debug message
* Fri May 07 2004 - olh@suse.de
- add patches.fixes/fix-tty-race (SUSE39399 - LTC7756)
* Fri May 07 2004 - olh@suse.de
- add patches.arch/ppc64-PTE_FREELIST_SIZE.patch
  typo in PTE_FREELIST_SIZE (LTC8238)
* Fri May 07 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-sbl_invalidation
  Never flush out the kernel stack, even with interrupt stacks
  enabled (SUSE40014 - LTC8170)
* Fri May 07 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-irqstacks
  fix compile without CONFIG_IRQSTACKS (SUSE40014 - LTC8170)
* Fri May 07 2004 - olh@suse.de
- add patches.arch/ppc64-eeh-race.patch
  close deadlock window in EEH failure path (SUSE40066 - LTC8219)
* Fri May 07 2004 - olh@suse.de
- build rpms in subdir
* Thu May 06 2004 - olh@suse.de
- do not strip the vmlinux elf binary (SUSE36735 - LTC7003)
* Thu May 06 2004 - mason@suse.de
- fix request leak in the ide barriers
  (patches.suse/barrier-request-leak)
* Thu May 06 2004 - axboe@suse.de
- revert small requeueing change, appears to still be a bug there
* Thu May 06 2004 - mantel@suse.de
- fix race in kthread_stop (SUSE40082)
* Thu May 06 2004 - duwe@suse.de
- re-introduce blacklist entries for HP P44 & P47 mainboards
  (a.k.a DL760G2 & DL740), to force pci=noacpi, and to hint
  bigsmp for Andi's new genapic code. Un-panic IO-APIC id setting
  along the way, now back to our SLES8 behaviour.
  Fixes blocker SUSE37238
* Thu May 06 2004 - mantel@suse.de
- fix race in worker_thread (SUSE40065)
* Thu May 06 2004 - mantel@suse.de
- fix UID/GID problems in audit subsystem (SUSE39031, SUSE39829)
* Thu May 06 2004 - mantel@suse.de
- update i2o driver to 64bit clean version
* Thu May 06 2004 - olh@suse.de
- update ipr scsi driver to version 2.0.6
  update patches.fixes/patch-2.6.5-sd_timeout_mod
  Don't run BIST at module load time. (SUSE39622 - LTC7974)
  This fixes the coldplug/ifup/lspci issue and speeds up boot time.
* Thu May 06 2004 - mantel@suse.de
- export sys_ioctl on ia64 too. Needed by audit subsystem
* Thu May 06 2004 - axboe@suse.de
- ... and one in sata_vsc, sorry folks.
* Thu May 06 2004 - axboe@suse.de
- fix typo in sata_promise
* Thu May 06 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-cpu_up_schedule_timeout.patch
  better version of this patch (SUSE39909 - LTC8091)
* Thu May 06 2004 - axboe@suse.de
- don't let sata sub drivers pci_disable a device, could be used by
  native driver (bug SUSE39044)
* Thu May 06 2004 - ak@suse.de
- Disable suspend message in PAE kernels.
* Thu May 06 2004 - schwab@suse.de
- Fix infiniband driver and enable on ia64.
* Thu May 06 2004 - olh@suse.de
- update patches.drivers/ppc64-iseries-veth
  Fix discovery of MAC address in Virtual Ethernet. (LTC8191)
* Thu May 06 2004 - agruen@suse.de
- SUSE39949: Update modules.dep correctly by running /sbin/
  update-modules.dep before creating the initrd. The modules.dep
  contained in the kernel package will not be complete if scripts
  create additional modules (for example, nvidia).
- Add three jfs fixes.
* Thu May 06 2004 - axboe@suse.de
- Use requeue hook for ide re-adding real barrier request, works because
  the as accounting had another bug that is now fixed as well.
* Thu May 06 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-cpu_up-race
  dont use cpu_is_offline() (SUSE39977 - LTC8128)
* Thu May 06 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-irqstacks
  fix typo, call handle_irq_event() always (SUSE40011 - LTC8197)
* Thu May 06 2004 - olh@suse.de
- add patches.suse/lkcd-kerntypes.ppc64.patch (SUSE40019 - LTC8198)
* Thu May 06 2004 - okir@suse.de
- added patches.fixes/sunrpc-sched-deadlock to prevent rpc deadlock (SUSE38960)
* Thu May 06 2004 - axboe@suse.de
- flush ide cache before unlocking door to prevent removal race there
* Thu May 06 2004 - ak@suse.de
- Fix non contiguous APIC ID handling on i386 bigsmp
* Thu May 06 2004 - ak@suse.de
- Disable mcdx and sbpcd drivers because they are broken.
* Wed May 05 2004 - olh@suse.de
- enable CONFIG_E1000_NAPI also on ppc64
* Wed May 05 2004 - axboe@suse.de
- only enable HPA if the protected area is bigger by more than a single
  sector (bug SUSE38147)
* Wed May 05 2004 - ak@suse.de
- Fix infiniband undefined symbols on x86-64
* Wed May 05 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-cpu_up_schedule_timeout.patch
  wait for a cpu to become online (SUSE39909 - LTC8091)
* Wed May 05 2004 - olh@suse.de
- disable CONFIG_CRASH_DUMP_MEMDEV on pseries (SUSE39910 - LTC8147)
* Wed May 05 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-iseries_bolted_segment_fix
  do not overwrite SLB entry 0 (SUSE39915 - LTC8166)
* Wed May 05 2004 - okir@suse.de
- fix off by one in CKRM accept_queue patch (SUSE39918)
* Wed May 05 2004 - okir@suse.de
- fix compilation if CKRM accept_queues are enabled (SUSE39913)
* Wed May 05 2004 - okir@suse.de
- selinux_socket_sock_rcv_skb: changed write_lock to read_lock
  to avoid deadlock (SUSE39912)
* Wed May 05 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  deadlock fix (SUSE39758 - LTC8099)
* Wed May 05 2004 - ak@suse.de
- Add workaround for Nforce2 C1 disconnect hangs
* Wed May 05 2004 - ak@suse.de
- Disable ECC driver on x86-64
- Make sure MCE error output on x86-64 reaches the console and do not
  try to kill init or the idle task silently.
* Wed May 05 2004 - olh@suse.de
- disable CONFIG_VPURR until all related bugs get fixed
  (SUSE39732 - LTC8074)
* Wed May 05 2004 - olh@suse.de
- add patches.fixes/report-printk-buffer-size
  dmesg can now dump entire log buffer by default (SUSE39761 - LTC8103)
* Tue May 04 2004 - mantel@suse.de
- enable CONFIG_HISAX_SEDLBAUER_CS (SUSE39828)
* Tue May 04 2004 - agruen@suse.de
- Update to patches.fixes/reiserfs-ioerror-xattr-fix.diff: Another
  bad unlock on an error path (jeffm@suse.com).
* Tue May 04 2004 - olh@suse.de
- add patches.arch/ppc64-ames-rtas_flash-proc.patch
  fix a typo that prevents the creation of manage_flash /proc file
* Tue May 04 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-irqstack_dynamic_allocation.patch
  force irq stacks into the first segment (SUSE39753 - LTC8089)
* Tue May 04 2004 - axboe@suse.de
- update barrier-ide
* Tue May 04 2004 - mason@suse.de
- fix for aio stalls (patches.suse/aio-context-stall)
* Tue May 04 2004 - agruen@suse.de
- SUSE39848: patches.fixes/nfsd-symlink-setattr: Creating symlinks
  on nfs over reiserfs fails on the server side if acls are
  enabled. Bug introduced in mainline.
* Tue May 04 2004 - schwab@suse.de
- Better fix for the 8250 HCDP shared irq problem [SUSE39152].
* Tue May 04 2004 - olh@suse.de
- kernel-pseries64 obsoletes kernel-ppc64
* Tue May 04 2004 - axboe@suse.de
- bug SUSE39744 temp work-around
* Tue May 04 2004 - agruen@suse.de
- SUSE39775: patches.fixes/reiserfs-ioerror-xattr-fix.diff: Lock
  releasing fix on error path (xattrs) from Jeff Mahoney
  <jeffm@suse.com>.
* Tue May 04 2004 - axboe@suse.de
- kernel doesn't link it CKRM isn't configured (sigh)
* Tue May 04 2004 - schwab@suse.de
- Enable CONFIG_SERIAL_8250_EXTENDED and CONFIG_SERIAL_8250_SHARE_IRQ
  [SUSE39152].
* Tue May 04 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-irqstacks
  add patches.fixes/irqstacks-do_softirq.patch
  add patches.arch/ibm-ppc64-irqstack_dynamic_allocation.patch
  (SUSE39753 - LTC8089) Stack overflow on SF2 running NFS/samba test
* Mon May 03 2004 - ihno@suse.de
- Adding LAuS driver for s390 and s390x (missing Kconfig)
* Mon May 03 2004 - mantel@suse.de
- make "clock=tsc" the default
* Mon May 03 2004 - mantel@suse.de
- add generic APIC support for ES7000 platform
* Mon May 03 2004 - ak@suse.de
- Increase i386 NR_CPUS for smp to 32 and bigsmp to 128
* Mon May 03 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-mark-exception-frames
  print SP in stack backtraces.
* Sun May 02 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-pseries-stackoverflow
  print stack trace in case of stackoverflow
* Sun May 02 2004 - agruen@suse.de
- Add POSIX message queue patches (disabled so far).
- xfs: Fix qsort removal patch; update vmtruncate fix; add
  security namespace fix.
* Sun May 02 2004 - olh@suse.de
- add ioc4-serial-move-job-control-stuff-tosignal_struct.patch
  use the new define
* Sun May 02 2004 - olh@suse.de
- add move-job-control-stuff-tosignal_struct-flag-our-backport.patch
  [#]define HAS_TTY_STRUCT_IN_SIGNAL_STRUCT for external drivers
* Sun May 02 2004 - olh@suse.de
- add patches.suse/xfs-cvs-sleepers
  struct semaphore has no ->sleepers
* Sun May 02 2004 - olh@suse.de
- reenable successful boot on ppc64
  SPINLOCK_SLEEP catches too many hard errors
* Sun May 02 2004 - agruen@suse.de
- Add move-job-control-stuff-tosignal_struct.patch.
- XFS fixes; re-enable CONFIG_XFS_DMAPI; enable CONFIG_JFS_DMAPI.
- Re-enable hugetlb patches.
- Update cifs to 1.13a.
* Sun May 02 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-numa-flat
  fix numa probing code, fall back to flat model (SUSE39160 - LTC7725)
* Sun May 02 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-signal-handler-args
  [PATCH] ppc64: fix incorrect signal handler argument
* Sat May 01 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-mark-exception-frames
  Mark exception frames, look for the marker in show_stack().
* Sat May 01 2004 - garloff@suse.de
- Back to 8 CPUs for x86-64 smp kernel (APIC limited).
* Sat May 01 2004 - olh@suse.de
- add patches.suse/suse.ppc32.sysfs-adb.patch
  adds /sys/class/adb/, removes unused devfs lines and updates a
  comment to match reality.
* Sat May 01 2004 - olh@suse.de
- update patches.drivers/atixl-noinit-2.6.2
  set pll_gen_cntl based on mclk_post_div_real, fixes ibook1
* Sat May 01 2004 - olh@suse.de
- add patches.arch/ppc64-no_sleep_in_irq
  allocate irq_map with GFP_ATOMIC
* Sat May 01 2004 - olh@suse.de
- enable SPINLOCK_SLEEP, STACKOVERFLOW, STACK_USAGE on ppc64
* Fri Apr 30 2004 - olh@suse.de
- Bump max no of CPUs to 64 on x86-64 Konfig.
* Fri Apr 30 2004 - olh@suse.de
- drop patches.arch/ibm-ppc64-rtas-error-log-max, bug fixed
* Fri Apr 30 2004 - olh@suse.de
- add patches.fixes/pcnet32-mac, patches.fixes/pcnet32-timer
  (SUSE36471 - LTC6941) machine displays the wrong MAC addresses
  added timer for 971/972 so skbufs don't remain on tx ring forever.
* Fri Apr 30 2004 - olh@suse.de
- add patches.suse/sched-trivial-ppc64.patch
  [PATCH] [ppc64] ARCH_HAS_SCHED_WAKE_BALANCE doesnt exist
* Fri Apr 30 2004 - kraxel@suse.de
- add patches.fixes/Call-populate_rootfs-later-in-boot
  (fix bad atomic schedule with initrd).
* Fri Apr 30 2004 - mantel@suse.de
- disable infiniband on ia64 as it does not build there as well
* Fri Apr 30 2004 - garloff@suse.de
- Bump max no of CPUs to 64 on x86-64 smp config.
* Fri Apr 30 2004 - agruen@suse.de
- Disable hugetlb-06_sles-map-hugetlb-flag,
  hugetlb-06.5_sles-map-flag-s390-ppc,
  hugetlb-07_sles-hugetlb-implicit.
* Fri Apr 30 2004 - olh@suse.de
- update selinux-sock-rcv-skb-crash, return res;
* Fri Apr 30 2004 - kraxel@suse.de
- update patches.fixes/posix-timers-deadlock2 (from kurt).
* Fri Apr 30 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-iseries-setri.patch
  set MSR.RI in iSeries exception prolog (SUSE39085 - LTC7655)
* Fri Apr 30 2004 - olh@suse.de
- compile CONFIG_SCSI_SYM53C8XX_2=y on ppc32
* Fri Apr 30 2004 - okir@suse.de
- Added selinux-sock-rcv-skb-crash (SUSE38762)
* Fri Apr 30 2004 - mantel@suse.de
- fix infiniband on x86_64
* Fri Apr 30 2004 - mantel@suse.de
- remove enhanced speedstep feature as it breaks ACPI on x86_64
* Fri Apr 30 2004 - mantel@suse.de
- disable infiniband on x86_64 (does not compile)
* Fri Apr 30 2004 - mantel@suse.de
- re-add infiniband drivers (SUSE35064)
* Fri Apr 30 2004 - agruen@suse.de
- SUSE39662: Add a few extra files to kernel-source.src.rpm to
  simplify building from that package.
* Fri Apr 30 2004 - mantel@suse.de
- add support for enhanced speedstep feature (SUSE39618)
* Fri Apr 30 2004 - mantel@suse.de
- use correct fix for swsuspend-agp problem (SUSE36167)
* Fri Apr 30 2004 - axboe@suse.de
- blk_start_queue() should use kblockd_schedule_work() to avoid blocking
  on keventd
* Fri Apr 30 2004 - mantel@suse.de
- tag ibmasm driver experimental and have it print so at loading
* Fri Apr 30 2004 - axboe@suse.de
- make the CFQ io sched tunables available in sysfs
* Fri Apr 30 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-vio-devspec
  provide pointer into the device-tree for vio devices
* Fri Apr 30 2004 - kraxel@suse.de
- add patches.fixes/posix-timers-thread.patch (from 2.6.6-rc).
* Fri Apr 30 2004 - okir@suse.de
- NFS: blocksize defaults to wsize, not the server's
  advertised wtmult anymore.
* Fri Apr 30 2004 - okir@suse.de
- nfsd: Return proper error code in subtree check (SUSE38584)
* Fri Apr 30 2004 - agruen@suse.de
- Enable 2.6.6-rc patches.
- Enable jfs dmapi patches (disable in config files).
* Fri Apr 30 2004 - kraxel@suse.de
- add USB-fix-up-fake-usb_interface-structure-in-hiddev
  (from -rc kernels, ack by Vojtech)
* Fri Apr 30 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-shmget_translation
  32->64 bit syscall translation layer on ppc64 incorrectly
  sign-extends rather than zero-extending the second parameter to
  shmget() (LTC7941)
* Thu Apr 29 2004 - agruen@suse.de
- Add some more patches from 2.6.6-rc.
* Thu Apr 29 2004 - agruen@suse.de
- patches.fixes/zoran-overflow-fix.patch: Fix a potential integer
  overflow.
* Thu Apr 29 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-lparcfg
  lparcfg fixup of capped indicator, and pool_capacity values.
* Thu Apr 29 2004 - olh@suse.de
- update hugetbl patches, do_mmap call stack differs in our tree
* Thu Apr 29 2004 - kraxel@suse.de
- committed a batch of small fixes from 2.6.6-rc kernels,
  disabled in series.conf for now.
* Thu Apr 29 2004 - mason@suse.de
- fix rcfs compile on ia64, it doesn't really need asm/namei.h
* Thu Apr 29 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-iseries-handle_irq_event
  enable interrupts on iseries during bh handlers (SUSE39489 - LTC7254)
* Thu Apr 29 2004 - mason@suse.de
- fix some ckrm compiler warnings
* Thu Apr 29 2004 - okir@suse.de
- Fixed problem with spin_lock usage in token ring drivers (netdev)
  (SUSE39489 - LTC7254)
* Thu Apr 29 2004 - mason@suse.de
- ckrm update to e12
* Thu Apr 29 2004 - agruen@suse.de
- Update cifs to 1.12.
* Thu Apr 29 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-force_max_zoneorder
  CONFIG_FORCE_MAX_ZONEORDER must be set via Kconfig
* Thu Apr 29 2004 - olh@suse.de
- update patches.drivers/icadd-2.6-0.23.3.sysfs.patch
  call class_simple_device_remove() on rmmod (SUSE39493)
* Thu Apr 29 2004 - rw@suse.de
- update xpnet driver patches for Altix (SUSE39488)
* Thu Apr 29 2004 - olh@suse.de
- reenable hugetlb patches for ppc64, reenable shm_use_hugepages
* Thu Apr 29 2004 - olh@suse.de
- change CONFIG_FORCE_MAX_ZONEORDER from 13 to 19 on ppc64 (16MB/1GB)
* Thu Apr 29 2004 - mantel@suse.de
- update megaraid driver to version v2.20.0.B2.04.27.2004
* Thu Apr 29 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-cpu_up-race
  wait in start_secondary() until current cpu is in cpu_online_map
* Thu Apr 29 2004 - agruen@suse.de
- Disable CONFIG_XFS_DMAPI until it is fixed in the xfs cvs.
* Thu Apr 29 2004 - olh@suse.de
- update patches.drivers/r8169-update
  include linux/dma-mapping.h because the driver uses stuff from it
* Thu Apr 29 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-bolt-first-vmalloc-area
  add patches.arch/ibm-ppc64-hardcode-slb_size
  improve SLB handling (LTC7754)
* Thu Apr 29 2004 - hare@suse.de
- Update xip2fs; fixes copyrights and lineendings.
* Thu Apr 29 2004 - kraxel@suse.de
- add ethtool support to the uml virtual network driver.
* Thu Apr 29 2004 - olh@suse.de
- update ipr scsi driver to version 2.0.5
  Adapter dump fixes.
  Add adapter type and microcode version to the dump.
* Thu Apr 29 2004 - olh@suse.de
- add patches.fixes/alpha-procfs-dynamic-inodes
  remove last user of PROC_NDYNAMIC
* Thu Apr 29 2004 - olh@suse.de
- fix build without CONFIG_BLK_DEV_INITRD on pseries,
  fix the case where the initrd is loaded before the kernel
  (SUSE39613 - LTC8005)
* Thu Apr 29 2004 - hare@suse.de
- add patches.fixes/rwsem-contention-fix
  Fix rwsem contention on alpha and s390x.
* Thu Apr 29 2004 - hare@suse.de
- modify patches.arch/s390-update-01-april2004.diff
  add patches.arch/s390-qeth-28042004.diff
  Update to IBM Codedrop 28/04/2004.
  Removed bk patches for S/390.
* Thu Apr 29 2004 - mason@suse.de
- lkcd for x86_64
* Wed Apr 28 2004 - olh@suse.de
- add patches.drivers/icadd-2.6-0.23.3.sysfs.patch
  provide sysfs data to create chardev /dev/ica via udev
* Wed Apr 28 2004 - olh@suse.de
- dont hide /linuxrc on ppc64.
  setting ROOT_DEV to Ram0 was never correct.
  Read Documentation/initrd.txt
* Wed Apr 28 2004 - olh@suse.de
- disable patches.fixes/cpumask_arith-first_cpu.patch
  causes oops on x86_64, s390 doesnt even boot
* Wed Apr 28 2004 - olh@suse.de
- update emulex fc driver to lpfcdriver-2.10e1
* Wed Apr 28 2004 - mason@suse.de
- reiserfs data=journal support
- reiserfs bit operations cleanups
- reiserfs journal macro cleanups
- reiserfs io error handling
- fix aio bug where delayed timers don't get waited on during process
  exit
* Wed Apr 28 2004 - bk@suse.de
- S/390 cpint: extend struct for cpint by an uppercase flag
* Wed Apr 28 2004 - agruen@suse.de
- Update xfs to current cvs.
* Wed Apr 28 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-hvc_console
  Handle H_LongBusyOrder* hypervisor return codes in hvconsole.c
* Wed Apr 28 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-power5-slbie-workaround
  POWER5 < DD2.1 has a problem where slbie's need to be repeated
  under some circumstances. Apply workaround.
* Wed Apr 28 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  * allow the ibmvscsi adapter to reconnect properly to the server
  if the server disconnects (i.e. reboots.)
  * Fix the ibmvscsi server to correctly handle the case where the
  client is active and waiting when the server boots.
* Wed Apr 28 2004 - okir@suse.de
- Fix vgettimeofday sysenter case (SUSE39537)
* Wed Apr 28 2004 - hare@suse.de
- S/390: Update configs for S/390 Crypto API.
* Wed Apr 28 2004 - olh@suse.de
- add patches.arch/ppc64-user-stackcheck
  (SUSE37975 - LTC7227) shmdt01 ltp test fails to detach shared memory
* Wed Apr 28 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtasd-error_log
  (SUSE39501 - LTC7920) restore /proc/ppc64/rtas/error_log
* Wed Apr 28 2004 - olh@suse.de
- add patches.fixes/ppc64-rpaphp_remove_slot_errno.patch
  (SUSE39556 - LTC7722) RPA DLPAR: remove slot error case error code
* Wed Apr 28 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-pSeries_log_error
  add patches.arch/ibm-ppc64-ras-irq
  (SUSE39557 - LTC7435) handle EPOW events sent by OS/400 NWSDs
* Wed Apr 28 2004 - olh@suse.de
- add patches.suse/hotplug-cpu-sched_balance_exec-fix
  add patches.fixes/cpumask_arith-first_cpu.patch
  reenable patches.suse/ibm-ppc64-domain-sched-fix.patch
  cpu hotplug fixes for DLPAR (SUSE39549 - LTC7946)
* Wed Apr 28 2004 - olh@suse.de
- add patches.suse/lkcd-cpumask_t-handling
  better handling for cpumask_t in lkcd (SUSE39252 - LTC7781)
* Wed Apr 28 2004 - olh@suse.de
- add patches.suse/sched-domain-stop_machine_run.patch
  possible fix for crash in find_busiest_group() (SUSE39160 - LTC7725)
* Wed Apr 28 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtasd-rtas_error_log_buffer_max.patch
  (SUSE39257 - LTC7709) vmalloc enough space
* Wed Apr 28 2004 - olh@suse.de
- add max_cpus to 128 again on pseries (SUSE39252 - LTC7781)
* Wed Apr 28 2004 - hare@suse.de
- S/390 update from Bitkeeper
  add patches.arch/s390-update-01-april2004.diff
  add patches.arch/s390-update-02-april2004.diff
  add patches.arch/s390-update-04-april2004.diff
  add patches.arch/s390-update-05-april2004.diff
* Wed Apr 28 2004 - mantel@suse.de
- fix problem with 8 bit characters on JFS (SUSE39542)
* Wed Apr 28 2004 - olh@suse.de
- add patches.fixes/e100-mb.patch, patches.fixes/e1000-mb.patch
  add memory barriers to order stores (SUSE36881 - LTC7055)
* Wed Apr 28 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-numa-node_set_online.patch
  (SUSE39550 - LTC7901) support NUMA nodes with empty memory/cpus in sysfs
* Wed Apr 28 2004 - mantel@suse.de
- update Broadcom driver bcm5700 to 7.2.24
* Tue Apr 27 2004 - olh@suse.de
- add patches.arch/ppc64-iseries-mf_proc-write.patch
  report errors back to userland when writing to /proc/iSeries/mf/
* Tue Apr 27 2004 - mantel@suse.de
- re-add ecc driver (SUSE39508)
* Tue Apr 27 2004 - mantel@suse.de
- fix anon vma locking
* Tue Apr 27 2004 - mantel@suse.de
- fix swsuspend with $VENDOR-agp (SUSE36167)
* Tue Apr 27 2004 - olh@suse.de
- add patches.fixes/get_user_pages-cow-corruption
  patch from Andrea to prevent unmapping of pinned pages
  (SUSE39138 - LTC7702)
* Tue Apr 27 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-sys32shmctl.patch
  fix ipcs -l output (SUSE39431 - LTC7852)
* Tue Apr 27 2004 - rw@suse.de
- fix initialization of Vitesse SATA controller (SUSE39352)
* Tue Apr 27 2004 - okir@suse.de
- IPv6: Add patch for TAHI pmtu test case #2 from mludvig (SUSE38557)
* Tue Apr 27 2004 - rw@suse.de
- make 8250_hcdp.c set the share irq flag on console port and fix
  iosapic.c to not touch an irq, if an action is already attached
  (SUSE39152)
* Tue Apr 27 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  * Correctly fail requests if the adapter is disabled.  This makes
  raid work very nicely across multiple virtual scsi adapters
  * Correctly handle busy return codes from H_FREE_CRQ call
* Tue Apr 27 2004 - rw@suse.de
- remove obsolete pda overflow check to revive SGI Altix (SUSE39320)
- increase NR_CPUS to 128 in ia64/default and 64k-pagesize (SUSE38722)
* Tue Apr 27 2004 - axboe@suse.de
- Fix SG_IO page pinning leak
* Tue Apr 27 2004 - hare@suse.de
- Add patches.suse/lkcd-dump-gzip-compress.patch
  Fix error message on writing gzipped dump (SUSE39416)
* Tue Apr 27 2004 - okir@suse.de
- allow kernel to compile with CONFIG_NETFILTER off (SUSE39391)
* Tue Apr 27 2004 - olh@suse.de
- update patches.fixes/psmouse-usb-fix-3
  do not call the pci quirk for ppc until it is fixed (SUSE38070)
  causes a machine check
* Tue Apr 27 2004 - olh@suse.de
- add patches.fixes/sunrpc-unix_domain_find-kmalloc-check.patch
  [SUNRPC]: Missing NULL kmalloc check in unix_domain_find().
* Tue Apr 27 2004 - hare@suse.de
- Renamed patches.fixes/icmp-percpu-modules to
  patches.fixes/no-static-percpu-in-modules;
  Fixes drivers/scsi/scsi.c and drivers/char/random.c, too.
* Tue Apr 27 2004 - mantel@suse.de
- update qla2xxx driver to 8.00.00b12
* Tue Apr 27 2004 - hare@suse.de
- Fixed fshooks compilation for S/390
- Add patches.fixes/icmp-percpu-modules to fix loading
  of ipv6 modules with more the 4 GB (SUSE38820)
- Add patches.suse/sysfs-backing-store-0{0,1,2,3,4,5,6}.patch
  for S/390 only to reduce sysfs memory usage (SUSE36248)
* Tue Apr 27 2004 - axboe@suse.de
- update ide-serialize-update-1 to allow !hwgroup
* Mon Apr 26 2004 - axboe@suse.de
- Correct logic bug in ide-cd-loej-1
* Mon Apr 26 2004 - olh@suse.de
- add patches.fixes/ppc64-rpaphp_warningfix.patch
  declare function prototype
* Mon Apr 26 2004 - agruen@suse.de
- Some more post-2.5.6 patches (patches.fixes/):
  QD65xx-io-ports-fix.patch, alpha-fix-unaligned-stxncpy-again.patch,
  ext2-alternate-sb-mount-fix.patch, ext3-alternate-sb-mount-fix.patch,
  get_user_pages-shortcut.patch, isicom-jiffies-fix.patch,
  jbd-do_get_write_access-lock-contention-reduction.patch,
  raid56-masking-fix.patch.
* Mon Apr 26 2004 - mantel@suse.de
- update audit subsystem
* Mon Apr 26 2004 - axboe@suse.de
- don't log failures to load a cdrom drive on START_STOP_UNIT
* Mon Apr 26 2004 - olh@suse.de
- add patches.fixes/bluetooth-usb-unlink-race
  fix lockup on bluetooth disconnect (SUSE39349)
* Mon Apr 26 2004 - garloff@suse.de
- Integrate CluserIP alias patches and enable in all configs.
- Enable BINFMT_MISC as module on ppc configs that lacked it.
* Mon Apr 26 2004 - olh@suse.de
- add patches.arch/ppc64-xics_set_affinity_bug.patch
  (SUSE39397 - LTC7826) System hangs when write into /proc/irq/<irq#>
* Mon Apr 26 2004 - olh@suse.de
- add patches.fixes/ppc64-rpaphp_phy_location1.patch
  (SUSE39418 - LTC7876) system crash when loading rpaphp module
* Mon Apr 26 2004 - olh@suse.de
- put the penguins back to the barn until linuxrc is fixed
  (SUSE39428 - LTC7873)
* Mon Apr 26 2004 - okir@suse.de
- Merged netfilter fix from Rusty: missing ip_rt_put in ipt_MASQUERADE
* Mon Apr 26 2004 - okir@suse.de
- Prevent annoying "nud_in_timer" warning
* Mon Apr 26 2004 - okir@suse.de
- Added some more aliases for crypto module, so loading them
  by algorithm name works (mludvig)
* Mon Apr 26 2004 - olh@suse.de
- update patches.suse/lkcd-bio-vector.patch
  use better version from Jens Axboe
* Mon Apr 26 2004 - olh@suse.de
- Update kdb to 2.6.5-kdb-v4.3-{common-2,i386-1,ia64-040413-1}.
  dump() must be called after kdb, not before.
  Use the current version of sn_serial.c.
  (SUSE39355)
* Mon Apr 26 2004 - olh@suse.de
- add patches.suse/lkcd-bio-vector.patch
  (SUSE39375 - LTC7697) setup bio->bi_vcnt correctly
* Mon Apr 26 2004 - olh@suse.de
- add patches.fixes/ppc64-rpaphp_phy_location.patch
  (SUSE39422 - LTC7486) use "linux-style" naming scheme
* Mon Apr 26 2004 - olh@suse.de
- add patches.arch/ppc64-eeh-include.patch
  include struct device after recent changes
  add patches.suse/LAuS-kernel-ioctl-include
  include ioctl function prototypes
  add patches.suse/kdb-ppc64-warningfix.patch
  pass correct options to ss
* Mon Apr 26 2004 - olh@suse.de
- Update ibmvscsis driver with bug fixes and cleanup.
- fix incorrect report capacity
- fix missing length in buffer pool
- change driver to use dma_foo interfaces
- change driver to use tasklet instead of workqueue
* Mon Apr 26 2004 - axboe@suse.de
- pin hwgroup before making speed/dma changes to the interface (SUSE38595)
* Mon Apr 26 2004 - okir@suse.de
- Merged patch to make lockd use the file system's
  underlying lock ops (conditional on a sysctl)
* Mon Apr 26 2004 - okir@suse.de
- Merged several SCTP fixes from Sridhar Samudra
- Merged a fix for e100 at 10Mbbps/half-duplex
* Mon Apr 26 2004 - okir@suse.de
- Merged patches for vsyscall-gettimeofday
* Mon Apr 26 2004 - olh@suse.de
- consolidate ppc64 patches, update to current ameslab status
  set MAX_CPU back to 64, lkcd broken
* Mon Apr 26 2004 - hare@suse.de
- add patches.suse/lkcd-netdump.patch
  Fixing lkcd netdump (SUSE39396)
* Mon Apr 26 2004 - okir@suse.de
- Merged patch from netdev to prevent oops when removing tulip module
* Sun Apr 25 2004 - olh@suse.de
- disable hugetlb patches for ppc64, disable shm_use_hugepages
  has to be fixed first, leads to segfaults in insmod
* Sat Apr 24 2004 - agruen@suse.de
- scripts/sequence-patch: Improve integration with quilt; now
  sequence-patch.sh can apply patches up to a specific point
  (which it does slightly faster than quilt); the resulting tree
  is fully compatible with quilt. (Use the --clean option to get
  rid of quilt specific files in .pc/.)
* Sat Apr 24 2004 - agruen@suse.de
- Add more stuff from -mc4 (patches.fixes/):
  ext3-transaction-batching-fix.patch, intermezzo-leak-fixes.patch,
  load_elf_binary-overflow-detection-fix.patch
  nfs-readdirplus-overflow-fix.patch, pmdisk-needs-asmlinkage.patch,
  proc-load-average-fix.patch, selinux-ipv6-support.patch,
  selinux-remove-duplicate-assignment.patch
  v850-bitop-volatiles.patch, v850-dma-mapping-fix.patch.
- Another minor nfsacl optimization: Reserve a little space for
  SETACL arguments in nfs so that in the common cases, no extra
  pages need to be allocated.
* Fri Apr 23 2004 - olh@suse.de
- display brand on the front panel display
* Fri Apr 23 2004 - olh@suse.de
- enable hugetlb patches for ppc64, enable shm_use_hugepages
  add patches.arch/ibm-ppc64-cow-bugfix
* Fri Apr 23 2004 - agruen@suse.de
- From -mc4, add patches.fixes/hysnd-MOD_USE_COUNT-fix.patch and
  patches.fixes/remove-nswap-cnswap.patch; enable patches.fixes/
  huge-sparse-tmpfs-files.patch + rediff patches.suse/numa-api.
* Fri Apr 23 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtas-error-log-max
  use 1k for rtas-error-log-max (SUSE37978 - LTC7338)
* Fri Apr 23 2004 - olh@suse.de
- add patches.fixes/net-MCAST_MSFILTER-error.patch
  [IPV4]: Fix return value on MCAST_MSFILTER error case.
* Fri Apr 23 2004 - garloff@suse.de
- cpufreq-unsigned: Use unsigned in cpufreq ioctl handler (SUSE38898).
* Fri Apr 23 2004 - agruen@suse.de
- xfs dmapi: Add vm_operations_struct->mprotect.
- Update cifs to version 1.10.
- patches.fixes/file-operations-fcntl.patch: Add fcntl file
  operation.
* Fri Apr 23 2004 - hare@suse.de
- add patches.arch/s390-proc-mapped-base.patch (SUSE39066)
  Fix /proc/<pid>/mmapped_base for s390x
* Fri Apr 23 2004 - okir@suse.de
- Make sure the null cipher crypto module is loaded automatically
  (patch from mludvig, SUSE39274)
* Fri Apr 23 2004 - ak@suse.de
- add early cpu detect for i386
- add balance on fork for scheduler
* Fri Apr 23 2004 - ak@suse.de
- Add SMT scheduling for x86-64
- Disable NUMA scheduler on x86-64
* Thu Apr 22 2004 - olh@suse.de
- add patches.arch/eeh_rpaphp.patch (SUSE39259 - LTC7797)
  ethernet drivers can't create interfaces for newly added adapters
* Thu Apr 22 2004 - olh@suse.de
- add patches.drivers/pcnet32-dump_regs.patch
  (SUSE39299 - LTC7796) add register dump capability to pcnet32
* Thu Apr 22 2004 - ak@suse.de
- Add more overflow fixes (sdla)
- Prevent unloading of old IDE drivers
- Fix compilation with kmod off
- Fix typo in NUMA API
- Fix LFS in sendfile (SUSE39156)
- Fix bug in i810 overflow fix
* Thu Apr 22 2004 - mantel@suse.de
- clean up fshooks/LAuS code
* Thu Apr 22 2004 - agruen@suse.de
- nfsacl: Add on-demand buffer allocation patch from okir; this
  significantly improves common-case performance.
* Thu Apr 22 2004 - kraxel@suse.de
- fix smp bugs in skas3 patch.
* Thu Apr 22 2004 - axboe@suse.de
- dm-mp must use own work queue, to not stall others if it ends up block.
  Bug SUSE39260
* Thu Apr 22 2004 - schwab@suse.de
- Disable KDB in default and 64k-pagesize.
* Wed Apr 21 2004 - agruen@suse.de
- nfsacl: Fix another bug in xdr_xcode_array2, and clean it up.
  Remove some unnecessary xdr code. Return a more useful error
  code when an acl is too large.
* Wed Apr 21 2004 - okir@suse.de
- Tentative fix for arp_solicit crash (SUSE38442)
- Fix for failure in tahi nd#21 (SUSE38542)
* Wed Apr 21 2004 - olh@suse.de
- add patches.fixes/rpaphp_err_free.patch
  RPA PCI Hotplug - redundant free (SUSE39258 - LTC7101)
* Wed Apr 21 2004 - olh@suse.de
- add patches.fixes/kobject_set_name-lenght.patch
  kobject_set_name() doesn't allocate enough space (SUSE39258 - LTC7101)
* Wed Apr 21 2004 - olh@suse.de
- add patches.drivers/firewire_ieee1394_nodemgr
  allow rmmod ohci1394  (SUSE39190)
* Wed Apr 21 2004 - garloff@suse.de
- More elegant solution for not attaching other highlevel drivers.
* Wed Apr 21 2004 - kraxel@suse.de
- v4l driver updates (cx88, saa7134).
* Wed Apr 21 2004 - garloff@suse.de
- Drop 2.4 style SCSI scanning patches except inq_timeout, in
  favour of using new style flags (scsi_mod.)default_dev_flags=Flags
  and dev_flags=Vendor:Model:Flags. Instead:
  * scsi-scan-deprecate-forcelun: Document we don't want FORCELUN
  entries. Instead max_luns=N parameter should be used.
  * scsi-scan-blist_replun: BLIST_NOREPORTLUN (0x10000) and BLIST_
  REPORTLUN2 (0x20000), the first disallowing the use of
  REPORT_LUNS, the second allowing even for SCSI-2 (if HBA
  supports more than 8 LUNs).
  * scsi-scan-no-offl-pq-notcon: Don't mark entire device offline
  if PQ reports not connected. Instead prevent sd driver from
  attaching. Replaces allow_ghost_luns parameter.
  * scsi-scan-dont-att-pq-notcon: Don't attach sr, st, or osst
  either for a PQ different from 0.
  * scsi-scan-dont-att-pq-notcon-ch: Don't attach changer.
* Wed Apr 21 2004 - garloff@suse.de
- Disable posix-timers-deadlock patch as it's broken (at least
  on x86-64).
* Wed Apr 21 2004 - garloff@suse.de
- Change CPU in bigsmp config to MPENTIUMII. Old PPro machines
  need to run the (small) smp kernel, as they need PPRO_FENCE
  (erratum #51).
* Wed Apr 21 2004 - mantel@suse.de
- fix memory leak in do_fork() (SUSE39223)
* Wed Apr 21 2004 - olh@suse.de
- CONFIG_HOTPLUG_PCI_RPA=y in pseries64 config (SUSE39216 - LTC7773)
* Wed Apr 21 2004 - agruen@suse.de
- Remove patches.fixes/shm_unlink-posix.diff: This is supposed to
  be fixed in glibc (and it is indeed fixed there).
- Add selected fixes from -mc4:
  + bitmap_parse-fix.patch: Broken bitmap_parse for ncpus > 32
  + i4l-kernelcapi-rework.patch: receive workqueue and locking
  rework
  + strip-param-quotes.patch: Strip quotes from kernel parameters
  + sys_time-subtick-correction-fix.patch: Fix sys_time() to get
  subtick correction from the new xtime
  + huge-sparse-tmpfs-files.patch: Fix huge sparse tmpfs files
  (disabled, pending confirmation).
* Wed Apr 21 2004 - okir@suse.de
- IPv6: Fixing various IPv6 redirect problems flagged by TAHI (SUSE38543, SUSE38549)
* Wed Apr 21 2004 - garloff@suse.de
- posix-timers-deadlock: Avoid deadlock.
* Wed Apr 21 2004 - agruen@suse.de
- patches.suse/sunrpc-xdr-arrays, patches.suse/nfs-acl: More
  fixes in nfsacl; the cleanup revealed a few additional bugs
  that did not trigger before.
- patches.fixes/ice-workaround.diff: Work around internal compiler
  error.
* Tue Apr 20 2004 - garloff@suse.de
- fix-fb_copy_cmap: Fix error in framebuffer colourmap ioctl (SUSE39053)
* Tue Apr 20 2004 - olh@suse.de
- reenable kdb for pseries
* Tue Apr 20 2004 - olh@suse.de
- add patches.fixes/ibm-ppc64-veth-devinfo
  provice sysfs device symlink for hwinfo
* Tue Apr 20 2004 - olh@suse.de
- update patches.arch/ppc64.patch
  preserve cpus_allowed in collect_startpurr() (# SUSE39143 - LTC7339)
* Tue Apr 20 2004 - olh@suse.de
- add patches.fixes/ibm-ppc64-procfs-dynamic-inodes
  [PATCH] Increase number of dynamic inodes in procfs
* Tue Apr 20 2004 - olh@suse.de
- update ipr scsi driver to version 2.0.4
  Don't zero the hostrcb dma buffer address in unit check processing.
* Tue Apr 20 2004 - ak@suse.de
- Add overflow fixes from linux-kernel (e1000, i810, 3ware, fusion)
- Add acpi_skip_timer_override option for nforce2
- update x86-64 patchkit:
  * fix MCE logging
  * allow compilation without PCI or GART_IOMMU
  * Add cache_alignment field/macro
  * more flexible node<->cpu mapping
  * fix stack page printing in oops log
  * minor cleanups
* Tue Apr 20 2004 - mantel@suse.de
- disable CONFIG_PM_DISK on i386
* Tue Apr 20 2004 - garloff@suse.de
- SCSI scanning parameters: Drop sparselun and largelun params,
  they are superceeded by default_dev_flags.
- SCSI scanning parameters: Drop llun_blklst: Superceeded by
  dev_flags.
- tmscsim-64bit: 64bit fixes for tmscsim SCSI driver.
* Tue Apr 20 2004 - axboe@suse.de
- CFQ iosched alias request hash fix
* Tue Apr 20 2004 - garloff@suse.de
- SCSI scanning parameters: Drop scsi_ prefixes as we have a
  scsi_mod. prefix anyways. Also split inq_timeout patch.
* Tue Apr 20 2004 - hare@suse.de
- Update call_usermode_helper to use workqueues
  (from 2.6.6-rc1-mm)
  Removed patches.fixes/call_usermodehelper_async.patch,
  patches.fixes/call_usermodehelper_async-always.patch.
  Added patches.fixes/create_singlethread_workqueue.patch,
  patches.fixes/use-workqueue-for-call_usermodehelper.patch
* Tue Apr 20 2004 - okir@suse.de
- added a fix from usagi for UDP sendmsg with options
* Tue Apr 20 2004 - okir@suse.de
- Pulled in two ipsec patches: pfkey-prio, xfrm-family
* Tue Apr 20 2004 - olh@suse.de
- add patches.suse/ibm-ppc64-domain-sched-fix.patch
  updates description to get it in sync with x86
  fixes one nodemask which wasnt being anded with cpu_possible_map.
* Tue Apr 20 2004 - okir@suse.de
- Fixed firmware address in tg3 driver (Andreas Jochens)
* Tue Apr 20 2004 - mantel@suse.de
- make suspend to S4 via powerbutton work more than once (SUSE39089)
* Tue Apr 20 2004 - mantel@suse.de
- use in-kernel e100 driver; new version was meant for 2.4 only
  according to Intel
* Tue Apr 20 2004 - garloff@suse.de
- vesafb-video-mem-mtrr: Apply MTRR setting to whole framebuffer.
  (SUSE39104)
* Mon Apr 19 2004 - olh@suse.de
- add  patches.fixes/rcu_large_cpumask.patch
  The RCU code was missing cpus_empty() in one place,
  required with large cpumasks.
* Mon Apr 19 2004 - schwab@suse.de
- Fix broken LAuS patch.
* Mon Apr 19 2004 - schwab@suse.de
- Update configs.
* Mon Apr 19 2004 - agruen@suse.de
- Add a few patches from Andrew's -mc4 tree:
  ext2-fsync-speedup-2, ext3-fsync-speedup, jbd-commit-ordered-fix,
  jbd-iobuf-error-handling-fix, jbd-move-locked-buffers,
  kerneldoc-handle-attributes,
  set-mod-waiter-before-calling-stop_machine.
* Mon Apr 19 2004 - okir@suse.de
- IPv6: use official IANA value for MLDv2 (SUSE39070)
* Mon Apr 19 2004 - olh@suse.de
- update arch/ppc64/kernel/rtas.c
* Mon Apr 19 2004 - okir@suse.de
- How embarrassing - a missing semicolon in my previous commit
* Mon Apr 19 2004 - mason@suse.de
- update to CKRM-e5
* Mon Apr 19 2004 - okir@suse.de
- nat-before-ipsec patches were lacking an EXPORT_SYMBOL(nf_rcv_postxfrm_local)
* Mon Apr 19 2004 - okir@suse.de
- open(O_EXCL) on NFSv3 produced incorrect time stamp (SUSE39056)
* Mon Apr 19 2004 - mason@suse.de
- fix reiserfs oops during umount due to undeleted work queue timer
* Mon Apr 19 2004 - kraxel@suse.de
- raise number of ttys for uml [bug SUSE38995].
* Mon Apr 19 2004 - mason@suse.de
- merge aio O_SYNC code
- remove hunks from barrier-reiser that revert other patches
- fix reiserfs-dirty-warning to catch another bogus warning that
  was triggering an oops
* Mon Apr 19 2004 - okir@suse.de
- Merged nat-before-ipsec patches and enabled CONFIG_IP_NF_MATCH_POLICY=m
* Mon Apr 19 2004 - agruen@suse.de
- Use `make silentoldconfig' instead of `make oldconfig' in spec
  files: As a side effect, this prevents the infinitely growing
  build log problem from happening.
* Mon Apr 19 2004 - axboe@suse.de
- update barrier md to use same layout as md unplug bits
* Mon Apr 19 2004 - okir@suse.de
- Enabled CONFIG_SCHED_SMT on ppc64
- Fixed typo in sched-domain-setup-lock.patch
* Mon Apr 19 2004 - mantel@suse.de
- added Intel e100 driver version 2.3.40. Since there is already a
  driver for this hardware in the kernel (e100.c version 3.0.17),
  the new one from Intel has been added under the name e100-intel.o
* Mon Apr 19 2004 - axboe@suse.de
- update swap unplug bits. From Hugh.
* Mon Apr 19 2004 - axboe@suse.de
- update md unplug bits. From Neil.
* Mon Apr 19 2004 - mantel@suse.de
- update e1000 driver to 5.2.39
* Mon Apr 19 2004 - mantel@suse.de
- add audit subsystem (LAuS-kernel and fshooks)
* Mon Apr 19 2004 - okir@suse.de
- Merged domain scheduler patches from mm tree
* Sun Apr 18 2004 - olh@suse.de
- add patches.drivers/ibm-ppc64-hvcs-warning-fix
* Sun Apr 18 2004 - olh@suse.de
- update kdb-ppc64 patch, fix bt <addr>
* Sun Apr 18 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-rtas-races
  avoid stale rtas lock, remove lock from rtas_stop_self()
* Sun Apr 18 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-oops-platform_info
  add platform to oops message
* Sat Apr 17 2004 - olh@suse.de
- fix alsa suspend
* Sat Apr 17 2004 - olh@suse.de
- enable lkcd for ppc64
* Sat Apr 17 2004 - agruen@suse.de
- patches.suse/nfs-acl: Add missing check.
* Sat Apr 17 2004 - olh@suse.de
- temporary disable CONFIG_PPC_VPURR on pseries64
* Sat Apr 17 2004 - olh@suse.de
- add patches.drivers/raw-2.6.6-rc1.patch
  create dev nodes in sysfs for raw device (SUSE39037 - LTC7618)
* Sat Apr 17 2004 - olh@suse.de
- return 1 in kdb_debugger on ppc64 to avoid recursive calls to kdb
* Fri Apr 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-xmon, update from ameslab
* Fri Apr 16 2004 - olh@suse.de
- update kdb for ppc64 from ameslab
* Fri Apr 16 2004 - garloff@suse.de
- Forward port 2.4 SCSI patches:
  * scsi-log-unlikely: Branch prediction optimization
- Forward port 2.4 SCSI scanning patches:
  * patches.suse/scsi-scan-newopts:
  Introduce scsi_sparselun=1 and scsi_largelun=1 boot/module
  parameters.
  * patches.suse/scsi-scan-reportlun2:
  Drop SCSI_REPORT_LUNS config option, introduce scsi_noreportlun
  parameter instead. Also scsi_reportlun2 to allow trying
  REPORT_LUNS on SCSI-2 devices.
  * patches.suse/scsi-scan-allow-ghost-devs:
  Allow to avoid setting LUNs offline as needed by some EMC
  device (scsi_allow_ghost_devices parameter).
  * patches.suse/scsi-scan-inq-timeout:
  Allow the user to specify the SCSI scanning timeout, as some
  devices may need more (scsi_inq_timeout parameter).
  * patches.suse/scsi-scan-llun-blklst-param:
  Implement llun_blklst=C,B,T[,C,B,T[,...]] parameter that allows
  setting BLIST_LARGELUN|BLIST_SPARSELUN for single devices.
  * patches.suse/scsi-scan-host-noreportlun:
  Allow host adapters to not use REPORT_LUNS scanning.
  * patches.suse/scsi-zfcp-noreportlun.diff:
  The zfcp adapter uses it's own way of mapping LUNs, different
  from Linux. Thus don't use REPORT_LUNS.
* Fri Apr 16 2004 - olh@suse.de
- add hugetblfs patches for ppc64
  patches.arch/ibm-ppc64-01_sles-macro-cleanup-1.patch
  patches.arch/ibm-ppc64-02_sles-hugetlb-race-1.patch
  patches.arch/ibm-ppc64-03_sles_dyn_as.patch
* Fri Apr 16 2004 - olh@suse.de
- add patches.suse/dm-bbr.vmalloc
  vmalloc needs vmalloc.h
* Fri Apr 16 2004 - olh@suse.de
- update patches.drivers/firewire_ieee1394
  rev 1206, leave out whitespace changes
* Fri Apr 16 2004 - agruen@suse.de
- Some cleanups in nfsacl.
* Fri Apr 16 2004 - mason@suse.de
- reiserfs update:
- improved allocator (less fragmentation)
- optimizations for synchronous workloads
- metadata readahead
* Fri Apr 16 2004 - schwab@suse.de
- Build sgi_fetchop as module [SUSE38862].
* Fri Apr 16 2004 - mantel@suse.de
- fix alsa suspend
* Fri Apr 16 2004 - schwab@suse.de
- Add driver for Intel Multimedia Timer [SUSE38873].
* Fri Apr 16 2004 - agruen@suse.de
- Update cifs to version 1.0.8.
* Fri Apr 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtas-buffer-rmo
  may help (SUSE37978 - LTC7338) Bad kernel stack pointer on power4
* Fri Apr 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-duplicate-mmu-hash-entry
  [PATCH] ppc64: Fix possible duplicate MMU hash entries
* Fri Apr 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-branch-trap
  [PATCH] [ppc64] catch branch to 0 in real mode (SUSE38737 - LTC7403)
* Fri Apr 16 2004 - okir@suse.de
- merged some pcnet fixes (SUSE38961)
* Fri Apr 16 2004 - axboe@suse.de
- import my correct unplug counting patch from mainline
* Fri Apr 16 2004 - axboe@suse.de
- update sr reference count and disconnect race patch to match mainline
* Fri Apr 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtas-races
  may help (SUSE37978 - LTC7338) Bad kernel stack pointer on power4
* Fri Apr 16 2004 - mantel@suse.de
- fix performance problems with pcnet32 driver (SUSE38962)
* Fri Apr 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-initialise-dn-properties
  [PATCH] [ppc64] always initialise dn->type and dn->name
  (SUSE37976 - LTC7231) qla2xxx driver oops on device discovery
* Fri Apr 16 2004 - olh@suse.de
- add patches.fixes/call_usermodehelper_async-always.patch
  add patches.fixes/call_usermodehelper_async.patch
  add patches.fixes/kstrdup-and-friends.patch
  from 2.6.5-mm6
  (SUSE38925 - LTC7358) Boot hang in call_usermodehelper
* Fri Apr 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-dart-absolute_to_virt
  [PATCH] ppc64: Fix G5 build with DART (iommu) support
* Thu Apr 15 2004 - agruen@suse.de
- Remove a few 64-bit cleanliness warnings that lead to build
  failures.
* Thu Apr 15 2004 - olh@suse.de
- add patches.drivers/icadd-2.6-0.23.3.patch (SUSE37425)
  ftp://www-126.ibm.com/pub/icadd/icadd-2.6-0.23/
* Thu Apr 15 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh_register_disable_func
  export function for pci hotplug
  add patches.arch/ibm-ppc64-restore-r13s
  have to restore r13 when entering unrecoverable_exception
  add patches.arch/ibm-ppc64-si_addr-fix
* Thu Apr 15 2004 - okir@suse.de
- Disabled CONFIG_NFS_V4 and CONFIG_NFSD_V4 on all platforms
* Thu Apr 15 2004 - axboe@suse.de
- fix reference bug in barrier-core, fix clearing of ->doing_barrier
  in ide core in case of errors
* Thu Apr 15 2004 - okir@suse.de
- Updated statfs-no-eoverflow: ia32 mode on AMD64 had the
  same problem with ffiles == -1 (SUSE36400)
* Thu Apr 15 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-signal_frame-corruption
  ppc64 signal frame issue
* Thu Apr 15 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-ras-bss
  (SUSE37978 - LTC7338) Bad kernel stack pointer on power4
* Thu Apr 15 2004 - mantel@suse.de
- fix ALSA update for PPC
* Thu Apr 15 2004 - okir@suse.de
- Fix a typo on ipv6/ah6.c (from netdev)
* Thu Apr 15 2004 - olh@suse.de
- update ipr scsi driver to version 2.0.3
  add patches.drivers/patch-ipr_evlog
  add patches.fixes/patch-2.6.5-sd_timeout_mod
  allows LLDs to override the default read/write timeout for scsi
  disks. The default timeout value used is too short for many RAID
  array devices, such as those created by the ipr driver.
* Thu Apr 15 2004 - mantel@suse.de
- ALSA update and cleanup
* Thu Apr 15 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtas-loglevel
  (SUSE38172 - LTC7219) Frequent RTAS messages reported to the console
* Wed Apr 14 2004 - garloff@suse.de
- Back out barrier patches temporarily (SUSE38950, SUSE38949).
* Wed Apr 14 2004 - garloff@suse.de
- Patch from Arjan to fix cursor setting for framebuffer drivers.
* Wed Apr 14 2004 - olh@suse.de
- update icom driver, fix PORT_ICOM define
* Wed Apr 14 2004 - ak@suse.de
- Merge ext3 data=journal data corruption fix from mainline.
* Wed Apr 14 2004 - garloff@suse.de
- Added missing ISO9660 symlink length check (mason, agruen).
* Wed Apr 14 2004 - okir@suse.de
- IPv6: Disabled xfrm6_tunnel, adjusted several other patches (SUSE36302, SUSE37357)
* Wed Apr 14 2004 - axboe@suse.de
- renable barrier-ide again, I killed the sync on block device close.
* Wed Apr 14 2004 - okir@suse.de
- SCTP: fail if /proc/net/sctp couldn't be created (SUSE38038)
* Wed Apr 14 2004 - agruen@suse.de
- Makefile.suse (for building external modules): Allow symlinks,
  too.
* Wed Apr 14 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-cpu-power5
  add patches.suse/ibm-ppc64-cpu-features
  Update CPU features. Remove DABR feature, all cpus have it.
  Add MMCRA, PMC8, SMT, COHERENT_ICACHE, LOCKLESS_TLBIE features
* Wed Apr 14 2004 - schwab@suse.de
- Enable parsing of PCI link entries in ACPI [SUSE36790].
* Wed Apr 14 2004 - olh@suse.de
- add patches.fixes/generalise-system_running.patch
  (SUSE38395 - LTC7308) Crash at reboot on CONFIG_NUMA systems
* Wed Apr 14 2004 - hare@suse.de
- S/390: Rename qeth module to qeth_mod for compability with
  old versions.
* Wed Apr 14 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-numa-16mb-lmb
  (SUSE37612 - LTC7163)   [PATCH] ppc64: NUMA fix for 16MB LMBs
* Wed Apr 14 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-numa-register-secondary
  (SUSE38648 - LTC7337) sibling cpus are not mapped to nodes
* Wed Apr 14 2004 - hare@suse.de
- S/390: Update to IBM Codedrop 2004/04/15
- S/390: Removed obsolete patches
- Rediffed patches.suse/lkcd-kernel-changes-linux263.patch,
  patches.fixes/anon-vma to apply again.
* Tue Apr 13 2004 - mantel@suse.de
- update mpt/fusion driver to 3.01.03
* Tue Apr 13 2004 - mantel@suse.de
- fix dm so that EVMS snapshotting works correctly
* Tue Apr 13 2004 - mantel@suse.de
- fix nonlinear/truncate problem
* Tue Apr 13 2004 - mantel@suse.de
- fix module parameter problem in qla2xxx driver (SUSE38764)
* Tue Apr 13 2004 - mantel@suse.de
- update cifs to 1.0.6
* Tue Apr 13 2004 - schwab@suse.de
- Increase NR_CPUS to 512 in sn2 config.
* Tue Apr 13 2004 - mantel@suse.de
- fix file system corruption from qla1280 driver (SUSE38732)
* Thu Apr 08 2004 - ak@suse.de
- Disable unnecessary MTD drivers on x86-64
* Thu Apr 08 2004 - ak@suse.de
- Add lazy time stamps for networking
* Thu Apr 08 2004 - axboe@suse.de
- Don't issue unconditional sync on block driver release.
* Thu Apr 08 2004 - ak@suse.de
- Readd new version of NUMA API
* Thu Apr 08 2004 - agruen@suse.de
- Update check for unresolved symbols so that it is also effective
  inside Autobuild.
* Thu Apr 08 2004 - garloff@suse.de
- Disable barrier-ide until it's fixed.
* Thu Apr 08 2004 - agruen@suse.de
- scripts/cvs-wd-timestamp: Fix for users who don't have bash
  as their default shell on cvs.unitedlinux.com.
* Thu Apr 08 2004 - andrea@suse.de
- Replace slab-no-comp with gfp-level-mask to better localize
  the dependencies on new gfpmask bitflags.
* Thu Apr 08 2004 - andrea@suse.de
- Updated xfs-hugetlbfs-mm-corruption using an alternate
  cleaner fix from the XFS developers. This patch was less
  obvious than the previous one but it has been tested by now
  so it can be applied.
* Thu Apr 08 2004 - andrea@suse.de
- added patches.fixes/mprotect-vma-merging and replaced prio-tree
  with the one in 2.6-aa and splitted out the prio-tree-suse
  part (covering kdb etc..) in a separate patch. This way
  the prio tree is applied before the numa-api patches.
- Disabled temporarily the three NUMA-API patches numa-api,
  mpol-copy-fix, numa-api-htlbpages. Andi has been notified,
  the patches need to be rediffed.
* Wed Apr 07 2004 - garloff@suse.de
- Fix vscsi deadlocking (against call_usermode_helper/hotplug).
* Wed Apr 07 2004 - garloff@suse.de
- Fix slab allocation flags (bug triggered by
  xfs-hugetlbfs-mm-corruption)
* Wed Apr 07 2004 - garloff@suse.de
- Fix UML build.
* Wed Apr 07 2004 - garloff@suse.de
- Disable non-executable stack on S390.
* Wed Apr 07 2004 - ak@suse.de
- Fix 2TB overflow in MD RAID5
* Wed Apr 07 2004 - ak@suse.de
- Fix PHY timer bug in updated r8169 driver
* Wed Apr 07 2004 - agruen@suse.de
- lvm hash bucket calculation fix, solves snapshot creation
  problems on 32bit machines with > 4GB of ram.  Bug SUSE34418
  (mason@suse.de)
* Wed Apr 07 2004 - agruen@suse.de
- fixes/xfs-hugetlbfs-mm-corruption: xfs mm corruption fix
  (andrea@suse.de)
- patches.fixes/anon_vma_prepares-locking: Fix locking for page
  faults in concurrent threads (andrea@suse.de).
- fixes/ext3-infoleak: SUSE35212: fixes/ext3-infoleak, CAN-2004-0133.
* Tue Apr 06 2004 - agruen@suse.de
- SUSE38544: fixes/linux-2.6-flash-list-4gig-1: allows flashing of
  the JS20 firmware with the 2.6 kernel (ppc, meissner@suse.de).
- SUSE37815: fixes/iommu-alloc-failed: pci_alloc_consistent should
  return a NULL pointer instead of the magic NO_TCE value. (ppc,
  meissner@suse.de).
* Tue Apr 06 2004 - schwab@suse.de
- Reenable auto-IRQ for HCDP serial driver.
* Tue Apr 06 2004 - mantel@suse.de
- add Bad Block Relocation Device Target for device mapper
* Tue Apr 06 2004 - agruen@suse.de
- SUSE38503: Running fsx-linux generates a truncate + mmap workload
  that can make reiserfs leak bufers.  Eventually the system will
  run out of ram and die.
* Tue Apr 06 2004 - axboe@suse.de
- add ext3 barrier patch
* Tue Apr 06 2004 - axboe@suse.de
- add barrier patchset
* Tue Apr 06 2004 - agruen@suse.de
- patches.fixes/vicam-fix: Add missing copy_from_user (instead
  of direct memory access).
* Tue Apr 06 2004 - kraxel@suse.de
- saa7134 driver card list fixes.
* Tue Apr 06 2004 - agruen@suse.de
- Fix problem with %%prepare in kernel-source (triggered on ppc).
- Fix permissions of arch/x86_64/offset.h
* Tue Apr 06 2004 - hare@suse.de
- S/390: Add patches.arch/s390-xip2fs-lru.patch.
  Fix build for xip2fs.
* Tue Apr 06 2004 - agruen@suse.de
- SUSE38013: Enable patches.fixes/shm_unlink-posix.diff.
- Merge selected bug fixes from 2.6.5-mc1.
- Fail if km_* modules don't build or there are undefined
  symbols.
* Tue Apr 06 2004 - axboe@suse.de
- update cdrom-refcount to better fix
* Tue Apr 06 2004 - schwab@suse.de
- Update configs.
* Tue Apr 06 2004 - schwab@suse.de
- Set MAX_DMA_ADDRESS earlier for HP platforms.
* Tue Apr 06 2004 - axboe@suse.de
- update libata-update to latest
* Tue Apr 06 2004 - mantel@suse.de
- remove HP ProLiant machines from ACPI blacklist (SUSE38427)
* Tue Apr 06 2004 - andrea@suse.de
- backed out swap-writepage-sync-1 and applied real fix for SUSE38247
* Mon Apr 05 2004 - ak@suse.de
- change map_base to mapped_base (SUSE38434)
* Mon Apr 05 2004 - ak@suse.de
- keep ACPI processor module loaded even without ACPI (SUSE37702)
* Mon Apr 05 2004 - ak@suse.de
- update r8169 driver (SUSE37793)
* Mon Apr 05 2004 - ak@suse.de
- disable CONFIG_NET_DIVERT on pseries64 too
* Mon Apr 05 2004 - schwab@suse.de
- Fix mmap overflow [SUSE37845].
* Mon Apr 05 2004 - ak@suse.de
- handle empty/disabled nodes without oopsing (SUSE37135)
* Mon Apr 05 2004 - agruen@suse.de
- Include binaries below scripts/ in kernel-source.$arch.rpm:
  Some external modules expect them.
- Include arch/asm-x86_64/offsets.h in kernel-source.$arch.rpm.
- Remove wrong Provides from kernel-syms.spec.
* Mon Apr 05 2004 - garloff@suse.de
- cdcrom-refcount: Patch from axboe for CDROM refcounting (SUSE38222).
* Mon Apr 05 2004 - okir@suse.de
- Remove remainder of udp-no-eagain patch; it breaks poll() on raw
  sockets (SUSE37842).
* Mon Apr 05 2004 - hare@suse.de
- S/390: add patches.drivers/xip2fs_part{1,2}.diff
  Add new execute-in-place fs for S/390.
* Mon Apr 05 2004 - mantel@suse.de
- disable CONFIG_PCI_NAMES
* Mon Apr 05 2004 - schwab@suse.de
- Disable 32bit emulation when the cpu does not support it [SUSE37594].
* Mon Apr 05 2004 - schwab@suse.de
- Fix missing include file.
* Mon Apr 05 2004 - okir@suse.de
- Updated and re-enabled patches.fixes/sunrpc-disconnect-race (SUSE37686)
* Mon Apr 05 2004 - mantel@suse.de
- fix AC97 register initialization
* Mon Apr 05 2004 - ak@suse.de
- Force IPv6 FIB cleanup on netdevice unregister (SUSE38246)
* Mon Apr 05 2004 - ak@suse.de
- add mapped-base for ppc64
* Mon Apr 05 2004 - okir@suse.de
- Disabled patches.fixes/sunrpc-verbose-disconnect; bad idea
* Mon Apr 05 2004 - kkeil@suse.de
- fix bug in the init of some bluetooth PCMCIA cards (SUSE34038)
* Mon Apr 05 2004 - andrea@suse.de
- prio-tree internal fix from Rajesh Venkatasubramanian,
  changes only mm/prio_tree.c.
* Mon Apr 05 2004 - garloff@suse.de
- Update to linux-2.6.5, dropping merged patches and adapt a few.
* Mon Apr 05 2004 - ak@suse.de
- add alpha fixes from ro
* Sun Apr 04 2004 - ak@suse.de
- add acpi_link_tolerant option to work around problems
  with VIA chipsets. Disabled by default for now.
* Sun Apr 04 2004 - andrea@suse.de
- added obviously safe patches.suse/unmap_vmas-lat to provide
  lowlatency even with preempt disabled.
* Sun Apr 04 2004 - andrea@suse.de
- XFS vmtruncate fix, will fix bug SUSE37257
* Sun Apr 04 2004 - agruen@suse.de
- patches.fixes/sound-ati-ixp-fix: Fix the S/PDIF port on ATI IXP
  boards (takashi@suse.de).
* Sun Apr 04 2004 - andrea@suse.de
- anon-vma arch update (noop for x86/x86-64 and most others)
* Sun Apr 04 2004 - ak@suse.de
- add ACPI always enable gpes change from mainline
* Sun Apr 04 2004 - garloff@suse.de
- Update cifs to version 1.0.5. (SUSE35685, SUSE37871).
* Sun Apr 04 2004 - ak@suse.de
- disable apic off dmi entry for HP DL380 (SUSE34704)
* Sun Apr 04 2004 - agruen@suse.de
- SUSE38070 hang in hwscan loading module uhci-hcd: Extended
  psmouse-usb-fix patch to reset the USB controller thoroughly
  (vojtech@suse.cz).
* Sat Apr 03 2004 - agruen@suse.de
- patches.fixes/alsa-via82xx-amira-fix.diff: Fix from Takashi.
* Sat Apr 03 2004 - ak@suse.de
- add ACPI updates from mainline (pci bridge and ACPI SCI fixes)
* Sat Apr 03 2004 - garloff@suse.de
- protect-pids-from-oom2: Patch that allows adjustment of oom
  score per pid in powers of 2: 1 << $((/proc/$PID/oom_adj))
  with oom_adj in [-16 ... 15] and exports oom scores in /proc/
  $PID/oom_score. OOM killer sends SIGTERM prior to SIGKILL now.
- rediff patch-delay-2.6.3-040317
* Fri Apr 02 2004 - garloff@suse.de
- Change max request size from 128k to 124k for SATA devices w/o
  LBA48 support.
* Fri Apr 02 2004 - ak@suse.de
- Disable vectored interrupts support for i386 smp/bigsmp
* Fri Apr 02 2004 - ak@suse.de
- set nodes online on ia64
* Fri Apr 02 2004 - andrea@suse.de
- Removed suprious warnings from gfp-no-compound, and added
  further bugchecks to be more robust. Added some further
  __GFP_NO_COMP in the swapsuspend/swapresume (not strictly
  needed but just in case).
* Fri Apr 02 2004 - kraxel@suse.de
- add missing MODULE_DEVICE_TABLE() to skystar2 driver.
* Fri Apr 02 2004 - olh@suse.de
- merge a few patches from the linuxppc64-2.5 tree
  veth, vscsi, eeh
* Fri Apr 02 2004 - mantel@suse.de
- JFS: initialize log->bp before calling lmNextPage
* Fri Apr 02 2004 - mason@suse.de
- update snapshot locking code, fix possible deadlock cause by
  during dm activation.
* Fri Apr 02 2004 - agruen@suse.de
- patches.fixes/shm_unlink-posix.diff: Proposed fix for for
  SUSE38013, error status of shm_unlink not compliant with
  POSIX.1-2001 (minor issue).  The fix is disabled right now; we
  will test/enable it after SL91 is out.
* Fri Apr 02 2004 - mantel@suse.de
- downgrade bcm5700 driver to 7.1.22 as this is the latest official
  version
* Fri Apr 02 2004 - hare@suse.de
- Fix patches.fixes/prio-tree to cover S/390.
* Fri Apr 02 2004 - kkeil@suse.de
- fix Oops on unloading ISDN drivers with still activ connections
* Fri Apr 02 2004 - axboe@suse.de
- update dm-02-leftovers to include fix for blk_pc_request residuals
* Fri Apr 02 2004 - okir@suse.de
- Replaced IGMPv3 timer list fix icmp-dead-backout with a
  different one from DL Stevens (igmp-timerlist)
* Fri Apr 02 2004 - agruen@suse.de
- kernel-source package: Call running-kernel init script with
  argument "start" in %%post; a few more rc.d => init.d changes.
* Fri Apr 02 2004 - okir@suse.de
- IPv6 mcast defaults to MLDv1 now in order to prevent network
  meltdown with some cisco switches (SUSE34954)
- Remove obsolete patches.fixes/suse-ipv6-mld2 patch
* Fri Apr 02 2004 - andrea@suse.de
- patches.fixes/aic7xxx-suspend (fix swap suspend for aic7xxx
  driver from Pavel)
- patches.fixes/gfp-no-compound this fixes a collision between
  rw_swap_page_sync with compound pages and anon-vma: swapsuspend
  called rw_swap_page_sync with a compound page. This is the last
  bit needed to close SUSE37442. This also cures the no-hugetlbfs
  compilation that currently is very suspect since it doesn't
  setup the page_count of all page_t * for the secondary pages
  in the multipage.
- patches.fixes/anon-vma added hardness check for PageCompound
  in rw_swap_page_sync so an explicit bug will trigger instead
  of a random oops (decoding the asm once is more than enough ;)
- patches.suse/disable-cap-mlock new version (slightly cleaner)
  from Andrew Morton (after s/unlikely/likely)
* Thu Apr 01 2004 - okir@suse.de
- statfs should not return EOVERFLOW on 32bit systems if
  b_files or b_ffree is -1 (SUSE36400)
* Thu Apr 01 2004 - agruen@suse.de
- Fix a build dependency in lkcd (kerntypes.o needs compile.h).
- Add missing PreReq entires in kernel-source.spec.in.
- Use /etc/init.d instead of /etc/rc.d.
* Thu Apr 01 2004 - olh@suse.de
- update icom driver to version 1.3.1
* Thu Apr 01 2004 - okir@suse.de
- patches.fixes/nfs-blocksize is superfluous, removed it
* Thu Apr 01 2004 - okir@suse.de
- Starting the NFS server didn't work (SUSE37925)
  patches.fixes/sunrpc-xprt-connfix should address this
* Thu Apr 01 2004 - okir@suse.de
- Some people still saw kernel messages complaining about an old
  NFS mount version. Fixed. (SUSE37689)
* Thu Apr 01 2004 - mason@suse.de
- add BKL around reiserfs_end_persistent_transaction, fixing an
  oops in when reiserfs_get_block returns an error to
  reiserfs_prepare_write
* Thu Apr 01 2004 - ak@suse.de
- make pci_dma_allowed on x86-64 bug to bug compatible to i386
  for alsa (SUSE37943)
* Thu Apr 01 2004 - mason@suse.de
- disable reiserfs warning about locked buffers being marked dirty
  (bug SUSE37758)
* Thu Apr 01 2004 - andrea@suse.de
- One more fix for bug SUSE37442 so that the page written with
  rw_swap_page_sync aren't considered exclusive by the
  swap_writepage operations. This should allow swapsuspend to
  work again. Added further bugchecks in the rw_swap_page_sync
  to protect against non-private pages being passed to that
  interface.
* Thu Apr 01 2004 - okir@suse.de
- sunrpc-disconnect-race patch is broken; disabled for now
* Thu Apr 01 2004 - agruen@suse.de
- Remove some swsusp warnings.
- patches.suse/disable-cap-mlock: Add sysctl so that the
  CAP_IPC_LOCK capability can be ignored in mlock/mlockall/mmap,
  and so unprivileged processes can use them.
* Thu Apr 01 2004 - mantel@suse.de
- pci: Add quirks for USB devices, so that SMM BIOS Legacy PS/2
  emulation is switched off even when USB drivers are not loaded.
  (SUSE34824)
* Thu Apr 01 2004 - kraxel@suse.de
- added updates for v4l drivers.
* Thu Apr 01 2004 - olh@suse.de
- update emulex fc driver to lpfcdriver-2.10d
* Thu Apr 01 2004 - andrea@suse.de
- Allow swap header to be rewritten with rw_swap_page_sync,
  may fix bug SUSE37442.
* Thu Apr 01 2004 - ak@suse.de
- disable EDD reporting url
* Wed Mar 31 2004 - olh@suse.de
- add patches.drivers/usb-static-sysfs-info
  the sysfs files 'serial', 'product' and 'manufacturer' will be
  read on the fly. this causes problems and unexpected results
  if many processes read that file at once.
  just read this info once now during plugin time and keep it in
  memory.
* Wed Mar 31 2004 - andrea@suse.de
- Andrew's fix for SUSE37442 was buggy, rewritten the fix
  and hopefully fixed the bug for real this time.
* Wed Mar 31 2004 - okir@suse.de
- Fixed a race condition in the NFS disconnect code (SUSE37686)
* Wed Mar 31 2004 - agruen@suse.de
- patches.suse/nfs-mount-warning: Include user space mount version
  in warning.
* Wed Mar 31 2004 - stepan@suse.de
-  update bootsplash to 3.1.6
* Wed Mar 31 2004 - andrea@suse.de
- Fix a very minor bug while dealing with device driver memory
  in anon-vma (it couldn't harm but this is more correct).
- Fix another minor issue in xfs in prio-tree with nonlinear vmas.
  An xfs fixup for a generic VM truncate bug spotted by objrmap is
  also pending but it's unrelated to this so it'll be in another
  checkin.
- Rediffed ppc64-kdb so it applies cleanly with my scripts (no
  difference for anybody else).
* Wed Mar 31 2004 - agruen@suse.de
- Add reiserfs acl support for special files (jeffm@suse.de).
* Tue Mar 30 2004 - ak@suse.de
- Add missing vmalloc.h include on x86-64
* Tue Mar 30 2004 - mason@suse.de
- lkcd update, disable IPF support until IBM can integrate and
  test the fujitsu patch
- merge ppc64 support, leave them disabled in series.conf until
  the ppc folks can try things out and make sure it compiles
* Tue Mar 30 2004 - agruen@suse.de
- Don't artificially limit the number of ACL entries on ext[23].
* Tue Mar 30 2004 - garloff@suse.de
- Forward port patch to increase sense buffer size to 96 bytes.
  (Some devices need it, e.g. IBM MagStar tapes.)
- Increase the libata request size from 100k to 128k resp. 512k
  for LBA48 devices.
* Tue Mar 30 2004 - okir@suse.de
- Increased the limit when nfsd starts dropping connections
- NFSD now prints a (hopefully) helpful message when it reaches
  this limit and has to drop connections
* Tue Mar 30 2004 - agruen@suse.de
- Generate symlinks in /boot also for uml.
* Tue Mar 30 2004 - okir@suse.de
- NFS now prints a message when the server drops the connection
* Tue Mar 30 2004 - ak@suse.de
- Enable oprofile in i386 configuration
* Tue Mar 30 2004 - ak@suse.de
- support more than 8 local APICs on x86-64
* Tue Mar 30 2004 - kraxel@suse.de
- update lirc patch and update config files (fixes SUSE37261).
* Tue Mar 30 2004 - kkeil@suse.de
- add SET_NETDEV_DEV macros to many network drivers
* Tue Mar 30 2004 - agruen@suse.de
- prio_tree: Add missing include module.h for symbol exports.
- Exclude um from module test build: it's badly broken with
  respect to O= building.
* Tue Mar 30 2004 - axboe@suse.de
- Make partial io completions with io errors work properly when
  .using bio pairs
* Tue Mar 30 2004 - axboe@suse.de
- Fix PREP_KILL return in elv_next_request(), can cause dead
  kernel if used by drivers (send MODE6 to ide-cd, for instance).
* Tue Mar 30 2004 - agruen@suse.de
- Export prio_tree_{first,next} symbols.
* Mon Mar 29 2004 - mason@suse.de
- Make reiserfs warnings give device details (SUSE29740)
* Mon Mar 29 2004 - agruen@suse.de
- Two small prio-tree fixes from Andrea.
* Mon Mar 29 2004 - mason@suse.de
- properly set block device size during loop device setup
* Mon Mar 29 2004 - mantel@suse.de
- added prio-tree feature
* Mon Mar 29 2004 - axboe@suse.de
- fix oops in pci_alloc_consistent with iommu for pcidev == NULL (SUSE37191)
* Mon Mar 29 2004 - olh@suse.de
- remove changes to arch/ppc/mm/pgtable.c from anon_vma patch
* Mon Mar 29 2004 - andrea@suse.de
- Add bugcheck for page->mapcount == 0 in alloc/free page paths
  (just in case).
- Convert BUG_ON to WARN_ON in page_remove_rmap and added a
  WARN_ON(page->mapcount) in remove_from_page_cache, to try
  to trap the case of pages being removed from pagecache while
  they still had some mapping. This should fix SUSE37257.
* Mon Mar 29 2004 - mantel@suse.de
- add swsuspend support for highmem machines; show progress (SUSE37147)
* Mon Mar 29 2004 - mantel@suse.de
- ALSA update:
- fix the hang up of AD1985 codec.
- fix the handling of chained AD188x/AD198x codecs.
- fix the detection of AC97 rev2.3.
* Mon Mar 29 2004 - axboe@suse.de
- return -ENXIO in scsi_device_get() if it isn't fully set up yet (SUSE37303)
* Mon Mar 29 2004 - mantel@suse.de
- update IBM ServeRaid driver (ips) to 7.00.15
* Mon Mar 29 2004 - mantel@suse.de
- don't use arbitrary MAC address in prism driver when firmware is
  not yet loaded
* Mon Mar 29 2004 - mantel@suse.de
- fix signal/restart loop in autofs (SUSE35148)
* Mon Mar 29 2004 - kkeil@suse.de
- update ppp-filter-fix to fix also the ippp autodial filter (SUSE37284)
* Mon Mar 29 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20040329
  s390 updates, mount compat changes, ide updates
* Sun Mar 28 2004 - olh@suse.de
- update patches.fixes/usb-unplug-2.6.5rc2-reverse.patch
  use the official version
* Sun Mar 28 2004 - olh@suse.de
- add patches.drivers/ppc64-iseries-icom.patch
  serial icom driver for iseries
* Sun Mar 28 2004 - olh@suse.de
- add patches.arch/ppc64.patch_iseriesworkaround
  the segment handling patch broke iseries, temporary fix
  add patches.drivers/ppc64-iseries-viocd-removableflag
  dont show iSeries virtual CD in /proc/partitions
* Sun Mar 28 2004 - agruen@suse.de
- patches.fixes/alsa2.diff: Fix from Takashi Iwai <tiwai@suse.de>.
* Sun Mar 28 2004 - olh@suse.de
- disable patches.suse/dm-03-32bit-ioctl
  breaks interfaces on ppc (SUSE36813 - LTC7019)
* Sat Mar 27 2004 - garloff@suse.de
- Enable noexec-stack on all archs and put in front of anon-vma.
  (Rediffed the latter.)
* Sat Mar 27 2004 - agruen@suse.de
- xfs got the attribute namespaces wrong with a tight buffer as in
  listxattr(file, buffer, listxattr(file, NULL, 0)).
* Sat Mar 27 2004 - schwab@suse.de
- Remove obsolete patches.
* Sat Mar 27 2004 - olh@suse.de
- add patches.suse/suse.ppc32.pmac.no_pcspkr.patch
* Sat Mar 27 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20040327
  acpi, ia64, ppc23, arm, sparc64 updates
  add patches.drivers/usb-2.6-disable-pwc
  disabled umaintained usb driver
* Fri Mar 26 2004 - olh@suse.de
- add patches.fixes/usb-interface-init-fix (SUSE36990)
* Fri Mar 26 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20040326
  add patches.drivers/pci_dma_mapping_error.patch
* Fri Mar 26 2004 - mason@suse.de
- merge patches.fixes/reiserfs-writepage back into
  reiserfs-writepage-ordered-race (which added the bug)
- add writepage-ordered-race to fix the data=ordered race with
  fsync/O_SYNC for ext3, integrate speedups from Andrew's fix into
  reiserfs-writepage-ordered-race
  fsync should really be syncing now (finally)
* Fri Mar 26 2004 - axboe@suse.de
- Back out problematic igmp dev ref counting patch (SUSE36696)
* Fri Mar 26 2004 - schwab@suse.de
- Export register_percpu_irq.
* Fri Mar 26 2004 - schwab@suse.de
- Fix an unwind bug.
* Fri Mar 26 2004 - ak@suse.de
- Make VIA IOMMU change compile on SMP too
* Fri Mar 26 2004 - okir@suse.de
- Removed my mcast timer fix after Jens imported the mainline fix
* Fri Mar 26 2004 - mantel@suse.de
- do not panic when resume partition cannot be found (SUSE36972)
* Fri Mar 26 2004 - ak@suse.de
- Force swiotlb on VIA chipsets for >3GB RAM.
* Fri Mar 26 2004 - ak@suse.de
- Make ACPI modular on x86-64
* Fri Mar 26 2004 - axboe@suse.de
- add ip_mc_down() fix from linux-bk (SUSE36696)
* Fri Mar 26 2004 - ak@suse.de
- Disable debugging messages in parport daisy driver
* Fri Mar 26 2004 - ak@suse.de
- Enable powernow k8 acpi driver on x86-64 and i386 (SUSE36822)
* Thu Mar 25 2004 - agruen@suse.de
- xfs cvs update.
* Thu Mar 25 2004 - andrea@suse.de
- Fixup one locking bit in the objrmap-core, more precisely
  backed out this below incorrect patch. This results in a
  microscalability optimization for munmap, and it fixes an smp
  race in swapoff (such race existed in mainline too btw).
- After modifying this part of objrmap-core, anon-vma generated a
  trivial reject, but there is absolutely no change to anon-vma
  except for the reject fixup.
* Thu Mar 25 2004 - ak@suse.de
- Fix use of uninitialized memory in split_vma (SUSE36890)
* Thu Mar 25 2004 - okir@suse.de
- Prevent dst underrun in ip6t_REJECT (SUSE36923)
* Thu Mar 25 2004 - ak@suse.de
- Force alignment of task_struct to 16 bytes (SUSE36301)
* Thu Mar 25 2004 - okir@suse.de
- prevent "uninitialized timer in ip_mc_down" message (SUSE36842)
* Thu Mar 25 2004 - schwab@suse.de
- Make VFAT builtin.
* Thu Mar 25 2004 - ak@suse.de
- Fix vsyscall debugging on x86-64
* Thu Mar 25 2004 - agruen@suse.de
- SUSE36841: Disable ``mount version is older than kernel'' warning:
  The kernel for SL 9.1 will support a higher mount version than
  the mount binary.
* Thu Mar 25 2004 - mantel@suse.de
- update libata
* Thu Mar 25 2004 - axboe@suse.de
- add CFQ io sheduler
* Thu Mar 25 2004 - mantel@suse.de
- add objrmap nonlinear and anon-vma ppc support
* Thu Mar 25 2004 - ak@suse.de
- Use correct optimization option for intel x86-64 CPUs (SUSE36901)
* Thu Mar 25 2004 - ak@suse.de
- Disable network debugging messages
* Thu Mar 25 2004 - axboe@suse.de
- Fix ide-cd capacity query
* Thu Mar 25 2004 - ak@suse.de
- Emulate bridge ioctls for vmware (SUSE36641)
* Thu Mar 25 2004 - garloff@suse.de
- Revert sysfs changes from rc2. (SUSE36844, SUSE36198).
* Wed Mar 24 2004 - garloff@suse.de
- Drop part from lkcd_ipf that panics the kernel on accessing
  /proc/sys/kernel/cad_pid.
* Wed Mar 24 2004 - agruen@suse.de
- patches.fixes/doc-syntax.diff: Fix a syntax error that causes
  the kernel-docs package to fail.
* Wed Mar 24 2004 - agruen@suse.de
- Update configs, and relax the config file consistency check.
* Wed Mar 24 2004 - ak@suse.de
- another swap fix for NUMA kernels under load (SUSE36806)
- remove debugging messages in usagi ip6ip6 tunnel
- enlarge kernel log size on x86-64
* Wed Mar 24 2004 - mantel@suse.de
- some ALSA updates still missing from 2.6.5-rc2
* Wed Mar 24 2004 - olh@suse.de
- add patches.fixes/usb-unplug-2.6.5rc2-reverse.patch
  do not hang during usb device unplug (SUSE36830)
* Wed Mar 24 2004 - schwab@suse.de
- Fix buffer list walking bug in reiserfs writepage [SUSE36797].
* Wed Mar 24 2004 - agruen@suse.de
- kernel-dummy.spec.in: Remove wrong Provides line.
* Wed Mar 24 2004 - axboe@suse.de
- don't show cdroms in /proc/partitions (SUSE36527)
* Wed Mar 24 2004 - mantel@suse.de
- allow capabilities to be disabled via kernel parameter (SUSE36821)
* Wed Mar 24 2004 - olh@suse.de
- update kdb for ppc64, keep the ameslab version intact
  fix stacktrace for current process
* Wed Mar 24 2004 - schwab@suse.de
- Fix SAL revision detection [SUSE36782].
* Wed Mar 24 2004 - ak@suse.de
- delete obsolete patches.
* Wed Mar 24 2004 - ak@suse.de
- Fix 32bit getdents and remount on x86-64
* Wed Mar 24 2004 - hare@suse.de
- Disable LTT & dprobe completely as they also do not
  work on S/390.
- Rediff numa-api.
* Tue Mar 23 2004 - schwab@suse.de
- Enable KDB on ia64, off by default.
* Tue Mar 23 2004 - ak@suse.de
- fix oops in numa api code (SUSE36806)
* Tue Mar 23 2004 - garloff@suse.de
- Non executable stack for x86-64.
* Tue Mar 23 2004 - kkeil@suse.de
- add PPP filter fix (SUSE34724)
- add ported iff_dynamic patch
* Tue Mar 23 2004 - ak@suse.de
- Disable relayfs on um
* Tue Mar 23 2004 - ak@suse.de
- Fix build on x86-64 again
* Tue Mar 23 2004 - ak@suse.de
- Really disable IO-APIC on UP by default in ACPI (SUSE36767)
* Tue Mar 23 2004 - agruen@suse.de
- patches.fixes/um-O=.diff: UML related fix for O=.
- rpm/generate-Makefile.suse: Minor quircks.
* Tue Mar 23 2004 - agruen@suse.de
- Add Required-Start: $remote_fs to running-kernel.init so that
  the script will find /usr mounted.
* Tue Mar 23 2004 - schwab@suse.de
- Enable forced interrupts by default on SN [SUSE36439].
* Tue Mar 23 2004 - ak@suse.de
- Disable non fatal MCE checks for i386 (too many false errors)
* Tue Mar 23 2004 - ak@suse.de
- Disable HPET timer support for i386 (SUSE35081)
* Tue Mar 23 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-pci_dma_error.patch
  update vio drivers for recent pci_dma changes
* Tue Mar 23 2004 - okir@suse.de
- nfs-blocksize: prevent 32bit statfs failures on large NFS file
  systems (SUSE36400)
- nfs-mount-fail-crash: do not oops when fsinfo call fails during
  OB  NFS super block initialization (SUSE36018)
* Tue Mar 23 2004 - garloff@suse.de
- ngroups-max-var: Add patch to allow adjustment of NGROUPS_MAX
  (SUSE36724).
* Tue Mar 23 2004 - garloff@suse.de
- vm_reserve-patch: Add patch from Karsten Keil to implement
  vm_reserve boot parameter.
* Tue Mar 23 2004 - garloff@suse.de
- Make __HZ int instead of long and use sizeof(int) in sysctl
  handler. It displayed two values on 64 bit archs :-(
* Tue Mar 23 2004 - schwab@suse.de
- Fix ckrm patch so that it compiles.
* Tue Mar 23 2004 - ak@suse.de
- Update ACPI to 20040311 test queue.
* Tue Mar 23 2004 - ak@suse.de
- Update configurations
* Tue Mar 23 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20040323
  isdn updates, ps2 works again on ppc64
* Tue Mar 23 2004 - olh@suse.de
- remove patches.suse/kdb-common-softirq again, it was old kdb code
* Tue Mar 23 2004 - ak@suse.de
- make s2io driver actually compile with standard configuration
* Tue Mar 23 2004 - ak@suse.de
- add s2io driver
* Tue Mar 23 2004 - mason@suse.de
- hopefully fix lkcd for ia64 compiles as a module
* Tue Mar 23 2004 - mason@suse.de
- remove duplicate entry for num api in series.conf
* Tue Mar 23 2004 - mason@suse.de
- well, that didn't work.  disable ckrm on ppc
- reorder things in series.conf so ckrm comes before llt, that
  way it won't conflict with anon-vma on ppc.  Enable relayfs
  for ppc.
* Tue Mar 23 2004 - ak@suse.de
- disable debugging code in numa api
* Tue Mar 23 2004 - mason@suse.de
- add ckrm core patches
* Tue Mar 23 2004 - schwab@suse.de
- Remove ILP32 patch.
* Tue Mar 23 2004 - olh@suse.de
- update emulex fc driver to lpfcdriver-2.10c
* Mon Mar 22 2004 - olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  restore old simpler version of this patch
* Mon Mar 22 2004 - schwab@suse.de
- Fix lkcd patch so that it compiles.
* Mon Mar 22 2004 - schwab@suse.de
- More fallout from ak's patch.
* Mon Mar 22 2004 - schwab@suse.de
- Fix ak's fixes.
* Mon Mar 22 2004 - mason@suse.de
- fix lkcd compile for ia64
* Mon Mar 22 2004 - mason@suse.de
- fix ia64 configs for lkcd
* Mon Mar 22 2004 - ak@suse.de
- Some fixes for previous checkin
* Mon Mar 22 2004 - schwab@suse.de
- Update ppc64 kdb patches.
* Mon Mar 22 2004 - ak@suse.de
- Add NUMA API
* Mon Mar 22 2004 - agruen@suse.de
- add lkcd for ia64
* Mon Mar 22 2004 - agruen@suse.de
- Switch from a build-kernel-modules script to Makefile.suse for
  test-building external modules.
- Remove test that breaks the external modules test.
- patches.rpmify/kbuild-out-of-tree: Remove modversions files
  when doing a `make distclean'.
* Mon Mar 22 2004 - schwab@suse.de
- kdb: move bfd.h and ansidecl.h to include/asm.
* Mon Mar 22 2004 - mantel@suse.de
- disable CONFIG_WATCHDOG_NOWAYOUT (SUSE36511)
* Mon Mar 22 2004 - mantel@suse.de
- add fix for vmware to anon-vma
* Mon Mar 22 2004 - axboe@suse.de
- update patches.suse/backing-dev-unplug.patch to not call into q->unplug_fn
  unconditionally, saves some cpu io bound loads.
- update patches.suse/dm-30-unplug-update-1 to not include md patches now
  folded into the above patch
* Mon Mar 22 2004 - olh@suse.de
- add patches.suse/kdb-common-softirq
  ignore softirqs when in kdb
* Mon Mar 22 2004 - olh@suse.de
- add patches.drivers/ppc64-e1000-tce-leak
  Don't wrap the ring in tx_map, since that'll lead to TCE leaks
* Mon Mar 22 2004 - olh@suse.de
- update patches.arch/ppc64.patch
  sync with Linus, some hotplug things changed when rusty merged it
  upstream
* Mon Mar 22 2004 - ak@suse.de
- fix DEBUG_INFO build on x86-64 again
* Sun Mar 21 2004 - olh@suse.de
- update patches.drivers/firewire_ieee1394
  rev 1193, Some host driver cleanups.
* Sun Mar 21 2004 - mason@suse.de
- reiserfs laptop mode support
* Sun Mar 21 2004 - olh@suse.de
- add patches.suse/aio-cancel-debug
* Sun Mar 21 2004 - olh@suse.de
- update ipr scsi driver to version 2.0.0-8
* Sun Mar 21 2004 - mason@suse.de
- fix aacraid compile problem
* Sun Mar 21 2004 - mason@suse.de
- disable the hooks probes and LTT on ppc, needs a rediff against
  anon_vma once andrea fixes that
- disable kprobes/dprobes entirely, it doesn't compile on arches
  it doesn't support
* Sun Mar 21 2004 - mason@suse.de
- update evlog so that dev_printk can go there
- add e1000 dprintk code from IBM
- add relayfs, kernel hooks, dprobes and LTT
* Sun Mar 21 2004 - mason@suse.de
- quota locking update from Jan Kara
* Sun Mar 21 2004 - andrea@suse.de
- Make mmap(MAP_SHARED|MAP_ANONYMOUS) work again.
* Sun Mar 21 2004 - olh@suse.de
- split patches.arch/ppc64.patch into smaller pieces for
  rtas, ipr and vscsi driver, veth, hvc console and server
* Sun Mar 21 2004 - andrea@suse.de
- Change BUG_ON with WARN_ON. Current kernel will work fine
  even if the WARN_ON triggers. However it would be nice to
  catch drivers not setting VM_RESERVED since those wouldn't work
  properly with a pagetable walk anymore.
- this will make SUSE36628 not a problem, but still I'd like to
  fix the vmmon module to set VM_RESERVED to enforce a
  stronger VM API.
* Sun Mar 21 2004 - olh@suse.de
- add patches.drivers/emulex-lpfc-compat
  remove compat defines to get it going on ppc (SUSE35691 - LTC6704)
* Sun Mar 21 2004 - olh@suse.de
- update patches.drivers/usb-eciadsl.patch
  better version from David Brownell
* Sun Mar 21 2004 - olh@suse.de
- add patches.fixes/sg_cmd_done_oops.patch
  fixes a race condition in sg_cmd_done that results in an oops.
  sg_cmd_done cannot touch sfp once srp->done is set.
* Sun Mar 21 2004 - agruen@suse.de
- When installing a second kernel in addition to the existing
  one(s), keep symlinks to the previously active kernel around as
  /boot/{vmlinuz,initrd}.previous.
- Remove ``Requires: make c_compiler'' from kernel-source package.
* Sun Mar 21 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20030420
* Sat Mar 20 2004 - andrea@suse.de
- Fixed NOPAGE_SIGBUS/OOM returned by ->nopage, and save
  8 bytes per page on 64bit archs.
* Sat Mar 20 2004 - mason@suse.de
- Pull in Takashi's latest latency fixes for reiserfs and
  mpage_writepages
* Sat Mar 20 2004 - mason@suse.de
- cleanup: get rid of the old dm patches, they have been disabled
  most of the week.
* Sat Mar 20 2004 - mason@suse.de
- reiserfs-file_write_hole_sd.diff needs to be in the series.conf
  to do any good.  whoops.  Now bug SUSE36353 should be fixed
* Sat Mar 20 2004 - olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  implement a pipe as suggested by viro
* Sat Mar 20 2004 - agruen@suse.de
- SUSE36587: Remove qsort from xfs; it's in our kernel for nfsacl
  anyway.
* Fri Mar 19 2004 - olh@suse.de
- readd patches.suse/suse.ppc32.console.autodetection
* Fri Mar 19 2004 - schwab@suse.de
- Prevent GCC from clobbering r13.
* Fri Mar 19 2004 - mantel@suse.de
- re-add ppp_mppe (SUSE34335)
* Fri Mar 19 2004 - mantel@suse.de
- update powernow-k8
* Fri Mar 19 2004 - schwab@suse.de
- Fix fallout from last change.
* Fri Mar 19 2004 - mantel@suse.de
- update objrmap-core, add anon-vma
* Fri Mar 19 2004 - okir@suse.de
- Back out patches.fixes/suse-ipv6-mld2
- Removed patches.fixes/ipv6-rtm-dump-no-mcast; folded into mainline
* Fri Mar 19 2004 - ak@suse.de
- Update to x86_64-2.6.5rc1-3. Should fix SUSE35405
* Fri Mar 19 2004 - agruen@suse.de
- Fix the override-config-file mechanism.
* Thu Mar 18 2004 - mason@suse.de
- fix reiserfs_file_write hole bug
- Try to fix some O_DIRECT<->buffered io races
- fix reiserfs writepage for fsync vs data=ordered races
- add O_DIRECT aio fixes from -mm
- make fsaio really async (from Suparna)
* Thu Mar 18 2004 - ak@suse.de
- Disable PM_TIMER on x86-64
* Thu Mar 18 2004 - stepan@suse.de
- update bootsplash to v3.1.5
* Thu Mar 18 2004 - agruen@suse.de
- Fix breakage in the merged version.h/autoconf.h files.
* Thu Mar 18 2004 - hare@suse.de
- add patches.fixes/ide-pci-module.patch to fix modular IDE drivers.
* Thu Mar 18 2004 - mantel@suse.de
- add monitor patch to orinoco driver (SUSE34371)
* Thu Mar 18 2004 - ak@suse.de
- disable software suspend on x86-64 and i386 SMP kernels.
* Thu Mar 18 2004 - ak@suse.de
- enable SIS190 and RAID6 on x86-64
- enable SIS190 on i386
* Thu Mar 18 2004 - ak@suse.de
- fix compilation with fusion driver (hopefully last fix needed now)
* Thu Mar 18 2004 - mason@suse.de
- fix race with ak on the fusion change
* Thu Mar 18 2004 - mason@suse.de
- fix mpt fusion fix so it patches
- fix for mm-writeback changes, make wait_on_page_writeback_range
  actually wait
* Thu Mar 18 2004 - ak@suse.de
- Remove bogus hunk from usb-set_idle.patch that broke compilation
* Thu Mar 18 2004 - ak@suse.de
- Set correct consistent dma mask in mpt fusion.
- Disable previous workaround in x86-64 code for that.
- Disable warning in fusion that triggers under load.
* Thu Mar 18 2004 - ak@suse.de
- Disable donauboe driver completely on 64bit, drop older patch.
* Wed Mar 17 2004 - olh@suse.de
- add patches.arch/ppc32.make_smp.patch
  no extra space for mkprep
* Wed Mar 17 2004 - olh@suse.de
- add patches.suse/kdb-common-disable-kdbm_inode_pages
  workaround struct inode changes from -mm
* Wed Mar 17 2004 - mason@suse.de
- add missing EXPORT_SYMBOL for test_set_page_writeback()
* Wed Mar 17 2004 - mason@suse.de
- update for the mm writeback changes, some filesystems need to
  switch from SetPageWriteback to set_page_writeback()
* Wed Mar 17 2004 - ak@suse.de
- Readd apic option to i386 UP kernel. Enable UP APIC support
  in configuration. Disable by default. Add DMI entries
  for Intel G440X+and HP Proliant DL380 (SUSE34704, SUSE35681)
* Wed Mar 17 2004 - mantel@suse.de
- avoid overflow in fs/read_write.c (SUSE35403)
* Wed Mar 17 2004 - olh@suse.de
- add a bunch of ppc64 patches,
  limit OF property size to 1Mb, provide vioconfig info, g5 iommu
  freq in cpu info, rtas log_error, vscsi report lun
* Wed Mar 17 2004 - ak@suse.de
- Disable not 64bit EICON driver on x86-64
* Wed Mar 17 2004 - ak@suse.de
- Disable APIC on x86-64 even with acpi=off
* Wed Mar 17 2004 - kraxel@suse.de
- fix uml build.
- put uml kernel also into kernel-um.
* Wed Mar 17 2004 - ak@suse.de
- Disable LANSTREAMER driver on x86-64
- Fix 64bit bug on donauboe driver
* Wed Mar 17 2004 - olh@suse.de
- add patches.drivers/alsa-ppc-snd_dma_continuous_data.patch
  fix unresolved symbol in pmac alsa driver
* Wed Mar 17 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtas_os_term.patch
  passes the panic string to the os-term call so that it can be
  stored in a platform error log
* Wed Mar 17 2004 - ak@suse.de
- Disable MWAVE driver on x86-64
* Wed Mar 17 2004 - schwab@suse.de
- Disable IRQ debugging by default.
- Add hook to be able to speed up process migration.
* Wed Mar 17 2004 - schwab@suse.de
- Fix missing symbol export.
* Wed Mar 17 2004 - ak@suse.de
- Update to x86_64-2.6.5rc1-2 (should fix SUSE36030)
* Wed Mar 17 2004 - olh@suse.de
- add patches.arch/ppc64-slb.patch (SUSE34332 - LTC6143)
  1. Paulus' exception stack changes that will enter xmon if we
  ever do more than 2 levels of exception
  2. Checks of MSR_RI at exception entry, if this is an exception
  taken during the critical window, enter xmon so we can debug it
  3. Anton's removal of class bits from SLB entries
  4. Added SLB invalidates when we reuse entries.
* Wed Mar 17 2004 - mantel@suse.de
- update dm-30-unplug-update-1
* Wed Mar 17 2004 - ak@suse.de
- Add workaround for consistent dma mask bug added with 2.6.5rc1
  on x86-64.
* Wed Mar 17 2004 - ak@suse.de
- Fix hyperthreading support on x86-64
* Wed Mar 17 2004 - mason@suse.de
- fixes from Jens for device mapper:
-   dm update reverted a bit shifting fix
-   dm raid1 unplugging fix
* Wed Mar 17 2004 - ak@suse.de
- Add powernow k8 ACPI driver.
* Wed Mar 17 2004 - ak@suse.de
- update to x86_64-2.6.5rc-1
* Tue Mar 16 2004 - olh@suse.de
- add patches.drivers/usb-eciadsl.patch
  make the eci adsl modem work with 2.6
  add patches.fixes/ppc32-2.6.5-compile.patch
  compilefixes for recent dma changes
* Tue Mar 16 2004 - bk@suse.de
- S/390 cpint: retry with more response buffer if it was too small
* Tue Mar 16 2004 - mason@suse.de
- merge writeback changes from -mm
- merge latest device mapper patchset
* Tue Mar 16 2004 - mantel@suse.de
- add missing PCI ID for ATI IXP
* Tue Mar 16 2004 - schwab@suse.de
- Update 64k-pagesize and sn2 configuration to be more similar to
  default.
* Tue Mar 16 2004 - schwab@suse.de
- Remove dig and zx1 configuration.
- Enable BLK_DEV_SGIIOC4 in default config.
* Tue Mar 16 2004 - mantel@suse.de
- add ATI IXP chipset IDE support
* Tue Mar 16 2004 - mantel@suse.de
- ALSA update for 2.6.5-rc1
* Tue Mar 16 2004 - agruen@suse.de
- Include all spec files into kernel-source.src.rpm for easier
  rpm rebuild.
* Tue Mar 16 2004 - okir@suse.de
- Updated MIPv6 patch
* Tue Mar 16 2004 - olh@suse.de
- remove patches.suse/suse-ppc64-xmon.disassembler.update
  xmon and bfd interface differs alot
* Tue Mar 16 2004 - schwab@suse.de
- Fix missing braces.
* Tue Mar 16 2004 - schwab@suse.de
- Remove obsolete patch.
* Tue Mar 16 2004 - mantel@suse.de
- fix double export of md_unplug_mddev
* Tue Mar 16 2004 - schwab@suse.de
- Remove obsolete patches.
* Tue Mar 16 2004 - mantel@suse.de
- fix a missing export and two missing shifts with BIO_RW_SYNC in
  backing-dev-unplug.patch
* Tue Mar 16 2004 - mantel@suse.de
- update to 2.6.5-rc1
* Tue Mar 16 2004 - mantel@suse.de
- remove infiniband drivers
* Mon Mar 15 2004 - olh@suse.de
- reenable patches.drivers/firewire_ieee1394
  rev 1191, fixes some list corruption in ieee1394 core
* Mon Mar 15 2004 - olh@suse.de
- add patches.fixes/alsa.patch, patches.fixes/ia64-dma.patch
  fix compile errors after dma_sync_for_device-cpu.patch
  more alsa updates
  preserve ABI in arch/s390/appldata/appldata_mem.c
* Mon Mar 15 2004 - garloff@suse.de
- dynamic-timeslice: Add patch to allow tuning of scheduling
  timeslices. (Port from 2.4.)
* Mon Mar 15 2004 - garloff@suse.de
- bio-unplug-bitmasks: Another unplugging fix: The bitmasks were
  confused.
* Mon Mar 15 2004 - garloff@suse.de
- fix-plugging-race: Add patch from axboe to fix a plugging race
  (SUSE36090).
* Mon Mar 15 2004 - schwab@suse.de
- Fix more breakage from olh.
* Mon Mar 15 2004 - agruen@suse.de
- Reenable pre-configuring of the kernel sources: sadly a number
  of packages expect configured kernel sources; it doesn't seem
  realistic to assume that we can fix them all.
- Check for files that may be msising when building from nosrc
  packages.
- scripts/sequence-patch.sh: Add `-' option to set up the scratch
  area without applying any patches.
* Mon Mar 15 2004 - schwab@suse.de
- Fix last change.
* Mon Mar 15 2004 - mantel@suse.de
- fix slab corruption by sys_swapon (SUSE36016)
* Mon Mar 15 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4-20040315
  nfs merge, alsa updates, fix ppc32 PReP booting
* Mon Mar 15 2004 - schwab@suse.de
- Fix broken exports.
* Mon Mar 15 2004 - agruen@suse.de
- patches.rpmify/cloneconfig.diff: Add cloneconfig target, and
  make defconfig do ``the right thing''.
* Mon Mar 15 2004 - mantel@suse.de
- update backing-dev-unplug.patch
* Mon Mar 15 2004 - agruen@suse.de
- Remove a few obsolete patches. Re-enable xfs permission() fix
  that was accidentally commented out.
* Mon Mar 15 2004 - agruen@suse.de
- No longer add the cvs timestamp to packages: We now have
  it in `rpm -qi'.
* Sun Mar 14 2004 - mason@suse.de
- make backing-dev-unplug.patch able to handle swap pages, add
  a few barriers for luck.
* Sun Mar 14 2004 - agruen@suse.de
- Add a flag for ignoring failures in external modules.
* Sun Mar 14 2004 - mason@suse.de
- fix reiserfs tail packing bug
* Sun Mar 14 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4-20040314
* Sat Mar 13 2004 - schwab@suse.de
- Remove unwanted patches.
* Fri Mar 12 2004 - olh@suse.de
- disable emulex lpfc driver on ppc64 until it is fixed (SUSE35691)
* Fri Mar 12 2004 - kraxel@suse.de
- update uml config.
* Fri Mar 12 2004 - schwab@suse.de
- Add Vitesse SATA driver.
* Fri Mar 12 2004 - mantel@suse.de
- export missing symbols from dm-table
* Fri Mar 12 2004 - kraxel@suse.de
- uml update.
* Fri Mar 12 2004 - schwab@suse.de
- Enable MD_RAID6.
* Fri Mar 12 2004 - agruen@suse.de
- Abort build on unresolved symbols.
- SUSE35753: Update from old versions: Force replacement of
  /boot/$image and /boot/initrd even if they are regular files.
* Fri Mar 12 2004 - ak@suse.de
- Fix DEBUG_INFO build on x86-64
* Fri Mar 12 2004 - schwab@suse.de
- Add latest ia64 updates.
- Fix compilation of infiniband driver.
* Fri Mar 12 2004 - olh@suse.de
- add patches.arch/ppc64.patch.numa_cpu_lookup_table-init
  init non existant cpus to zero. (SUSE35497 - LTC6747)
* Fri Mar 12 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4-20040312
  x86-64 merge, G5 temperature control update
* Fri Mar 12 2004 - olh@suse.de
- add patches.arch/ppc64.patch.errno-truncate
  errno is an int, but the syscall stored unsigned long
* Fri Mar 12 2004 - mantel@suse.de
- some fixes for backing-dev-unplug
* Fri Mar 12 2004 - mantel@suse.de
- kill the global queue plugging in the block layer, which was a
  huge scalability problem on big iron (axboe@suse.de)
* Fri Mar 12 2004 - ak@suse.de
- decrease struct page size on x86-64
* Thu Mar 11 2004 - mason@suse.de
- latency fixes from Takashi
- enable reiserfs preallocation
- mpool alloc and free race fix
* Thu Mar 11 2004 - mason@suse.de
- reiserfs logging fixes
* Thu Mar 11 2004 - ak@suse.de
- update x86-64 configs (enable mmconfig support)
* Thu Mar 11 2004 - ak@suse.de
- update to x86_64-2.6.4rc3-1
* Thu Mar 11 2004 - mantel@suse.de
- update to 2.6.4
* Thu Mar 11 2004 - agruen@suse.de
- Disable pre-configuration of the kernel source package: Building
  with O= is well supported now. (The km_* packages don't support
  O=, yet.)
- Also install the arch/$arch/defconfig.$flavor files in the
  binary kernels. Add scripts/build-kernel-modules (generated by
  script) for testing compilation and installation.
* Wed Mar 10 2004 - agruen@suse.de
- %%postun-script: Fix relink code (broke recently).
- Rename /boot/vmlinux to /boot/vmlinux.gz for gzip'ed files
  (the extension was lost at some point).
- patches.fixes/x86_64-memcpy_io.diff: Force memcpy_{from,to}io
  into the kernel; they are needed by modules. Fix usage of long
- patches.fixes/alsa-bk-2004-03-01-fix.patch: Fix usage of long
  as pointer in memcpy_{from,to}io.
- patches.fixes/reiserfs-direct-tail.diff: SUSE34646 (comment #63):
  Fix for reiserfs_unmap_buffer() with bh->b_page == NULL.
* Wed Mar 10 2004 - schwab@suse.de
- Fix USB oops.
* Wed Mar 10 2004 - schwab@suse.de
- Enable AGP_HP_ZX1.
* Wed Mar 10 2004 - okir@suse.de
- Fixed nfs-short-read patch
* Wed Mar 10 2004 - agruen@suse.de
- Packaging: Rename file timestamp to build-source-timestamp;
  Autobuild will expand the file contents into the description
  in the rpm info.
* Wed Mar 10 2004 - mantel@suse.de
- fix oops on psmouse reconnect (SUSE35489)
* Wed Mar 10 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc3-20040310
  irda fixes, G5 OF interface fixes
* Wed Mar 10 2004 - agruen@suse.de
- Update to current cvs version of xfs (+ a minor fix).
- Create directory for miscellaneous stuff, and add scripts for
  diffing against the xfs cvs, and the kernel package build
  script.
- Set the same version number in kernel-dummy as in all other
  spec files.
* Tue Mar 09 2004 - schwab@suse.de
- Fix partial reads at end of block device [SUSE31902].
* Tue Mar 09 2004 - schwab@suse.de
- Restore previous version of tiocgdev patch.
* Tue Mar 09 2004 - okir@suse.de
- added patches.fixes/nfs-short-read
- added patches.fixes/ipv6-rtm-dump-no-mcast to fix SUSE35288
* Tue Mar 09 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc2-20040309
* Tue Mar 09 2004 - agruen@suse.de
- scripts/tar-up.sh: Also create kernel-dummy.changes.
- Update configs (duwe).
* Mon Mar 08 2004 - agruen@suse.de
- Add internal kernel-dummy package to keep release numbers
  synchronized.
* Mon Mar 08 2004 - mantel@suse.de
- correctly set the block size on the loopback block device
* Mon Mar 08 2004 - mantel@suse.de
- restore 32/64 bit compatibility of TIOCGDEV
* Mon Mar 08 2004 - mason@suse.de
- evlog update
* Mon Mar 08 2004 - ak@suse.de
- Enable CONFIG_LEGACY_PTYS everywhere
* Mon Mar 08 2004 - olh@suse.de
- build scsi into the kernel on G5
* Mon Mar 08 2004 - olh@suse.de
- add patches.fixes/xfs-export-filemap_flush.patch
* Sun Mar 07 2004 - olh@suse.de
- add patches.suse/kdb-common-xfs
  add patches.suse/suse-ppc64-export-find_next_bit
* Sun Mar 07 2004 - ak@suse.de
- Add workaround for AMD768MPX erratum
* Sun Mar 07 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc2-20040307
  acpi fixes, hfsplus, nfsd
* Sun Mar 07 2004 - agruen@suse.de
- Re-enable km_wlan.
* Sat Mar 06 2004 - ak@suse.de
- Fix cache flushing on x86-64 in i810 fb
* Sat Mar 06 2004 - olh@suse.de
- add patches.suse/suse-con_set_unimap.patch
  workaround for unimap handling in the console driver
* Sat Mar 06 2004 - olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  look for /init instead of /sbin/init
  kinit= gone
* Sat Mar 06 2004 - olh@suse.de
- add patches.suse/suse-ppc64-clear_user_page-power3
  proper kernel segment handling on power3/rs64
* Sat Mar 06 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc2-20040306
  update patches.arch/ppc64.patch
  includes kdb4.3, add disassembler update for xmon
* Sat Mar 06 2004 - ak@suse.de
- Undo wrong off-by-one IST change in x86-64 patchkit
* Sat Mar 06 2004 - schwab@suse.de
- Make TIOCGDEV compatible again.
* Sat Mar 06 2004 - schwab@suse.de
- Read patches.drivers/xpnet-04-xpc.
* Fri Mar 05 2004 - ak@suse.de
- Update x86-64 patchkit to x86_64-2.6.4rc2-1
* Fri Mar 05 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc2-20040305
  ibmasm, xfs, lots of other fixes
* Fri Mar 05 2004 - mantel@suse.de
- fix problems with broken USB->PS/2 legacy emulation in certain
  BIOSes (SUSE34761)
* Fri Mar 05 2004 - mantel@suse.de
- some fixes for the cciss driver from HP (SUSE35163)
* Fri Mar 05 2004 - mantel@suse.de
- check for NULL argument in pciehprm_free_bridges() (SUSE34978)
* Fri Mar 05 2004 - okir@suse.de
- Another fix to MIPv6
* Fri Mar 05 2004 - okir@suse.de
- Fix an ICMPv6 crash caused by the MIPv6 patch
* Fri Mar 05 2004 - hare@suse.de
- Update S/390 to pre-lobster codedrop.
* Thu Mar 04 2004 - mantel@suse.de
- fix qla2xxx driver for 64 bit archs
* Thu Mar 04 2004 - mantel@suse.de
- add laptop disk mode
* Thu Mar 04 2004 - mantel@suse.de
- yet another update for tiocgdev
* Thu Mar 04 2004 - mantel@suse.de
- update qla2xxx driver to 8.00.00b11; enable failover
* Thu Mar 04 2004 - stepan@suse.de
- update atixl-noinit patch
* Thu Mar 04 2004 - mantel@suse.de
- add objrmap-core to start mitigate rmap problems with Oracle
* Thu Mar 04 2004 - mantel@suse.de
- make TIOCGDEV 64bit clean
* Wed Mar 03 2004 - mason@suse.de
- reiserfs quota support
* Wed Mar 03 2004 - mason@suse.de
- update reiserfs-lock-lat, latency fix during deletes
- fix reiserfs metadata corruption bugs in reiserfs_file_write and
  search_by_key
* Wed Mar 03 2004 - kraxel@suse.de
- fix uml init calls ordering.
- update uml configuration.
* Wed Mar 03 2004 - stepan@suse.de
- add patches.drivers/atixl-noinit-2.6.2 (allow bios-less
  initialization of ATI XL cards)
* Wed Mar 03 2004 - olh@suse.de
- add patches.suse/suse-ppc64-xmon_backtrace.patch
  dont do symbol lookup per default, breaks if the system is gone
* Wed Mar 03 2004 - ak@suse.de
- Don't include .orig file in printkat
* Wed Mar 03 2004 - agruen@suse.de
- Allow for a non-numeric CONFIG_RELEASE so that test builds
  with distinct names can be created.
- Adapt the spec files accordingly.
* Wed Mar 03 2004 - schwab@suse.de
- Add ioc4 serial driver.
* Wed Mar 03 2004 - schwab@suse.de
- Remove patches.drivers/xpnet-04-xpc.
* Wed Mar 03 2004 - schwab@suse.de
- Fix staircase effect on Altix serial console.
* Tue Mar 02 2004 - schwab@suse.de
- Fix net/ipv6/mobile_ip6 for parallel build.
* Tue Mar 02 2004 - olh@suse.de
- net/ipv6/mobile_ip6/mobhdr_mn.c needs linux/init.h
* Tue Mar 02 2004 - olh@suse.de
- update patches.fixes/linux-post-2.6.4rc1-20040302
  ieee1394, s390, x86-64, networking updates
* Tue Mar 02 2004 - mantel@suse.de
- update configs for mobile ipv6
* Tue Mar 02 2004 - mantel@suse.de
- update ALSA to 1.0.3
* Tue Mar 02 2004 - okir@suse.de
- Minor fix to MIPv6 patch
* Tue Mar 02 2004 - okir@suse.de
- Don't send multicast group membership packets for the IPv6
  solicited-node address (SUSE34954)
- IPv6: Don't fragment 1500 byte packets if the MTU is 1500
- Merge MIPv6 patch from Krishna Kumar @IBM
* Tue Mar 02 2004 - schwab@suse.de
- Add Altix partitioning drivers (xpnet) [SUSE35164].
* Tue Mar 02 2004 - schwab@suse.de
- Disable CONFIG_DVB_TDA1004X.
* Tue Mar 02 2004 - okir@suse.de
- Updated sunrpc-nulltimeout. The "NFS tasks stuck in D state"
  problem should now be gone
* Tue Mar 02 2004 - agruen@suse.de
- reiserfs xattrs: Update from Jeff Mahoney <jeffm@suse.com>:
  + Update inode->i_ctime for a file when its xattrs are changed.
  + Improvement to hiding the .reiserf_priv directory: Only
  hide directories with that name in the root of the mounted
  filesystem.
* Tue Mar 02 2004 - agruen@suse.de
- Fix the mainline `make rpm' target.
* Tue Mar 02 2004 - ak@suse.de
- Fix cosmetical issues in ACPI initrd DSDT patch.
* Tue Mar 02 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc1-20040302
  libata fixes, netupdates, usblp fixes
* Tue Mar 02 2004 - agruen@suse.de
- Bug in sequence-patch.sh: After applying all patches, the
  default configuration file was copied to arch/$arch/defconfig,
  accidentally also trashing hardlinks. Sequence-patch.sh uses
  hard-linked trees, so this caused patched failures with patches
  that touched the defconfig files. The fix is to no longer modify
  the defconfig files; nobody needed this, anyway.
* Mon Mar 01 2004 - agruen@suse.de
- reiserfs: enable trusted xattrs iff the filesystem supports
  them, i.e., only enable them if the filesystem supports xattrs
  (Jeff Mahoney <jeffm@suse.de>).
- Also enable the post-install heuristic of finding the most
  recent remaining kernel for vmlinux-%%ver_str (ppc and ppc64).
* Mon Mar 01 2004 - garloff@suse.de
- Allow > 256 raw devices (for real now, patch from Badari).
* Mon Mar 01 2004 - kraxel@suse.de
- fix uml build (again).
* Mon Mar 01 2004 - hare@suse.de
- Update configurations for S/390
* Mon Mar 01 2004 - olh@suse.de
- add patches.drivers/emulex-lpfc
  emulex fibrechannel driver for ppc64, ia64, i386 and x86-64
  version lpfcdriver-2.10a.tar.gz
* Mon Mar 01 2004 - hare@suse.de
- Added patches/arch/s390-nohz-timer
* Mon Mar 01 2004 - hare@suse.de
- Preliminary update of S/390 to pre-Lobster codedrop.
* Mon Mar 01 2004 - olh@suse.de
- update patches.drivers/ibm-ipr-2.0.0.patch to version 2.0.0-7
* Mon Mar 01 2004 - agruen@suse.de
- Fix in %%post: /boot/initrd symlink accidentally didn't get
  created.
* Mon Mar 01 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc1-20040301
* Sun Feb 29 2004 - schwab@suse.de
- Fix stack usage on kernel thread creation.
- Fix 64 bit DMA mapping problem with PCI cards on SN2.
* Sun Feb 29 2004 - agruen@suse.de
- patches.suse/twofish-2.6: Merge fix from Andrea (type of
  loop_func_table->transfer operation has changed).
* Sun Feb 29 2004 - schwab@suse.de
- Fix NULL pointer reference in pciehp driver.
* Sat Feb 28 2004 - garloff@suse.de
- alarm-round: Commit fix for alarm() return value being one too
  much because of roundoff errors in tv <-> jiffie conversion.
* Sat Feb 28 2004 - agruen@suse.de
- Add timestamp of cvs working directory to rpm files:
  /boot/timestamp-%%ver_str, /usr/src/linux-%%ver_str/timestamp.
* Sat Feb 28 2004 - ak@suse.de
- Fix mellanox tlb flush for UP kernels
* Sat Feb 28 2004 - ak@suse.de
- Fix compilation of mellanox HCA and ibm asm on x86-64
* Sat Feb 28 2004 - agruen@suse.de
- Re-enable lkcd with the right config options.
* Sat Feb 28 2004 - kraxel@suse.de
- make uml kernels build parallel.
* Sat Feb 28 2004 - agruen@suse.de
- infiniband: Evil hack to get parallel build to work again.
- Re-enable infiniband in the config files.
- Disable mellanox-hca infiniband module on x86_64: won't
  compile.
* Sat Feb 28 2004 - agruen@suse.de
- Fix regression in reiserfs_mknod.
- Another regparm fix.
* Fri Feb 27 2004 - mason@suse.de
- device mapper update
- snapshot<->fs locking patch
* Fri Feb 27 2004 - mason@suse.de
- update aio-poll to the latest rev
- add aio-read-immediate, allows short aio reads on pipe/socket
- add aio-context-switch to keep the wakeups on worker threads
  within reason
* Fri Feb 27 2004 - hare@suse.de
- Split kerntypes support from crash dump support.
* Fri Feb 27 2004 - okir@suse.de
- Added IBM evlog patches
* Fri Feb 27 2004 - mantel@suse.de
- update cpqarray driver to 2.6.0 and add fixes (SUSE35163)
* Fri Feb 27 2004 - schwab@suse.de
- Add workaround for problem with PAL_HALT_LIGHT on sn2 [SUSE34645].
* Fri Feb 27 2004 - mantel@suse.de
- add infiniband drivers (SUSE35064)
* Fri Feb 27 2004 - mantel@suse.de
- add bcm5700 driver version 7.2.15 (hopefully fixes SUSE34508)
* Fri Feb 27 2004 - mantel@suse.de
- fix hang on "rmmod parport_pc" (SUSE34997)
* Fri Feb 27 2004 - mantel@suse.de
- add aio-poll
* Fri Feb 27 2004 - mantel@suse.de
- added ibmasm driver
* Fri Feb 27 2004 - mantel@suse.de
- re-add adaptive-lazy-readahead
* Fri Feb 27 2004 - kraxel@suse.de
- regparam / fastcall fixes.
* Fri Feb 27 2004 - agruen@suse.de
- Fix regression in __reiserfs_permission.
* Fri Feb 27 2004 - hare@suse.de
- Re-enable crash dumps for S/390.
* Fri Feb 27 2004 - kraxel@suse.de
- more __attribute__((used)) fixes for uml.
* Thu Feb 26 2004 - kraxel@suse.de
- fix undefined symbols in uml modules.
* Thu Feb 26 2004 - mantel@suse.de
- fix loop device hangs
* Thu Feb 26 2004 - agruen@suse.de
- Add parisc architecture (patch is only enabled for parisc
  itself, no risk for all others).
* Thu Feb 26 2004 - agruen@suse.de
- patches.fixes/ext23-no-ace-read-limit.diff: SUSE34623: Patch was
  accidentally calling ext2_xattr_get from ext3 -- ouch!
* Wed Feb 25 2004 - mason@suse.de
- disable kerntypes patch
- add netpoll for netconsole and lkcd dump driver
- add lkcd for ia32
* Wed Feb 25 2004 - agruen@suse.de
- patches.fixes/missing-exports.diff: bcm5700.ko requires the
  genapic symbol.
- patches.fixes/icn-strchr-bug.diff: strpbrk gets converted to
  strchr from libgcc by the compiler, but there is no libgcc in
  the kernel. The compieler does not realize that it should use
  an inlined function instead.
* Wed Feb 25 2004 - ak@suse.de
- Update to latest x86-64 patchkit
* Wed Feb 25 2004 - hare@suse.de
- add patches.fixes/s390-zfcp-hotplug-fix:
  Fix deadlock when adding more than one lun (SUSE34984)
- add patches.fixes/s390-sysfs-net.patch:
  Add correct sysfs attributes for net drivers (SUSE34632)
* Wed Feb 25 2004 - mantel@suse.de
- SCSI support now modular again (SUSE34955)
* Wed Feb 25 2004 - hare@suse.de
- add patches.arch/s390-qeth-eui64.patch to
  enable IPV6 support for qeth (SUSE34980).
* Wed Feb 25 2004 - hare@suse.de
- S/390: Update from -mm3.
- S/390: Adapted configuration files for update.
* Wed Feb 25 2004 - agruen@suse.de
- More CONFIG_REGPARM fixes.
* Tue Feb 24 2004 - agruen@suse.de
- patches.fixes/regparm-fix.diff: CONFIG_REGPARM breaks some
  syscalls that are not declared as asmlinkage.
* Tue Feb 24 2004 - schwab@suse.de
- Disable CONFIG_DVB_SP887X.
* Tue Feb 24 2004 - schwab@suse.de
- pcibios_set_irq_routing is x86-only.
* Tue Feb 24 2004 - mantel@suse.de
- fix suspend to disk (SUSE34476)
* Tue Feb 24 2004 - mantel@suse.de
- fix checksum bug for multicast/broadcast packets on postrouting (SUSE34669)
* Mon Feb 23 2004 - mason@suse.com
- reiserfs update, data=ordered and other fixes
* Mon Feb 23 2004 - okir@suse.de
- updated patches.suse/usagi-ipv6-ndisc to fix neighbor cache
  updates when receiving redirects
* Mon Feb 23 2004 - schwab@suse.de
- Import kdb v4.3.
* Mon Feb 23 2004 - olh@suse.de
- update patches.arch/ppc64.patch
  numa sysfs fixes, ibmvscsi update, iseries irq fixes
* Mon Feb 23 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.3-20040223
  dynamic pty98 allocation, ieee1394, serial, arm, m68k updates
* Sun Feb 22 2004 - olh@suse.de
- update hfsplus driver, enable adbhid on pmac64
* Sun Feb 22 2004 - agruen@suse.de
- Fix override configs/additional patches on i386.
* Sun Feb 22 2004 - olh@suse.de
- add patches.fixes/linux-post-2.6.3-20040222
  sungem, h8300, networking updates
* Sat Feb 21 2004 - olh@suse.de
- add patches.fixes/linux-post-2.6.3-20040221
  ieee1394, mips, ppc64 pci hotplug, networking updates
* Sat Feb 21 2004 - agruen@suse.de
- Fix modversions for out-of-tree modules with O=... set.
- Remove obsolete patches.arch/i386-regparm.
- Another xfs cvs update.
* Fri Feb 20 2004 - okir@suse.de
- Repaired broken ipv6 ndisc patch
* Fri Feb 20 2004 - agruen@suse.de
- Add xfs smp fix from Christoph Hellwig (via Jens Axboe).
* Fri Feb 20 2004 - schwab@suse.de
- Add python to neededforbuild.
* Fri Feb 20 2004 - schwab@suse.de
- Revert last change.
* Fri Feb 20 2004 - okir@suse.de
- IPv6: properly purge expired routers from routing cache
* Fri Feb 20 2004 - olh@suse.de
- add patches.fixes/linux-post-2.6.3-20040220
  update to linus latest, usb, ia64, xeon64, i4l, ide fixes
* Thu Feb 19 2004 - agruen@suse.de
- Update xfs to current cvs version.
- Remove now-obsolete patches.suse/xfs-dmapi.
- Fix a long-standing bug in the rollback code in
  sequence-patch.sh.
* Thu Feb 19 2004 - okir@suse.de
- Fix for the "dst underflow" bug when running TAHI (SUSE34664)
* Thu Feb 19 2004 - okir@suse.de
- experimental sunrpc patch to prevent processes from getting
  stuck in D state forever
* Thu Feb 19 2004 - stepan@suse.de
- patches.suse/bootsplash: update to fixed version 3.1.4
- patches.suse/bootsplash-fixdep: dropped (included in above)
* Thu Feb 19 2004 - garloff@suse.de
- patches.suse/sd-many-4: Add support for 32k SCSI disks.
- patches.suse/sg-many-1: Add support for 32k SCSI generic devices.
- patches.suse/scsi_sysfs-procname-2: Export proc_name of SCSI
  hostadapter via sysfs.
* Thu Feb 19 2004 - ak@suse.de
- fix IA32e patch for !SMP
* Thu Feb 19 2004 - olh@suse.de
- build scsi as a module on pseries64
* Wed Feb 18 2004 - olh@suse.de
- add patches.drivers/drivers-net-pcnet32.patch
  many fixes for this driver (SUSE34509 - LTC4358)
* Wed Feb 18 2004 - ak@suse.de
- Add support for IA32e to x86-64
- Enable Intel specific configure options in x86-64 config
- Enable some missing config options (IPMI, SCSI logging etc.)
* Wed Feb 18 2004 - olh@suse.de
- update patches.arch/ppc64-patch
* Wed Feb 18 2004 - schwab@suse.de
- Add support for HP sx1000.
* Wed Feb 18 2004 - sf@suse.de
- patches.fixes/libata-core.diff: fix ide detection on
  x86_64
* Wed Feb 18 2004 - ak@suse.de
- port mapped_base feature to 2.6
* Wed Feb 18 2004 - mantel@suse.de
- add missing pci info to cs5520 and cs5530 drivers (SUSE34268)
* Wed Feb 18 2004 - agruen@suse.de
- patches.suse/twofish-2.6: add module license, clean up a little.
* Wed Feb 18 2004 - mantel@suse.de
- update to 2.6.3
* Wed Feb 18 2004 - kraxel@suse.de
- config update -- enable the new netfilter6 options.
* Tue Feb 17 2004 - agruen@suse.de
- Fold fix for SUSE34432 - LTC6269 into patches.suse/reiserfs-acl-02
* Tue Feb 17 2004 - schwab@suse.de
- Add configuration 64k-pagesize.
* Tue Feb 17 2004 - okir@suse.de
- Merged netfilter6 conntrack code from usagi cvs
* Tue Feb 17 2004 - okir@suse.de
- Merged tentative patch for UDP recvmsg/EAGAIN problem (SUSE34510)
* Tue Feb 17 2004 - okir@suse.de
- added patches.suse/usagi-ipv6-netfilter, including REJECT target
* Tue Feb 17 2004 - olh@suse.de
- add patches.fixes/serial_console_init.patch
  It results in serial console getting initialised really late
* Tue Feb 17 2004 - hare@suse.de
- add patches.arch/s390-dasd-update
  Update DASD driver to latest version from IBM.
* Tue Feb 17 2004 - kraxel@suse.de
- update uml patch.
- dropped some uml fixes merged upstream.
* Mon Feb 16 2004 - olh@suse.de
- add patches.arch/ppc64.tce_init_pSeries.patch
  from 2.6.3 final
* Mon Feb 16 2004 - olh@suse.de
- add patches.suse/suse-ppc64-pseries-nvram
  fix the damn thing
* Mon Feb 16 2004 - agruen@suse.de
- Add directory /lib/modules/precompiled to binary kernels for
  the glue layer code of binary-only modules.
* Mon Feb 16 2004 - olh@suse.de
- update patches.fixes/ppc32-pmac_zilog-consoleinit
  add MacRISC3 to whitelist to avoid crash during cat < /dev/ttyS0
* Mon Feb 16 2004 - mantel@suse.de
- increase maximum number of command line arguments (SUSE34511)
* Mon Feb 16 2004 - mantel@suse.de
- don't leak space in aio subsystem
* Mon Feb 16 2004 - olh@suse.de
- go back to xmon in pseries64 .config
* Mon Feb 16 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.3-rc3-20040216
* Sun Feb 15 2004 - agruen@suse.de
- Minor cosmetic fixes in error handling paths in fs/xattr_acl.c
  and fs/nfs/xattr.c.
* Fri Feb 13 2004 - olh@suse.de
- add patches.fixes/linux-post-2.6.3-rc2-20040213
  64bit G5 support, add config/ppc64/pmac64
* Fri Feb 13 2004 - mantel@suse.de
- work around umount problem of loopback devices
* Fri Feb 13 2004 - okir@suse.de
- fixed the ndisc patch again
* Fri Feb 13 2004 - okir@suse.de
- re-diffed and re-enabled usagi ndisc patch
* Thu Feb 12 2004 - kkeil@suse.de
- Update ISDN to 2.6.3-rc2-mm1 version
  + this is a new port 2.4 -> 2.6 I4L code
- enable SMP for AVM activ cards
* Thu Feb 12 2004 - agruen@suse.de
- Update from Jeff Mahoney <jeffm@suse.com>:
  + Fix mounting of v3.5 filesystems (fixed in 2.4 series, but
  the patch was not yet ported).
  + Permissions checking more closely tracks ext[23] xattr perms.
  + When the fs returns -EIO due to a bad magic/hash value, an
  error message is printed.
* Thu Feb 12 2004 - agruen@suse.de
- patches.fixes/alpha-compile: Compile fix for AXP.
- Also check for /boot/image-%%ver_str in post.sh (s390).
* Thu Feb 12 2004 - olh@suse.de
- add patches.fixes/linux-post-2.6.3-rc2-20040212
  bluetooth, watchdog, cpufreq, ia64 updates
* Thu Feb 12 2004 - hare@suse.de
-  add patches.fixes/dmapool-nopci.patch
  Do not compile drivers/base/dmapool.c for non-PCI systems.
* Thu Feb 12 2004 - olh@suse.de
- add patches.suse/kdb-common-inital_env
  print enough lines, dump bta in one go
* Wed Feb 11 2004 - kraxel@suse.de
- uml fixes.
* Wed Feb 11 2004 - olh@suse.de
- add patches.arch/suse-ppc32-pmac-rootdevice
  really use /linuxrc if root= not given
* Wed Feb 11 2004 - garloff@suse.de
- Set max number of raw devices to 4096.
* Wed Feb 11 2004 - agruen@suse.de
- Update to current xfs cvs + dmapi fixes.
- patches.suse/sunrpc-multiple-programs accidentally got lost
  with 2.6.3-rc2 update.
- Update config files.
* Wed Feb 11 2004 - mantel@suse.de
- fix dependency for CONFIG_BOOTSPLASH
* Wed Feb 11 2004 - mantel@suse.de
- update to 2.6.3-rc2
* Wed Feb 11 2004 - olh@suse.de
- add kernel-pmac64_32bit
* Tue Feb 10 2004 - olh@suse.de
- add patches.suse/suse.ppc32.pmac.no_pc_floppy.patch
* Tue Feb 10 2004 - olh@suse.de
- drop patches.suse/suse.ppc32.boot.per_board_initrd.patch
* Tue Feb 10 2004 - schwab@suse.de
- Fix provides/obsoletes for ia64.
* Mon Feb 09 2004 - okir@suse.de
- Merged several NFS patches from Chuck Lever
- Fixed some USAGI rejects caused by the update
  to post 2.6.3-rc1
* Mon Feb 09 2004 - olh@suse.de
- update patches.drivers/ibm-ipr-2.0.0.patch
  add patches.drivers/ibm-ipr-scsi-start_unit.patch
* Mon Feb 09 2004 - mantel@suse.de
- enable CONFIG_PPP_MULTILINK (SUSE34363)
* Mon Feb 09 2004 - olh@suse.de
- update to post 2.6.3-rc1 20040209
* Sat Feb 07 2004 - agruen@suse.de
- patches.suse/xfs-dmapi-fix: Add code missing for 2.6 kernels.
* Sat Feb 07 2004 - schwab@suse.de
- Fix ia64 build failures.
* Sat Feb 07 2004 - agruen@suse.de
- In binary kernels, check if a file $arch-$flavor.conf exists.
  If so, use that as the config file, otherwise use the
  appropriate config file in config.tar.bz2 like before.
- Likewise for $arch-$flavor.diff: If it exists, apply this patch
  after all other patches in series.conf.
* Sat Feb 07 2004 - kraxel@suse.de
- fix missing init.h include in lirc driver.
* Fri Feb 06 2004 - mantel@suse.de
- update aio to make it pass some glibc rtkaio tests
* Fri Feb 06 2004 - agruen@suse.de
- Minor fix in nfs-acl Makefile.
- Synchronize version numbers on kernel-syms instead of
  kernel-source (kernel-source no longer is dependent on
  the binary kernels).
* Fri Feb 06 2004 - kraxel@suse.de
- update configs.
* Fri Feb 06 2004 - agruen@suse.de
- Fix RPM macro expansion irregularity in source-post.sh.
* Fri Feb 06 2004 - agruen@suse.de
- ext[23]: Remove limit of 32 acl entries when reading.
  Write support not yet enabled pending discussion.
- Update to XFS CVS + patches for DMAPI support.
- Allow to install multiple kernel-source.spec packages in
  parallel.
- Update cofigs.
* Thu Feb 05 2004 - kraxel@suse.de
- update configs for i386 and x86_64.
* Thu Feb 05 2004 - kraxel@suse.de
- fix uml build.
- add lirc drivers.
* Thu Feb 05 2004 - ak@suse.de
- fix x86-64 compilation (patches.arch/x86_64-elf-compile)
* Thu Feb 05 2004 - olh@suse.de
- restore drivers/scsi/ata_piix.c, add #ifdef to rivafb
* Thu Feb 05 2004 - olh@suse.de
- add patches.fixes/linux-post-2.6.2-20040205
  altix update, qla update, many other fixes
* Thu Feb 05 2004 - olh@suse.de
- update patches.arch/linuxppc-2.5-benh-2.6.2-ben1
  Fix oops when fbcon_mode_changed is called at boot time
  Fix the radeonfb "workaround" for external TMDS
  Update ADT 7467 thermostat driver
* Wed Feb 04 2004 - okir@suse.de
- Potential fix for the NFS "busy inodes after unmount" problem (SUSE30943)
* Wed Feb 04 2004 - olh@suse.de
- add patches.arch/linuxppc-2.5-benh-2.6.2-ben1
  brings hfs+, G5 support and support for newer Macs
* Wed Feb 04 2004 - agruen@suse.de
- patches.fixes/xattr-keep-block.diff: Fix xattr bug when keeping
  the same disk block in ext[23].
* Wed Feb 04 2004 - olh@suse.de
- update to 2.6.2 final
  update ppc64.patch
* Tue Feb 03 2004 - agruen@suse.de
- Add patches.suse/ext3-register-filesystem-lifo: Forward port
  of Andrea's patch.
* Tue Feb 03 2004 - okir@suse.de
- Merged nfsd patch from MvS that fixes a largefile bug in nfsd_commit
* Tue Feb 03 2004 - ak@suse.de
- Add patch for CONFIG_REGPARM for i386
- Enable it by default
* Mon Feb 02 2004 - agruen@suse.de
- patches.fixes/toshiba-acpi-0.17: Update toshiba_acpi driver
  to version 0.17.
- Update config files.
* Mon Feb 02 2004 - ak@suse.de
- Reenable -funit-at-a-time for i386 (+ bug fix)
- Add new early printk for i386
- Remove some white space from series file
* Sat Jan 31 2004 - olh@suse.de
- add patches.suse/suse-ppc64-iseries-pci_fn_scan
  add patches.suse/suse.ppc32.export.cpu_possible_map
* Sat Jan 31 2004 - olh@suse.de
- update to 2.6.2-rc3
* Fri Jan 30 2004 - agruen@suse.de
- Expand Provides or Obsoletes tags as a nested if statement
  in the spec file.
* Fri Jan 30 2004 - olh@suse.de
- add patches.drivers/driver-input-linuxwacom.patch
  use patches from linuxwacom project (SUSE32504)
* Fri Jan 30 2004 - okir@suse.de
- Two more USAGI patches:
  +       patches.suse/usagi-ipv6-fib-subtree
  +       patches.suse/usagi-ipv6-ndisc
  Enabled CONFIG_IPV6_NDISC_NEW=y in almost all config files
* Fri Jan 30 2004 - agruen@suse.de
- Fix several problems with Provides and Obsoletes.
- Split modversion symbols from kernel-source, and put them
  into kernel-syms instead. This also obsoletes kernel-bare.
* Thu Jan 29 2004 - olh@suse.de
- add patches.drivers/firewire_ieee1394 (rev 1113)
  update sbp2 driver to provide ieee1394_guid in sysfs device/ dir
* Thu Jan 29 2004 - agruen@suse.de
- Alsa update to version 1.0.2 (tiwai@suse.de).
* Thu Jan 29 2004 - agruen@suse.de
- Allow line continuation in scripts/guards (avoids a lot of mess
  in rpm/old-packages.conf).
- Add rpm/old-packages.conf and scripts/old-config.sh: The conf
  file defines the Provides and Obsoletes entries. The script
  is for testing the config file.
* Thu Jan 29 2004 - okir@suse.de
- Two more USAGI patches:
  patches.fixes/usagi-ipv6-privacy
  patches.suse/usagi-ipv6-ipcomp
* Thu Jan 29 2004 - schwab@suse.de
- Update ilp32 patch.
* Thu Jan 29 2004 - okir@suse.de
- Updated usagi ipv6-ipv6 tunnel patch
* Wed Jan 28 2004 - olh@suse.de
- update patches.drivers/ibm-ipr-2.0.0.patch
  trigger CONFIG_FW_LOADER if enabled
* Wed Jan 28 2004 - okir@suse.de
- Merged the first couple of USAGI fixes
* Wed Jan 28 2004 - schwab@suse.de
- Fix ILP32 emulation to compile with 3.4.
* Wed Jan 28 2004 - okir@suse.de
- Increase number of RPC slots
* Tue Jan 27 2004 - agruen@suse.de
- Add get_release_numbers.sh to synchronize the release numbers
  between packages.
* Tue Jan 27 2004 - schwab@suse.de
- Add support for ILP32 on ia64.
* Tue Jan 27 2004 - agruen@suse.de
- nfsacl: Building sunrpc + nfsd + nfs was still broken. Fix.
* Mon Jan 26 2004 - olh@suse.de
- update patches.drivers/ibm-ipr-2.0.0.patch
  add patches.drivers/scsi-type-RAID.patch
  enable SCSI_IPR_TRACE + SCSI_IPR_DUMP=y
* Mon Jan 26 2004 - olh@suse.de
- update patches.arch/ppc64.patch
* Mon Jan 26 2004 - agruen@suse.de
- Rename packages (strip -26).
- Merge source and binary rpm changes files into
  kernel-source.changes.
* Mon Jan 26 2004 - olh@suse.de
- update patches.suse/kdb-common
  use __LOG_BUF_LEN in kdb dmesg command
* Mon Jan 26 2004 - olh@suse.de
- update to 2.6.2-rc2
* Sun Jan 25 2004 - agruen@suse.de
- Add /lib/modules/scripts directory to file list.
* Fri Jan 23 2004 - agruen@suse.de
- Fix ownership of linux-um binary.
* Fri Jan 23 2004 - agruen@suse.de
- Some more fixes in the spec files.
- Also compile kernel modules in kernel-um-26.spec.
- patches.fixes/sata_sil_enable: Mark driver as working, and
  add it in the configs (from ro@suse.de).
* Fri Jan 23 2004 - kraxel@suse.de
- fix i386 build with CONFIG_PROC_MM (skas) turned off.
* Fri Jan 23 2004 - agruen@suse.de
- patches.suse/sunrpc-xdr-arrays: Add missing exports.
* Thu Jan 22 2004 - olh@suse.de
- use plain elf vmlinux binary on ppc and ppc64 as bootfile
* Thu Jan 22 2004 - olh@suse.de
- split patches.suse/early_userspace-instead-of-linuxrc
  core and debug patch.
* Thu Jan 22 2004 - olh@suse.de
- reenable patches.fixes/alsa-101.patch
  from 2.6.2-rc1-mm1
* Thu Jan 22 2004 - agruen@suse.de
- Lots of changes in the spec files (for biarch, etc.).
  M4 no longer used.
* Thu Jan 22 2004 - mantel@suse.de
- update to 2.6.2-rc1 (linus-latest-2.6)
* Thu Jan 22 2004 - olh@suse.de
- update patches.fixes/linus-latest-2.6
  input fixes
  update patches.arch/ppc64.patch
  vio fixes
* Wed Jan 21 2004 - olh@suse.de
- add patches.drivers/ibm-ipr-2.0.0.patch
  ibmsis replacement, older iseries systems do still need ibmsis
* Wed Jan 21 2004 - olh@suse.de
- add patches.fixes/ppc32.sort_exception_table
* Wed Jan 21 2004 - kraxel@suse.de
- fix selinux for uml.
* Wed Jan 21 2004 - kraxel@suse.de
- disable raid6 on hammer (doesn't build, mmx/sse2 issues).
* Wed Jan 21 2004 - kraxel@suse.de
- one more uml fix.
* Wed Jan 21 2004 - kraxel@suse.de
- added i2c kbuild fix.
* Wed Jan 21 2004 - hare@suse.de
- Remove S390 specific patches from IBM; have been
  merged into 2.6.2-rc1.
* Wed Jan 21 2004 - kraxel@suse.de
- fix and reenable uml.
* Wed Jan 21 2004 - olh@suse.de
- update to 2.6.2-rc1
  update patches.arch/ppc64.patch
  disabled s390, alsa and uml patches until it is merged
* Wed Jan 21 2004 - hare@suse.de
- Fix syntax error in kernel-binary-26.spec.in
- Fix build on s390x.
* Wed Jan 21 2004 - hare@suse.de
- Fix config for s390 / s390x.
* Wed Jan 21 2004 - agruen@suse.de
- Fix syntax error in kernel-source-26.spec.in.
* Tue Jan 20 2004 - agruen@suse.de
- Spec files and pre-configuration: Add architecture into
  configuration identifier (e.g., what before was
  CONFIG_CFGNAME="smp" on x86_64 now becomes
  ARCH_FLAVOR="x86_64-smp").
- patches.fixes/aha152x-fix: Fix compile-time bug.
- patches.suse/reiserfs-acl-02: Fix the previous fix.
- sequence-patch.sh: Add all config files from all architectures,
  useful for run_oldconfig.sh.
- Update some configs.
* Tue Jan 20 2004 - kraxel@suse.de
- dropped forcedeth patch (merged in latest -bk).
* Tue Jan 20 2004 - schwab@suse.de
- Reenable ia64 updates.
* Mon Jan 19 2004 - kraxel@suse.de
- fix uml modules
- update uml config
* Mon Jan 19 2004 - schwab@suse.de
- Enable CONFIG_IA64_PAL_IDLE [SUSE33188].
* Mon Jan 19 2004 - hare@suse.de
- Update patches.arch/s390-gcc-inline-assembly to version
  from Martin Schwidefsky.
* Mon Jan 19 2004 - agruen@suse.de
- SUSE31399: Add nfsacl fix from 2.4 branch (thanks okir).
- Fix `make distclean': By accident, the dependency on the clean
  target got lost.
* Mon Jan 19 2004 - olh@suse.de
- update to current Linus tree
  update patches.arch/ppc64.patch
  add sysfs patches from Greg KH
* Fri Jan 16 2004 - kraxel@suse.de
- updated uml patch to 2.6.1 version
- updated configs.
* Fri Jan 16 2004 - schwab@suse.de
- Add latest ia64 updates.
* Fri Jan 16 2004 - hare@suse.de
- add patches.arch/s390-gcc-inline-assembly to fix
  errorneous inline assembly on S390 (SUSE32972).
* Thu Jan 15 2004 - kraxel@suse.de
- re-add patches.uml/uml-fix-fixaddr patch.
* Thu Jan 15 2004 - olh@suse.de
- update patches.suse/suse-ppc64-chrp-console-cmdline
  use set_preferred_console
* Thu Jan 15 2004 - olh@suse.de
- add patches.suse/suse-ppc64-kdb.disassembler.update
  update a few files to current binutils cvs status
* Thu Jan 15 2004 - olh@suse.de
- update patches.arch/ppc64.patch
  spinlock fixes
* Thu Jan 15 2004 - olh@suse.de
- add patches.fixes/linus-latest-2.6
  add patches.fixes/input_key84-2.6.1.patch,
  fixes a dead key, might require a console keymap update, X works
  disable patches.drivers/forcedeth-v20, as merged upstream
* Thu Jan 15 2004 - hare@suse.de
- Update series.conf to reflect configuration changes.
* Thu Jan 15 2004 - hare@suse.de
- S390: Removed ald configurations z900, g5;
  Update s390 and s390x configuration.
- S390: Update spec file to use image instead of bzImage
  for install.
- Install init/kerntypes.o instead of Kerntypes
  (with does not exist).
* Wed Jan 14 2004 - kraxel@suse.de
- add video4linux driver updates.
- update user-mode-linux patch
- remove some uml patches (merged upstream).
* Wed Jan 14 2004 - hare@suse.de
- S390: add patches.arch/s390-export-module-symbols; adding
  missing EXPORT_SYMBOL for modular build.
- S390: add patches.arch/s390-07-zfcp-host-adapter-update.patch from
  2.6.1-mm3.
- S390: add patches.fixed/s390-ffs-fix for fixing dosfs access.
* Wed Jan 14 2004 - agruen@suse.de
- Add ALSA 1.0.1 update according to Takashi Iwai <tiwai@suse.de>.
* Wed Jan 14 2004 - olh@suse.de
- add patches.suse/suse.ppc64.spinlock_asm_syntax.patch
  correct syntax for spinlock asm to avoid NULL pointer derefs.
* Wed Jan 14 2004 - olh@suse.de
- update patches.suse/suse-ppc64-chrp-console-cmdline
  update patches.suse/suse.ppc32.console.autodetection
  remove hardcoded speed for the console= parameter
* Wed Jan 14 2004 - garloff@suse.de
- Enable km_submount.
* Tue Jan 13 2004 - schwab@suse.de
- Update configs.
* Tue Jan 13 2004 - hare@suse.de
- S390: Update s390-ibm-* patches to 2.6.1-mm2.
* Mon Jan 12 2004 - olh@suse.de
- update patches.arch/ppc64.patch
  restore config files
* Mon Jan 12 2004 - agruen@suse.de
- sunrpc: Report -ENOSYS for unavailable programs.
- nfsacl: Fix handling of minimal ACLs.
- nfsacl: Fix dependency to allow to build sunrpc + nfsd + nfs
  to be built as modules.
* Mon Jan 12 2004 - garloff@suse.de
- rpmify on DEC Alpha as well.
* Sun Jan 11 2004 - garloff@suse.de
- Two patches from Ivan to make DEC alpha work:
  * Don't prefetch spinlocks on UP machines
  * Fix relocation issue in module loading
* Sun Jan 11 2004 - agruen@suse.de
- Fix accidentally reversed condition in patches.rpmify/
  kbuild-out-of-tree.
- Also fill in the kernel version in the generated spec files.
* Sun Jan 11 2004 - agruen@suse.de
- Add patches.fixes/ipsec-nat-t-old: Backward compatibility of
  NAT Traversal with draft-ietf-ipsec-udp-encaps-00/01 (which
  have long since expired).
* Sun Jan 11 2004 - olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  do not mount sysfs early, the events can be replayed later
  keep the early binfmt_elf init to record early hotplug calls
* Fri Jan 09 2004 - agruen@suse.de
- Rework how kernel-source and the binary kernels are built: Now,
  the source and binary package are all built directly from the
  sources.
* Fri Jan 09 2004 - schwab@suse.de
- Fix missing header.
* Fri Jan 09 2004 - schwab@suse.de
- Force arch/ia64/lib/io.o to be linked in.
* Fri Jan 09 2004 - kraxel@suse.de
- update to 2.6.1-final
- commented patches.fixes/missing-headers (doesn't apply and build
  seems to work fine without).
- added patches.drivers/forcedeth-v20 (nvidia network driver).
* Fri Jan 09 2004 - kraxel@suse.de
- updated configurations.
* Fri Jan 09 2004 - agruen@suse.de
- patches.suse/reiserfs-acl-02: Locking fix from Jeff Mahoney.
  Fold patches.suse/reiserfs-acl-fix into the man patch.
* Thu Jan 08 2004 - agruen@suse.de
- Re-enable patches.rpmify/kbuild-out-of-tree after version
  update, and add patches.rpmify/kbuild-out-of-tree-meta which
  enables different modversion tables for different configuration
  flavors.
* Thu Jan 08 2004 - kraxel@suse.de
- disable CONFIG_CPU_FREQ_24_API (bug SUSE33598).
* Wed Jan 07 2004 - schwab@suse.de
- Readd missing parts from ia64 update.
* Wed Jan 07 2004 - kraxel@suse.de
- added patches.suse/twofish-2.6 (suse24-compatible crypto loop).
- renamed /proc/bus/usb/bielefeld to something less confusing.
* Tue Jan 06 2004 - kraxel@suse.de
- moved patch chunk from export_symbol to uml-fix-skas.
* Tue Jan 06 2004 - kraxel@suse.de
- updated kernel configs.
* Tue Jan 06 2004 - kraxel@suse.de
- fixed and reenabled bootsplash patch.
* Tue Jan 06 2004 - kraxel@suse.de
- update to 2.6.1-rc2 -- first cut.
- disabled usb-2.5 patches (doesn't apply, partly merged).
- disabled ia64 update (doesn't apply, partly merged).
- disabled amd64 patches (doesn't apply, partly merged).
- fixed patches.arch/ppc32.lxppc.patch
- disabled ppc64 patches (rejects in arch/ppc64/kernel/irq.c).
- disabled uml patches (also irq.c rejects).
- deleted patches.fixes/gencpio.offset (merged).
- deleted patches.fixes/no-Werror (not needed any more).
- deleted patches.fixes/unimap_set (merged).
- disabled patches.fixes/s390-ibm-40_compat.diff (doesn't apply, partly merged).
- disabled patches.arch/s390-compat_wrapper (doesn't apply).
- disabled patches.rpmify/kbuild-out-of-tree (doesn't apply).
- disabled patches.suse/bootsplash (doesn't apply).
* Mon Jan 05 2004 - schwab@suse.de
- Add latest ia64 updates.
- Cleanup use of EXPORT_SYMBOL.
* Mon Jan 05 2004 - agruen@suse.de
- Add a missing #ifdef + #endif in patches.arch/ia64-update.
* Mon Jan 05 2004 - schwab@suse.de
- gcc-no-unit-at-a-time: don't redefine check_gcc.
* Mon Jan 05 2004 - agruen@suse.de
- Replace permission POSIX compliance fix with the version sent to
  Andrew Morton <akpm@osdl.org>, and add a separare patch for
  ReiserFS.
* Sat Dec 20 2003 - schwab@suse.de
- Add latest ia64 updates.
* Fri Dec 19 2003 - garloff@suse.de
- Make xconfig work on lib64 archs.
* Fri Dec 19 2003 - agruen@suse.de
- Update for version 2.6.0. Various clean-ups.
- Add /boot/modversions-%%{ver_str}.gz.
* Fri Dec 19 2003 - agruen@suse.de
- Modversions for km_* modules. (Modversion tables still missing
  in kernel-source-26 package.)
* Thu Dec 18 2003 - olh@suse.de
- update to 2.6.0
  iseries updates, pci updates
* Wed Dec 17 2003 - agruen@suse.de
- SUSE33559 nfsacl: add missing initialization and re-enable patches.
- Proberly map between NFSERR_NOTSUPP (v3+v4) and -ENOTSUPP /
-EOPNOTSUPP (thanks jeffm@suse.com).
* Wed Dec 17 2003 - olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  ide-cd blank media handling
  update patches.arch/ppc64.patch
  more iseries changes, altivec updates
* Tue Dec 16 2003 - agruen@suse.de
- Disable patches.rpmify/kbuild-out-of-tree for now, as it breaks
  external modules.
* Tue Dec 16 2003 - agruen@suse.de
- The hotplug_path variable is only defined with CONFIG_HOTPLUG,
  but used unconditionally.
* Tue Dec 16 2003 - ak@suse.de
- Update configs for x86-64. Enable various options that should be
  enabled. ISDN still off.
* Tue Dec 16 2003 - olh@suse.de
- update patches.suse/suse-ppc64-ksymoops.calltrace.patch
  print newline unconditionally
* Tue Dec 16 2003 - olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  raid5 fixes, usb merges
* Mon Dec 15 2003 - agruen@suse.de
- List all defined configurations in running-kernel.make.
- patches.rpmify/meta-config-version: Keep "meta-version" of
  include/linux/version.h intact (see patch).
- patches.rpmify/{kbuild-readonly,kbuild-out-of-tree}:
  Allow out-of-tree modules against read-only kernel sources
  (see patches).
* Sun Dec 14 2003 - olh@suse.de
- add patches.suse/suse-ppc64-ksymoops.calltrace.patch
  update calltrace format to make ksymoops happy
  add  patches.suse/suse-ppc64-wchan64
  yes, we have now a 64bit ps
* Sun Dec 14 2003 - olh@suse.de
- add patches.suse/suse.ppc32.ksymoops.calltrace.patch
  update calltrace format to make ksymoops happy
* Sun Dec 14 2003 - olh@suse.de
- update patches.suse/kdb-common
  kallsyms_get_addr is not required of kallsyms is off
* Sun Dec 14 2003 - olh@suse.de
- update patches.arch/ppc64.patch
  surveillance, lpar, proc updates
* Sun Dec 14 2003 - olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  more smp fixes
* Sat Dec 13 2003 - olh@suse.de
- mark some generic s390 changes as generic
* Sat Dec 13 2003 - olh@suse.de
- update patches.drivers/usb-2.5
  more usb fixes, storage updates
* Sat Dec 13 2003 - olh@suse.de
- handle s390x as s390 in specfile
* Sat Dec 13 2003 - olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  fix smp race in finish_wait
* Thu Dec 11 2003 - kraxel@suse.de
- delete bogous drivers/media/video/tvmixer.c patch chunk from usb-2.5
* Thu Dec 11 2003 - ak@suse.de
- Update x86_64 patchkit to x86_64-2.6.0test11-3
* Thu Dec 11 2003 - ak@suse.de
- Remove obsolete patches
* Thu Dec 11 2003 - olh@suse.de
- less guessing about the ARCH make flag and the used .config file
* Thu Dec 11 2003 - olh@suse.de
- add patches.suse/suse.ppc32.boot.per_board_initrd.patch
  allow smaller initrd for some boards
* Wed Dec 10 2003 - olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  update patches.arch/ppc64.patch
  update patches.arch/suse-ppc64-pcihotplug-makefile
  iseries pci support
  patches.drivers/usb-2.5
  usb storage updates, ohci updates
* Tue Dec 09 2003 - agruen@suse.de
- Relax the configuration file check: Don't abort if options are
  only taken away, but no new options are added.
* Tue Dec 09 2003 - olh@suse.de
- add patches.arch/suse-ppc64-export-csum_partial
  csum_partial should be exported per arch now
* Tue Dec 09 2003 - olh@suse.de
- add patches.arch/suse-ppc64-miscdev-late_initcall
  call the arch specific init stuff late, for sysfs misc dev node
* Tue Dec 09 2003 - olh@suse.de
- add patches.drivers/usb-2.5
  patches.drivers/usb-2.5_kobject.debug
  patches.drivers/usb-2.5_module_sig-depend
  dump the usb and sysfs tree in our repo
* Mon Dec 08 2003 - agruen@suse.de
- SUSE33559: Disable nfsacl until the problem can be debugged.
* Mon Dec 08 2003 - olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  tmpfs oops fix
* Sun Dec 07 2003 - olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  simplify changes
* Sun Dec 07 2003 - olh@suse.de
- add patches.arch/suse-ppc64-pcihotplug-rpa
  rpa is ppc64 only
* Sun Dec 07 2003 - olh@suse.de
- update to current status:
  patches.fixes/linux-2.6.0-test11-bk-latest
  patches.arch/ppc32.lxppc.patch
  patches.arch/ppc64.patch
* Sun Dec 07 2003 - agruen@suse.de
- Update configurations of i386 and x86_64.
* Sun Dec 07 2003 - agruen@suse.de
- patches.suse/sunrpc-enosys-when-unavail: Return -ENOSYS for
  programs or procedures that are unavailable. The nfsacl support
  needs this to decide whether or not to turn nfsacl support off.
* Sat Dec 06 2003 - agruen@suse.de
- Update i386 and x86_64 configs for qla2xxx driver update.
* Sat Dec 06 2003 - agruen@suse.de
- The uname replacement in Autobuild also breaks with the
  meta-configuration. Work around this by creating /.kernelversion
  when running inside Autobuild.
* Sat Dec 06 2003 - schwab@suse.de
- Update qla2xxx driver to 8.00.00b8.
* Sat Dec 06 2003 - schwab@suse.de
- Update qla2xxx driver to 8.00.00b7.
* Sat Dec 06 2003 - agruen@suse.de
- Fail if default configurations have missing symbols. Update
  i386 and x86_64 configurations.
- Add pre-configured headers proposal ("meta-configuration").
* Thu Dec 04 2003 - bk@suse.de
- add patches.arch/s390-suse-bk-cpint_cpcmd.diff for cpint support
* Thu Dec 04 2003 - olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  Fix /proc access to dead thread group list oops
  Add RTPROT_XORP.
  Sanitize ip_ct_tcp_timeout_close_wait value, from 2.4.x
  Fix ipv4 mapped address calculation in udpv6_sendmsg().
* Wed Dec 03 2003 - olh@suse.de
- add patches.fixes/linux-2.6.0-test11-bk-latest
  update patches.arch/ppc64.patch
  Fix a number of irq affinity bugs
* Tue Dec 02 2003 - schwab@suse.de
- Add qla2xxx drivers.
* Tue Dec 02 2003 - agruen@suse.de
- A fix in the xdr array encoding code (nfsacl).
- Enable nfsacl in config files.
* Tue Dec 02 2003 - agruen@suse.de
- Less complicated versions of xdr_{encode,decode}_word can be
  used given proper word alignment in xdr_buf's. Luckily we can
  assume that.
* Tue Dec 02 2003 - agruen@suse.de
- patches.suse/reiserfs-acl-fix: Need to set the MS_POSIXACL mount
  option too, or else nfsacl won't work.
* Tue Dec 02 2003 - hare@suse.de
- S/390: Made definition of atomic_t visible from userspace.
* Tue Dec 02 2003 - agruen@suse.de
- Update version of ACPI DSDT patch (by Thomas Renninger
  <trenn@suse.de>).
* Tue Dec 02 2003 - agruen@suse.de
- Enable nfsacl port from 2.4.
* Tue Dec 02 2003 - hare@suse.de
- Using G5 as default configuration for s390.
* Tue Dec 02 2003 - hare@suse.de
- add patches.arch/s390-compat_wrapper
  Adding missing global symbol
- Update patches.fixes/export_symbol
  Export symbol delete_partition(), required for dasd_mod.
- Include ip_fast_csum in patches.arch/s390-ibm-01-base.diff.
* Mon Dec 01 2003 - olh@suse.de
- add missing CMD_LINE_SIZE to asm-ppc/bootinfo.h
* Sun Nov 30 2003 - olaf@suse.de
- add patches.suse/suse.ppc32.boot.ldscript.__kcrctab
  discard a kernel section, breaks OF booting
- add patches.suse/suse.ppc32.boot.ldscript.depend
  rebuild boot files if ld.script changes
- add patches.suse/suse.ppc32.boot.zimage.built-in.cmdline
  put a built-in cmdline into zImage, overrides stuff passed from OF
- add patches.suse/suse.ppc32.console.autodetection
  autodetect serial console on pmac and CHRP
* Sun Nov 30 2003 - olh@suse.de
- add patches.suse/suse.ppc32.601cpu.exception
  avoid unhandled alignment exceptions on 601 cpus
* Sun Nov 30 2003 - olh@suse.de
- add patches.suse/suse.ppc32.pmac.no_i8042.patch
  suse.ppc32.pmac.no_isapnp.patch
  suse.ppc32.pmac.no_pc_serial.patch
  dont probe for pc style hardware on mac
* Sun Nov 30 2003 - olh@suse.de
- add patches.suse/suse.ppc32.boot.zlib.debug
  add patches.suse/suse.ppc32.boot.zlib.no_memcpy
  update debugging code, no memcpy to avoid deadly exceptions in OF
* Sun Nov 30 2003 - olh@suse.de
- update patches.arch/ppc64.patch
  remove changes to sym2 driver and sg_add
  simplify ppc32 ROOT_DEV changes
* Sun Nov 30 2003 - olh@suse.de
- rename patches.arch/ppc32.patch to ppc32.lxppc.patch
  remove all the 4xx changes, to reduce patch noise
* Sun Nov 30 2003 - olh@suse.de
- update patches.arch/ppc64.patch
  remove bogus change in pci_scan_slot() loop, breaks some setups
* Fri Nov 28 2003 - hare@suse.de
- Added new configuration options for S/390.
* Fri Nov 28 2003 - hare@suse.de
- Update configuration files for S/390.
* Fri Nov 28 2003 - schwab@suse.de
- Disable CONFIG_IDE_TASKFILE_IO.
* Fri Nov 28 2003 - garloff@suse.de
- unimap_set: Allow setfont to set unicode map on openend console
  file descriptor (not only on current foreground console).
* Fri Nov 28 2003 - okir@suse.de
- Ported two minor nfs patches over from 2.4: nfs-d_drop-lowmem,
  nfs-min-blocksize
* Fri Nov 28 2003 - garloff@suse.de
- rdtsc-var-shadow: Variable name in rdtscll macro shadowed
  real variable (from axboe).
* Fri Nov 28 2003 - olh@suse.de
- update patches.arch/ppc64.patch
  vio fixes
* Thu Nov 27 2003 - agruen@suse.de
- Update spec file: add scripts/config_subst.sh. Remove defconfig
  files if the architecture has no default configuration.
- Remove test build; we haven't done test builds in the 2.4 kernel
  source package for a long time now without problems.
* Thu Nov 27 2003 - olh@suse.de
- update patches.arch/ppc64.patch
  update patches.suse/kdb-common
* Thu Nov 27 2003 - kraxel@suse.de
- bump version to test11
* Thu Nov 27 2003 - schwab@suse.de
- Readd bootmem sorting for discontigmem.
- Add sn2 and zx1 configs.
* Thu Nov 27 2003 - agruen@suse.de
- Add hotfix for Reiserfs+RPM problem: We need a working 2.6
  kernel for Autobuild.
* Thu Nov 27 2003 - hare@suse.de
- Added Patches from IBM which won't make it for 2.6.0.
  Enabled only for S390 for now.
- Updated config for s390 and s390x.
* Thu Nov 27 2003 - sf@suse.de
- add aacraid module to config
* Thu Nov 27 2003 - olh@suse.de
- update to 2.6.0-test11
* Wed Nov 26 2003 - olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  call also init_elf32_binfmt
* Wed Nov 26 2003 - olh@suse.de
- add patches.suse/suse-ppc64-chrp-console-cmdline
  autodetect serial console and update cmdline
* Wed Nov 26 2003 - kraxel@suse.de
- added amd64 32bit signal handling fix (from ak).
* Tue Nov 25 2003 - olh@suse.de
- add patches.suse/suse-ppc64-chrp-root-sda3
  force sda3 if no root= specified
* Tue Nov 25 2003 - olh@suse.de
- Fix error return on concurrent fork() with threaded exit()
  CONFIG_PACKET=y on ppc32 for dhcpcd
* Tue Nov 25 2003 - schwab@suse.de
- Update scsi-changer patch.
* Tue Nov 25 2003 - olh@suse.de
- update to 2.6.0-test10-bk1-
  update ppc64.patch, some iseries support
* Mon Nov 24 2003 - olh@suse.de
- umount sysfs before calling name_to_dev_t()
* Mon Nov 24 2003 - olh@suse.de
- update to 2.6.0-test10
  disable CONFIG_IP_PNP, was dead code anyway
  enable minix per default
* Sun Nov 23 2003 - olh@suse.de
- add patches.suse/early_userspace-instead-of-linuxrc
  run /sbin/kinit if available, instead of linuxrc
* Fri Nov 21 2003 - olh@suse.de
- update to 2.6.0-test9-bk25
  update ppc64.patch,
  Add support for POSIX timer, clock syscalls for 32-bit processes.
* Thu Nov 20 2003 - olh@suse.de
- update ppc64.patch to fix compilation
* Thu Nov 20 2003 - olh@suse.de
- update to 2.6.0-test9-bk24
  update ppc64.patch
* Wed Nov 19 2003 - agruen@suse.de
- The patches.fixes/permission fix is incomplete and introduces
  a bug. Adding patches.fixes/permission-hack for now to hotfix
  the issue; more complete solution pending.
* Tue Nov 18 2003 - olh@suse.de
- add patches.arch/ppc64.ppc32.compat.syscalls
  a few missing syscalls: compat_clock_settime,
  compat_clock_gettime, compat_clock_getres, compat_clock_nanosleep
* Tue Nov 18 2003 - olh@suse.de
- update patches.arch/ppc64.as.no_power4
  use -Wa,-many to make it compile
* Tue Nov 18 2003 - olh@suse.de
- update patches.arch/ppc64.patch
  stat64 and fadvice64 updates, and more
* Tue Nov 18 2003 - olh@suse.de
- update to 2.6.0-test9-bk23+
  update ppc32.patch
* Tue Nov 18 2003 - olh@suse.de
- add patches.fixes/drivers.net.pcnet32.watchdog.spinlock
  see http://bugme.osdl.org/show_bug.cgi?id=817
* Tue Nov 18 2003 - olh@suse.de
- add patches.fixes/gencpio.offset
  add an offset after adding a file to initramfs
* Tue Nov 18 2003 - olh@suse.de
- add patches.arch/ppc32.syscall6
  define _syscall6 for klibc
* Tue Nov 18 2003 - olh@suse.de
- add patches.arch/ppc64.as.no_power4
  do not optimize for power4, or older cpus will not boot
* Tue Nov 18 2003 - olh@suse.de
- update to 2.6.0-test9-bk22, update config, arch ia64 + x86_64
  split patches.arch/ia64-early-printk
* Mon Nov 17 2003 - agruen@suse.de
- Fail build if one of the km_* modules fails.
* Fri Nov 14 2003 - stepan@suse.de
- add patches.suse/bootsplash
* Fri Nov 14 2003 - schwab@suse.de
- Update ia64 config.
* Fri Nov 14 2003 - schwab@suse.de
- Update ia64 support.
* Fri Nov 14 2003 - schwab@suse.de
- Fix reiserfs xattr and acl patches.
* Thu Nov 13 2003 - schwab@suse.de
- Remove blkdev_get_block-partial, it doesn't properly fix the issue and
  is better addressed in user space.
* Thu Nov 13 2003 - agruen@suse.de
- SUSE33097: patches.common/xattr-pointer-arith fixes a pointer
  arithmetic bug in the xattr code.
- Enable CONFIG_MODVERSIONS for all archs.
* Thu Nov 13 2003 - kraxel@suse.de
- updated i386 + amd64 configs.
* Thu Nov 13 2003 - agruen@suse.de
- Merge reiserfs xattr and acl patches from jeffm@suse.com.
* Wed Nov 12 2003 - agruen@suse.de
- Fix get_release_number.sh: Did not work with the --prefer-rpms
  option of build script.
* Tue Nov 11 2003 - ak@suse.de
- Merge to x86_64-2.6.0test9-5
* Mon Nov 10 2003 - schwab@suse.de
- Fix rounding error for blkdev reads [SUSE31902].
* Mon Nov 10 2003 - schwab@suse.de
- Reenable serial console patch.
* Fri Nov 07 2003 - hare@suse.de
- patches.suse/kerntypes: Fixed #define.
* Thu Nov 06 2003 - ro@suse.de
- bump version to test9
* Fri Oct 31 2003 - hare@suse.de
- Update configuration for S/390
- patches.suse/kerntypes: Added Kerntypes patch (needed for lcrash)
- patches.arch/s390-semaphore: Add mb() to __down to avoid races.
- patches.fixes/ip-compute-checksum: Add patch for S/390.
- Removed obsolete S/390 specific compilation fix.
* Thu Oct 30 2003 - kraxel@suse.de
- make uml recognise console= cmd line args.
* Thu Oct 30 2003 - kraxel@suse.de
- fix uml disk names.
* Tue Oct 28 2003 - agruen@suse.de
- patches.fixes/permission: Make permission() functions and
  access() system call comply with POSIX.1-2001.
- patches.suse/sunrpc-multiple-programs: Allow multiple rpc
  programs in the same transport endpoint. (First part of nfsacl
  port from 2.4).
* Mon Oct 27 2003 - kraxel@suse.de
- fixup UML fixaddr stuff.
* Mon Oct 27 2003 - kraxel@suse.de
- updated UML.
* Sun Oct 26 2003 - ak@suse.de
- Add x86-64-2.6.0test9-1 patchkit
- Export ip_compute_csum
- Remove obsolete file
- Work around compat mode wrap issue
* Sun Oct 26 2003 - schwab@suse.de
- Update ia64 support.
* Sun Oct 26 2003 - olh@suse.de
- update to 2.6.0-test9
* Thu Oct 23 2003 - kraxel@suse.de
- one more uml fix.
* Thu Oct 23 2003 - okir@suse.de
- Fix miscompilation of ip_send_check in ip_fragment (SUSE31812)
* Thu Oct 23 2003 - kraxel@suse.de
- UML build fixes.
* Wed Oct 22 2003 - kraxel@suse.de
- updated UML patches.
* Tue Oct 21 2003 - olh@suse.de
- add patches.fixes/ppc32-pmac_zilog-consoleinit
  init pmac serial only on powermac, to prevent early crash
* Tue Oct 21 2003 - olh@suse.de
- build with -k to spot all errors in one go
* Tue Oct 21 2003 - olh@suse.de
- add patches.fixes/root_dev-partition3
  define Root_SDA3 before using it
* Mon Oct 20 2003 - ak@suse.de
- Fix warning added by ppc64 patch
* Mon Oct 20 2003 - schwab@suse.de
- Fix numa init error.
* Mon Oct 20 2003 - schwab@suse.de
- Update ia64 patches and configs.
- Update spec file.
* Mon Oct 20 2003 - kraxel@suse.de
- updated i386 configs.
* Mon Oct 20 2003 - kraxel@suse.de
- updated x86_64 configs.
* Mon Oct 20 2003 - olh@suse.de
- add patches.arch/suse-ppc32-chrp-rootdevice
  add patches.arch/suse-ppc32-prep-rootdevice
  use sda3 as default root device if no root= given
* Mon Oct 20 2003 - olh@suse.de
- add patches.fixes/ppc32-macfloppy-swim3-float
  request->sector is u64, leads to floating point usage on divide
* Mon Oct 20 2003 - olh@suse.de
- add patches.fixes/ppc32-macfloppy-swim3
  PowerMac floppy driver update
* Mon Oct 20 2003 - olh@suse.de
- add patches.fixes/usb-serial-whiteheat-CMSPAR
  some archs do not define CMSPAR in asm/termbits.h
  add patches.fixes/kdb-dis-asm.h
  add missing header
* Mon Oct 20 2003 - olh@suse.de
- update to 2.6.0-test8
  update patches.arch/ppc64.patch
  add patches.arch/ppc32.patch
* Fri Oct 17 2003 - schwab@suse.de
- Update to latest ia64 updates.
- Switch to generic build.
- Remove early printk patch again, it does not even compile.
* Thu Oct 16 2003 - ak@suse.de
- Reenable early printk support for i386
* Wed Oct 15 2003 - schwab@suse.de
- Update to latest ia64 patches.
- Enable ia32 support.
* Wed Oct 15 2003 - hare@suse.de
- S/390 update: fixes and default configuration.
* Tue Oct 14 2003 - schwab@suse.de
- Translate LF to CRLF instead of LFCR on serial console.
- Remove stack hard limit on ia64.
* Sat Oct 11 2003 - schwab@suse.de
- Fix more missing EXPORT_SYMBOLs.
* Fri Oct 10 2003 - schwab@suse.de
- Add missing EXPORT_SYMBOL.
* Fri Oct 10 2003 - olh@suse.de
- add patches.arch/ppc64.patch and a pseries config
* Fri Oct 10 2003 - schwab@suse.de
- Add futex fix.
* Thu Oct 09 2003 - kraxel@suse.de
- char/sc driver buildfix.
- updated ppc/hammer configs.
* Thu Oct 09 2003 - schwab@suse.de
- Fix bug in genksyms parser.
* Thu Oct 09 2003 - ak@suse.de
- remove more obsolete files
* Thu Oct 09 2003 - ak@suse.de
- remove obsolete file
- add x86-64 APIC hack for nvidia/via
* Thu Oct 09 2003 - kraxel@suse.de
- updated to -test7
- removed ia64/smp from config.conf
* Tue Oct 07 2003 - schwab@suse.de
- Make ia64 default to SMP and remove smp configuration.
* Mon Oct 06 2003 - schwab@suse.de
- Fix invalid pointer in megaraid driver.
* Wed Oct 01 2003 - schwab@suse.de
- Apply tiocgdev patch.
- Remove printk in ia64_ni_syscall.
* Wed Oct 01 2003 - schwab@suse.de
- Adapt ia64 patch.
* Mon Sep 29 2003 - kraxel@suse.de
- Updated configs (ppc,i386,amd64).
* Mon Sep 29 2003 - schwab@suse.de
- Fix specfile for ia64.
* Mon Sep 29 2003 - schwab@suse.de
- Update ia64 configs.
* Mon Sep 29 2003 - kraxel@suse.de
- updated to kernel 2.6.0-test6
- added tiocgdev patch.
* Fri Sep 19 2003 - kraxel@suse.de
- amd64 smp fix.
* Fri Sep 19 2003 - kraxel@suse.de
- misc build fixes.
* Tue Sep 16 2003 - kraxel@suse.de
- updated uml patch.
* Fri Sep 12 2003 - schwab@suse.de
- Reenable ia64 patch.
- Update configs.
* Wed Sep 10 2003 - kraxel@suse.de
- configuration updates.
* Wed Sep 10 2003 - kraxel@suse.de
- updated scsi changer patch.
* Tue Sep 09 2003 - kraxel@suse.de
- commented ia64 patch, breaks i386 build.
* Tue Sep 09 2003 - kraxel@suse.de
- updated spec file.
* Tue Sep 09 2003 - kraxel@suse.de
- updated to 2.6.0-test5.
- updated ia64 patch.
- commented merged and/or obsolete patches.
- fixed some rejects.
* Wed Sep 03 2003 - schwab@suse.de
- Avoid repeating version.
* Wed Sep 03 2003 - schwab@suse.de
- Fix missing patches.
* Wed Sep 03 2003 - schwab@suse.de
- Update ia64 patch to 2.6.0-test4-ia64-030826.
- Update ia64 configs.
* Wed Sep 03 2003 - schwab@suse.de
- Readd non-obsolete fix.
* Tue Sep 02 2003 - agruen@suse.de
- patches.suse/acpi-dsdt-from-initrd: Overwrite the bios ACPI DSDT
  with one attached to the initrd.
* Mon Sep 01 2003 - olh@suse.de
- add patches.fixes/proc_bus_usb_bielefeld
  noone must ever read /proc/bus/usb/devices
* Thu Aug 28 2003 - kraxel@suse.de
- updated configs (ia64, uml).
* Wed Aug 27 2003 - kraxel@suse.de
- updated ia64 configs.
* Wed Aug 27 2003 - kraxel@suse.de
- uml networking fixes.
* Tue Aug 26 2003 - kraxel@suse.de
- updated config files (ppc, i386, x86_64).
* Tue Aug 26 2003 - kraxel@suse.de
- more UML fixes.
* Mon Aug 25 2003 - kraxel@suse.de
- UML fixes.
* Mon Aug 25 2003 - kraxel@suse.de
- updated to 2.6.0-test4.
- updated amd64 patch.
- removed ia64 patch.
- removed obsolete fixes.
- rediffed uml patch.
- commented config.gz patch (standard kernel has /proc/ikconfig/*
  now ...).
* Fri Aug 22 2003 - kraxel@suse.de
- updated uml patches.
* Mon Aug 18 2003 - schwab@suse.de
- Fix ia64_ksyms.c.
- Disable NUMA on UP.
* Mon Aug 18 2003 - schwab@suse.de
- Update ia64 patch to 2.6.0-test3-ia64-030815.
- Update ia64 configs.
- Fix paride disk driver.
* Fri Aug 15 2003 - kraxel@suse.de
- set CONFIG_FRAMEBUFFER_CONSOLE=y
* Wed Aug 13 2003 - kraxel@suse.de
- disabled CONFIG_PARIDE (doesn't build)
- more uml fixes.
* Mon Aug 11 2003 - kraxel@suse.de
- uml build fix.
* Mon Aug 11 2003 - kraxel@suse.de
- updated to -test3.
- commented ia64 patches.
- updated amd64 patches.
- minor other fixups.
* Thu Aug 07 2003 - kraxel@suse.de
- updated ia64 configs
* Wed Aug 06 2003 - kraxel@suse.de
- updated ppc configs
* Wed Aug 06 2003 - kraxel@suse.de
- updated i386 configs
* Wed Aug 06 2003 - kraxel@suse.de
- add -fno-unit-at-a-time to cflags
* Tue Aug 05 2003 - kraxel@suse.de
- uml fixups, added ia32 uml config
* Tue Aug 05 2003 - kraxel@suse.de
- update amd64 configs
* Mon Aug 04 2003 - kraxel@suse.de
- update to 2.6.0-test2
- updated ia64 arch patch
- added amd64 arch patch
- added uml arch patch
- dropped vesafb patch (merged)
* Fri Jul 25 2003 - kraxel@suse.de
- *really* added s390 build fix (no cross compile).
* Fri Jul 25 2003 - kraxel@suse.de
- added uli's s390 fix to cvs.
* Thu Jul 24 2003 - kraxel@suse.de
- rm global -g switch from ia64 arch patch.
* Tue Jul 15 2003 - kraxel@suse.de
- fix vesafb
* Mon Jul 14 2003 - schwab@suse.de
- Update ia64 config files.
* Mon Jul 14 2003 - kraxel@suse.de
- updated amd64 config files
* Mon Jul 14 2003 - kraxel@suse.de
- updated media changer patch
* Mon Jul 14 2003 - schwab@suse.de
- Update ia64 patch to 2.5.75-ia64-030712 (with some tweaks).
- Readd patches that still apply.
* Mon Jul 14 2003 - kraxel@suse.de
- added ppc build fix
- updated ppc configurations
- deleted merged/obsolete arch patches
* Mon Jul 14 2003 - kraxel@suse.de
- updated configurations for i386/ia64/amd64
* Mon Jul 14 2003 - kraxel@suse.de
- updated to 2.6.0-test1
- commented all patches which don't apply
- specfile tweaks -- rpm doesn't like a dash in Version: :-/
* Wed Jul 02 2003 - schwab@suse.de
- Fix xfs build.
- Fix huge kmallocs.
- Fix divacapi driver.
* Wed Jul 02 2003 - kraxel@suse.de
- added ppc smp build fix (missing include).
* Wed Jul 02 2003 - kraxel@suse.de
- ppc build fix, added/updated configurations for ppc+ia64
* Tue Jul 01 2003 - schwab@suse.de
- Add latest ia64 patches.
* Tue Jul 01 2003 - kraxel@suse.de
- updated to 2.5.73
- removed ia64 patches (merged).
- added amd64 patches.
- commented patches which don't apply.
- updated amd64 configs
* Fri Jun 20 2003 - schwab@suse.de
- Update ia64 patch to 2.5.72-030619
* Wed Jun 18 2003 - ak@suse.de
- add early_printk for i386
- fix genapic compilation
- add bigsmp configuration (with PAE, M686, genapic, 32 CPUs support)
- disable APICs for now for default kernels.
- fix PPPoE for SMP kernels
- Tell compiler to optimize for 686 by default
- various configuration fixes
* Thu Jun 12 2003 - schwab@suse.de
- Update ia64 patch to 2.5.69-030521, throwing away the parts included
  in 2.5.70.
* Wed May 28 2003 - kraxel@suse.de
- updated to kernel 2.5.70.
- deleted hammer patches (merged).
- updated scsi changer patch.
- commented patches which don't apply any more.
- disabled some config options to make stuff compile.
* Wed May 14 2003 - schwab@suse.de
- Separate out show_stack changes into own patch.
- Add some build fixes.
* Wed May 14 2003 - schwab@suse.de
- Fix uses of head and tail.
* Thu May 08 2003 - kraxel@suse.de
- initial release
